/**
 * Created by z_fay on 2017/4/1.
 */
module game{

    export let g_skin_config =
        [
            {
                "name": "lantou",
                "desName": "急速小蓝",
                "skill": "jiasu",
                "skillname": "特技：加速",
                "skilldes": "技能使用期间，大幅提升移动速度 ，可通过加速来围杀对手",
                "skillpower": 1,
                "skilltime": 20,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/jiasuxiaogutu.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_lan.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_lan.png",
                "sprite_head": "xingjietanshishe/big/snake/lan/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/lan/shenti.png",
                "sprite_tail": "xingjietanshishe/big/snake/lan/weiba.png",
                "cost": 0,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "wujing",
                    "len": 0,
                    "kill": 0
                }
            },
            { "name": "cong",
                "desName": "热血青葱",
                "skill": "shengzhang",
                "skillname": "特技：生长",
                "skilldes": "技能使用期间，蛇身长度每秒增加6%，技能结束保留长度",
                "skillpower": 0.06,
                "skilltime": 5,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/shengzhang.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_cong.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_cong.png",
                "sprite_head": "xingjietanshishe/big/snake/cong/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/cong/shenti.png",
                "sprite_tail": "xingjietanshishe/big/snake/cong/weiba.png",
                "cost": 200,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "wujing",
                    "len": 500,
                    "kill": 0
                }
            },
            {"name": "heiban",
                "desName": "招财小猫",
                "skill": "qiequ",
                "skillname": "特技：窃取",
                "skilldes": "技能使用期间，可以夺取附近敌人的蛇身，每秒吸取对手3%的长度",
                "skillpower": 0.05,
                "skilltime": 15,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/xique.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_hua.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_hua.png",
                "sprite_head": "xingjietanshishe/big/snake/hua/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/hua/shengti.png",
                "sprite_tail": "xingjietanshishe/big/snake/hua/weiba.png",
                "cost": 200,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "duizhan",
                    "len": 0,
                    "kill": 5
                }
            },
            {
                "name": "miaomiao",
                "desName": "喵咪猫咪",
                "skill": "dilei",
                "skillname": "特技：地雷",
                "skilldes": "技能使用期间，从尾部放置地雷，每隔4秒放置1个，地雷放置3秒后隐身，放置30秒后自动消失",
                "skillpower": 4,
                "skilltime": 30,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/dilei.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_mao.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_mao.png",
                "sprite_head": "xingjietanshishe/big/snake/mao/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/mao/shenti.png",
                "sprite_tail": "xingjietanshishe/big/snake/mao/weiba.png",
                "cost": 200,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "wujing",
                    "len": 2000,
                    "kill": 0
                }
            },
            {
                "name": "yun",
                "desName": "绵羊朵朵",
                "skill": "pengzhang",
                "skillname": "特技：膨胀",
                "skilldes": "技能使用期间，身体长度会提升至当前长度的2倍，技能过后将恢复长度",
                "skillpower": 1,
                "skilltime": 25,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/bianchang.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_yun.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_yun.png",
                "sprite_head": "xingjietanshishe/big/snake/yun/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/yun/shenti.png",
                "sprite_tail": "xingjietanshishe/big/snake/yun/weiba.png",
                "cost": 200,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "wujing",
                    "len": 1000,
                    "kill": 0
                }
            },
            {
                "name": "xiaohuangren",
                "desName": "卑鄙小黄",
                "skill": "yinshen",
                "skillname": "特技：隐身",
                "skilldes": "技能使用期间，我方将处于隐身状态，敌人无法在地图上发现你。",
                "skillpower": 0,
                "skilltime": 10,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/yinsheng.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_huang.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_huang.png",
                "sprite_head": "xingjietanshishe/big/snake/huang/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/huang/shenti.png",
                "sprite_tail": "xingjietanshishe/big/snake/huang/weiba.png",
                "cost": 200,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "duizhan",
                    "len": 0,
                    "kill": 10
                }
            },
            {
                "name": "long",
                "desName": "戏珠神龙",
                "skill": "wudi",
                "skillname": "特技：无敌",
                "skilldes": "技能使用期间，撞击敌人或者陷阱不会死亡，但是撞击地图边缘还是会死亡",
                "skillpower": 0,
                "skilltime": 10,
                "skillnum": 2,
                "imgSize": 40,
                "skillimg":"xingjietanshishe/big/ui/image/wudishe.png",
                "kuang_icon": "xingjietanshishe/big/ui/image/kuang_long.png",
                "tou_icon": "xingjietanshishe/big/ui/image/kuang_long.png",
                "sprite_head": "xingjietanshishe/big/snake/long/tou.png",
                "sprite_body": "xingjietanshishe/big/snake/long/shenti.png",
                "sprite_tail": "xingjietanshishe/big/snake/long/weiba.png",
                "cost": 200,
                "fuhuoCost":20,
                "unlock": {
                    "gameType": "duizhan",
                    "len": 0,
                    "kill": 15
                }
            }
        ];
    export class g_skinMgr{
        static g_instance = null
        static getMe(){
            if(g_skinMgr.g_instance == null){
                g_skinMgr.g_instance = new g_skinMgr()
            }
            return g_skinMgr.g_instance
        }
        round_skin():any{
            let tag = Math.ceil(Math.random() * g_skin_config.length - 1)
            return g_skin_config[tag]["name"]
        }
        getSkinConfigByName(name:string){
            for(let j = 0; j < g_skin_config.length; j++ ){
                if(g_skin_config[j]["name"] == name){
                    return g_skin_config[j]
                }
            }
            console.log("没有这个皮肤："+name)
            return null
        }
    }

}