/**
 * 子弹 属性配置
 *
 *
 *  "hitType":"bomb",//可以被打掉的子弹
 */
//玩家子弹
module game {
    export var g_bullet_play = {
        "leiyiA": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 0.45,
            "speed": 1000,
            "range_dis": 1000,
            "res_type": 0,
            "res": "leiyizidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "leiyiB": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 0.47,
            "speed": 1000,
            "range_dis": 1000,
            "res_type": 0,
            "res": "leiyizidan",
            "resAnimation": "play1",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "leiyiC": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 0.37,
            "speed": 1000,
            "range_dis": 1000,
            "res_type": 0,
            "res": "leiyizidan",
            "resAnimation": "play2",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "juezhao2": {
            "bulletType": "texiao",
            "des_name": "通用特效子弹",
            "scale": 4,
            "relationPos1": {
                x: 400,
                y: 350
            },
            "relationPos2": {
                x: 550,
                y: 350
            },
            "relationPos3": {
                x: 700,
                y: 350
            },
            "speed": 1000,
            "range_dis": 1000,
            "res": "juezhao1",
            "res_type": 1,
            "resAnimation": "juezhao1",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1.8,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "juezhao1": {
            "bulletType": "texiao",
            "des_name": "通用特效子弹",
            "scale": 1,
            "relationPos": {
                x: 200,
                y: 0
            },
            "speed": 1000,
            "range_dis": 1000,
            "res": "juezhao2",
            "res_type": 1,
            "resAnimation": "juezhao1",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 5,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_zabingAzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 0.7,
            "speed": 1000,
            "range_dis": 1000,
            "res_type": 0,
            "res": "zabingAzidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_feijiAzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 1,
            "speed": 1300,
            "range_dis": 1000,
            "res_type": 0,
            "res": "feijizidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_feijiBzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 1.4,
            "speed": 1300,
            "range_dis": 1000,
            "res_type": 0,
            "res": "feijizidan",
            "resAnimation": "play2",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_feijiCzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 1.4,
            "speed": 1300,
            "range_dis": 1000,
            "res_type": 0,
            "res": "feijizidan",
            "resAnimation": "play1",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_boss_lanzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 0.7,
            "speed": 900,
            "range_dis": 1200,
            "res_type": 0,
            "res": "boss_lanzidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_boss_zizidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 1.3,
            "speed": 1000,
            "range_dis": 700,
            "res_type": 0,
            "res": "boss_zizidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_toumuyuanzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 0.8,
            "speed": 400,
            "range_dis": 600,
            "res_type": 0,
            "res": "toumuyuanzidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_dijiAzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 1.1,
            "speed": 1000,
            "range_dis": 800,
            "res_type": 0,
            "res": "feijizidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_dijiBzidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 1.1,
            "speed": 800,
            "range_dis": 1000,
            "res_type": 0,
            "res": "feijizidan",
            "resAnimation": "play2",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
        "paokou1_fashe_boss_heizidan": {
            "bulletType": "normal",
            "des_name": "通用特效子弹",
            "scale": 3,
            "speed": 1000,
            "range_dis": 1000,
            "res_type": 0,
            "res": "boss_heizidan",
            "resAnimation": "play",
            "luxianSpine": null,
            "luxianAnimation": [
                "null"
            ],
            "hitType": "bomb",
            "hit": {
                "shanghai1": {
                    "hitAct1": "shouji0",
                    "hitAct2": "shouji1_kongzhong",
                    "hitAct3": "shouji6",
                    "hitAct4": "shouji6_kongzhong",
                    "spineName": "jizhongtexiao",
                    "animationName": "jizhong3",
                    "stunPoint": 10,
                    "damagePercent": 1,
                    "criticalRate": 0,
                    "buffType": null,
                    "power": 1
                }
            }
        },
    };
}