module game {
    export var g_scene_shoufeiban_config =
        {
            "注释": {
                "scene_name": "场景名",
                "res_path": "配置表文件名",
                "des": "场景描述",
                "monster_point": "击杀小怪积分比例",
                "boss_point": "击杀boss积分比例",
                "next_fuben": "进入下一关的场景",
                "hpper": "场景内怪物的生命值修正",
                "attper": "场景内怪物的攻击力修正",
                "speedup": "场景内怪物的移速修正",
                "energy": "场景内怪物提供的能量",
                "back_music": "背景音乐名字",
                "sceneType": "关卡类型",
                "bossImage": "BOSS图片"
            },
            "scene1_1": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 4000,
                "monster_point": 1,
                "boss_point": 1,
                "next_fuben": "scene1_2",
                "hpper": 0.4,
                "attper": 0.4,
                "speedup": 0,
                "energy": 3,
                "back_music": "zhanduo.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 10,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 1,
                                        "waveIndex": "1_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 23,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 1,
                                        "waveIndex": "1_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_2": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 1,
                "boss_point": 1,
                "next_fuben": "scene1_3",
                "hpper": 0.5,
                "attper": 0.5,
                "speedup": 0,
                "energy": 2.35,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 24,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 29,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_3": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 1.3,
                "boss_point": 1.3,
                "next_fuben": "scene1_4",
                "hpper": 0.6,
                "attper": 0.6,
                "speedup": 0,
                "energy": 2.15,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 26,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 32,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_4": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 1.3,
                "boss_point": 1.3,
                "next_fuben": "scene1_5",
                "hpper": 0.6,
                "attper": 0.6,
                "speedup": 0,
                "energy": 1.9499999999999997,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 32,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 32,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene1_5": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 1.6,
                "boss_point": 1.6,
                "next_fuben": "scene2_1",
                "hpper": 0.7,
                "attper": 0.7,
                "speedup": 0,
                "energy": 1.65,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 35,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "1_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "1_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_1": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 1.6,
                "boss_point": 1.6,
                "next_fuben": "scene2_2",
                "hpper": 0.7,
                "attper": 0.7,
                "speedup": 10,
                "energy": 1.6,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 35,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 43,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_2": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 2,
                "boss_point": 2,
                "next_fuben": "scene2_3",
                "hpper": 0.8,
                "attper": 0.8,
                "speedup": 10,
                "energy": 1.7,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 37,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 35,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_3": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 2,
                "boss_point": 2,
                "next_fuben": "scene2_4",
                "hpper": 0.8,
                "attper": 0.8,
                "speedup": 10,
                "energy": 2.45,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 26,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 25,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_4": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 2.3,
                "boss_point": 2.3,
                "next_fuben": "scene2_5",
                "hpper": 0.9,
                "attper": 0.9,
                "speedup": 10,
                "energy": 1.75,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 36,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 36,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene2_5": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 2.3,
                "boss_point": 2.3,
                "next_fuben": "scene3_1",
                "hpper": 0.9,
                "attper": 0.9,
                "speedup": 50,
                "energy": 2,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 30,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 32,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "2_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "2_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_1": {
                "res_path": "Scene_1_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 2.6,
                "boss_point": 2.6,
                "next_fuben": "scene3_2",
                "hpper": 1,
                "attper": 1,
                "speedup": 20,
                "energy": 1.55,
                "back_music": "UI_beijingzhandou3.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 38,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 39,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_2": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 2.6,
                "boss_point": 2.6,
                "next_fuben": "scene3_3",
                "hpper": 1,
                "attper": 1,
                "speedup": 20,
                "energy": 1.8,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 27,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 42,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_3": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 3,
                "boss_point": 3,
                "next_fuben": "scene3_4",
                "hpper": 1.1,
                "attper": 1.1,
                "speedup": 20,
                "energy": 1.6,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 37,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_4": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 3,
                "boss_point": 3,
                "next_fuben": "scene3_5",
                "hpper": 1.1,
                "attper": 1.1,
                "speedup": 20,
                "energy": 2.15,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 32,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 26,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene3_5": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 3.3,
                "boss_point": 3.3,
                "next_fuben": "scene4_1",
                "hpper": 1.2,
                "attper": 1.2,
                "speedup": 20,
                "energy": 2.4,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 26,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 26,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "3_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "3_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_1": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 3.3,
                "boss_point": 3.3,
                "next_fuben": "scene4_2",
                "hpper": 1.2,
                "attper": 1.2,
                "speedup": 30,
                "energy": 2.05,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 32,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 28,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_2": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 3.6,
                "boss_point": 3.6,
                "next_fuben": "scene4_3",
                "hpper": 1.3,
                "attper": 1.3,
                "speedup": 30,
                "energy": 1.5,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 34,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_3": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 3.6,
                "boss_point": 3.6,
                "next_fuben": "scene4_4",
                "hpper": 1.3,
                "attper": 1.3,
                "speedup": 30,
                "energy": 1.55,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_4": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 4,
                "boss_point": 4,
                "next_fuben": "scene4_5",
                "hpper": 1.4,
                "attper": 1.4,
                "speedup": 30,
                "energy": 2.4,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 24,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 22,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene4_5": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 4,
                "boss_point": 4,
                "next_fuben": "scene5_1",
                "hpper": 1.4,
                "attper": 1.4,
                "speedup": 30,
                "energy": 1.55,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 40,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "4_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "4_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_1": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 4.3,
                "boss_point": 4.3,
                "next_fuben": "scene5_2",
                "hpper": 1.5,
                "attper": 1.5,
                "speedup": 40,
                "energy": 1.6,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 42,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_1_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_1_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 33,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_1_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_1_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_2": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 4.3,
                "boss_point": 4.3,
                "next_fuben": "scene5_3",
                "hpper": 1.5,
                "attper": 1.5,
                "speedup": 40,
                "energy": 1.75,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 42,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_2_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_2_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 29,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_2_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_2_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_3": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 4.6,
                "boss_point": 4.6,
                "next_fuben": "scene5_4",
                "hpper": 1.6,
                "attper": 1.6,
                "speedup": 40,
                "energy": 1.5,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 42,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_3_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_3_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 39,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_3_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_3_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_4": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 4.6,
                "boss_point": 4.6,
                "next_fuben": "scene5_5",
                "hpper": 1.6,
                "attper": 1.6,
                "speedup": 40,
                "energy": 2.15,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 26,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_4_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_4_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 28,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_4_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_4_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            },
            "scene5_5": {
                "res_path": "Scene_2_1.json",
                "min_camera_x": 0,
                "min_camera_y": 0,
                "max_camera_x": 4000,
                "max_camera_y": 1024,
                "monster_point": 5,
                "boss_point": 5,
                "next_fuben": "scene5_5",
                "hpper": 1.7,
                "attper": 1.7,
                "speedup": 40,
                "energy": 17.85,
                "back_music": "UI_beijingzhandou2.mp3",
                "sceneType": "scene_Normal",
                "playerbirth": {
                    "pos_x": 300,
                    "pos_y": 220
                },
                "followerbirth": {
                    "pos_x": 200,
                    "pos_y": 520
                },
                "guochang": [
                    {
                        "guankatype": "killnum",
                        "killNum": 5,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 0,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "talk",
                                "talkIndex": "postalk1",
                                "eventRect": {
                                    "x": 400,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                }
                            },
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_5_1",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_5_2",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "guankatype": "killnum",
                        "killNum": 9,
                        "toHpper": 0.6,
                        "rect": {
                            "x": 2000,
                            "y": 0,
                            "width": 2000,
                            "height": 1024
                        },
                        "posEvent": [
                            {
                                "eventType": "monsterbirth",
                                "eventRect": {
                                    "x": 2500,
                                    "y": 0,
                                    "width": 2000,
                                    "height": 1024
                                },
                                "monsterbirth": [
                                    {
                                        "interval": 0,
                                        "waveIndex": "5_5_3",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    },
                                    {
                                        "interval": 2,
                                        "waveIndex": "5_5_4",
                                        "condition": {
                                            "1": {
                                                "type": "killall"
                                            }
                                        }
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        }
}