/**
 * Created by w on 2017/4/1.
 */
module game{
    export let g_Snake_Config = {
        Length:5,   //初始蛇的节数
        Speed:1,    //正常速度  3
        skillUpSpeed:2,//技能加速度 4
        accSpeed:3, //加速度     5
        interval:11, //每节间距-默认8
        Body_scale:0.20,  //身体缩放     初始0.15   极限0.4
        initSnakenum:7,     //初始monster的数量
        speedUpTime:10,  //加速时间
        eatFood_len:10, //能吃到豆子的距离
        //maxSnake:20,       //最多数量
        interval_time:1,    //刷新间隔 - 多久刷新一次屏幕 能量
        big_energy:3 ,      //增加一节长度

        control_big_angle:5,        //最大灵敏度
        control_small_angle:1,      //最低灵敏度

        playerTestLen:0 //玩家初始长度   - 测试的时候改这一项  填为0为默认长度

    }
    export let g_snake_score_len_config = [
                //初始分值50 - 5 节时
        {len:5,score:10,level:1},
                // 3
        {len:15,score:3,level:2},
                // 5
        {len:30,score:5,level:3},
                // 10
        {len:60,score:10,level:4},
                // 15
        {len:120,score:15,level:5},
                // 20
        {len:150,score:20,level:6},
                // 30
        {len:200,score:30,level:7},
                // 60
        {len:3000,score:60,level:8},
    ]
    export class g_scoreMgr{
        //获取 当前增长对应 分值
        static getAddScoreBylen( len:number ):number{
            let score_ = 0
            for( let k = 1; k < g_snake_score_len_config.length; k++ ){
                if( len > g_snake_score_len_config[k - 1].len && len <= g_snake_score_len_config[k].len){
                    score_ = g_snake_score_len_config[k].score
                    break
                }
            }
            if(score_ == 0){
                score_ = g_snake_score_len_config[0].len * g_snake_score_len_config[0].score
            }
            return score_
        }
        static getScorebyLen(  curLen:number ):number{
            if(curLen <= g_snake_score_len_config[0].len){
                return g_snake_score_len_config[0].len * g_snake_score_len_config[0].score
            }
            let newScore = 0
            if(curLen > g_snake_score_len_config[0].len && curLen <= g_snake_score_len_config[1].len ){
                newScore = g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    (curLen - g_snake_score_len_config[0].len) * g_snake_score_len_config[1].score
            }
            else if ( curLen > g_snake_score_len_config[1].len && curLen <= g_snake_score_len_config[2].len ){
                newScore =
                    g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    g_snake_score_len_config[1].score * (g_snake_score_len_config[1].len - g_snake_score_len_config[0].len) +
                    g_snake_score_len_config[2].score * (curLen - g_snake_score_len_config[1].len)
            }
            else if( curLen > g_snake_score_len_config[2].len && curLen <= g_snake_score_len_config[3].len ){
                newScore =
                    g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    g_snake_score_len_config[1].score * (g_snake_score_len_config[1].len - g_snake_score_len_config[0].len)  +
                    g_snake_score_len_config[2].score * (g_snake_score_len_config[2].len - g_snake_score_len_config[1].len)  +

                    g_snake_score_len_config[3].score * (curLen - g_snake_score_len_config[2].len)
            }
            else if( curLen > g_snake_score_len_config[3].len && curLen <= g_snake_score_len_config[4].len ){
                newScore =
                    g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    g_snake_score_len_config[1].score * (g_snake_score_len_config[1].len - g_snake_score_len_config[0].len)  +
                    g_snake_score_len_config[2].score * (g_snake_score_len_config[2].len - g_snake_score_len_config[1].len)  +
                    g_snake_score_len_config[3].score * (g_snake_score_len_config[3].len - g_snake_score_len_config[2].len)  +

                    g_snake_score_len_config[4].score * (curLen -g_snake_score_len_config[3].len)
            }
            else if( curLen > g_snake_score_len_config[4].len && curLen <= g_snake_score_len_config[5].len ){
                newScore =
                    g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    g_snake_score_len_config[1].score * (g_snake_score_len_config[1].len - g_snake_score_len_config[0].len) +
                    g_snake_score_len_config[2].score * (g_snake_score_len_config[2].len - g_snake_score_len_config[1].len) +
                    g_snake_score_len_config[3].score * (g_snake_score_len_config[3].len - g_snake_score_len_config[2].len) +
                    g_snake_score_len_config[4].score * (g_snake_score_len_config[4].len - g_snake_score_len_config[3].len) +

                    g_snake_score_len_config[5].score * (curLen  - g_snake_score_len_config[4].len)
            }
            else if( curLen > g_snake_score_len_config[5].len && curLen <= g_snake_score_len_config[6].len ){
                newScore =
                    g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    g_snake_score_len_config[1].score * (g_snake_score_len_config[1].len - g_snake_score_len_config[0].len) +
                    g_snake_score_len_config[2].score * (g_snake_score_len_config[2].len - g_snake_score_len_config[1].len) +
                    g_snake_score_len_config[3].score * (g_snake_score_len_config[3].len - g_snake_score_len_config[2].len) +
                    g_snake_score_len_config[4].score * (g_snake_score_len_config[4].len - g_snake_score_len_config[3].len) +
                    g_snake_score_len_config[5].score * (g_snake_score_len_config[5].len - g_snake_score_len_config[4].len) +

                    g_snake_score_len_config[6].score * (curLen - g_snake_score_len_config[5].len)
            }
            else if( curLen > g_snake_score_len_config[6].len && curLen <= g_snake_score_len_config[7].len ){
                newScore =
                    g_snake_score_len_config[0].score * g_snake_score_len_config[0].len +
                    g_snake_score_len_config[1].score * (g_snake_score_len_config[1].len - g_snake_score_len_config[0].len) +
                    g_snake_score_len_config[2].score * (g_snake_score_len_config[2].len - g_snake_score_len_config[1].len) +
                    g_snake_score_len_config[3].score * (g_snake_score_len_config[3].len - g_snake_score_len_config[2].len) +
                    g_snake_score_len_config[4].score * (g_snake_score_len_config[4].len - g_snake_score_len_config[3].len) +
                    g_snake_score_len_config[5].score * (g_snake_score_len_config[5].len - g_snake_score_len_config[4].len) +
                    g_snake_score_len_config[6].score * (g_snake_score_len_config[6].len - g_snake_score_len_config[5].len) +

                    g_snake_score_len_config[7].score * (curLen -  g_snake_score_len_config[6].len)
            }
            return newScore
        }
        static getLenbyScore( score_:number ):number{
            if( score_ < g_snake_score_len_config[0].score * g_snake_score_len_config[0].len){
                return 1
            }
            let len = g_snake_score_len_config[0].len
            score_ -= g_snake_score_len_config[0].score * g_snake_score_len_config[0].len
            for( let k = 1; k < g_snake_score_len_config.length;k++){
                if( score_ >= g_snake_score_len_config[k].score *  (g_snake_score_len_config[k].len - g_snake_score_len_config[k - 1].len)){
                    len += (g_snake_score_len_config[k].len - g_snake_score_len_config[k - 1].len)
                    score_ -= g_snake_score_len_config[k].score *  (g_snake_score_len_config[k].len - g_snake_score_len_config[k - 1].len)
                }else{
                    while ( score_ > 0){
                        ++len
                        score_ -= g_snake_score_len_config[k].score
                    }
                    break
                }
            }
            return Math.floor(len)
        }
    }
    export let g_snake_len_Config = [
        {len :1 , scale:0.30 },
       {len :10, scale:0.30 },
       {len :20, scale:0.32 },
        {len :25, scale:0.33 },
       {len :30, scale:0.34 },
       {len :40, scale:0.35 },
       {len :60, scale:0.36 },
        {len :100, scale:0.37 },
        {len :180, scale:0.38},
        {len :250, scale:0.39 },
        {len :400, scale:0.40 },
        {len :650, scale:0.41 },
        {len :1000, scale:0.41 },
        {len :1000000, scale:0.43 },  //最后一项不能改
    ]
}