/**
 * Created by w on 2017/4/5.
 */
module game{
    export enum e_food_Type{
        duozi1,
        duozi2,
        duozi3,
        duozi4,
        duozi5,
        duozi6,
        duozi7,

        cheng,
        hong,
        huang,
        lv,
        nan,
        zi,
        zi1,
    }
    export let g_energy_config = {
        food_number:400,        //屏幕上的总食物限制
        unitSize:20,  //每个碰撞格子大小
        updateTime:1, //能量刷新时间
        FadeIn_Time: 0.5,//死亡后逗子渐入时间
        bigFood_Prog:10,    //大豆子刷新概率  百分之
        //foodimg:"xingjietanshishe/big/food/food.png"
        foodimg:[
            {type:e_food_Type.duozi1,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi1.png"},
            {type:e_food_Type.duozi2,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi2.png"},
            {type:e_food_Type.duozi3,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi3.png"},
            {type:e_food_Type.duozi4,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi4.png"},
            {type:e_food_Type.duozi5,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi5.png"},
            {type:e_food_Type.duozi6,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi6.png"},
            {type:e_food_Type.duozi7,score:1,scale:1.1,img:"xingjietanshishe/big/food/duozi7.png"},

            {type:e_food_Type.cheng,score:4,scale:0.8,img:"xingjietanshishe/big/food/cheng.png"},
            {type:e_food_Type.hong,score:4,scale:0.8,img:"xingjietanshishe/big/food/hong.png"},
            {type:e_food_Type.huang,score:4,scale:0.8,img:"xingjietanshishe/big/food/huang.png"},
            {type:e_food_Type.lv,score:4,scale:0.8,img:"xingjietanshishe/big/food/lv.png"},
            {type:e_food_Type.nan,score:4,scale:0.8,img:"xingjietanshishe/big/food/nan.png"},
            {type:e_food_Type.zi,score:4,scale:0.8,img:"xingjietanshishe/big/food/zi.png"},
            {type:e_food_Type.zi1,score:4,scale:0.8,img:"xingjietanshishe/big/food/zi1.png"},
        ],
    }
    export function  getFoodConfigByType( type: e_food_Type ){
        for(let k = 0; k < g_energy_config.foodimg.length;k++){
            if(g_energy_config.foodimg[k].type == type){
                return g_energy_config.foodimg[k]
            }
        }
        return null
    }
    export function  getSmallFood_Rand(){
        return g_energy_config.foodimg[Math.floor(Math.random()* 6.9)]
    }
    export function  getBigFood_Rand(){
        return g_energy_config.foodimg[Math.floor(Math.random()* 6.9) + 7 ]
    }
}