// 定时器
// 不能用于一次性定时器 退出必须调用shutdown
module game {
    export class baseTime extends EventEmitter {
        m_loopTime: any = 1000 * 0.016666;
        m_cur_time: any = null;
        m_Interval_id: any = -1;

        constructor() {
            super();
        }

        init(_loop, IntervalTime) {
            if (this.m_Interval_id != -1) {
                return;
            }
            this.m_loopTime = IntervalTime * 1000;
            this.m_cur_time = Date.now();
            this.m_Interval_id = setInterval(this.loop.bind(this), this.m_loopTime);
            this.on('loop', _loop);
            this.loop.bind(this);
        }

        shutdown() {
            clearInterval(this.m_Interval_id);
            this.m_Interval_id = -1;
        }

        loop() {
            let nowtime = Date.now();
            let t = nowtime - this.m_cur_time;
            this.m_cur_time = nowtime;
            let elapsed = t / 1000;
            this.emit("loop", elapsed);
        }
    }
    export class timingControl extends game.baseTime {

    }
}