//
var game;
(function (game) {
    var g_LEFT_RIGHT_JIANGE = 0;
    var cameraMgr = (function () {
        function cameraMgr() {
            this.m_speed = 0;
            this.m_speed_max = 100;
            this.m_rect = cc.rect();
            this.m_Min_pos = cc.p(0, 0);
            this.m_Max_pos = cc.p(3000, 3000);
            this.m_Top_val = 0;
            this.m_StartPosition = cc.p(0, 0);
            this.m_shakeTime = 0;
            this.m_shake_fudu = 0;
            this.m_curMoveAction = null;
        }
        cameraMgr.prototype.initex = function () {
            this.m_speed = this.m_speed_max; //
        };
        cameraMgr.prototype.reset = function (playPos) {
            var visibleSize = cc.director.getVisibleSize();
            var newpos_x = 0;
            var tt = game.roleMgr.getMe().getControlPlayer().getCurStateType();
            if (tt == game.g_AiType.g_AiType_dead) {
                return;
            }
            var Player_dir = game.roleMgr.getMe().getControlPlayer().getRunDir();
            if (Player_dir.x > 0) {
                newpos_x = game.VisibleRect.center().x - playPos.x - g_LEFT_RIGHT_JIANGE;
            }
            else {
                newpos_x = game.VisibleRect.center().x - playPos.x + g_LEFT_RIGHT_JIANGE;
            }
            if (newpos_x < -(this.m_Max_pos.x) + visibleSize.width) {
                newpos_x = -(this.m_Max_pos.x) + visibleSize.width;
            }
            if (newpos_x > -this.m_Min_pos.x) {
                newpos_x = -this.m_Min_pos.x;
            }
            game.sceneMgr.getMe().setPositionX(newpos_x);
            var angle = game.roleMgr.getMe().getControlPlayer().m_roledir * 100;
            var newpos_y = 0;
            if (1) {
                var newAngle = -angle + 150;
                newpos_y = -playPos.y + newAngle;
                newpos_y += this.m_Top_val;
            }
            if (newpos_y < -(this.m_Max_pos.y) + visibleSize.height) {
                newpos_y = -(this.m_Max_pos.y) + visibleSize.height;
            }
            if (newpos_y > this.m_Min_pos.y) {
                newpos_y = this.m_Min_pos.y;
            }
            game.sceneMgr.getMe().setPositionY(newpos_y);
        };
        cameraMgr.prototype.title = function () {
            return "cameraMgr";
        };
        cameraMgr.prototype.loop = function (t) {
            //return
            if (this.m_shakeTime > 0) {
                this.updata_Shake(t);
                return;
            }
            if (game.roleMgr.getMe() == null || game.roleMgr.getMe().getControlPlayer() == null) {
                return;
            }
            var tt = game.roleMgr.getMe().getControlPlayer().getCurStateType();
            if (tt == game.g_AiType.g_AiType_dead) {
                return;
            }
            var playerPos = game.roleMgr.getMe().getControlPlayer().m_head.getPos();
            var Player_dir = game.roleMgr.getMe().getControlPlayer().getRunDir();
            if (Player_dir.x > 0) {
                var newpos_x = game.VisibleRect.center().x / game.rootScene.getMe().m_win_scale - playerPos.x - g_LEFT_RIGHT_JIANGE;
                newpos_x = this.loop_h_move(t, newpos_x);
                this.loop_smoothX(t, newpos_x);
            }
            else {
                var newpos_x = game.VisibleRect.center().x / game.rootScene.getMe().m_win_scale - playerPos.x + g_LEFT_RIGHT_JIANGE;
                newpos_x = this.loop_h_move(t, newpos_x);
                this.loop_smoothX(t, newpos_x);
            }
            if (Player_dir.y > 0) {
                var newpos_y = game.VisibleRect.center().y / game.rootScene.getMe().m_win_scale - playerPos.y - g_LEFT_RIGHT_JIANGE;
                newpos_y = this.loop_w_move(t, newpos_y);
                this.loop_smoothY(t, newpos_y);
            }
            else {
                var newpos_y = game.VisibleRect.center().y / game.rootScene.getMe().m_win_scale - playerPos.y + g_LEFT_RIGHT_JIANGE;
                newpos_y = this.loop_w_move(t, newpos_y);
                this.loop_smoothY(t, newpos_y);
            }
        };
        //光滑处理
        cameraMgr.prototype.loop_smoothX = function (t, newpos_x) {
            //
            var speedmove = 1000 * game.rootScene.getMe().m_win_scale;
            var pos = game.sceneMgr.getMe().getPosition();
            var newpos = cc.p(newpos_x, pos.y);
            var dis = cc.pDistance(pos, newpos);
            var needt = dis / speedmove;
            needt = Math.min(needt, 0.3);
            game.sceneMgr.getMe().setPositionX(newpos_x);
            return;
        };
        cameraMgr.prototype.loop_smoothY = function (t, newpos_y) {
            //
            var speedmove = 1000 * game.rootScene.getMe().m_win_scale;
            var pos = game.sceneMgr.getMe().getPosition();
            var newpos = cc.p(pos.x, newpos_y);
            var dis = cc.pDistance(pos, newpos);
            var needt = dis / speedmove;
            needt = Math.min(needt, 0.3);
            game.sceneMgr.getMe().setPositionY(newpos_y);
            return;
        };
        cameraMgr.prototype.stopMove = function (node) {
            game.sceneMgr.getMe().stopAction(this.m_curMoveAction);
            this.m_curMoveAction = null;
        };
        cameraMgr.prototype.loop_h_move = function (t, newpos_x) {
            //
            var visibleSize = cc.director.getVisibleSize();
            var sc_pos = game.sceneMgr.getMe().getPositionX() * game.sceneMgr.getMe().getCurScene().getsceneReScale();
            var dis = sc_pos - newpos_x;
            var movedis = (dis / 130) * (this.m_speed + game.roleMgr.getMe().getControlPlayer().getCurWalkSpeed() * 20) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_x = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_x = sc_pos + movedis;
                }
            }
            newpos_x = newpos_x * game.rootScene.getMe().m_win_scale;
            var maxcamera = -((this.m_Max_pos.x) * game.rootScene.getMe().m_win_scale) + visibleSize.width;
            var mincamera = -(this.m_Min_pos.x) * game.rootScene.getMe().m_win_scale;
            if (newpos_x < maxcamera) {
                newpos_x = maxcamera;
                return newpos_x;
            }
            if (newpos_x > mincamera) {
                newpos_x = mincamera;
                return newpos_x;
            }
            return newpos_x;
        };
        cameraMgr.prototype.loop_w_move = function (t, newpos_y) {
            //
            var visibleSize = cc.director.getVisibleSize();
            var sc_pos = game.sceneMgr.getMe().getPositionY() * game.sceneMgr.getMe().getCurScene().getsceneReScale();
            var dis = sc_pos - newpos_y;
            var movedis = (dis / 130) * (this.m_speed + game.roleMgr.getMe().getControlPlayer().getCurWalkSpeed() * 20) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_y = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_y = sc_pos + movedis;
                }
            }
            newpos_y = newpos_y * game.rootScene.getMe().m_win_scale;
            var maxcamera = -((this.m_Max_pos.y) * game.rootScene.getMe().m_win_scale) + visibleSize.height;
            var mincamera = -(this.m_Min_pos.y) * game.rootScene.getMe().m_win_scale;
            if (newpos_y < maxcamera) {
                newpos_y = maxcamera;
                return newpos_y;
            }
            if (newpos_y > mincamera) {
                newpos_y = mincamera;
                return newpos_y;
            }
            return newpos_y;
        };
        cameraMgr.prototype.fgRangeRand = function (min, max) {
            var rnd = (cc.random0To1() * max * 2) - max;
            return rnd * (max - min) + min;
        };
        cameraMgr.prototype.updata_Shake = function (t) {
            //
            this.m_shakeTime -= t;
            if (this.m_shakeTime <= 0) {
                this.end_Shake();
                return;
            }
            var randx = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            var randy = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            var newPos = cc.pAdd(this.m_StartPosition, cc.p(randx, randy));
            var visibleSize = cc.director.getVisibleSize();
            if (newPos.y < -(this.m_Max_pos.y * game.rootScene.getMe().m_win_scale) + visibleSize.height) {
                newPos.y = -(this.m_Max_pos.y * game.rootScene.getMe().m_win_scale) + visibleSize.height;
            }
            if (newPos.y > this.m_Min_pos.y * game.rootScene.getMe().m_win_scale) {
                newPos.y = this.m_Min_pos.y * game.rootScene.getMe().m_win_scale;
            }
            if (newPos.x < -(this.m_Max_pos.x * game.rootScene.getMe().m_win_scale) + visibleSize.width) {
                newPos.x = -(this.m_Max_pos.x * game.rootScene.getMe().m_win_scale) + visibleSize.width;
            }
            if (newPos.x > -this.m_Min_pos.x * game.rootScene.getMe().m_win_scale) {
                newPos.x = -this.m_Min_pos.x * game.rootScene.getMe().m_win_scale;
            }
            game.sceneMgr.getMe().setPosition(newPos);
        };
        cameraMgr.prototype.start_Shake = function (shakeTime, shakelevel) {
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = game.sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = shakeTime;
            this.m_shake_fudu = shakelevel;
        };
        cameraMgr.prototype.start_Shake_mid = function () {
            //
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = game.sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = 0.1;
            this.m_shake_fudu = 10;
        };
        cameraMgr.prototype.end_Shake = function () {
            //
            game.sceneMgr.getMe().setPosition(this.m_StartPosition);
        };
        cameraMgr.prototype.cutMinCamera = function () {
            var sc_pos = game.sceneMgr.getMe().getPositionX() * game.sceneMgr.getMe().getCurScene().getsceneReScale();
            if (this.m_Min_pos.x < -sc_pos) {
                this.m_Min_pos.x = -sc_pos;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
        };
        cameraMgr.prototype.setRect = function (rect) {
            //
            this.m_Min_pos.x = cc.rectGetMinX(rect); // rect.getMinX();//  m_SceneInfo.min_camera_x;
            this.m_Min_pos.y = cc.rectGetMinY(rect); //rect.getMinY(); // m_SceneInfo.min_camera_y;
            this.m_Max_pos.x = cc.rectGetMaxX(rect); //rect.getMaxX();// m_SceneInfo.max_camera_x;
            if (game.sceneMgr.getMe().getCurSceneInfo().max_camera_x < this.m_Max_pos.x) {
                this.m_Max_pos.x = game.sceneMgr.getMe().getCurSceneInfo().max_camera_x;
            }
            this.m_Max_pos.y = cc.rectGetMaxY(rect); //rect.getMaxY(); //
            if (game.sceneMgr.getMe().getCurSceneInfo().max_camera_y < this.m_Max_pos.y) {
                this.m_Max_pos.y = game.sceneMgr.getMe().getCurSceneInfo().max_camera_y;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
            //this.m_rect.x = this.m_rect.x + 100;
            //this.m_rect.width = this.m_rect.width - 200;
            //this.m_Max_pos.x -= 200
            //this.m_Min_pos.x +=  100
        };
        cameraMgr.prototype.getRect = function () {
            var newrect = cc.clone(this.m_rect);
            // * sceneMgr.getMe().getCurScene().getsceneReScale()
            newrect.x = newrect.x + 100;
            newrect.width = newrect.width - 200;
            return newrect;
        };
        cameraMgr.prototype.getRectMinPos = function () {
            var l_rect = cameraMgr.getMe().getRect();
            var pos = cc.p(); //
            pos.x = cc.rectGetMidX(l_rect);
            pos.y = cc.rectGetMidY(l_rect);
            return pos;
        };
        //////////////////////////////////////////////////////////////////////////
        cameraMgr.prototype.getCameraRect_Small_half = function (p_Spine_base) {
            var newrect = cc.clone(this.m_rect);
            newrect.x = newrect.x;
            newrect.width = newrect.width;
            return newrect;
            //return this.m_rect;
        };
        cameraMgr.g_insta = null;
        cameraMgr.getMe = function () {
            return cameraMgr.create();
        };
        cameraMgr.create = function () {
            if (cameraMgr.g_insta == null) {
                cameraMgr.g_insta = new cameraMgr();
                return cameraMgr.g_insta;
            }
            else {
                return cameraMgr.g_insta;
            }
        };
        return cameraMgr;
    }());
    game.cameraMgr = cameraMgr;
})(game || (game = {}));
//# sourceMappingURL=cameraMgr.js.map 
//# sourceMappingURL=cameraMgr.js.map