var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//------------------------------------------------------------------
//
// Keyboard  键盘管理
//
//------------------------------------------------------------------
var game;
(function (game) {
    var KeyboardMgr = (function (_super) {
        __extends(KeyboardMgr, _super);
        function KeyboardMgr() {
            _super.call(this);
            this.init();
        }
        KeyboardMgr.getMe = function () {
            if (game.KeyboardMgr.g_KeyboardMgr == null) {
                game.KeyboardMgr.g_KeyboardMgr = new game.KeyboardMgr();
                return game.KeyboardMgr.g_KeyboardMgr;
            }
            else {
                return game.KeyboardMgr.g_KeyboardMgr;
            }
        };
        ;
        KeyboardMgr.prototype.init = function () {
            _super.prototype.init.call(this);
            console.log("KEYBOARD init");
            if ('keyboard' in cc.sys.capabilities) {
                cc.eventManager.addListener({
                    event: cc.EventListener.KEYBOARD,
                    onKeyPressed: function (keycode, event) {
                        // console.log("KEYBOARD onKeyPressed:" + keycode);
                        var ret = KeyboardMgr.getMe().onKeyPressed(keycode);
                        if (ret == false) {
                            if (game.ui_fight.getMe()) {
                                game.ui_fight.getMe().onKeyPressed(keycode);
                            }
                            game.uiMgr.getMe().onKeyPressed(keycode);
                        }
                    },
                    onKeyReleased: function (keycode, event) {
                        //console.log("KEYBOARD onKeyReleased:" + keycode);
                        if (game.ui_fight.getMe()) {
                            game.ui_fight.getMe().onKeyReleased(keycode);
                        }
                        game.uiMgr.getMe().onKeyReleased(keycode);
                    }
                }, this.getNode());
            }
            else {
                console.log("KEYBOARD Not supported");
            }
        };
        KeyboardMgr.prototype.onKeyPressed = function (keycode) {
            game.testKey.getMe().onKeyPressed(keycode);
            return false;
        };
        KeyboardMgr.prototype.onKeyReleased = function (keycode) {
            game.testKey.getMe().onKeyPressed(keycode);
            return false;
        };
        KeyboardMgr.prototype.subtitle = function () {
            return "Keyboard test. Press keyboard and see console";
        };
        KeyboardMgr.prototype.loop = function (t) {
        };
        KeyboardMgr.g_KeyboardMgr = null;
        return KeyboardMgr;
    }(game.xjLayer));
    game.KeyboardMgr = KeyboardMgr;
})(game || (game = {}));
//# sourceMappingURL=KeyboardMgr.js.map 
//# sourceMappingURL=KeyboardMgr.js.map