// 公用函数库
//
module game {

  export  var assertNull = function (val, text) {
        if (val == null) {
            game.uiMgr.getMe().show_ui_MessageBox(true, text);
        }
    };
    export  var publicGetMe = function (handleMgr) {
        if (handleMgr.g_instance == null) {
            handleMgr.g_instance = new handleMgr();
            return handleMgr.g_instance;
        }
        else {
            return handleMgr.g_instance;
        }
    };


//从 minnum  与 mxnnum 之间 抽出 1个数
    export var public_rand_num = function (minnum, maxnum) {
        var in_array = new Array();
        for (var i = minnum; i <= maxnum; ++i) {
            in_array.push(i);
        }
        var ret = public_rand_array(in_array, 1);
        return ret[0];
    };
//从Array 中抽出几个东西
    export  var public_rand_array = function (in_array, num) {
        if (in_array.length == 0) {
            return null;
        }
        var ret = new Array();
        while (ret.length < num) {
            var id = Math.random() * in_array.length;
            id = Math.floor(id);
            ret.push(in_array[id]);
        }
        return ret;
    };

    export class funcMgr {
        g_funcMgr:any = null;
        //距离
        float_dis(src, des) {
            var x = parseFloat(src);
            var y = parseFloat(des);
            if (x > y) {
                return x - y;
            }
            return y - x;
        }

        //Min <= rand <= Max
        randFromBothNum(Min, Max) {
            var Range = Max - Min;
            var Rand = Math.random();
            var num = Min + Math.round(Rand * Range);
            return num;
        }

        randFromGameMap(maplist, num) {
            var datalist = new Array();
            for (var i = 0; i < maplist.size(); ++i) {
                datalist[i] = maplist.getData(i);
            }
            return this.randFormList(datalist, num);
        }

        randFromObject(obj, num) {
            var datalist = new Array();
            for (var p in obj) {
                datalist.push(p);
            }
            var len = datalist.length;
            if (len < num) {
                return null;
            }

            let copyinlist : Array<any> = cc.clone(datalist);
            let ret = new Array();
            while (ret.length < num) {
                var rend = cc.random0To1() * copyinlist.length;
                var addCound = 0;
                for (var i = 0; i < copyinlist.length; ++i) {
                    if (addCound < rend && rend < i + 1) {
                        addCound = i;
                        break;
                    }
                }
                ret.push(copyinlist[addCound]);
                copyinlist.splice(addCound, 1);
            }
            return ret;
        }

        // 从列表中随机抽出num个
        //inlist Object
        randFormList(inlist, num) {
            if (typeof inlist !== "object") {
                return null;
            }
            var len = inlist.length;
            if (len < num) {
                return null;
            }
            var copyinlist = cc.clone(inlist);
            var ret = new game.MapGame();
            while (ret.size() < num) {
                var rend = cc.random0To1() * copyinlist.length;
                var addCound = 0;
                for (var i = 0; i < copyinlist.length; ++i) {
                    if (addCound < rend && rend < i + 1) {
                        addCound = i;
                        break;
                    }
                }
                ret.put(ret.size(), copyinlist[addCound]);
                copyinlist.splice(addCound, 1);
            }
            return ret;
        }

        //判断js对象是否相等
        isObjectValueEqual(a, b) {
            // Of course, we can do it use for in
            // Create arrays of property names
            if (b == null) {
                return false;
            }
            if (a == null) {
                return false;
            }
            var aProps = Object.getOwnPropertyNames(a);
            var bProps = Object.getOwnPropertyNames(b);
            // If number of properties is different,
            // objects are not equivalent
            if (aProps.length != bProps.length) {
                return false;
            }
            for (var i = 0; i < aProps.length; i++) {
                var propName = aProps[i];
                // If values of same property are not equal,
                // objects are not equivalent
                if (a[propName] !== b[propName]) {
                    return false;
                }
            }
            // If we made it this far, objects
            // are considered equivalent
            return true;
        }
        static g_funcMgr:any = null;
        static getMe = function () {
            return funcMgr.create();
        };
        static create = function () {
            if (funcMgr.g_funcMgr == null) {
                funcMgr.g_funcMgr = new funcMgr();
                return funcMgr.g_funcMgr;
            }
            else {
                return funcMgr.g_funcMgr;
            }
        };

        setPaokouAngle(role,degress){
            if (role.getDir() == -1) {

                if(degress < 225 && degress > 135){
                    role.m_SpineNode.SetBoneRotation("bone6",135);
                }else if(degress < 15 && degress > -90){
                    role.m_SpineNode.SetBoneRotation("bone6",15);
                }
            } else {
                degress = -degress;
                if(degress < -135 && degress > -225){
                    role.m_SpineNode.SetBoneRotation("bone6",-135);
                }else if(degress < 90 && degress > -15){
                    role.m_SpineNode.SetBoneRotation("bone6",-15);
                }
            }
            return degress;
        }

        getNearEnemy(role) {
            if (role.getDir() == 1) { // 向右打
                return this.getRightNearEnemy(role);
            }
            return this.getLeftNearEnemy(role);
        }

        getLeftNearEnemy(role) {
            let enemy = null;
            let map = roleMgr.getMe().getMonsterAlive();
            if (map.size() == 0) return null;
            let pos = role.getPosition();
            for (let i = 0; i < map.size(); ++i) {
                let data = map.getData(i);
                if (data && !data.isdead()) {
                    let x = data.getPosition().x;
                    let range = DataMgr.getMe().getAttRange(role.getName());
                    if (x < pos.x && x >= x - range) {
                        if (enemy == null) {
                            enemy = data;
                        } else {
                            let l = cc.pDistance(pos,data.getPosition());
                            let l2 = cc.pDistance(pos,enemy.getPosition());
                            if (l < l2) {
                            // if (x > enemy.getPosition().x) {
                                enemy = data;
                            }
                        }
                    }

                    // let pos2 = data.getPosition();
                    // let length = cc.pDistance(pos,pos2);
                    // let range = DataMgr.getMe().getAttRange(role.getName());
                    // if (pos2.x < pos.x && length < range) {
                    //     if (enemy == null) {
                    //         enemy = data;
                    //     } else {
                    //         let l = cc.pDistance(pos,enemy.getPosition());
                    //         if (length > l) {
                    //             enemy = data;
                    //         }
                    //     }
                    // }
                }
            }
            return enemy;
        }

        getRightNearEnemy(role) {
            let enemy = null;
            let map = roleMgr.getMe().getMonsterAlive();
            if (map.size() == 0) return null;
            let pos = role.getPosition();
            for (let i = 0; i < map.size(); ++i) {
                let data = map.getData(i);
                if (data && !data.isdead()) {
                    let x = data.getPosition().x;
                    let range = DataMgr.getMe().getAttRange(role.getName());
                    if (pos.x < x && x <= range + x) {
                        if (enemy == null) {
                            enemy = data;
                        } else {
                            let l = cc.pDistance(pos,data.getPosition());
                            let l2 = cc.pDistance(pos,enemy.getPosition());
                            if (l < l2) {
                            // if (x < enemy.getPosition().x) {
                                enemy = data;
                            }
                        }
                    }

                    // let pos2 = data.getPosition();
                    // let length = cc.pDistance(pos,pos2);
                    // let range = DataMgr.getMe().getAttRange(role.getName());
                    // if (pos2.x > pos.x && length < range) {
                    //     if (enemy == null) {
                    //         enemy = data;
                    //     } else {
                    //         let l = cc.pDistance(pos,enemy.getPosition());
                    //         if (length > l) {
                    //             enemy = data;
                    //         }
                    //     }
                    // }
                }
            }
            return enemy;
        }

        static gfunc_removeMem(sceneType) {
        //console.log("删除无用内存！");
        if (cc.sys.isNative) {
            console.log("删除无用内存！start");
            // cc.textureCache.removeUnusedTextures();
            // cc.sys.garbageCollect();
            if (sceneType == g_SceneType.SceneType_login) {
                js_GameLogicMgr.getMe().removeAllSpineMem();
            }
            console.log("删除无用内存！end");
        }
    };

    }


// var g_log = true;
// var g_logger = function (message) {
//     if (g_log) {
//         console.log(message);
//     }
// };
}
