var game;
(function (game) {
    var httpMgr = (function () {
        function httpMgr() {
            this.g_url_server_one = null;
            this.g_game_PrivateKey = null;
            this.m_baseNetMap = null;
            this.m_baseNetMap = new game.MapGame();
            this.m_baseNetMap.put(game.g_httpType.type_saveScore, new game.httpSaveScore());
            this.m_baseNetMap.put(game.g_httpType.type_getwujingRank, new game.httpGetWujingRank());
            this.m_baseNetMap.put(game.g_httpType.type_getxianshiRank, new game.httpGetXianshiRak());
            this.m_baseNetMap.put(game.g_httpType.type_getScoreList, new game.httpGetScoreList());
            this.m_baseNetMap.put(game.g_httpType.type_getGameData, new game.httpGetGameData());
            this.m_baseNetMap.put(game.g_httpType.type_saveGameData, new game.httpSaveGameData());
            this.m_baseNetMap.put(game.g_httpType.type_userAward, new game.httpUserAward());
            this.m_baseNetMap.put(game.g_httpType.type_serverTime, new game.httpServerTime());
            this.m_baseNetMap.put(game.g_httpType.type_getUserName, new game.httpgetUserName());
            this.m_baseNetMap.put(game.g_httpType.type_getwujingRankList, new game.httpGetWujingRankList());
            this.m_baseNetMap.put(game.g_httpType.type_getxianshiRankList, new game.httpGetXianshiRankList());
            this.m_baseNetMap.put(game.g_httpType.type_getxianshiScore, new game.httpGetXianshiScore());
            this.m_baseNetMap.put(game.g_httpType.type_getwujingScore, new game.httpGetWujingScore());
            this.m_baseNetMap.put(game.g_httpType.type_setUserName, new game.httpsetUserName());
            this.m_baseNetMap.put(game.g_httpType.type_CDKEY, new game.httpgetAward());
        }
        httpMgr.prototype.init = function () {
            game.fileMgr.getMe().read_net_info();
            this.g_url_server_one = game.fileMgr.getMe().m_net_info["g_url_server_one"];
            this.g_game_PrivateKey = game.fileMgr.getMe().m_net_info["g_game_PrivateKey"];
        };
        httpMgr.prototype.sendMsg = function (type, data) {
            if (data === void 0) { data = null; }
            var obj = this.m_baseNetMap.getDataByKey(type);
            if (obj != null) {
                obj.onSendMsg(data);
            }
        };
        httpMgr.prototype.getBaseNet = function (type) {
            return this.m_baseNetMap.getDataByKey(type);
        };
        httpMgr.prototype.loop = function () {
            if (game.httpData.state.getRankList == 1 && game.httpData.state.getRankMine == 1) {
                //ui_jifenpaihang.ShowOrHide(true);
                game.httpData.state.getRankList = 0;
                game.httpData.state.getRankMine = 0;
            }
        };
        httpMgr.g_httpMgr = null;
        httpMgr.getMe = function () {
            return game.httpMgr.create();
        };
        httpMgr.create = function () {
            if (game.httpMgr.g_httpMgr == null) {
                game.httpMgr.g_httpMgr = new game.httpMgr();
                return game.httpMgr.g_httpMgr;
            }
            else {
                return game.httpMgr.g_httpMgr;
            }
        };
        return httpMgr;
    }());
    game.httpMgr = httpMgr;
})(game || (game = {}));
//# sourceMappingURL=httpMgr.js.map