/**
 * Created by cy1234 on 2016/4/29.
 */
//
module game {
    export class iapBase {
        m_shangpingid: any = -100;
        m_id: any = -100;
        m_item: any = null;
        m_succCallback: any = null;
        m_failCallback: any = null;

        constructor(succCallback, failCallback: any = null) {
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
        }

        init(id, shangpingid) {
            this.m_shangpingid = shangpingid;
            this.m_id = id;
            this.m_item = fileMgr.getMe().getShopInfoItem_byid(this.m_id);
            if (this.m_item == null) {
                this.m_item = fileMgr.getMe().getShopInfoItem_byTVid(this.m_shangpingid);
            }
        }

        buy(id, shangpingid) {
            this.init(id, shangpingid);
            js_GameLogicMgr.getMe().buy(this.m_shangpingid);
        }

        buycallback(isok, shangpingid) {
            if (isok) {
                js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                //DataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_playOnce("texiao_jiesuo_1.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                fileMgr.getMe().savePlayInfo();
            }
            else {
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        }
    }

    export class buyZuanSi extends iapBase {
        buycallback(isok, shangpingid) {
            if (isok) {
                js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                console.log(this.m_item.price_rmb+"......")
                //DataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_playOnce("texiao_jiesuo_1.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                // fileMgr.getMe().savePlayInfo();
            }
            else {
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        }
    }

    export class buyHero_three extends iapBase {
        buycallback(isok, shangpingid) {
            if (isok) {
                js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                //DataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_playOnce("texiao_jiesuo.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                // fileMgr.getMe().savePlayInfo();
            }
            else {
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        }
    }

    export class buy_power extends iapBase {
        buycallback(isok, shangpingid) {
            super.buycallback(isok, shangpingid);
        }
    }

    export class buy_resurrect extends iapBase {
        buycallback(isok, shangpingid) {
            if (isok) {
                js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                // fileMgr.getMe().savePlayInfo();
            }
            else {
                if (uiMgr.getMe()) {
                    uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        }
    }

    export class iapMgr {
        m_iapBase: iapBase = null;
        m_item: any = null;
        m_succCallback: any = null;
        m_failCallback: any = null;
        m_TVId_login: any = null;

        static g_ins: any = null;
        static getMe = function () {
            return iapMgr.create();
        };
        static create = function () {
            if (iapMgr.g_ins == null) {
                iapMgr.g_ins = new iapMgr();
                return iapMgr.g_ins;
            }
            else
                {
                return iapMgr.g_ins;
            }
        };

        constructor() {
            console.log("init iapMgr ctor");
        }

        init() {
            this.m_TVId_login = new MapGame();
            //this.m_TVId_login.put("tvp103011001","tvp103011001");
            console.log("init m_TVId_login!!");
            if (!cc.sys.isNative) {
                return;
            }
        }

        buy(id, succCallback, failCallback,text?) {
            this.m_item = fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            if (fileMgr.getMe().m_xiangsu_info["root"]["querenkuang"] == 1) {
                ui_pay_query.ShowOrHide(true, text, this.m_item.id, this.m_item.tvid);
            }
            else {
                this.buyEx();
            }
        }

        buy_noTip(id, succCallback, failCallback) {
            this.m_item = fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            this.buyEx();
        }

        buyEx() {
            if (this.m_item.type == "BUY_ZUANSI") {
                this.m_iapBase = new buyZuanSi(this.m_succCallback,this.m_failCallback);
            }
            // else if (this.m_item.type == "UNLOCK_HIGH") {
            //     this.m_iapBase = new buyHero_three(this.m_succCallback,this.m_failCallback);
            // }
            // else if (this.m_item.type == "BUYPOWER") {
            //     this.m_iapBase = new buy_power(this.m_succCallback,this.m_failCallback);
            // }
            // else if (this.m_item.type == "RESURRECT") {
            //     this.m_iapBase = new buy_resurrect(this.m_succCallback,this.m_failCallback);
            // }
            else {
                console.error("error iapmgr buy : ");
                return;
            }
            this.m_iapBase.buy(this.m_item.id, this.m_item.tvid);
        }

        buycallback(isok, shangpingid) {
            console.log("buycallback start: " + isok + ": " + shangpingid);
            if (iapMgr.getMe().m_iapBase == null) {
                //启动的时候
                iapMgr.getMe().m_TVId_login.put(shangpingid, shangpingid);
                console.log("buycallback 001: " + isok + ": " + shangpingid);
                return;
            }
            console.log("buycallback  002: " + isok + ": " + shangpingid);
            iapMgr.getMe().m_iapBase.buycallback(isok, shangpingid);
            iapMgr.getMe().m_iapBase = null;
        }

        loop(t) {
            if (this.m_TVId_login.getSize() > 0) {
                for (let i = 0; i < this.m_TVId_login.size(); ++i) {
                    let data = this.m_TVId_login.getData(i);
                    if (data == "tvp103021001") {
                        let iapBase = new buyZuanSi(null);
                        iapBase.init(data, data);
                        iapBase.buycallback(1, data);
                    }
                    if (data == "tvp103021002") {
                        let iapBase = new buyZuanSi(null);
                        iapBase.init(data, data);
                        iapBase.buycallback(1, data);
                    }
                    if (data == "tvp103021003") {
                        let iapBase = new buyZuanSi(null);
                        iapBase.init(data, data);
                        iapBase.buycallback(1, data);
                    }
                    // if (data == "tvp103019004") {
                    //     let iapBase = new buyZuanSi(null);
                    //     iapBase.init(data, data);
                    //     iapBase.buycallback(1, data);
                    // }
                }
                this.m_TVId_login.clear();
            }
        }

        useDiamondsDefaultLibao(succCallback, failCallback) {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                this.buy(8, succCallback, failCallback);
            }
            else {
                let maxprice = this.getMaxPrice();
                let chongzhiid = 5;
                for (let i = 5; i <= 8; ++i) {
                    let item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                this.buy(chongzhiid, succCallback, failCallback);
            }
        }

        getUseDiamondsDefaultLibao() {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                let item = fileMgr.getMe().getShopInfoItem_byid(8);
                return item.zuanshi;
            }
            else {
                let maxprice = this.getMaxPrice();
                let chongzhiid = 5;
                for (let i = 5; i <= 8; ++i) {
                    let item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                let item = fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.zuanshi;
            }
        }

        getDefaultDiamondsPrice() {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                let item = fileMgr.getMe().getShopInfoItem_byid(8);
                return item.price_rmb * 100 + "云币";
            }
            else {
                let maxprice = this.getMaxPrice();
                let chongzhiid = 5;
                for (let i = 5; i <= 8; ++i) {
                    let item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                let item = fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                if (fileMgr.getMe().m_xiangsu_info["root"]["version"] == "tianwei") {
                    return item.price_rmb * 10 + "V币";
                }
                else {
                    return item.price_rmb + "元";
                }
            }
        }

        useGoldDefaultLibao(succCallback, failCallback) {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                this.buy(4, succCallback, failCallback);
            }
            else {
                let maxprice = this.getMaxPrice();
                let chongzhiid = 1;
                for (let i = 1; i <= 4; ++i) {
                    let item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                this.buy(chongzhiid, succCallback, failCallback);
            }
        }

        getUseGoldDefaultLibao() {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                let item = fileMgr.getMe().getShopInfoItem_byid(4);
                return item.gold;
            }
            else {
                let maxprice = this.getMaxPrice();
                let chongzhiid = 1;
                for (let i = 1; i <= 4; ++i) {
                    let item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                let item = fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.gold;
            }
        }

        getDefaultGoldPrice() {
            if (fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                let item = fileMgr.getMe().getShopInfoItem_byid(4);
                return item.price_rmb * 100 + "云币";
            }
            else {
                let maxprice = this.getMaxPrice();
                let chongzhiid = 1;
                for (let i = 1; i <= 4; ++i) {
                    let item = fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                let item = fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                if (fileMgr.getMe().m_xiangsu_info["root"]["version"] == "tianwei") {
                    return item.price_rmb * 10 + "V币";
                }
                else {
                    return item.price_rmb + "元";
                }
            }
        }

        //获得当前渠道应许最高价格
        getMaxPrice() {
            if (!cc.sys.isNative) {
                return 3000;
            }
            return Number(js_GameLogicMgr.getMe().getData("iapMgr_getMaxPrice"));
        }

        //ott appid
        getGameId() {
            if (cc.sys.isNative) {
                return js_GameLogicMgr.getMe().getData("iapMgr_getGameId");
            }
            else {
                return fileMgr.getMe().m_net_info["g_gamaid"];
            }
        }

        //ott 渠道id
        getplatformId() {
            if (cc.sys.isNative) {
                return js_GameLogicMgr.getMe().getData("iapMgr_getplatformId");
            }
            else {
                return "1006";
            }
        }

        //Ott 用户id
        getaccount() {
            if (cc.sys.isNative) {
                return js_GameLogicMgr.getMe().getData("iapMgr_getaccount");
            }
            else {
                return "user101";
            }
        }
    }

}
//# sourceMappingURL=iapMgr.js.map