/**
 * Created by cy1234 on 2015/12/28.
 */
//   与c++ 交互的类
module game
{
    export  class  js_GameLogicMgr  {
        _js_GameLogic: any = null;
        m_shenjian_userid: any = 0;
        static   g_ins: js_GameLogicMgr = null;
       static getMe = function () {
        return js_GameLogicMgr.create();
    };
        static create = function () {
        if (js_GameLogicMgr.g_ins == null) {
            js_GameLogicMgr.g_ins = new js_GameLogicMgr();
            return js_GameLogicMgr.g_ins;
        }
        else {
            return js_GameLogicMgr.g_ins;
        }
    };
        init () {
            if (!cc.sys.isNative) {
                return;
            }
            this._js_GameLogic = new cc.GameLogic();
            rootScene.getMe().addChild(this._js_GameLogic);
            this._js_GameLogic.buycallback = iapMgr.getMe().buycallback;
            this._js_GameLogic.shenjian_sdk_login_callback = js_GameLogicMgr.getMe().shenjian_sdk_login_callback.bind(this);
            this._js_GameLogic.everyBack = js_GameLogicMgr.getMe().everyBack.bind(this);
            this._js_GameLogic.cdkeyBack = js_GameLogicMgr.getMe().cdkeyBack.bind(this);
            this._js_GameLogic.servertimeBack = js_GameLogicMgr.getMe().servertimeBack.bind(this);
            this._js_GameLogic.dataUser = js_GameLogicMgr.getMe().dataUser_callback.bind(this);
            this._js_GameLogic.projectjson_callback = js_GameLogicMgr.getMe().projectjson_callback.bind(this);
            this._js_GameLogic.exit = js_GameLogicMgr.getMe().exit.bind(this);
            this._js_GameLogic.onSocketGetMsg = js_GameLogicMgr.getMe().onSocketGetMsg.bind(this);
            this._js_GameLogic.savePlayInfo = fileMgr.getMe().savePlayInfo.bind(this);
            this._js_GameLogic.init();
            // console.log("iapMgr_getMaxPrice : "+ this.getData("iapMgr_getMaxPrice"));
            // this.buy(33); //test
            //this.cdkey("11");
        }
        every () {
            if (cc.sys.isNative) {
                this._js_GameLogic.every();
            }
        }

        removeAllSpineMem() {
            if (cc.sys.isNative) {
                this._js_GameLogic.removeAllSpineMem();
            }
        }

        loadSpineRes(res) {
            if (cc.sys.isNative) {
                let jsonname = "xingjietanshishe/big/spine/" + res + "/" + res + ".json";
                let atlasame = "xingjietanshishe/big/spine/" + res + "/" + res + ".atlas";
                this._js_GameLogic.loadSpineRes(jsonname, atlasame);
            }
        }
        sendSocketMsg (msg) {
            if (cc.sys.isNative) {
                this._js_GameLogic.sendSocketMsg(msg);
            }
        }
        getMac () {
            if (cc.sys.isNative) {
                let buff = this._js_GameLogic.getMac();
                let retlist = buff.split("#");
                // console.log(retlist[0]);
                return retlist[0];
            }
            else {
                return "mac_html5";
            }
        }
        //压缩
        gzcompress_base64 (data) {
            if (cc.sys.isNative) {
                let buff = this._js_GameLogic.gzcompress_base64(data);
                //buff = this.encode(buff);
                return buff;
            }
            else {
                return data;
            }
        }

        encode(string) {
            //alert(encodeURIComponent("+"));
            // "string".replace("+","%2b");
            string = lockString(string);//encodeURIComponent
            //console.log("encode :" + string);
            return string;
        }
        //解压
        gzdecompress_base64 (data) {
            if (cc.sys.isNative) {
                let buff = this._js_GameLogic.gzdecompress_base64(data);
                //buff = decode(buff);
                return buff;
            }
            else
                {
               // return this.decode(data);
            }
        }
        //重启游戏
        resetExe () {
            if (cc.sys.isNative) {
                this._js_GameLogic.resetExe();
            }
        }
        dataUser_callback (data) {
            if (cc.sys.isNative) {
                musicMgr.getMe().playData(data);
            }
        }
        projectjson_callback (filelist) {
            if (cc.sys.isNative) {
                fileMgr.getMe().saveProjectJson(filelist);
            }
        }
        shenjian_sdk_login_callback (userid, userid_two) {
            this.m_shenjian_userid = userid;
            console.log("js : shenjian_sdk_login_callback:  " + userid);
        }
        exit (val, val1) {
        }
        everyBack (everyjson, data1) {
            if (cc.sys.isNative) {
            }
        }
        servertime () {
            if (cc.sys.isNative) {
                this._js_GameLogic.servertime();
            }
        }
        servertimeBack (servertimejson) {
            if (cc.sys.isNative) {
            }
        }
        cdkey (cd_key_text) {
            if (cc.sys.isNative) {
                this._js_GameLogic.cdkey(cd_key_text);
            }
        }
        cdkeyBack (json) {
            if (cc.sys.isNative) {
                // cdkeyMgr.getMe().cdkeyBack(json);
            }
        }

        tvsdk_login_shouui() {
            if (cc.sys.isNative) {
                this._js_GameLogic.tvsdk_login_shouui();
            }
        }
        onSocketGetMsg (data) {
            if (cc.sys.isNative) {
            }
        }
        buy (id) {
            // if (fileMgr.getMe().m_xiangsu_info["root"]["apkFree"] == 1) {
            //     iapMgr.getMe().buycallback(1, id);
            // }
            // else
            if (cc.sys.isNative) {
                this._js_GameLogic.buy(id);
            }
            else {
                iapMgr.getMe().buycallback(0, id);
            }
        }
        pay (price) {
            if (cc.sys.isNative) {
                this._js_GameLogic.pay(price);
            }
        }
        sign (data) {
            if (!cc.sys.isNative) {
                return null;
            }
            return this._js_GameLogic.sign(data);
        }
        getData (key) {
            if (!cc.sys.isNative) {
                return null;
            }
            return this._js_GameLogic.getData(key);
        }
        loop (t) {
            if (!cc.sys.isNative) {
                return null;
            }
            this._js_GameLogic.loop(t);
        }
    }

}
//# sourceMappingURL=js_GameLogicMgr.js.map