/**
 * Created by w on 2017/4/10.
 */


//Node对象跟踪移动至baseobj对象坐标
module game{
    export class food_move{
        static creat( target:cc.Node , curobj:geziObj ):food_move{
            return new food_move(target , curobj )
        }
        m_target:cc.Node = null
        m_curobj:geziObj = null
        m_succeed:boolean = false
        m_score:number = 0
        constructor( target:cc.Node , nodeobj:geziObj ){
            this.m_target = target
            this.m_curobj = nodeobj
            this.m_score = nodeobj.getScore()
        }
        update( speed ){

            //目标失效的情况下
            if( this.m_curobj == null || this.m_target == null  || this.m_curobj.m_sprite == null ){
                this.m_succeed = true
                console.log("目标失效。。。。")
                return
            }

            let startPos = this.m_curobj.getPos()
            let endPos = this.m_target.getPosition()
            let len = cc.pDistance(startPos,endPos)
            if( len > this.m_target.getBoundingBox().width / 2 ){
                let moveDir = cc.pNormalize(cc.pSub(endPos , startPos))
                let newPos = cc.pAdd( startPos , cc.pMult(moveDir , speed * 2 ))
                this.m_curobj.m_sprite.setPosition( newPos )
            }
            else{
                this.m_succeed = true
            }
        }

    }
}