"use strict";
//怪物ai
module game {
    export class aiBase_monster extends aiBase {
        /**
         * @return {boolean}
         */
        update(dt) {
            //墙壁碰撞检测
            return true;
        }
    }
    //躲避
    export class monsterAi_elude extends aiBase_monster {
        m_time = 0
        m_angle = 0
        constructor(role) {
            super(role);
            this.m_time = g_AI_Config.monster_elude_time
            this.m_stateType = g_AiType.g_AiType_elude;
        }
        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {
            this.m_time = g_AI_Config.monster_elude_time
           // this.m_object_role.m_dir = cc.p( 0 , 0 )

            // this.m_object_role.setScale( 0.5 )
            super.InternalEvent(key, data);
            return true;
        }

        update(t) {
            let Angle = cc.pToAngle( this.m_object_role.m_dir )// / Math.PI * 180

            this.m_object_role.m_dir = cc.pForAngle( Angle -
                 (g_AI_Config.monster_elude_angle - Math.random() * 90) / (g_AI_Config.monster_elude_time / t ) * Math.PI / 180  )

            // let offsetAnale = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180
            // if(Math.abs(Angle - offsetAnale) > 10 ){
            //     console.log(this.m_object_role.getName()+"   躲避AI 当前角度：" + Angle/ Math.PI * 180)
            //     console.log(this.m_object_role.getName()+"   躲避AI 偏移角度：" + offsetAnale)
            // }

            this.m_time -= t
            if(this.m_time <= 0){
                this.m_object_role.changeState_Ex( g_AiType.g_AiType_chaos )
            }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //觅食
    export class monsterAi_findFood extends aiBase_monster {
        m_unitSize = 0
        m_findTime = 0
        m_FoodPos:cc.Vec2 = null
        m_FoodDir:cc.Vec2 = null
        constructor(role) {
            super(role);
            this.m_unitSize = g_energy_config.unitSize
            this.m_stateType = g_AiType.g_AiType_findFood;
        }

        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {
            this.m_FoodPos = null
            this.m_findTime = g_AI_Config.monster_findfood_time
            super.InternalEvent(key, data);
            return true;
        }
        findFood():boolean{
            let myPos = mapGezi.getMe().posUnit(this.m_object_role.getHeadPos())
            let minDistance = 1000
            // let foodNode:cc.Node = null
            for(let j = 0; j <= g_AI_Config.monster_findfood_deep * 2; j++ ) {
                let j_t = j
                if( j_t > g_AI_Config.monster_findfood_deep){
                    j_t = Math.min(j,g_AI_Config.monster_findfood_deep - j)
                }
                for(let k = 0; k <= g_AI_Config.monster_findfood_deep * 2; k++ ) {
                    let k_t = k
                    if( k_t > g_AI_Config.monster_findfood_deep){
                        k_t = Math.min(k,g_AI_Config.monster_findfood_deep - k)
                    }
                    let p = new cc.Vec2(myPos.x+ j_t * this.m_unitSize , myPos.y + k_t * this.m_unitSize)
                    let data:geziObj = mapGezi.getMe().getObjByPos(p)
                    if(data != null){
                        let foodAngle = cc.pToAngle( p ) / Math.PI * 180
                        let myAngle =  cc.pToAngle( this.m_object_role.m_dir ) / Math.PI * 180
                        if( Math.abs( foodAngle - myAngle ) <= g_AI_Config.EatFood_angle ){
                            let len = mathEx.getDistance(myPos,data.getPos())
                            if( len < minDistance){
                                this.m_FoodPos = data.getPos()
                                minDistance = len
                                // foodNode = data.m_sprite
                            }
                        }
                    }
                }
            }
            if(this.m_FoodPos){
                this.m_FoodDir = cc.pNormalize(cc.pSub(this.m_FoodPos ,this.m_object_role.getHeadPos()))
                // if(foodNode){
                //     foodNode.runAction(cc.fadeOut(0.2))
                // }
                return true
            }
            return false
        }
        update(t) {
            //有食物目标
            if(this.m_FoodPos){
                let len = mathEx.getDistance(this.m_FoodPos,this.m_object_role.getHeadPos())
                if(this.m_FoodDir.x != this.m_object_role.m_dir.x || this.m_FoodDir.y!= this.m_object_role.m_dir.y){
                    if( this.m_FoodDir.x > this.m_object_role.m_dir.x){
                        this.m_object_role.m_dir.x += 0.025
                    }else{
                        this.m_object_role.m_dir.x -= 0.025
                    }
                    if( this.m_FoodDir.y > this.m_object_role.m_dir.y){
                        this.m_object_role.m_dir.y += 0.025
                    }else{
                        this.m_object_role.m_dir.y -= 0.025
                    }
                }
                if(len < this.m_object_role.m_head.getradius() ){
                    this.m_FoodPos = null
                    this.m_FoodDir = null
                }
            }
            else{
                if(!this.findFood()){
                    this.m_findTime -= t
                    if(this.m_findTime <= 0){
                        this.m_object_role.changeState_Ex(g_AiType.g_AiType_chaos)
                    }
                }else{
                    this.m_findTime = g_AI_Config.monster_findfood_time
                }
            }

            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //混乱
    export class monsterAi_chaos extends aiBase_monster {
        m_time = 0
        m_T_time = 0
        m_randAngle = 0
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_chaos;
        }

        start(){
            this.m_randAngle = Math.random() * 2 > 1 ? 1 : -1
            //Math.min(Math.random() * (g_AI_Config.monster_chaos_angle * 2) - g_AI_Config.monster_chaos_angle + 90, 180)
            this.m_time = Math.random() * g_AI_Config.chaosTime
            this.m_T_time = this.m_time
        }
        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {
            if( Math.random() * 100 < 40){
                this.m_object_role.runSkill()
            }
            this.start()
            return super.InternalEvent(key, data);
        }
        update(t) {
            // let dir = roleMgr.getMe().getControlPlayer().m_dir
            // let Angle = cc.pToAngle(dir) / Math.PI * 180
            // roleMgr.getMe().getControlPlayer().m_dir = cc.pForAngle((Angle - g_player_Config.g_Control_angle )
            //     * Math.PI  / 180)
            this.m_time -= t
            let Angle = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180
            if( this.m_randAngle == -1){
                this.m_object_role.m_dir = cc.pForAngle((Angle - ( this.m_object_role.m_Control_angle + t * 100) ) * Math.PI  / 180)
            }else{
                this.m_object_role.m_dir = cc.pForAngle((Angle + (this.m_object_role.m_Control_angle  + t * 100) ) * Math.PI  / 180)
            }
            // let offsetAngle = Angle +  this.m_randAngle / (this.m_T_time / t)
            // this.m_object_role.m_dir = cc.pForAngle((offsetAngle) * Math.PI  / 180)


            if(this.m_time <= 0){
                this.m_object_role.changeState_Ex(g_AiType.g_AiType_findFood)

            }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //进攻
    export class monsterAi_jingong extends aiBase_monster {
        m_target:baseObj = null //目标
        m_posPoint:Array<cc.Vec2> = null //进攻路线
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_jingong;
        }
        compute(){
            this.m_posPoint.length = 0
            if(this.m_target == null){
                return
            }
        }
        findTar(){
            //寻找目标
        }
        setTarger(obj:baseObj){
            this.m_target = obj
        }
        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {

            super.InternalEvent(key, data);
            return true;
        }

        update(t) {
            return super.update(t);
        }
        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //逃逸 - 将要撞墙时
    export class monsterAi_taoyi extends aiBase_monster {
        m_time = 1
        m_angle = 0
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_taoyi;
        }

        ExternalEvent(key, data) {
            // if(this.m_time > 0){
            //     return false
            // }
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {
            this.m_time =  1
            //let dir = this.m_object_role.getRunDir()
            let pos = this.m_object_role.getHeadPos()
            if( pos.x < g_map_config.border_width * 2 ){
                this.m_angle = cc.pToAngle(cc.p(1 - Math.random() * 0.4,0))
            }
            else if( pos.x > g_map_config.map_width - g_map_config.border_width * 2 ){
                this.m_angle = cc.pToAngle(cc.p(-1 + Math.random() * 0.4,0))
            }

            if( pos.y < g_map_config.border_height * 2 ){
                this.m_angle = cc.pToAngle(cc.p( 0 ,1 - Math.random() * 0.4))
            }
            else if( pos.y > g_map_config.map_height - g_map_config.border_height * 2 ){
                this.m_angle = cc.pToAngle(cc.p( 0 ,-1 + Math.random() * 0.4))
            }

            //左下角
            if( pos.x < g_map_config.border_width * 2 && pos.y < g_map_config.border_height * 2 ){
                this.m_angle = cc.pToAngle(cc.p( 0.5 , 0.5 ))
            }
            //左上角
            if( pos.x < g_map_config.border_width * 2 && pos.y > g_map_config.map_height - g_map_config.border_height * 2 ){
                this.m_angle = cc.pToAngle(cc.p( 0.5 , - 0.5 ))
            }
            //右上角
            if( pos.x > g_map_config.map_width - g_map_config.border_width * 2 && pos.y > g_map_config.map_height - g_map_config.border_height * 2 ){
                this.m_angle = cc.pToAngle(cc.p( -0.5 , - 0.5 ))
            }
            //右下角
            if( pos.x > g_map_config.map_width - g_map_config.border_width * 2 && pos.y < g_map_config.border_height * 2 ){
                this.m_angle = cc.pToAngle(cc.p( -0.5 , 0.5 ))
            }

            let Angle = cc.pToAngle( this.m_object_role.m_dir )// / Math.PI * 180
            // console.log("当前坐标：x"+ this.m_object_role.getHeadPos().x+"  y"+ this.m_object_role.getHeadPos().y)
            // console.log("当前向量  x:"+this.m_object_role.m_dir.x+"  y:"+this.m_object_role.m_dir.y)
            // console.log("目标向量  x:"+cc.pForAngle(this.m_angle).x+"  y:"+cc.pForAngle(this.m_angle).y)

            this.m_angle = this.m_angle / Math.PI * 180
            //this.m_angle -= Angle
            super.InternalEvent(key, data);
            return true;
        }
        update(t) {
            let Angle = cc.pToAngle( this.m_object_role.m_dir )/ Math.PI * 180
            if( Math.abs(this.m_angle - Angle  ) > 10 ){
                this.m_object_role.m_dir = cc.pForAngle((Angle + (this.m_object_role.m_Control_angle  + t * 100) )
                    * Math.PI  / 180)
            }else{
                this.m_time = 0
            }
            //this.m_object_role.m_dir = cc.pForAngle( Angle + this.m_angle / ( this.m_time / t ) )
            this.m_time -= t;
            if(this.m_time <= 0){
                this.m_object_role.changeState_Ex( g_AiType.g_AiType_stand )
            }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //绞杀
    export class monsterAi_jiaosha extends aiBase_monster {
        m_target = null //目标

        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_jiaosha;
            //this.m_posPoint = new Array<cc.Vec2>()
        }
        setTar(obj:baseObj){
            this.m_target = obj
        }
        FindTar(){

            let myLength = this.m_object_role.getSnakeLength()
            roleMgr.getMe().m_AllRole_map.each(function (key, data) {
                let myP = this.m_object_role.getHeadPos()
                let otP = data.getHeadPos()
                //这里要判断下对方的目标是不是自己
                if(data === this.m_object_role || data.m_StateControl.m_target === this.m_object_role){

                }
                else{
                    let otherlen = data.getSnakeLength()
                    let juli = Math.abs(cc.pDistance(myP,otP))
                    if(juli <= g_AI_Config.jiaoshaRange){
                        //if(myLength > otherlen){
                            this.setTar(data)
                            return
                        //}
                    }
                }
            },this, null);
        }

        jiaosha(){
            let myP = this.m_object_role.getHeadPos()
            let OtP = this.m_target.getHeadPos()

            let dir = cc.Vec2.sub(OtP,myP)
            dir = cc.pNormalize(dir)
            this.m_object_role.setRunDir(dir)
        }

        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {

            super.InternalEvent(key, data);
            return true;
        }

        update(t) {
            if(this.m_target == null){
                //寻找目标
                this.FindTar()
            }else{
                //开始绞杀
                this.jiaosha()
            }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //死亡
    export class monsterAi_dead extends aiBase_monster {
        //m_deathTime = 0
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_dead;
            //this.m_deathTime = g_AI_Config.monster_resurgence_time
        }

        ExternalEvent(key, data) {
            //this.m_deathTime = g_AI_Config.monster_resurgence_time
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {

            super.InternalEvent(key, data);
            this.m_object_role.setVisible(false)
            this.m_object_role.renameStart()
            return true;
        }
        reStart(){
            let reLen = 0
            if(this.m_object_role.m_curLength >= 40){
                reLen = Math.ceil(this.m_object_role.m_curLength / 2)
            }
            // this.m_object_role.shutdown()
            // this.m_object_role.init( this.m_object_role.m_skinConfig.name , reLen)
            // this.fuhuo()
            // cameraMgr.getMe().reset( this.m_birth );
            // this.setVisible(true)
        }
        update(t) {
            this.m_object_role.changeState_Ex(g_AiType.g_AiType_wudi)
            // this.m_deathTime -= t
            // if(this.m_deathTime <= 0){
                //一定概率复活，一定概率退出，换个名字，换个皮肤继续上
            //     this.m_object_role.renameStart()
            //     this.m_object_role.changeState_Ex(g_AiType.g_AiType_wudi)
            // }
            // if(this.m_object_role.m_foodList.length != 0){
            //     this.m_object_role.foodUpdate( t )
            // }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //无敌
    export class monsterAi_wudi extends aiBase_monster {
        m_godTime = 0
        m_isComplete:boolean = false
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_wudi;
            this.m_godTime = g_AI_Config.god_Time
        }
        ExternalEvent(key, data) {
            if( this.m_isComplete ){
                this.m_object_role.m_aureole.setVisible(false)
                return super.ExternalEvent(key, data);
            }
            return false
        }

        InternalEvent(key, data) {
            this.m_object_role.m_dir = cc.pNormalize(cc.p( -1 + Math.random() * 0.8,-1 + Math.random() * 1.5))
            this.m_isComplete = false
            if(this.m_object_role.m_aureole){
                this.m_object_role.m_aureole.setScale( this.m_object_role.m_curLength / g_Snake_Config.Length  / 3)
                this.m_object_role.m_aureole.setVisible(true)
            }
            this.m_godTime = g_AI_Config.god_Time
            super.InternalEvent(key, data);
            return true;
        }
        update(t) {
            this.m_godTime -= t
            if(this.m_object_role.m_aureole){
                this.m_object_role.m_aureole.setPosition( this.m_object_role.getMiddleBody().getPos())
            }

            if(this.m_godTime < 0){
                this.m_isComplete = true
                this.m_object_role.changeState_Ex(g_AiType.g_AiType_chaos)
            }
            if(this.m_object_role.getHeadPos().x <= g_map_config.border_width * 2
                || this.m_object_role.getHeadPos().x > g_map_config.map_width - g_map_config.border_width * 2
                || this.m_object_role.getHeadPos().y <= g_map_config.border_height * 2
                || this.m_object_role.getHeadPos().y >= g_map_config.map_height - g_map_config.border_height * 2){
                let Angle = cc.pToAngle( this.m_object_role.m_dir )/ Math.PI * 180
                this.m_object_role.m_dir = cc.pForAngle( (Angle +  this.m_object_role.m_Control_angle / 2 ) * Math.PI / 180)

            }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }
    //保持状态
    export class monsterAi_stand extends aiBase_monster {
        m_time = 0
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_stand;
            this.m_time = 2
        }

        ExternalEvent(key, data) {
            if( this.m_time > 0 ){
                return false
            }
            return super.ExternalEvent(key, data);
        }
        InternalEvent(key, data) {
            this.m_time = 1
            super.InternalEvent(key, data);
            return true;
        }
        exitType(){
            this.m_object_role.changeState_Ex( g_AiType.g_AiType_chaos )
        }
        update(t) {
            this.m_time-= t
            if(this.m_time < 0){
                this.exitType()
            }
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }

}