var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2016/4/24.
 */
//玩家技能动作基本类
var game;
(function (game) {
    var aiBase_play = (function (_super) {
        __extends(aiBase_play, _super);
        function aiBase_play(role) {
            _super.call(this, role);
        }
        /**
         * @return {boolean}
         */
        aiBase_play.prototype.ExternalEvent = function (key, data) {
            var ret = _super.prototype.ExternalEvent.call(this, key, data);
            if (ret == false) {
                return ret;
            }
            return ret;
        };
        aiBase_play.prototype.update = function (dt) {
            _super.prototype.update.call(this, dt);
            //提前结束3帧
            return true;
        };
        return aiBase_play;
    }(game.aiBase));
    game.aiBase_play = aiBase_play;
    var playerAi_findFood = (function (_super) {
        __extends(playerAi_findFood, _super);
        function playerAi_findFood(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_findFood;
        }
        playerAi_findFood.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        playerAi_findFood.prototype.InternalEvent = function (key, data) {
            //this.m_object_role.playAnimation("daiji");
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        playerAi_findFood.prototype.update = function (t) {
            return _super.prototype.update.call(this, t);
        };
        playerAi_findFood.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return playerAi_findFood;
    }(aiBase_play));
    game.playerAi_findFood = playerAi_findFood;
    var playerAi_dead = (function (_super) {
        __extends(playerAi_dead, _super);
        function playerAi_dead(role) {
            _super.call(this, role);
            this.m_deathTime = 0;
            this.m_stateType = game.g_AiType.g_AiType_dead;
            this.m_deathTime = game.g_AI_Config.playr_resurgence_time;
        }
        playerAi_dead.prototype.ExternalEvent = function (key, data) {
            game.ui_shibai.ShowOrHide(false, null);
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        playerAi_dead.prototype.InternalEvent = function (key, data) {
            if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_duizhan_Type) {
                if (this.m_object_role.getSnakeLength() > game.DataMgr.getMe().getPlayerBestLen(game.e_fight_Type.e_duizhan_Type)) {
                    game.DataMgr.getMe().setPlayerBest(this.m_object_role.getSnakeLength(), game.e_fight_Type.e_duizhan_Type);
                }
            }
            if (this.m_object_role.m_killnum > game.DataMgr.getMe().getPlayerBestKill(game.DataMgr.getMe().getCurfightType())) {
                game.DataMgr.getMe().setPlayerBestKill(this.m_object_role.m_killnum, game.DataMgr.getMe().getCurfightType());
            }
            game.playControl.getMe().m_canOperation = false;
            var msg = new game.shibaiMsg();
            msg.m_myLen = this.m_object_role.getSnakeLength();
            msg.m_fuhuoFunc = this.restart.bind(this);
            msg.m_killedName = this.m_object_role.m_killedName;
            msg.m_myBestPlayer = game.ui_fight.getMe().getBestPlayer();
            msg.m_exitFunc = this.gameOver;
            if (game.g_gameVersion == game.e_game_Version.e_no_money) {
                game.ui_shibai.ShowOrHide(true, msg);
            }
            else {
                game.ui_zuansibucong.ShowOrHide(true, msg);
            }
            this.m_object_role.setVisible(false);
            this.m_deathTime = game.g_AI_Config.playr_resurgence_time;
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        playerAi_dead.prototype.restart = function () {
            game.playControl.getMe().resetKey();
            game.playControl.getMe().m_canOperation = true;
            this.m_object_role.reStart();
            this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_wudi);
            //this.m_object_role.refuhuo()
        };
        playerAi_dead.prototype.gameOver = function () {
            game.DataMgr.getMe().setCurfightType(game.e_fight_Type.e_gameOver);
        };
        playerAi_dead.prototype.update = function (t) {
            this.m_deathTime -= t;
            if (this.m_deathTime <= 0) {
            }
            else {
                if (game.ui_shibai.getMe()) {
                }
                //如果已经到嘴里的食物未吃完。继续吃...
                if (this.m_object_role.m_foodList.length != 0) {
                    this.m_object_role.foodUpdate(t);
                }
            }
            _super.prototype.update.call(this, t);
        };
        playerAi_dead.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        playerAi_dead.prototype.Complete = function (data) {
            return true;
        };
        return playerAi_dead;
    }(aiBase_play));
    game.playerAi_dead = playerAi_dead;
    var playerAi_wudi = (function (_super) {
        __extends(playerAi_wudi, _super);
        function playerAi_wudi(role) {
            _super.call(this, role);
            this.m_wudiTime = 0;
            this.m_isComplete = false;
            this.m_stateType = game.g_AiType.g_AiType_wudi;
            this.m_wudiTime = game.g_AI_Config.god_Time;
        }
        playerAi_wudi.prototype.ExternalEvent = function (key, data) {
            if (this.m_isComplete) {
                this.m_object_role.m_aureole.setVisible(false);
                return _super.prototype.ExternalEvent.call(this, key, data);
            }
            return false;
        };
        playerAi_wudi.prototype.InternalEvent = function (key, data) {
            this.m_object_role.m_dir = cc.pNormalize(cc.p(-1 + Math.random() * 0.8, -1 + Math.random() * 1.5));
            this.m_isComplete = false;
            if (this.m_object_role.m_aureole) {
                this.m_object_role.m_aureole.setScale(this.m_object_role.m_curLength / game.g_Snake_Config.Length / 3);
                this.m_object_role.m_aureole.setVisible(true);
                this.m_object_role.m_aureole.setPosition(this.m_object_role.getMiddleBody().getPos());
            }
            if (game.playControl.getMe()) {
                game.playControl.getMe().resetKey();
            }
            this.m_wudiTime = game.g_AI_Config.god_Time;
            //this.m_object_role.m_WalkSpeed = g_Snake_Config.accSpeed
            return _super.prototype.InternalEvent.call(this, key, data);
        };
        playerAi_wudi.prototype.update = function (t) {
            this.m_wudiTime -= t;
            if (this.m_object_role.m_aureole) {
                this.m_object_role.m_aureole.setPosition(this.m_object_role.getMiddleBody().getPos());
            }
            if (this.m_wudiTime < 0) {
                this.m_isComplete = true;
                this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_findFood);
            }
            _super.prototype.update.call(this, t);
            return true;
        };
        playerAi_wudi.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        playerAi_wudi.prototype.Complete = function (data) {
            return true;
        };
        return playerAi_wudi;
    }(aiBase_play));
    game.playerAi_wudi = playerAi_wudi;
})(game || (game = {}));
//# sourceMappingURL=playAi.js.map