//
//
var game;
(function (game) {
    var sceneResTextureMgr = (function () {
        function sceneResTextureMgr() {
            this.m_loadState = 0;
            this._numberOfLoadedTexture = 0;
            this.m_des = "sceneResTextureMgr";
        }
        sceneResTextureMgr.prototype.loadSceneTexture = function (scene) {
            if (!scene || !game.g_res_scene[scene]) {
                this.m_loadState = 3;
                return;
            }
            this.m_loadState = 1;
            if (!game.g_res_scene[scene]["g_texture"]["1"]) {
                this.m_loadState = 3;
                return;
            }
            if (game.g_res_scene[scene]["g_texture"]["1"].state == "load") {
                var json_texture = eval(game.g_res_scene[scene]["g_texture"]["1"].path);
                this._numberOfLoadedTexture = json_texture.length;
                for (var i = 0; i < json_texture.length; i++) {
                    cc.textureCache.addImageAsync(json_texture[i].texture_path, this.loadingCallBack, this);
                }
            }
            if (this._numberOfLoadedTexture == 0) {
                this.m_loadState = 2;
                game.g_res_scene[scene]["g_texture"]["1"].state = "loaded";
            }
        };
        sceneResTextureMgr.prototype.loadingCallBack = function () {
            --this._numberOfLoadedTexture;
        };
        sceneResTextureMgr.prototype.shutdown = function () {
            this.m_loadState = 0;
        };
        return sceneResTextureMgr;
    }());
    game.sceneResTextureMgr = sceneResTextureMgr;
    var sceneResSpineMgr = (function () {
        function sceneResSpineMgr() {
            this.m_loadState = 0;
            this.m_des = "sceneResSpineMgr";
        }
        // loadSceneSpine(scene) {
        //     if (!scene || !g_res_scene[scene]) {
        //         this.m_loadState = 3;
        //         return;
        //     }
        //     this.m_loadState = 1;
        //     for (var i in g_res_scene[scene]["g_spine"]) {
        //         if (!i) {
        //             this.m_loadState = 3;
        //             return;
        //         }
        //         if (g_res_scene[scene]["g_spine"][i].state == "load") {
        //             spineMgr.getMe().loadSpine(g_res_scene[scene]["g_spine"][i].path,null);
        //             g_res_scene[scene]["g_spine"][i].state = "loaded";
        //         }
        //     }
        //     this.m_loadState = 2;
        // }
        sceneResSpineMgr.prototype.enterScene = function (sceneType) {
            if (sceneType == game.g_SceneType.SceneType_login) {
                game.js_GameLogicMgr.getMe().removeAllSpineMem();
            }
        };
        sceneResSpineMgr.getloadSceneSpine = function (scenename, sceneType) {
            var spineMap = {};
            if (sceneType != game.g_SceneType.SceneType_login) {
                var json_spine = game.fileMgr.getMe().m_resouce.sceneSpine;
                for (var i = 0; i < json_spine.length; i++) {
                    spineMap[json_spine[i]] = json_spine[i];
                }
            }
            return spineMap;
        };
        sceneResSpineMgr.prototype.loadSceneSpine = function (scenename, sceneType) {
            // if( sceneType != g_SceneType.SceneType_login )
            // {
            //     this.loadSceneSpine_fight();
            // }
            //
            //
            // let spineMap = new Map();
            //
            //     let sceneinfo = fileMgr.getMe().getSceneInfo(scenename);
            //     if (sceneinfo) {
            //         let guochang = sceneinfo["guochang"];
            //         for (let p in guochang) {
            //             let dataguocheng = guochang[p];
            //             let posEvent = dataguocheng["posEvent"];
            //             for (let pp in posEvent) {
            //                 let dataposEvent = posEvent[pp];
            //                 let monsterbirth = dataposEvent["monsterbirth"];
            //                 let monsterlist = g_monsterMonsterbirth[monsterbirth];
            //                 for (let monsterlist_p in monsterlist) {
            //                     let monsterlist_data = monsterlist[monsterlist_p];
            //                     let spine_res = g_monster_config[monsterlist_data.monstername].spine_res;
            //                     if(spine_res)
            //                     {
            //                         if(spine_res!="")
            //                         {
            //                             spineMap.set(spine_res,spine_res);
            //                         }
            //                     }
            //                 }
            //             }
            //         }
            //     }
            //
            // spineMap.forEach((key, data)=>{
            //     spineMgr.getMe().loadSpine(key);
            // })
        };
        sceneResSpineMgr.prototype.shutdown = function () {
            // this.m_loadState = 0;
        };
        return sceneResSpineMgr;
    }());
    game.sceneResSpineMgr = sceneResSpineMgr;
    var sceneResMgr = (function () {
        function sceneResMgr() {
            this.m_sceneResSpineMgr = null;
            this.m_sceneResTextureMgr = null;
            this.m_sceneResPlistMgr = null;
            this.m_des = sceneResMgr;
            this.init();
        }
        sceneResMgr.prototype.init = function () {
            this.m_sceneResSpineMgr = new sceneResSpineMgr();
            this.m_sceneResTextureMgr = new sceneResTextureMgr();
        };
        //loadRes  (scene) {
        //    this.m_sceneResSpineMgr.loadSceneSpine(scene);
        //    this.m_sceneResTextureMgr.loadSceneTexture(scene);
        //    this.m_sceneResPlistMgr.loadScenePlist(scene);
        //
        //},
        sceneResMgr.prototype.setSceneLoading = function () {
            // if (this.m_sceneResSpineMgr.m_loadState == 2 || this.m_sceneResSpineMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 30;
            // if (this.m_sceneResTextureMgr.m_loadState == 2 || this.m_sceneResTextureMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 40;
            // if (this.m_sceneResPlistMgr.m_loadState == 2 || this.m_sceneResPlistMgr.m_loadState == 3)
            //     ui_sceneLoading.getMe().m_curScenePer += 30;
        };
        //释放内存
        sceneResMgr.prototype.shutdown = function () {
            this.m_sceneResSpineMgr.shutdown();
            this.m_sceneResTextureMgr.shutdown();
            this.m_sceneResPlistMgr.shutdown();
            this.m_sceneResSpineMgr = null;
            this.m_sceneResTextureMgr = null;
            this.m_sceneResPlistMgr = null;
        };
        sceneResMgr.g_resMgr = null;
        sceneResMgr.getMe = function () {
            return sceneResMgr.create();
        };
        sceneResMgr.create = function () {
            if (sceneResMgr.g_resMgr == null) {
                sceneResMgr.g_resMgr = new sceneResMgr();
                return sceneResMgr.g_resMgr;
            }
            else {
                return sceneResMgr.g_resMgr;
            }
        };
        return sceneResMgr;
    }());
    game.sceneResMgr = sceneResMgr;
})(game || (game = {}));
//# sourceMappingURL=sceneResMgr.js.map