var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//维护者：魏红兵
var game;
(function (game) {
    game.g_SceneType = {
        SceneType_none: 'none',
        SceneType_login: 'login',
        SceneType_fight: 'fight',
        SceneType_xiangdao: 'xiangdao',
    };
    var baseScene = (function (_super) {
        __extends(baseScene, _super);
        function baseScene() {
            _super.call(this);
            this.m_scenenode = null;
            this.m_qianjingnode = null;
            this.m_beijingnode = null;
            this.m_node_roleBase = null;
            this.m_node_baseui = null;
            this.m_SceneInfo = null;
            this.m_roleMgr = null;
            this.m_SceneType = game.g_SceneType.SceneType_none;
            this.m_scenename = "";
            this.m_bIsloadind = false;
            this.m_backlayerCount = 0;
            this.m_backupLay = null;
            this.m_SceneType = game.g_SceneType.SceneType_none;
        }
        baseScene.prototype.init = function () {
            return true;
        };
        baseScene.prototype.gameOver = function (winval, data) {
        };
        baseScene.prototype.isGo = function () {
            return false;
        };
        //场景切换卸载内存
        baseScene.prototype.removeMem = function () {
            // TextureCache.getInstance()->removeUnusedTextures();
            if (cc.sys.isNative) {
                cc.textureCache.removeUnusedTextures();
                cc.sys.garbageCollect();
                console.log("删除无用内存！end");
            }
        };
        baseScene.prototype.shutdown = function () {
            game.spineMgr.getMe().shutdown();
            game.uieffectMgr.getMe().shutdown();
            if (this.m_roleMgr != null) {
                this.m_roleMgr.shutdown();
                this.m_node_roleBase.removeChild(this.m_roleMgr.getNode(), true);
                this.m_roleMgr = null;
            }
            this.removeMem();
            return true;
        };
        baseScene.prototype.getRoleMgr = function () {
            return this.m_roleMgr;
        };
        baseScene.prototype.loadsceneEx = function () {
        };
        baseScene.prototype.playBackMusic = function () {
            game.musicMgr.getMe().playbackmusic(this.m_SceneInfo["back_music"]);
        };
        baseScene.prototype.getsceneScale = function () {
            return game.rootScene.getMe().m_win_scale;
        };
        baseScene.prototype.getsceneReScale = function () {
            if (game.rootScene.getMe().m_win_scale < 1) {
                return 1.0 / game.rootScene.getMe().m_win_scale;
            }
            else {
                return 1.0 / game.rootScene.getMe().m_win_scale;
            }
            //   return rootScene.getMe().m_win_scale;
        };
        baseScene.prototype.shipeiCenter = function (playout) {
            var winSize = cc.director.getWinSize();
            playout.setPosition(cc.p(0, 0));
            playout.setAnchorPoint(cc.p(0.0, 0.0));
            console.log("shipeiCenter：" + this.getsceneScale());
            playout.setScale(this.getsceneScale());
        };
        //back_music
        baseScene.prototype.loadscene = function (scenename) {
            this.m_scenename = scenename;
            game.rootScene.getMe().zanting(false);
            this.m_SceneInfo = cc.clone(game.fileMgr.getMe().getSceneInfo(scenename));
            if (this.m_SceneInfo == null) {
                console.log("严重错误 没有这个场景名 ：" + scenename);
                console.error("严重错误 没有这个场景名 ：" + scenename);
                return;
            }
            //
            var json = null;
            json = ccs.load("xingjietanshishe/big/scene/" + this.m_SceneInfo.res_path);
            if (json.node == null) {
                console.log("没有这个文件" + "xingjietanshishe/big/scene/" + this.m_SceneInfo.res_path);
                console.error("" + "xingjietanshishe/big/scene/" + this.m_SceneInfo.res_path);
            }
            this.m_scenenode = json.node;
            this.m_scenenode.setScale(game.rootScene.getMe().m_win_scale);
            this.m_qianjingnode = json.node.getChildByName("qianjing");
            this.m_beijingnode = json.node.getChildByName("beijing"); //
            if (this.m_qianjingnode == null) {
                this.m_qianjingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_qianjingnode);
            }
            if (this.m_beijingnode == null) {
                this.m_beijingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_beijingnode);
            }
            this.m_node_roleBase = new cc.Node();
            this.m_node_baseui = new cc.Node();
            this.m_scenenode.addChild(this.m_node_baseui);
            this.m_scenenode.addChild(this.m_node_roleBase);
            this.m_beijingnode.setLocalZOrder(0);
            this.m_node_baseui.setLocalZOrder(100);
            this.m_node_roleBase.setLocalZOrder(200);
            this.m_qianjingnode.setLocalZOrder(300);
            this.addChild(this.m_scenenode, 10000);
            this.m_roleMgr = game.roleMgr.create();
            this.m_node_roleBase.addChild(this.m_roleMgr.getNode());
            this.shipeiCenter(this.m_scenenode); //这个地方的坐标系千万不能改
            this.init();
            this.playBackMusic();
            this.m_bIsloadind = true;
        };
        baseScene.prototype.update = function (t) {
            //this.updateBackUpLay();
        };
        return baseScene;
    }(game.xjLayer));
    game.baseScene = baseScene;
})(game || (game = {}));
//# sourceMappingURL=baseScene.js.map 
//# sourceMappingURL=baseScene.js.map