//维护者：魏红兵
module game {
    export var g_SceneType = {
        SceneType_none: 'none',
        SceneType_login: 'login',
        SceneType_fight: 'fight',
        SceneType_xiangdao: 'xiangdao',
    };
    export class baseScene extends xjLayer {
        m_scenenode: cc.Node = null;
        m_qianjingnode: cc.Node = null;
        m_beijingnode: cc.Node = null;
        m_node_roleBase: cc.Node = null;
        m_node_baseui: cc.Node = null;
        m_SceneInfo: any = null;
        m_roleMgr: roleMgr = null;

        m_SceneType: any = g_SceneType.SceneType_none;
        m_scenename: any = "";
        m_bIsloadind: any = false;
        m_backlayerCount: any = 0;
        m_backupLay: cc.Sprite = null;

        constructor() {
            super();
            this.m_SceneType = g_SceneType.SceneType_none;
        }

        init(): boolean {
            return true;
        }

        gameOver(winval, data) {
        }

        isGo() {
            return false;
        }

        //场景切换卸载内存
        removeMem() {
            // TextureCache.getInstance()->removeUnusedTextures();
            if (cc.sys.isNative) {
                cc.textureCache.removeUnusedTextures();
                cc.sys.garbageCollect();
                console.log("删除无用内存！end");
            }
        }

        shutdown() {
            spineMgr.getMe().shutdown();
            uieffectMgr.getMe().shutdown();

            if (this.m_roleMgr != null) {
                this.m_roleMgr.shutdown();
                this.m_node_roleBase.removeChild(this.m_roleMgr.getNode(), true);
                this.m_roleMgr = null;
            }

            this.removeMem();
            return true;
        }

        getRoleMgr(): roleMgr {
            return this.m_roleMgr;
        }



        loadsceneEx() {

        }

        playBackMusic() {
            musicMgr.getMe().playbackmusic(this.m_SceneInfo["back_music"]);
        }

        getsceneScale() {
            return rootScene.getMe().m_win_scale;
        }

        getsceneReScale() {
            if (rootScene.getMe().m_win_scale < 1) {
                return 1.0 / rootScene.getMe().m_win_scale;
            }
            else {
                return 1.0 / rootScene.getMe().m_win_scale;
            }
            //   return rootScene.getMe().m_win_scale;
        }

        shipeiCenter(playout) {
            var winSize = cc.director.getWinSize();
            playout.setPosition(cc.p(0, 0));
            playout.setAnchorPoint(cc.p(0.0, 0.0));
            console.log("shipeiCenter：" + this.getsceneScale());
            playout.setScale(this.getsceneScale());
        }

        //back_music
        loadscene(scenename) {
            this.m_scenename = scenename;
            rootScene.getMe().zanting(false);
            this.m_SceneInfo = cc.clone(fileMgr.getMe().getSceneInfo(scenename));
            if (this.m_SceneInfo == null) {
                console.log("严重错误 没有这个场景名 ：" + scenename);
                console.error("严重错误 没有这个场景名 ：" + scenename);
                return;
            }
            //
            var json = null;
            json = ccs.load("xingjietanshishe/big/scene/" + this.m_SceneInfo.res_path);
            if (json.node == null) {
                console.log("没有这个文件" + "xingjietanshishe/big/scene/" + this.m_SceneInfo.res_path);
                console.error("" + "xingjietanshishe/big/scene/" + this.m_SceneInfo.res_path);
            }
            this.m_scenenode = json.node;
            this.m_scenenode.setScale(rootScene.getMe().m_win_scale);
            this.m_qianjingnode = json.node.getChildByName("qianjing");
            this.m_beijingnode = json.node.getChildByName("beijing"); //
            if (this.m_qianjingnode == null) {
                this.m_qianjingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_qianjingnode);
            }
            if (this.m_beijingnode == null) {
                this.m_beijingnode = new cc.Node();
                this.m_scenenode.addChild(this.m_beijingnode);
            }
            this.m_node_roleBase = new cc.Node();
            this.m_node_baseui = new cc.Node();
            this.m_scenenode.addChild(this.m_node_baseui);
            this.m_scenenode.addChild(this.m_node_roleBase);
            this.m_beijingnode.setLocalZOrder(0);
            this.m_node_baseui.setLocalZOrder(100);
            this.m_node_roleBase.setLocalZOrder(200);
            this.m_qianjingnode.setLocalZOrder(300);
            this.addChild(this.m_scenenode, 10000);
            this.m_roleMgr = roleMgr.create();
            this.m_node_roleBase.addChild(this.m_roleMgr.getNode());


            this.shipeiCenter(this.m_scenenode); //这个地方的坐标系千万不能改
            this.init();
            this.playBackMusic();
            this.m_bIsloadind = true;
        }

        update(t) {


            //this.updateBackUpLay();
        }

        // resetBackUpLay() {
        //     if (this.m_backlayerCount && this.m_backlayerCount > 0) {
        //         this.m_backlayerCount = 1;
        //         this.deleteBackUpLay();
        //     }
        // }

        // createBackUpLay() {
        //     if (!this.m_node_roleBase) {
        //         return;
        //     }
        //     this.m_backlayerCount++;
        //     if (!this.m_backupLay) {
        //
        //         this.m_backupLay = new cc.Sprite("xingjietanshishe/big/spine/beijing.png");
        //         this.m_backupLay.setAnchorPoint(cc.p(0.5, 0.2));
        //         this.m_backupLay.setScaleX(13);
        //         this.m_backupLay.setScaleY(5);
        //         this.m_node_roleBase.addChild(this.m_backupLay, -11000);
        //     }
        //     this.updateBackUpLay();
        // }
        //
        // deleteBackUpLay() {
        //     {
        //         if (!this.m_node_roleBase) {
        //             return;
        //         }
        //         this.m_backlayerCount--;
        //         if (this.m_backlayerCount > 0)
        //             return;
        //         if (this.m_backupLay) {
        //             this.m_node_roleBase.removeChild(this.m_backupLay);
        //             this.m_backupLay = null;
        //         }
        //     }
        // }
        //
        // updateBackUpLay() {
        //     if (this.m_backupLay) {
        //         var newpos_x = roleMgr.getMe().getControlPlayer().getPositionX();
        //         this.m_backupLay.setPosition(cc.p(newpos_x, 0));
        //     }
        // }
    }
}
//# sourceMappingURL=baseScene.js.map