var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//战斗场景  基类
var game;
(function (game) {
    var baseSceneFight = (function (_super) {
        __extends(baseSceneFight, _super);
        function baseSceneFight() {
            _super.call(this);
            this.m_startGame = false;
            this.m_gameOver = false;
            this.m_win = false;
            this.m_sceneTime = 0;
            this.m_resultTimer = 0;
            this.m_SceneType = game.g_SceneType.SceneType_fight;
        }
        baseSceneFight.scene = function () {
            return new baseSceneFight();
        };
        ;
        baseSceneFight.prototype.init = function () {
            game.uiMgr.getMe().shutdownAllUi();
            game.uiMgr.getMe().show_ui_fight(true);
            this.loadsceneEx();
            return true;
        };
        baseSceneFight.prototype.shutdown = function () {
            _super.prototype.shutdown.call(this);
            game.uiMgr.getMe().show_ui_fight(false);
            return true;
        };
        baseSceneFight.prototype.start_game = function () {
            this.m_startGame = true;
            this.m_gameOver = false;
        };
        baseSceneFight.prototype.end_game = function () {
            this.m_startGame = false;
            this.m_gameOver = true;
        };
        baseSceneFight.prototype.guochangOver = function () {
            this.gameOver(true);
        };
        baseSceneFight.prototype.update = function (t) {
            _super.prototype.update.call(this, t);
            if (this.m_win) {
                if (this.m_resultTimer > 2) {
                    this.m_resultTimer = 0;
                    this.show_shengli_shibai();
                }
                else {
                    this.m_resultTimer += t;
                }
            }
            if (this.m_gameOver) {
                return;
            }
            if (this.m_startGame) {
                this.updateStartGame(t);
            }
        };
        baseSceneFight.prototype.updateStartGame = function (t) {
            this.m_sceneTime += t;
        };
        baseSceneFight.prototype.show_shengli_shibai = function () {
            if (this.m_win) {
                game.ui_shibai_shengli.ShowOrHide(true, true);
            }
            else {
                game.ui_shibai_shengli.ShowOrHide(true, false);
            }
        };
        baseSceneFight.prototype.gameOver = function (winval, data) {
            if (data === void 0) { data = null; }
            if (this.m_gameOver) {
                return;
            }
            this.m_win = winval;
            this.m_sceneTime = 0;
            this.end_game();
        };
        baseSceneFight.prototype.loadscene = function (scenename) {
            _super.prototype.loadscene.call(this, scenename);
            //this.loadsceneEx()
        };
        baseSceneFight.prototype.loadsceneEx = function () {
            this.m_roleMgr.initroleMgr(this.m_SceneInfo);
            this.m_sceneTime = 0;
            this.start_game();
        };
        return baseSceneFight;
    }(game.baseScene));
    game.baseSceneFight = baseSceneFight;
})(game || (game = {}));
//# sourceMappingURL=baseSceneFight.js.map 
//# sourceMappingURL=baseSceneFight.js.map