var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var game;
(function (game) {
    var rootScene = (function (_super) {
        __extends(rootScene, _super);
        function rootScene() {
            _super.apply(this, arguments);
            this._zanting = false;
            this.m_isUpdate = false;
            this.m_win_scale = 1;
        }
        rootScene.prototype.onExit = function () {
            console.log("exit js");
            if (cc.sys.isNative) {
                game.fileMgr.getMe().savePlayInfo();
            }
            _super.prototype.onExit.call(this);
        };
        //只初始化一次
        rootScene.prototype.init = function () {
            this.m_ccNodeLoop = new cc.updateNode();
            this.m_ccNodeLoop.initEx();
            this.addChild(this.m_ccNodeLoop);
            this.m_ccNodeLoop.regUnpdate(this.loop_0016s.bind(this));
            //this.m_timingControl_0_016s = new timingControl();
            //this.m_timingControl_0_016s.init(this.loop_0016s.bind(this), 0.016);
            this.m_win_scale = parseFloat(game.fileMgr.getMe().m_curMyStruct_xiangsu_base.scale);
            game.iapMgr.getMe().init();
            game.js_GameLogicMgr.getMe().init();
            game.js_GameLogicMgr.getMe().tvsdk_login_shouui();
            game.httpMgr.getMe().init();
            this.addChild(game.KeyboardMgr.getMe().getNode(), 10000);
            this.addChild(game.uiMgr.getMe().getNode(), 1000);
            this.init_1();
            // if ((cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) || (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID)) {
            //     httpMgr.getMe().sendMsg(g_httpType.type_getGameData);
            // }
            return true;
        };
        rootScene.prototype.init_1 = function () {
            game.musicMgr.getMe();
            game.resMgr.getMe().loadTexutre();
            return true;
        };
        rootScene.prototype.initex = function () {
            game.cameraMgr.getMe().initex();
            this.addChild(game.sceneMgr.getMe().getNode(), 0);
            this.addChild(game.parMgr.getMe().getNode(), 100);
            if (!cc.sys.isNative) {
                game.fileMgr.getMe().m_play_doc = game.g_player_default;
            }
            else {
                game.ui_lianjiefuwuqi.ShowOrHide(true);
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_getGameData);
            }
            game.ui_zhujiemian.ShowOrHide(true);
            if (this.m_isUpdate == false) {
                this.m_isUpdate = true;
                this.scheduleUpdate();
            }
        };
        rootScene.prototype.loop_0016s = function (dt) {
            this.update(dt);
        };
        rootScene.prototype.update = function (dt) {
            //let a = proforFunc.create();
            //网络协议
            game.httpMgr.getMe().loop();
            game.uiMgr.getMe().loop(dt);
            game.spineMgr.getMe().update(dt);
            game.js_GameLogicMgr.getMe().loop(dt);
            if (this.iszanting()) {
                return;
            }
            var a = game.proforFunc.create();
            if (game.roleMgr.getMe() != null) {
                game.roleMgr.getMe().update(dt);
            }
            game.cameraMgr.getMe().loop(dt);
            //uieffectMgr.getMe().loop();
            game.sceneMgr.getMe().update(dt);
            // console.log(cc.director.getf)
            //  TimeScaleControl.getMe().updateCall(dt);
        };
        rootScene.prototype.iszanting = function () {
            return this._zanting;
        };
        //暂停动画 与 cd
        rootScene.prototype.zanting = function (flag) {
            this._zanting = flag;
            if (game.roleMgr.getMe()) {
                game.roleMgr.getMe().zanting(flag);
            }
            if (game.spineMgr.getMe()) {
                game.spineMgr.getMe().zanting(flag);
            }
        };
        rootScene.prototype.shutdown = function () {
        };
        // m_timingControl_0_016s: any = null;
        rootScene.g_point = null;
        rootScene.getMe = function () {
            return rootScene.g_point;
        };
        rootScene.scene = function () {
            var scene = new cc.Scene();
            var layer = new rootScene();
            rootScene.g_point = layer;
            layer.init();
            scene.addChild(layer.getNode());
            return scene;
        };
        return rootScene;
    }(game.xjLayer));
    game.rootScene = rootScene;
})(game || (game = {}));
//# sourceMappingURL=rootScene.js.map