var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//
var game;
(function (game) {
    var sceneMgr = (function (_super) {
        __extends(sceneMgr, _super);
        function sceneMgr() {
            _super.call(this);
            this.m_curScene = null;
            this.init();
        }
        sceneMgr.prototype.init = function () {
        };
        sceneMgr.prototype.getUnlockHero = function () {
            if (this.getCurSceneInfo().newhero)
                return this.getCurSceneInfo().newhero;
            return 0;
        };
        sceneMgr.prototype.shutDowncurScnee = function () {
            if (this.m_curScene) {
                this.removeChild(this.m_curScene.getNode());
                this.m_curScene = null;
            }
        };
        sceneMgr.prototype.getCurSceneName = function () {
            if (this.getCurSceneType() == game.g_SceneType.SceneType_fight) {
                var sn = this.m_curScene.m_scenename.split("_");
                if (sn.length > 4) {
                    return sn[0] + "_" + sn[1] + "_" + sn[2] + "_" + sn[4];
                }
            }
            return this.m_curScene.m_scenename;
        };
        sceneMgr.prototype.getCurSceneType = function () {
            if (this.m_curScene == null) {
                return game.g_SceneType.SceneType_login;
            }
            return this.m_curScene.m_SceneType;
        };
        sceneMgr.prototype.getCurScene = function () {
            return this.m_curScene;
        };
        sceneMgr.prototype.getCurSceneInfo = function () {
            return this.m_curScene.m_SceneInfo;
        };
        sceneMgr.prototype.selectScene = function (type, sceneName, callback, callback_data) {
            game.js_GameLogicMgr.getMe().removeAllSpineMem();
            // if(type != e_SceneType.SceneType_login){
            //     let data: any = {};
            //     data["type"] = type;
            //     data["scenename"] = sceneName;
            //     data["callback"] = callback;
            //     data["callback_data"] = callback_data;
            //     uiMgr.getMe().show_ui_sceneLoading(true, data);
            // }else{
            //     this.selectSceneEx(type);
            // }
            this.selectSceneEx(type, sceneName);
        };
        sceneMgr.prototype.selectSceneEx = function (type, sceneName) {
            if (sceneName === void 0) { sceneName = null; }
            if (type != game.g_SceneType.SceneType_login) {
                var ret = game.fileMgr.getMe().getSceneInfo(sceneName);
                if (!ret) {
                    return null;
                }
            }
            if (this.m_curScene != null) {
                this.m_curScene.shutdown();
                this.removeChild(this.m_curScene.getNode(), true);
                this.m_curScene = null;
            }
            if (type == game.g_SceneType.SceneType_login) {
                this.m_curScene = game.loginscene.scene();
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == game.g_SceneType.SceneType_fight) {
                //战斗背景
                //  g_curMonsterNum = 0;
                this.m_curScene = game.fightscene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            return this.m_curScene;
        };
        sceneMgr.prototype.reset = function () {
            this.selectScene(this.getCurSceneType(), this.getCurSceneName());
        };
        sceneMgr.prototype.update = function (t) {
            if (this.m_curScene) {
                this.m_curScene.update(t);
            }
        };
        sceneMgr.g_sceneMgr = null;
        sceneMgr.getMe = function () {
            return sceneMgr.create();
        };
        sceneMgr.create = function () {
            if (sceneMgr.g_sceneMgr == null) {
                console.log(" init sceneMgr.create ");
                sceneMgr.g_sceneMgr = new sceneMgr();
                return sceneMgr.g_sceneMgr;
            }
            else {
                return sceneMgr.g_sceneMgr;
            }
        };
        return sceneMgr;
    }(game.xjNode));
    game.sceneMgr = sceneMgr;
})(game || (game = {}));
//# sourceMappingURL=sceneMgr.js.map