//
module game {
    export class sceneMgr extends xjNode {
        m_curScene: baseScene = null;
        static g_sceneMgr: any = null;
        static getMe = function ():sceneMgr {
            return sceneMgr.create();
        };
        static create = function () {
            if (sceneMgr.g_sceneMgr == null) {
                console.log(" init sceneMgr.create ");
                sceneMgr.g_sceneMgr = new sceneMgr();
                return sceneMgr.g_sceneMgr;
            }
            else {
                return sceneMgr.g_sceneMgr;
            }
        };

        constructor() {
            super();
            this.init();
        }

        init() {
        }

        getUnlockHero(){
            if(this.getCurSceneInfo().newhero)
                return this.getCurSceneInfo().newhero;
            return 0;
        }
        shutDowncurScnee(){
            if(this.m_curScene){
                this.removeChild(this.m_curScene.getNode())
                this.m_curScene = null
            }
        }
        getCurSceneName() {
            if (this.getCurSceneType() == g_SceneType.SceneType_fight) {
                let sn = this.m_curScene.m_scenename.split("_");
                if (sn.length > 4) {
                    return sn[0] + "_" + sn[1] + "_" + sn[2] + "_" + sn[4];
                }
            }
            return this.m_curScene.m_scenename;
        }

        getCurSceneType() {
            if (this.m_curScene == null) {
                return g_SceneType.SceneType_login;
            }
            return this.m_curScene.m_SceneType;
        }

        getCurScene() {
            return this.m_curScene;
        }

        getCurSceneInfo() {
            return this.m_curScene.m_SceneInfo;
        }

        selectScene(type, sceneName?, callback?, callback_data?) {
            js_GameLogicMgr.getMe().removeAllSpineMem();
            // if(type != e_SceneType.SceneType_login){
            //     let data: any = {};
            //     data["type"] = type;
            //     data["scenename"] = sceneName;
            //     data["callback"] = callback;
            //     data["callback_data"] = callback_data;
            //     uiMgr.getMe().show_ui_sceneLoading(true, data);
            // }else{
            //     this.selectSceneEx(type);
            // }

            this.selectSceneEx(type, sceneName);
        }

        selectSceneEx(type, sceneName:any = null) {
            if (type != g_SceneType.SceneType_login) {
                let ret = fileMgr.getMe().getSceneInfo(sceneName);
                if (!ret) {
                    return null;
                }
            }
            if (this.m_curScene != null) {
                this.m_curScene.shutdown();
                this.removeChild(this.m_curScene.getNode(), true);
                this.m_curScene = null;
            }
            if (type == g_SceneType.SceneType_login) {
                this.m_curScene = loginscene.scene();
                this.addChild(this.m_curScene.getNode());
            }
            else if (type == g_SceneType.SceneType_fight) {
                //战斗背景
              //  g_curMonsterNum = 0;
                this.m_curScene = fightscene.scene();
                this.m_curScene.loadscene(sceneName);
                this.addChild(this.m_curScene.getNode());
            }
            return this.m_curScene;
        }

        reset() {
            this.selectScene(this.getCurSceneType(), this.getCurSceneName());
        }

        update(t) {
            if (this.m_curScene) {
                this.m_curScene.update(t);
            }
        }
    }

}
