/**
 * Created by cy1234 on 2016/8/10.
 */
module game {
    export class SkeletonAnimation_Ex extends xjSkeletonAnimation {
        m_StartPos_anmimation: any = cc.p(0, 0);
        m_startAnimationResetPos: any = cc.p(0, 0);
           m_SpineResName:string = "";
        spBone_localToWorld_buff(self_bone, localX, localY) {
            let data: any = cc.p();
            data.x = localX * self_bone.a + localY * self_bone.b + self_bone.worldX_buff;
            data.y = localX * self_bone.c + localY * self_bone.d + self_bone.worldY_buff;
            //console.log("spBone_localToWorld_buff  " + self_bone.worldX_buff +"y:" + self_bone.worldY_buff);
            // console.log("spBone_localToWorld_buff data " + data.x +"y" + data.y);
            return data;
        }

        startPlayAnimation() {
            this.m_startAnimationResetPos = cc.p(0, 0);
        }

        UndataRootBoneWorldPos() {
            let bonename = "root";
            let pspBone = this.findBone(bonename);
            if (pspBone) {
                let data = this.spBone_localToWorld_buff(pspBone, 0, 0);
                data = cc.pMult(data, this.getScaleX());
                let ret = cc.pSub(data, this.m_startAnimationResetPos);
                this.m_startAnimationResetPos = data;
                // data = cc.pAdd( data, this.m_StartPos_anmimation );
                return ret;
            }
            else {
                console.error("UndataRootBoneWorldPos error!");
            }
            return cc.p(0, 0);
        }

        getBoneWorldPos(bonename): any {
            let pspBone = this.findBone(bonename);

            if (pspBone) {
                let data = cc.p(pspBone.worldX * this.getScaleX(), pspBone.worldY * this.getScaleY());
                data = cc.pAdd(data, this.getParent().getPosition());
                return data;
            }

            console.log("error SkeletonAnimation_Ex::getBoneWorldPos  没有这个骨骼 ： %s", bonename);
            //MessageBox("SkeletonAnimation_Ex::getBoneWorldPos", bonename);
            // return null;
            return cc.p(0, 0);
        }

        //骨骼移动相对偏移位置
        getBone_RelativePos(bonename) {
            let pspBone = this.findBone(bonename);
            if (pspBone) {
                return cc.p(pspBone.worldX * this.getScaleX(), pspBone.worldY * this.getScaleY());
                //data = cc.pAdd(data, this.getParent().getPosition());
            }
            else {
                console.error("error SkeletonAnimation_Ex::getBone_RelativePos  没有这个骨骼 ： %s", bonename);
            }
            return cc.p(0, 0);
        }

        //是否有动画播放
        isPlay(): any {
            let pspTrackEntry = this.getCurrent(0);
            if (pspTrackEntry) {
                return true;
            }
            return false;
        }

        // 获得动画 剩余时间
        getAnimationSurplusTime() {
            let pspTrackEntry = this.getCurrent(0);
            if (pspTrackEntry) {
                return pspTrackEntry.endTime - pspTrackEntry.time;
            }
            return 0;
        }

        getBoneInfo_js(bonename) {
            if (cc.sys.isNative) {
                return this.m_cc_Node.getBoneInfo(bonename);
            }
            else {
                return this.findBone(bonename);
            }
        }

        getBoneWorldPos_js(bonename) {
            // console.log("getBoneWorldPos_js" + bonename);
            let pspBone = this.getBoneInfo_js(bonename);
            if (pspBone) {
                let data = cc.p(pspBone.worldX * this.getScaleX(), pspBone.worldY * this.getScaleY());
                data = cc.pAdd(data, this.getParent().getPosition());
                return data;
            }
            else {
                //console.log("warning SkeletonAnimation_Ex::getBoneWorldPos_js  没有这个骨骼 ："+ bonename);
                //console.error("error SkeletonAnimation_Ex::getBoneWorldPos  没有这个骨骼 ： %s", bonename);
                return this.getParent().getPosition();

            }
        }

        SetBoneRotation(boneName, rotation) {
            if (cc.sys.isNative) {
                this.m_cc_Node.SetBoneRotation(boneName, rotation);

            }
            else {
                let buffspBone = this.findBone(boneName);
                if (buffspBone) {
                    buffspBone.isMyRotation = 0;
                    buffspBone.MyRotation = rotation;
                }
            }
        }
    }
}