/**
 * Created by cy1234 on 2016/5/18.
 */
module game {

    export class playOnceSpine extends xjNode {
        m_spine_Node: SkeletonAnimation_Ex = null;
        m_isShutDown: any = false;
        m_res: any = null;
        m_animationname: any = null;

        static create = function (res, animationname, father: cc.Node, pos, z) {
            let fff = new playOnceSpine();
            fff.initex(res, animationname);
            if (pos != null) {
                fff.setPosition(pos);
            }
            if (z == null) {
                z = 1;
            }
            father.addChild(fff.getNode(), z);
            return fff;
        };

        initex(res, animationname) {
            this.m_res = res;
            this.m_animationname = animationname;
            this.m_spine_Node = spineMgr.getMe().loadSpine(res, this.getNode(), 10);
            //this.addChild(this.m_spine_Node.getNode(), 10);
            let ret = this.m_spine_Node.setAnimation(0, animationname, false);
            if (!ret) {
                this.m_isShutDown = true;
            }
            this.m_spine_Node.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_spine_Node.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_spine_Node.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
                //cc.log("%d complete: %d", traceIndex, loopCount);
            }.bind(this));
            this.m_spine_Node.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
                // cc.log( traceIndex + " event: %s, %d, %f, %s",event.data.name, event.intValue, event.floatValue, event.stringValue);
            }.bind(this));
        }

        zanting(flag) {
            try {
                if (flag) {
                    this.m_spine_Node.pause();
                }
                else {
                    this.m_spine_Node.resume();
                }
            }
            catch (e) {
            }
        }

        update(t) {
            return this.m_isShutDown;
        }

        onFrameEvent(type, event) {
            if (type == "End") {
                this.m_isShutDown = true;
            }
            else if (type == "Complete") {
                // EffectMgr.getMe().OnEnd(this);
                this.m_isShutDown = true;
            }
            else if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    musicMgr.getMe().playeffect(event.data.name);
                }
            }
        }

        shutdown() {
            if (this.getParent()) {
                this.getParent().removeChild(this.getNode(), true);
            }
        }
    }

}