var game;
(function (game) {
    var spineMgr = (function () {
        function spineMgr() {
            this.m_playOnceSpineMap = null;
            this.m_MapbulletCache = new game.Map();
            this.init();
            this.m_playOnceSpineMap = new game.ArrayEx();
        }
        spineMgr.getMe = function () {
            if (spineMgr.g_instance == null) {
                spineMgr.g_instance = new spineMgr();
                return spineMgr.g_instance;
            }
            else {
                return spineMgr.g_instance;
            }
        };
        ;
        spineMgr.prototype.init = function () {
        };
        spineMgr.prototype.shutdown = function () {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.shutdown();
            }
            this.m_playOnceSpineMap.clear();
        };
        spineMgr.prototype.zanting = function (flag) {
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                data.zanting(flag);
            }
        };
        spineMgr.prototype.update = function (t) {
            if (!game.roleMgr.getMe() || !game.roleMgr.getMe().getControlPlayer())
                return;
            for (var i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                var data = this.m_playOnceSpineMap.keys[i];
                var ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap.remove(data);
                    data.shutdown();
                    return;
                }
            }
        };
        spineMgr.prototype.createSpineOncePlay = function (res, animationname, father, pos, z) {
            if (z === void 0) { z = null; }
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            var ret = game.playOnceSpine.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap.put(ret);
            return ret;
        };
        spineMgr.prototype.loadSpine = function (res, father, zOder) {
            if (zOder === void 0) { zOder = 0; }
            if (res == null) {
                console.error("loadSpine name :" + res);
                return null;
            }
            var jsonname = "xingjietanshishe/big/spine/" + res + "/" + res + ".json";
            var atlasame = "xingjietanshishe/big/spine/" + res + "/" + res + ".atlas";
            var ret = new game.SkeletonAnimation_Ex(jsonname, atlasame, father, zOder);
            ret.m_SpineResName = res;
            return ret;
        };
        spineMgr.prototype.init_bulletCache = function () {
        };
        spineMgr.prototype.loadSpine_bulletCache = function (res, father, zOder) {
            if (zOder === void 0) { zOder = 0; }
            // for(   )
            //
            // let ret: SkeletonAnimation_Ex = this.m_MapbulletCache.get( res );
            // if( ret )
            // {
            //     ret.changeFather( father );
            //     this.m_MapbulletCache.delete( res );
            //     return ret;
            // }
            // ret = this.loadSpine(res, father, zOder);
            // return ret;
            return null;
        };
        spineMgr.prototype.clearSpine_bulletCache = function () {
            this.m_MapbulletCache.clear();
        };
        spineMgr.prototype.put_bulletCache = function (_SkeletonAnimation_Ex) {
            this.m_MapbulletCache.set(_SkeletonAnimation_Ex.__instanceId, _SkeletonAnimation_Ex);
        };
        spineMgr.g_instance = null;
        return spineMgr;
    }());
    game.spineMgr = spineMgr;
})(game || (game = {}));
//# sourceMappingURL=spineMgr.js.map