module game {
    export class spinePoolMgr {
        m_arr_effect_dead_map_notuse: MapGame = null;
        m_arr_effect_dead_map_use: MapGame = null;
        m_arr_effect_birth_map_notuse: MapGame = null;
        m_arr_effect_birth_map_use: MapGame = null;
        static g_instarn: any = null;
        static getMe = function () {
            return spinePoolMgr.create();
        };
        static create = function () {
            if (spinePoolMgr.g_instarn == null) {
                spinePoolMgr.g_instarn = new spinePoolMgr();
                return spinePoolMgr.g_instarn;
            }
            else {
                return spinePoolMgr.g_instarn;
            }
        };

        constructor() {
            this.m_arr_effect_dead_map_notuse = new MapGame();
            this.m_arr_effect_dead_map_use = new MapGame();
            this.m_arr_effect_birth_map_notuse = new MapGame();
            this.m_arr_effect_birth_map_use = new MapGame();
        }

        reset() {
            this.m_arr_effect_dead_map_notuse.clear();
            this.m_arr_effect_dead_map_use.clear();
            this.m_arr_effect_birth_map_notuse.clear();
            this.m_arr_effect_birth_map_use.clear();
        }

        initPlaydrophp() {
            for (let i = 0; i <= 5; ++i) {
                this.birth_effect(cc.p(-100000, 0));
            }
            for (let i = 0; i <= 5; ++i) {
                this.dead_effect(cc.p(-100000, 0));
            }
        }

        birth_effect(pos){
            let _DropHpLay: SkeletonAnimation_Ex = null;
            if (this.m_arr_effect_birth_map_notuse.getSize() > 0) {
                _DropHpLay = this.m_arr_effect_birth_map_notuse.begin();
                this.m_arr_effect_birth_map_notuse.pop();
            }
            else {
                _DropHpLay = spineMgr.getMe().loadSpine( "chushengtexiao" ,roleMgr.getMe().getNode(), 500000);
            }
            _DropHpLay.setVisible(true);
            this.m_arr_effect_birth_map_use.put(_DropHpLay.__instanceId, _DropHpLay);
            _DropHpLay.setPosition(pos);
            let ret = _DropHpLay.setAnimation(0, "play", false);
            if (ret == null) {
                uiMgr.getMe().show_ui_MessageBox(true, "没有动画" + name);
            }
            return _DropHpLay;
        }

        dead_effect(pos){
            let _DropHpLay: SkeletonAnimation_Ex = null;
            if (this.m_arr_effect_dead_map_notuse.getSize() > 0) {
                _DropHpLay = this.m_arr_effect_dead_map_notuse.begin();
                this.m_arr_effect_dead_map_notuse.pop();
            }
            else {
                _DropHpLay = spineMgr.getMe().loadSpine( "zabingsiwang" ,roleMgr.getMe().getNode(), 500000);
            }
            _DropHpLay.setVisible(true);
            this.m_arr_effect_dead_map_use.put(_DropHpLay.__instanceId, _DropHpLay);
            _DropHpLay.setPosition(pos);
            let ret = _DropHpLay.setAnimation(0, "siwang", false);
            if (ret == null) {
                uiMgr.getMe().show_ui_MessageBox(true, "没有动画" + name);
            }
            // _DropHpLay.setTimeScale(0.7);
            return _DropHpLay;
        }

        loop() {
            for (let i = 0; i < this.m_arr_effect_dead_map_use.getSize(); ++i) {
                let obj = this.m_arr_effect_dead_map_use.getData(i);
                if (obj) {
                    if (obj.isPlay() == false) {
                        obj.setVisible(false);
                        this.m_arr_effect_dead_map_use.remove(obj.__instanceId);
                        this.m_arr_effect_dead_map_notuse.put(obj.__instanceId, obj);
                        return;
                    }
                }
            }
            for (let i = 0; i < this.m_arr_effect_birth_map_use.getSize(); ++i) {
                let obj = this.m_arr_effect_birth_map_use.getData(i);
                if (obj) {
                    if (obj.isPlay() == false) {
                        obj.setVisible(false);
                        this.m_arr_effect_birth_map_use.remove(obj.__instanceId);
                        this.m_arr_effect_birth_map_notuse.put(obj.__instanceId, obj);
                        return;
                    }
                }
            }
        }

        shutdownMap(objMap) {
            for (let i = 0; i < objMap.getSize(); ++i) {
                let obj = objMap.getData(i);
                if (obj) {
                    console.log("卸载 ui_dorpHp !" + obj._className);
                    obj.getParent().removeChild(obj.getNode(), true);
                }
            }
            objMap.clear();
        }

        shutdown() {
            this.shutdownMap(this.m_arr_effect_dead_map_use);
            this.shutdownMap(this.m_arr_effect_dead_map_notuse);
            this.shutdownMap(this.m_arr_effect_birth_map_use);
            this.shutdownMap(this.m_arr_effect_birth_map_notuse);
        }
    }

}