/**
 * Created by w on 2017/4/14.
 */
module game{
    export class ParticleSystemEx{
        m_Parent:cc.Node = null
        m_ParticleSystem:cc.ParticleSystem = null
        m_filePath = "xingjietanshishe/big/lizi/Plist/"
        m_userData:any = null
        constructor(plistfile:string,parent:cc.Node){
            this.m_ParticleSystem = cc.ParticleSystem.create(this.m_filePath + plistfile )
            this.m_Parent = parent
            this.m_Parent.addChild(this.m_ParticleSystem)
        }
        setPos(p:cc.Vec2){
            this.m_ParticleSystem.setPosition(p)
        }
        setSpeed(speed:number){
            this.m_ParticleSystem.speed = speed
        }
        setScale(scale:number){
            this.m_ParticleSystem.setScale(scale)
        }
        setAngle(angle){
            this.m_ParticleSystem.angle  = angle
        }
        shutDown(){
            this.m_Parent.removeChild(this.m_ParticleSystem)
            this.m_ParticleSystem = null
            if(this.m_userData){
                this.m_userData = null
            }
        }
        isVisible(){
            return this.m_ParticleSystem.isVisible()
        }
        setUserData(data:any){
            this.m_userData = data
        }
        getUserData():any{
            return this.m_userData
        }
        setVisible(b:boolean){
            this.m_ParticleSystem.setVisible(b)
        }
        static create(plistfile:string,parent:cc.Node){
            return new ParticleSystemEx(plistfile,parent)
        }
    }
    // export class ParticleSystemEx_Mgr{
    //     static g_instance:ParticleSystemEx_Mgr = null
    //     static getMe(){
    //         if(!ParticleSystemEx_Mgr.g_instance){
    //             ParticleSystemEx_Mgr.g_instance = new ParticleSystemEx_Mgr()
    //         }
    //         return ParticleSystemEx_Mgr.g_instance
    //     }
    //     static create( plistfile:string ):cc.ParticleSystem{
    //         return
    //     }
    //     //ParticleBatchNode
    // }
}