"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2015/12/28.
 */
//   ui
var game;
(function (game) {
    var uiMgr = (function (_super) {
        __extends(uiMgr, _super);
        function uiMgr() {
            _super.call(this);
            this.m_UiMap = null; //UI层容器-MapGame对象
            this._topUiBase = null; //z值在最上面的UI层
            this.m_UiMap = new game.MapGame();
            // var winSize = cc.director.getWinSize();
        }
        //当前屏与1280 720最大比例
        uiMgr.prototype.getUiScale_720 = function () {
            var winSize = cc.director.getWinSize();
            var widthper = winSize.width / 1280.0;
            var heightper = winSize.height / 720.0;
            if (widthper > heightper) {
                return heightper;
            }
            else {
                return widthper;
            }
        };
        //当前屏与1280 768最大比例
        uiMgr.prototype.getUiScale = function () {
            var winSize = cc.director.getWinSize();
            var widthper = winSize.width / 1280.0;
            var heightper = winSize.height / 768.0;
            if (widthper > heightper) {
                // console.log("winSize width:" + winSize.width);
                //console.log("winSize height:" + winSize.height);
                // console.log("getUiScale heightper:" + heightper);
                return heightper;
            }
            else {
                console.log("winSize width:" + winSize.width);
                console.log("winSize height:" + winSize.height);
                console.log("getUiScale widthper:" + heightper);
                return widthper;
            }
            // return  1;
        };
        //停止所有UI的显示
        uiMgr.prototype.shutdownAllUi = function () {
            game.ui_fuhuo.ShowOrHide(false);
            game.ui_fuhuo_follow.ShowOrHide(false);
            game.ui_fight.ShowOrHide(false);
            game.ui_shibai_shengli.ShowOrHide(false);
            game.ui_zanting.ShowOrHide(false);
            game.ui_login.ShowOrHide(false);
            //this.show_ui_MessageBox(false);
            this.show_ui_root(false);
            this.show_ui_shop(false);
        };
        //替换掉旧的UI
        uiMgr.prototype.adduibase = function (data) {
            this.m_UiMap.put(data.__instanceId, data);
        };
        //清除传入的对象
        uiMgr.prototype.deleteuibase = function (data) {
            this.m_UiMap.remove(data.__instanceId);
        };
        //清除指定UI对像
        uiMgr.prototype.removeChild = function (child, cleanup) {
            if (cleanup === void 0) { cleanup = true; }
            if (cleanup == null) {
                cleanup = true;
            }
            _super.prototype.removeChild.call(this, child, cleanup);
            this.updateBaseUi_OTT_key();
        };
        //添加一个对象到窗口中，对象，Z值，标签
        uiMgr.prototype.addChild = function (child, localZOrder, tag) {
            if (tag === void 0) { tag = null; }
            //  console.log(" uimgr addChild: localZOrder:" + localZOrder + "tag:" + tag  );
            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            _super.prototype.addChild.call(this, child, localZOrder, tag);
            this.updateBaseUi_OTT_key();
        };
        //根据当前容器中UI的Z值，显示Z值最大的一个UI层，m_key_not_close必须为true
        uiMgr.prototype.updateBaseUi_OTT_key = function () {
            var toplay = -1000;
            this._topUiBase = null;
            if (this.m_UiMap.getSize() == 0) {
                return;
            }
            if (this.m_UiMap.getSize() == 1) {
                var it = this.m_UiMap.begin();
                if (it != null) {
                    this._topUiBase = it;
                    console.log(" init _topUiBase:");
                }
                return;
            }
            for (var i = 0; i < this.m_UiMap.getSize(); ++i) {
                var l_uibase = this.m_UiMap.getData(i);
                if (!l_uibase.m_key_not_close) {
                    continue;
                }
                if (l_uibase.getLocalZOrder() > toplay) {
                    toplay = l_uibase.getLocalZOrder();
                    this._topUiBase = l_uibase;
                }
            }
        };
        //接收一个按键消息
        uiMgr.prototype.onKeyPressed = function (keycode) {
            if (this._topUiBase == null) {
                this.updateBaseUi_OTT_key();
            }
            if (this._topUiBase == null) {
            }
            else {
                this._topUiBase.onKeyPressed(keycode);
            }
        };
        uiMgr.prototype.onKeyReleased = function (keycode) {
            try {
                if (this._topUiBase == null) {
                }
                else {
                    this._topUiBase.onKeyReleased(keycode);
                }
            }
            catch (err) {
            }
        };
        //showRootUI (flag) {
        //    return  testui.create(flag);
        //}
        // show_ui_login_Mobile(flag) {
        //     return  ui_login_Mobile.ShowOrHide(flag);
        // }
        // show_ui_reg_Mobile(flag) {
        //     return  ui_reg_Mobile.ShowOrHide(flag);
        // }
        // show_ui_main_Mobile(flag) {
        //     return  ui_main_Mobile.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_left_bottom(flag) {
        //     return  ui_mobile_main_left_bottom.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_left_top(flag) {
        //     return  ui_mobile_main_left_top.ShowOrHide(flag);
        // }
        // show_ui_mobile_main_right_bottom(flag) {
        //     return  ui_mobile_main_right_bottom.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_right_top(flag) {
        //     return  ui_mobile_main_right_top.ShowOrHide(flag);
        // }
        // show_ui_setting(flag) {
        //     return ui_setting.ShowOrHide(flag);
        // }
        //
        // show_ui_cdkey(flag) {
        //     return  ui_cdkey.ShowOrHide(flag);
        // }
        //
        // show_ui_cdkey_success(flag, data) {
        //     return  ui_cdkey_success.ShowOrHide(flag, data);
        // }
        // show_ui_connectFightRoom (flag) {
        //     return  ui_connectFightRoom.ShowOrHide(flag);
        // }
        //
        uiMgr.prototype.show_ui_root = function (flag) {
        };
        // show_ui_liaotianshi(flag) {
        //     return  ui_liaotianshi.ShowOrHide(flag);
        // }
        uiMgr.prototype.show_ui_shop = function (flag) {
            // return ui_shangcheng.ShowOrHide(flag);
        };
        // show_ui_yindao(flag, data) {
        //     return ui_yingdao.ShowOrHide(flag, data);
        // }
        // show_ui_yindao_bottom(flag, data) {
        //     return ui_yingdao_bottom.ShowOrHide(flag, data);
        // }
        uiMgr.prototype.show_ui_pengxue = function (flag) {
            return game.ui_pengxue.ShowOrHide(flag);
        };
        uiMgr.prototype.show_ui_sceneLoading = function (flag, data) {
            return game.ui_sceneLoading.ShowOrHide(flag, data);
        };
        uiMgr.prototype.show_ui_fight = function (flag) {
            return game.ui_fight.ShowOrHide(flag);
        };
        // show_ui_MessageBox(flag, text:any = null, func_ok:any = null, cancel_func:any = null, ponit:any = null) {
        //     return ui_MessageBox.ShowOrHide(flag, text, func_ok, cancel_func, ponit);
        // }
        uiMgr.prototype.show_ui_MessageBox2 = function (flag, text, func_ok, ponit) {
            if (text === void 0) { text = null; }
            if (func_ok === void 0) { func_ok = null; }
            if (ponit === void 0) { ponit = null; }
            return game.ui_MessageBox2.ShowOrHide(flag, text, func_ok, ponit);
        };
        uiMgr.prototype.show_ui_zanting = function (flag) {
            return game.ui_zanting.ShowOrHide(flag);
        };
        uiMgr.prototype.show_ui_playOnce = function (layout, animation, callFunc) {
            if (callFunc === void 0) { callFunc = null; }
            return game.ui_PlayAinamationOnce.create(layout, animation, callFunc);
        };
        uiMgr.prototype.updateGoldandDiamonds = function () {
            // if (game.ui_show_zuanshi_gold.getMe()) {
            //     ui_show_zuanshi_gold.getMe().updateDiamondsAndGold();
            // }
        };
        // show_ui_xinshoulibao(flag) {
        //     return ui_xinshoulibao.ShowOrHide(flag);
        // }
        // show_ui_pay_queren(flag, shangpingid) {
        //     return ui_pay_queren.ShowOrHide(flag, shangpingid);
        // }
        // show_ui_autoDownload(flag) {
        //     return ui_autoDownload.ShowOrHide(flag);
        // }
        uiMgr.prototype.show_ui_fuhuo = function (flag) {
            return game.ui_fuhuo.ShowOrHide(flag);
        };
        //游戏启动的时候播放启动视频
        uiMgr.prototype.show_ui_MoviePlayer_startGame = function (flag, mp4, func, point) {
            //return ui_MoviePlayer_startGame.ShowOrHide(flag, mp4, func, point);
        };
        uiMgr.prototype.loop = function (t) {
            for (var i = 0; i < this.m_UiMap.getSize(); ++i) {
                var data = this.m_UiMap.getData(i);
                data.loop(t);
            }
        };
        uiMgr.g_uiMgr = null; //单例对象
        uiMgr.getMe = function () {
            return uiMgr.create();
        };
        uiMgr.create = function () {
            if (game.uiMgr.g_uiMgr == null) {
                uiMgr.g_uiMgr = new uiMgr();
                return uiMgr.g_uiMgr;
            }
            else {
                return uiMgr.g_uiMgr;
            }
        };
        return uiMgr;
    }(game.xjLayer));
    game.uiMgr = uiMgr;
})(game || (game = {}));
//# sourceMappingURL=uiMgr.js.map 
//# sourceMappingURL=uiMgr.js.map