/**
 * Created by w on 2017/4/27.
 */
module game{
    //添加地雷 。。
    //new role_dilei(null,null,null,this.getNode(),l_monster.m_head.getPos())
    export class role_dileiMgr{
        static g_instance = null
        static getMe() {
            if(!role_dileiMgr.g_instance){
                role_dileiMgr.g_instance = new role_dileiMgr()
            }
            return role_dileiMgr.g_instance
        }
        constructor(){
            this.m_childlist = new Array<role_dilei>()
        }
        getcurSize():number{
            return this.m_childlist.length
        }
        m_childlist:Array<role_dilei > = null
        addchild( role:role_dilei ){
            this.m_childlist.push(role)
        }
        colide( role:node ){
            let o_len = role.getradius()
            let o_p = role.getPos()
            for( let k = 0; k < this.m_childlist.length;k++) {
                let m_p = this.m_childlist[k].m_spineAnimate.getPosition()
                let m_len = this.m_childlist[k].m_spineAnimate.getNode().getBoundingBox()
                let m_m_len = (m_len.width + m_len.height ) / 6 * this.m_childlist[k].m_spineAnimate.getNode().getScale()
                if(cc.pDistance(o_p,m_p) < (o_len + m_m_len)){
                    return this.m_childlist[k]
                }
            }
            return null
        }
        shutdown(){
            for( let k = 0; k < this.m_childlist.length;) {
                this.m_childlist[k].setBoom()
                this.m_childlist[k].shutdown()
                this.m_childlist.splice(k, 1)
            }
            this.m_childlist.length = 0
        }
        update( t ){
            for( let k = 0; k < this.m_childlist.length;){
                if(this.m_childlist[k].getComplete()){
                    this.m_childlist[k].shutdown()
                    this.m_childlist.splice(k,1)
                }else{
                    this.m_childlist[k++].update( t )
                }
            }
        }
    }
    export class role_dilei {
        m_show_time:number = 30
        m_spineAnimate:SkeletonAnimation_Ex = null
        m_parent:cc.Node = null
        m_roleHeadimgPath:string = null
        m_Relesename:string = null
        m_isYinshen:boolean = false
        private m_isComplete:boolean = false
        static create( headimgPath, spinePath, nameStr,parent ,pos:cc.Vec2 ){
            return new role_dilei( headimgPath, spinePath, nameStr,parent ,pos )
        }
        constructor( headimgPath:string, spinePath:string, nameStr:string,parent:cc.Node ,pos:cc.Vec2  ){
            this.m_roleHeadimgPath =  headimgPath
            this.m_parent = parent
            this.m_spineAnimate = spineMgr.getMe().loadSpine("texiaozheng2",this.m_parent , - 10)//texiaozheng2
            if( nameStr === DataMgr.getMe().getPlayerName() ){
                this.m_spineAnimate.setAnimation( 0, "texiaozheng2" ,true)
                this.m_isYinshen = false
            }else{
                this.m_spineAnimate.setAnimation( 0, "texiaozheng3" ,true)
                this.m_isYinshen = true
            }
            this.m_spineAnimate.setPosition( pos )
            this.m_spineAnimate.setScale( 1.5/3 )
            this.m_spineAnimate.setTimeScale( 2/3 )
            this.m_Relesename = nameStr
            role_dileiMgr.getMe().addchild( this )
        }
        shutdown(){
            if(this.m_spineAnimate){
                this.m_parent.removeChild( this.m_spineAnimate.getNode())
                this.m_spineAnimate = null
            }
        }
        setBoom(){
            this.m_isComplete = true
        }
        getComplete():boolean{
            return this.m_isComplete
        }
        update( t ){
            this.m_show_time -= t
            if(  this.m_isYinshen ){
                if(this.m_show_time <= 30 - 3 ){
                    this.m_isYinshen = false
                    this.m_spineAnimate.runAction(cc.fadeOut(0.5))
                }
            }
            if( this.m_show_time <= 0 ){
                this.m_isComplete = true
            }
        }
    }
}