var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/2/15.
 */
var game;
(function (game) {
    var ui_duihuanma = (function (_super) {
        __extends(ui_duihuanma, _super);
        function ui_duihuanma() {
            _super.call(this);
            this.m_keyLenth = 11;
            this.m_inPutTxt = "";
            this.m_inPutBox = null;
            this.m_des = "ui_duihuanma类";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_duihuanma.prototype.onBack = function () {
            this.endLayout(function () {
                ui_duihuanma.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_duihuanma.prototype.oninit = function () {
            var root = this._parseUIFile("duihuanma.json", 0);
            this.EnterUI();
            this.shipeiCenter(root);
            this.addChild(root);
            var textNode = ccui.helper.seekWidgetByName(root, "Image_1");
            var regNum = 0;
            for (var num = 0; num <= 9; num++) {
                var num_Key = ccui.helper.seekWidgetByName(textNode, num.toString());
                num_Key.addTouchEventListener(this.num_Func, this);
                this.m_CBaseKeyState.regNodeEx(num_Key, ++regNum);
            }
            var Ok = ccui.helper.seekWidgetByName(textNode, "duihuan");
            Ok.addTouchEventListener(this.ok_Func, this);
            var Del = ccui.helper.seekWidgetByName(textNode, "houtui");
            Del.addTouchEventListener(this.del_Func, this);
            this.m_inPutBox = ccui.helper.seekWidgetByName(textNode, "shurukuang");
            if (game.g_showAward) {
                var ImgNode = ccui.helper.seekWidgetByName(this.m_root, "Image_1");
                var duihuanmaImg = ccui.helper.seekWidgetByName(ImgNode, "Image_2_0");
                var okImg = ccui.helper.seekWidgetByName(ImgNode, "Image_4");
                okImg.loadTexture("xingjietanshishe/big/ui/image/queding.png");
                duihuanmaImg.loadTexture("xingjietanshishe/big/ui/image/duihuan.png");
                this.m_inPutBox.setString("请输入您的领奖码");
            }
            else {
                this.m_inPutBox.setString("请输入" + this.m_keyLenth + "位电话号码");
            }
            this.m_CBaseKeyState.regNodeEx(Ok, ++regNum);
            this.m_CBaseKeyState.regNodeEx(Del, ++regNum);
            this.m_CBaseKeyState.init(this);
        };
        ui_duihuanma.prototype.updateText = function (num) {
            if (this.m_inPutTxt.length == this.m_keyLenth) {
                return; //兑奖码长度超出
            }
            if (num < 10) {
                this.m_inPutTxt += num;
            }
            console.log("input CDkey is : " + this.m_inPutTxt);
            this.m_inPutBox.setString(this.m_inPutTxt);
        };
        ui_duihuanma.prototype.num_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.updateText(Number(sender.getName()));
                    break;
                default: break;
            }
        };
        ui_duihuanma.prototype.ok_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    // if(/^13d{9}$/g.test(this.m_inPutTxt)||(/^15[8,9]d{8}$/g.test(this.m_inPutTxt))){
                    //     ui_MessageBox2.ShowOrHide(true,"请输入正确的手机号码",null,this);
                    // }
                    // else
                    //else{
                    //兑换码判断的 逻辑在这里
                    if (game.g_showAward) {
                        //兑换码
                        game.httpMgr.getMe().sendMsg(game.g_httpType.type_CDKEY, this.m_inPutTxt.toString());
                    }
                    else {
                        //领奖
                        if (this.m_inPutTxt.length < this.m_keyLenth) {
                            game.ui_MessageBox2.ShowOrHide(true, "手机号码长度不足" + this.m_keyLenth + "位，请重新输入", null, this);
                        }
                        else {
                            game.httpMgr.getMe().sendMsg(game.g_httpType.type_userAward, this.m_inPutTxt);
                        }
                    }
                    //this.onBack();
                    //}
                    break;
            }
        };
        ui_duihuanma.prototype.del_Func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (this.m_keyLenth > 0) {
                        this.m_inPutTxt = this.m_inPutTxt.substring(0, this.m_inPutTxt.length - 1);
                        this.updateText(10);
                    }
                    break;
                default: break;
            }
        };
        ui_duihuanma.g_instarn = null;
        ui_duihuanma.getMe = function () {
            return ui_duihuanma.g_instarn;
        };
        ui_duihuanma.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_duihuanma, game.uiMgr.getMe(), 1001);
        };
        return ui_duihuanma;
    }(game.UiBase));
    game.ui_duihuanma = ui_duihuanma;
})(game || (game = {}));
//# sourceMappingURL=ui_duihuanma.js.map