//战斗ui特效
//
module game {

    import extend = js.extend;
    export var praiseType = {
        chaoshen: "chaoshen",
        shenji: "shenji",
        shentong: "shentong",
        jingcai: "jingcai",
    };

    export class ui_dorpHp extends uiBaseNode {
        static create = function (): ui_dorpHp {
            let l_instarn = new ui_dorpHp();
            l_instarn.oninit();
            return l_instarn;
        };

        constructor() {
            super();
            this.m_des = "ui_dorpHp类";
            this.m_key_not_close = false;
        }

        oninit() {
            let root = this._parseUIFile("wofangdiaoxue.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
        }
    }

    export class ui_dorpCritHp extends uiBaseNode {
        static create = function () {
            let l_instarn = new ui_dorpCritHp();
            l_instarn.oninit();
            return l_instarn;
        };

        constructor() {
            super();
            this.m_des = "ui_dorpCritHp";
            this.m_key_not_close = false;
        }

        oninit() {
            let root = this._parseUIFile("wofangdiaoxue_baoji.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
        }
    }

    export class ui_addmiss extends uiBaseNode {
        static create = function (): ui_addmiss {
            let l_instarn = new ui_addmiss();
            l_instarn.oninit();
            return l_instarn;
        };

        constructor() {
            super();
            this.m_des = "ui_addmiss类";
            this.m_key_not_close = false;
        }

        oninit() {
            let root = this._parseUIFile("shanbitexiao.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
        }
    }

    export class ui_praise extends uiBaseNode {
        static create = function () {
            let l_instarn = new ui_praise();
            l_instarn.oninit();
            return l_instarn;
        };

        constructor() {
            super();
            this.m_des = "ui_praise类";
            this.m_key_not_close = false;
        }

        oninit() {
            let root = this._parseUIFile("bombo2.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);
        }
    }

    export class ui_nopower extends uiBaseNode {
        static create = function (): ui_nopower {
            let l_instarn = new ui_nopower();
            l_instarn.oninit();
            return l_instarn;
        };

        constructor() {
            super();
            this.m_des = "ui_nopower类";
            this.m_key_not_close = false;
        }

        oninit() {
            let root = this._parseUIFile("lenquezhong.json");
            root.setAnchorPoint(cc.p(0.5, 0.5));
            this.addChild(root);

            musicMgr.getMe().playeffect("nengliangbuzhu.mp3");
        }
    }

    export class uieffectMgr {
        m_arr_effect: any = null;
        m_arr_effect_hp_map_notuse: any = null;
        m_arr_effect_hp_map_use: any = null;
        m_arr_effect_hp_map_notuse_crit: any = null;
        m_arr_effect_hp_map_use_crit: any = null;
        static g_instarn: uieffectMgr = null;
        static getMe = function () {
            return uieffectMgr.create();
        };
        static create = function () {
            if (uieffectMgr.g_instarn == null) {
                uieffectMgr.g_instarn = new uieffectMgr();
                return uieffectMgr.g_instarn;
            }
            else {
                return uieffectMgr.g_instarn;
            }
        };

        constructor() {
            this.m_arr_effect = new ArrayEx();
            this.m_arr_effect_hp_map_notuse = new MapGame();
            this.m_arr_effect_hp_map_use = new MapGame();
            this.m_arr_effect_hp_map_notuse_crit = new MapGame();
            this.m_arr_effect_hp_map_use_crit = new MapGame();
        }

        reset() {
            this.m_arr_effect_hp_map_notuse.clear();
            this.m_arr_effect_hp_map_use.clear();
            this.m_arr_effect_hp_map_notuse_crit.clear();
            this.m_arr_effect_hp_map_use_crit.clear();
        }

        initPlaydrophp() {
            // for (let i = 0; i <= 20; ++i) {
            //     this.createLayout_playdrophp(roleMgr.getMe().getNode(), "", cc.p(-100000, 0));
            // }
            for (let i = 0; i <= 5; ++i) {
                this.createLayout_playdropCrithp(roleMgr.getMe().getNode(), "", cc.p(-100000, 0));
            }
        }

        // createLayout_playdrophp(father: cc.Node, showinfo, pos) {
        //     let _DropHpLay: ui_dorpHp = null;
        //     if (this.m_arr_effect_hp_map_notuse.getSize() > 0) {
        //         _DropHpLay = this.m_arr_effect_hp_map_notuse.begin();
        //         this.m_arr_effect_hp_map_notuse.pop();
        //         _DropHpLay.setVisible(true);
        //     }
        //     else {
        //         _DropHpLay = ui_dorpHp.create();
        //         roleMgr.getMe().addChild(_DropHpLay.getNode(), 500000);
        //         let text = ccui.helper.seekWidgetByName(_DropHpLay.m_pLayout.node, "BitmapFontLabel_1");
        //         text.setFntFile("xingjietanshishe/public_res/fonts/diaoxue.fnt");
        //         _DropHpLay.setVisible(true);
        //     }
        //     this.m_arr_effect_hp_map_use.put(_DropHpLay.__instanceId, _DropHpLay);
        //     let text = ccui.helper.seekWidgetByName(_DropHpLay.m_pLayout.node, "BitmapFontLabel_1");
        //     text.setString(showinfo);
        //     pos.y -= 150;
        //     _DropHpLay.setPosition(pos);
        //     _DropHpLay.playAnimation("play", false);
        //     _DropHpLay.setScale(0.5);
        //     return _DropHpLay;
        // }

        createLayout_playdropCrithp(father: cc.Node, showinfo, pos) {
            let _DropHpLay: ui_dorpCritHp = null;
            if (this.m_arr_effect_hp_map_notuse_crit.getSize() > 0) {
                _DropHpLay = this.m_arr_effect_hp_map_notuse_crit.begin();
                this.m_arr_effect_hp_map_notuse_crit.pop();
                _DropHpLay.setVisible(true);
            }
            else {
                _DropHpLay = ui_dorpCritHp.create();
                roleMgr.getMe().addChild(_DropHpLay.getNode(), 500000);
                let text = ccui.helper.seekWidgetByName(_DropHpLay.m_pLayout.node, "BitmapFontLabel_1");
                text.setFntFile("xingjietanshishe/public_res/fonts/diaoxue.fnt");
                _DropHpLay.setVisible(true);
            }
            this.m_arr_effect_hp_map_use_crit.put(_DropHpLay.__instanceId, _DropHpLay);
            let text = ccui.helper.seekWidgetByName(_DropHpLay.m_pLayout.node, "BitmapFontLabel_1");
            text.setString(showinfo);
            pos.y -= 150;
            _DropHpLay.setPosition(pos);
            _DropHpLay.playAnimation("play", false);
            _DropHpLay.setScale(0.5);
            return _DropHpLay;
        }

        // createLayout_playaddhp(father: cc.Node, showinfo, pos) {
        //     let _DropHpLay = ui_dorpHp.create();
        //     this.m_arr_effect.put(_DropHpLay);
        //     father.addChild(_DropHpLay.getNode(), 500000);
        //     let text = ccui.helper.seekWidgetByName(_DropHpLay.m_pLayout.node, "BitmapFontLabel_1");
        //     text.setFntFile("xingjietanshishe/public_res/fonts/jiaxue.fnt");
        //     text.setString(showinfo);
        //     //text.setColor(cc.color(157, 255, 29));
        //     _DropHpLay.setPosition(pos);
        //     _DropHpLay.playAnimation("play", false);
        //     return _DropHpLay;
        // }

        createLayout_playnopower(father: cc.Node, pos) {
            let _DropHpLay = ui_nopower.create();
            this.m_arr_effect.put(_DropHpLay);
            father.addChild(_DropHpLay.getNode(), 500000);
            _DropHpLay.setPosition(pos);
            _DropHpLay.playAnimation("play", false);
            return _DropHpLay;
        }

        // dropHp(father, showinfo, pos) {
        //     showinfo = parseInt(showinfo);
        //     this.createLayout_playdrophp(father, showinfo, pos);
        // }

        dropCritHp(father, showinfo, pos) {
            showinfo = parseInt(showinfo);
            this.createLayout_playdropCrithp(father, showinfo, pos);
        }

        // addHp(father, showinfo, pos) {
        //     showinfo = parseInt(showinfo);
        //     this.createLayout_playaddhp(father, showinfo, pos);
        // }

        noPower(father, pos) {
            this.createLayout_playnopower(father, pos);
        }

        loop() {
            for (let i = 0; i < this.m_arr_effect_hp_map_use.getSize(); ++i) {
                let obj = this.m_arr_effect_hp_map_use.getData(i);
                if (obj) {
                    if (obj.isPlay() == false) {
                        obj.setVisible(false);
                        this.m_arr_effect_hp_map_use.remove(obj.__instanceId);
                        this.m_arr_effect_hp_map_notuse.put(obj.__instanceId, obj);
                        return;
                    }
                }
            }
            for (let i = 0; i < this.m_arr_effect_hp_map_use_crit.getSize(); ++i) {
                let obj = this.m_arr_effect_hp_map_use_crit.getData(i);
                if (obj) {
                    if (obj.isPlay() == false) {
                        obj.setVisible(false);
                        this.m_arr_effect_hp_map_use_crit.remove(obj.__instanceId);
                        this.m_arr_effect_hp_map_notuse_crit.put(obj.__instanceId, obj);
                        return;
                    }
                }
            }
            //this.m_arr_effect_hp_map_use
            this.m_arr_effect.each(
                function (obj: xjNode) {
                    if (obj) {
                        if (obj.isPlay() == false) {
                            this.m_arr_effect.remove(obj);
                            obj.getParent().removeChild(obj.getNode(), true);
                            obj = null;
                            return;
                        }
                    }
                }, this, null);
        }

        shutdownMap(objMap) {
            for (let i = 0; i < objMap.getSize(); ++i) {
                let obj = objMap.getData(i);
                if (obj) {
                    console.log("卸载 ui_dorpHp !" + obj._className);
                    obj.getParent().removeChild(obj.getNode(), true);
                }
            }
            objMap.clear();
        }

        shutdown() {
            this.shutdownMap(this.m_arr_effect);
            this.shutdownMap(this.m_arr_effect_hp_map_use);
            this.shutdownMap(this.m_arr_effect_hp_map_notuse);
            this.shutdownMap(this.m_arr_effect_hp_map_use_crit);
            this.shutdownMap(this.m_arr_effect_hp_map_notuse_crit);
        }
    }

}