var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/4/12.
 */
var game;
(function (game) {
    var ui_paihangbang = (function (_super) {
        __extends(ui_paihangbang, _super);
        function ui_paihangbang() {
            _super.call(this);
            this.m_selectMode = null;
            this.m_des = "ui_paihangbang";
            this.m_CBaseKeyState = new game.BaseKeyState_ui_config();
            this.m_CBaseKeyState.setUIName("paihangbang");
        }
        ui_paihangbang.prototype.oninit = function (data) {
            // ui_lianjiefuwuqi.ShowOrHide(true)
            // ui_lianjiefuwuqi.getMe().setString("加载中...")
            var root = this._parseUIFile("paihangbang.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            var wujing = ccui.helper.seekWidgetByName(this.m_root, "wujing");
            var duizhan = ccui.helper.seekWidgetByName(this.m_root, "duizhan");
            this.m_CBaseKeyState.regNodeEx(wujing, 1);
            this.m_CBaseKeyState.regNodeEx(duizhan, 2);
            this.m_CBaseKeyState.init(this);
            this.m_selectMode = this.m_CBaseKeyState.m_key.name;
            this.updateUI();
        };
        ui_paihangbang.prototype.updateUI = function () {
            var wujingKuang = ccui.helper.seekWidgetByTag(this.m_root, 456);
            var duizhankuang = ccui.helper.seekWidgetByTag(this.m_root, 457);
            switch (this.m_selectMode) {
                case "wujing":
                    wujingKuang.setVisible(true);
                    duizhankuang.setVisible(false);
                    this.updateWujingUI();
                    break;
                case "duizhan":
                    wujingKuang.setVisible(false);
                    duizhankuang.setVisible(true);
                    this.updateXianshiUI();
                    break;
            }
        };
        ui_paihangbang.prototype.updateWujingUI = function () {
            for (var j = 1; j <= 10; j++) {
                var rank = ccui.helper.seekWidgetByName(this.m_root, "rank" + j);
                var id_1 = ccui.helper.seekWidgetByName(rank, "id");
                var len_1 = ccui.helper.seekWidgetByName(rank, "length");
                if (game.httpRankMgr.getMe().m_wujingRankList_name && game.httpRankMgr.getMe().m_wujingRankList_score) {
                    if (game.httpRankMgr.getMe().m_wujingRankList_name[j - 1]) {
                        id_1.setString(game.decodeEx(game.httpRankMgr.getMe().m_wujingRankList_name[j - 1]));
                    }
                    else {
                        id_1.setString("暂无");
                    }
                    if (game.httpRankMgr.getMe().m_wujingRankList_score[j - 1] != null) {
                        var _score = 1000000 - game.httpRankMgr.getMe().m_wujingRankList_score[j - 1];
                        if (_score == 1000000) {
                            len_1.setString("暂无");
                        }
                        else {
                            len_1.setString(Math.floor(_score / 60) + "分" + Math.floor(_score % 60) + "秒");
                        }
                    }
                    else {
                        len_1.setString("");
                    }
                }
                else {
                    id_1.setString("加载中...");
                    len_1.setString("");
                }
            }
            var myRank = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            var mingci = ccui.helper.seekWidgetByName(this.m_root, "mingci");
            var id = ccui.helper.seekWidgetByName(this.m_root, "id");
            var len = ccui.helper.seekWidgetByName(this.m_root, "length");
            id.setString(game.DataMgr.getMe().getPlayerName());
            if (game.httpRankMgr.getMe().m_wujingRank == null) {
                mingci.setString("我的排名:" + "暂无");
            }
            else {
                mingci.setString("我的排名:" + game.httpRankMgr.getMe().m_wujingRank);
            }
            if (game.httpRankMgr.getMe().m_wujingRankScore == null) {
                len.setString("");
            }
            else {
                var _score = 1000000 - game.httpRankMgr.getMe().m_wujingRankScore;
                //console.log("score=:"+ _score)
                if (_score == 1000000) {
                    len.setString("暂无");
                }
                else {
                    len.setString(Math.floor(_score / 60) + "分" + Math.floor(_score % 60) + "秒");
                }
            }
        };
        ui_paihangbang.prototype.updateXianshiUI = function () {
            for (var j = 1; j <= 10; j++) {
                var rank = ccui.helper.seekWidgetByName(this.m_root, "rank" + j);
                var id_2 = ccui.helper.seekWidgetByName(rank, "id");
                var len_2 = ccui.helper.seekWidgetByName(rank, "length");
                if (game.httpRankMgr.getMe().m_xianshiRankList_name && game.httpRankMgr.getMe().m_xianshiRankList_score) {
                    if (game.httpRankMgr.getMe().m_xianshiRankList_name[j - 1]) {
                        id_2.setString(game.decodeEx(game.httpRankMgr.getMe().m_xianshiRankList_name[j - 1]));
                    }
                    else {
                        id_2.setString("暂无");
                    }
                    if (game.httpRankMgr.getMe().m_xianshiRankList_score[j - 1]) {
                        len_2.setString(game.httpRankMgr.getMe().m_xianshiRankList_score[j - 1] + " 米");
                    }
                    else {
                        len_2.setString("");
                    }
                }
                else {
                    id_2.setString("加载中...");
                    len_2.setString("");
                }
            }
            var myRank = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            var mingci = ccui.helper.seekWidgetByName(this.m_root, "mingci");
            var id = ccui.helper.seekWidgetByName(this.m_root, "id");
            var len = ccui.helper.seekWidgetByName(this.m_root, "length");
            id.setString(game.DataMgr.getMe().getPlayerName());
            if (game.httpRankMgr.getMe().m_xianshiRank == null) {
                mingci.setString("我的排名:" + "暂无");
            }
            else {
                mingci.setString("我的排名:" + game.httpRankMgr.getMe().m_xianshiRank);
            }
            if (game.httpRankMgr.getMe().m_xianshiRankScore == null) {
                len.setString("");
            }
            else {
                len.setString(game.httpRankMgr.getMe().m_xianshiRankScore + "米");
            }
        };
        ui_paihangbang.prototype.onBack = function () {
            this.endLayout(function () {
                ui_paihangbang.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_paihangbang.prototype.loop = function (t) {
            // if( httpRankMgr.getMe().m_xianshiRankList_name || httpRankMgr.getMe().m_wujingRankList_name
            //     || httpRankMgr.getMe().m_xianshiRankList_score || httpRankMgr.getMe().m_wujingRankScore
            //     || httpRankMgr.getMe().m_wujingRankScore || httpRankMgr.getMe().m_xianshiRankScore ){
            //     ui_lianjiefuwuqi.ShowOrHide(false)
            // }else{
            if (this.m_CBaseKeyState) {
                if (this.m_selectMode != this.m_CBaseKeyState.m_key.name) {
                    this.m_selectMode = this.m_CBaseKeyState.m_key.name;
                }
                this.m_CBaseKeyState.loop(t);
            }
            this.updateUI();
            //}
        };
        ui_paihangbang.g_instarn = null;
        ui_paihangbang.getMe = function () {
            return ui_paihangbang.g_instarn;
        };
        ui_paihangbang.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_paihangbang, null, 10000);
        };
        return ui_paihangbang;
    }(game.UiBase));
    game.ui_paihangbang = ui_paihangbang;
})(game || (game = {}));
//# sourceMappingURL=ui_paihangbang.js.map