var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/4/11.
 */
var game;
(function (game) {
    var ui_pipei = (function (_super) {
        __extends(ui_pipei, _super);
        function ui_pipei() {
            _super.call(this);
            this.m_waitTime = 0;
            this.m_join_Hero = null;
            this.m_serverNameLsit = null;
            this.m_isInit = false;
            this.m_des = "ui_pipei";
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_waitTime = Math.random() * game.g_pipei_Time;
            this.m_join_Hero = new Array();
            this.m_isInit = false;
        }
        ui_pipei.prototype.oninit = function (data) {
            //ui_lianjiefuwuqi.ShowOrHide(true)
            if (!cc.sys.isNative) {
                this.m_serverNameLsit = [
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                    "testname",
                ];
            }
            else {
                //检测名字库是否有数据 或者 足够的名字数据
                if (game.httpGetUsernameMgr.getMe().m_nameList == null || game.httpGetUsernameMgr.getMe().m_nameList.length < 15) {
                    game.ui_lianjiefuwuqi.ShowOrHide(true);
                    game.httpGetUsernameMgr.getMe().getHttpUserName(this.getServername, this);
                }
                else {
                    this.m_serverNameLsit = game.httpGetUsernameMgr.getMe().m_nameList;
                }
            }
            var root = this._parseUIFile("pipei.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            // httpGetUsernameMgr.getMe().getHttpUserName( this.getServername, this )
            this.updateUI();
        };
        ui_pipei.prototype.getServername = function (nameList) {
            this.m_serverNameLsit = nameList;
            if (this.m_serverNameLsit.length < 15) {
                game.httpGetUsernameMgr.getMe().getHttpUserName(this.getServername, this);
            }
        };
        ui_pipei.prototype.ready = function (_skin, _name) {
            if (_name === void 0) { _name = null; }
            if (this.m_serverNameLsit != null) {
                if (game.ui_lianjiefuwuqi.getMe()) {
                    game.ui_lianjiefuwuqi.ShowOrHide(false);
                }
                if (_name == null) {
                    _name = this.m_serverNameLsit.pop();
                }
                if (this.m_join_Hero.length == 7) {
                    var isJoin = false;
                    for (var k = 0; k < this.m_join_Hero.length; k++) {
                        if (this.m_join_Hero[k].skin == "long") {
                            isJoin = true;
                            break;
                        }
                    }
                    if (!isJoin) {
                        _skin = "long";
                    }
                }
                //_skin = "long"
                var data = { name: _name, skin: _skin }; //skin:_skin
                this.m_join_Hero.push(data);
            }
        };
        ui_pipei.prototype.updateUI = function () {
            for (var j = 1; j <= 8; j++) {
                var hero = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                var headImg = ccui.helper.seekWidgetByName(hero, "Image_2");
                var name_1 = ccui.helper.seekWidgetByName(hero, "Text_2");
                // let wait1:ccui.ImageView = ccui.helper.seekWidgetByName( hero ,"Image_34" )
                var wenhao = ccui.helper.seekWidgetByName(hero, "Image_35");
                var loadingBar = ccui.helper.seekWidgetByName(hero, "LoadingBar_1");
                if (this.m_join_Hero[j - 1]) {
                    if (headImg == null) {
                        headImg = ccui.helper.seekWidgetByName(hero, "Image_34");
                    }
                    wenhao.setVisible(false);
                    name_1.setString(this.m_join_Hero[j - 1].name);
                    if (this.m_join_Hero[j - 1].name === game.DataMgr.getMe().getPlayerName()) {
                        name_1.color = cc.color(255, 0, 0);
                    }
                    var skinConfig = game.DataMgr.getMe().getSkinConfigByName(this.m_join_Hero[j - 1].skin);
                    headImg.loadTexture(skinConfig["tou_icon"]);
                }
                else {
                    name_1.setString("等待其他玩家加入...");
                }
                loadingBar.setPercent(0);
            }
        };
        ui_pipei.prototype.loading = function () {
            var isSucceed = true;
            for (var j = 1; j <= 8; j++) {
                var hero = ccui.helper.seekWidgetByName(this.m_root, "hero" + j);
                var loadingBar = ccui.helper.seekWidgetByName(hero, "LoadingBar_1");
                if (loadingBar.getPercent() < 100) {
                    loadingBar.setPercent(loadingBar.getPercent() + Math.random() * 2);
                    isSucceed = false;
                }
            }
            return isSucceed;
        };
        ui_pipei.prototype.loop = function (t) {
            this.m_waitTime -= t;
            if (this.m_serverNameLsit != null) {
                if (!this.m_isInit) {
                    var initnum = Math.ceil(Math.random() * 4);
                    for (var j = 0; j < initnum; j++) {
                        var _randSkin = game.g_skinMgr.getMe().round_skin();
                        this.ready(_randSkin);
                    }
                    this.ready(game.DataMgr.getMe().getPlayDoc().curpifu, game.DataMgr.getMe().getPlayerName());
                    this.m_isInit = true;
                }
                else {
                    if (this.m_waitTime <= 0) {
                        this.m_waitTime = Math.random() * game.g_pipei_Time;
                        if (this.m_join_Hero.length < game.g_Snake_Config.initSnakenum + 1) {
                            var _randSkin = game.g_skinMgr.getMe().round_skin();
                            this.ready(_randSkin);
                            this.updateUI();
                        }
                        else {
                        }
                    }
                }
            }
            if (this.m_waitTime <= -15) {
            }
            //更新进度 条
            if (this.m_join_Hero.length == game.g_Snake_Config.initSnakenum + 1) {
                if (this.loading()) {
                    this.startGame();
                }
            }
        };
        ui_pipei.prototype.startGame = function () {
            game.sceneMgr.getMe().selectScene(game.g_SceneType.SceneType_fight, "scene1_1");
            game.roleMgr.getMe().m_pause = true;
            console.log(game.DataMgr.getMe().getPlayDoc().name);
            for (var k = 0; k < this.m_join_Hero.length; k++) {
                console.log(this.m_join_Hero[k].name);
                if (this.m_join_Hero[k].name == game.DataMgr.getMe().getPlayerName()) {
                    game.roleMgr.getMe().createPlayer();
                }
                else {
                    var _monster = game.roleMgr.getMe().createMonster(this.m_join_Hero[k].name, this.m_join_Hero[k].skin);
                }
            }
            game.roleMgr.getMe().createEnerty();
            game.roleMgr.getMe().m_pause = false;
            ui_pipei.ShowOrHide(false);
            game.ui_zhujiemian.ShowOrHide(false);
        };
        ui_pipei.g_instarn = null;
        ui_pipei.getMe = function () {
            return ui_pipei.g_instarn;
        };
        ui_pipei.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_pipei, null, 1000);
        };
        return ui_pipei;
    }(game.UiBase));
    game.ui_pipei = ui_pipei;
})(game || (game = {}));
//# sourceMappingURL=ui_pipei.js.map