var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/4/12.
 */
var game;
(function (game) {
    var shibaiMsg = (function () {
        function shibaiMsg() {
            this.m_myLen = 0;
            this.m_myBestPlayer = null;
            this.m_killedName = null;
            this.m_fuhuoFunc = null;
            this.m_exitFunc = null;
        }
        return shibaiMsg;
    }());
    game.shibaiMsg = shibaiMsg;
    var ui_shibai = (function (_super) {
        __extends(ui_shibai, _super);
        function ui_shibai() {
            _super.call(this);
            this.m_fuhuoFUnc = null;
            this.m_exitFunc = null;
            this.m_buttList = null;
            this.m_des = "ui_shibai";
            this.m_CBaseKeyState = new game.BaseKeyState();
            this.m_buttList = new Array();
        }
        ui_shibai.prototype.oninit = function (data) {
            var root = this._parseUIFile("shibai2.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            var killer = ccui.helper.seekWidgetByName(this.m_root, "killer");
            if (data.m_killedName == null) {
                killer.setString("你被墙撞死了，不要灰心，再来一次！");
            }
            else {
                killer.setString(data.m_killedName + " 击杀了你的蛇蛇，不要灰心，再来一次！");
            }
            var bestplayer = ccui.helper.seekWidgetByName(this.m_root, "bestplayer");
            bestplayer.setString("全场最佳:" + data.m_myBestPlayer.getName() + ",长度:" + data.m_myBestPlayer.getSnakeLength());
            var mylen = ccui.helper.seekWidgetByName(this.m_root, "length");
            mylen.setString("我的长度：" + data.m_myLen);
            var fuhuo = ccui.helper.seekWidgetByName(this.m_root, "fuhuo");
            this.m_CBaseKeyState.regNodeEx(fuhuo, 1);
            this.m_buttList.push(fuhuo);
            fuhuo.addTouchEventListener(this.fuhuo_func, this);
            var exit_ = ccui.helper.seekWidgetByName(this.m_root, "tuichubisai");
            exit_.addTouchEventListener(this.exit_func, this);
            this.m_buttList.push(exit_);
            this.m_CBaseKeyState.regNodeEx(exit_, 2);
            this.m_fuhuoFUnc = data.m_fuhuoFunc;
            this.m_exitFunc = data.m_exitFunc;
            this.m_CBaseKeyState.init(this);
        };
        ui_shibai.prototype.onBack = function () {
        };
        ui_shibai.prototype.fuhuo_func = function (sender, type) {
            var _this = this;
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (game.DataMgr.getMe().subCufenerty()) {
                        ui_shibai.ShowOrHide(false, null);
                        this.m_fuhuoFUnc();
                    }
                    else {
                        ui_shibai.ShowOrHide(false, null);
                        if (game.g_gameVersion == game.e_game_Version.e_no_money) {
                            game.ui_MessageBox2.ShowOrHide(true, "体力不足", null, null);
                            this.exit_func(null, ccui.Widget.TOUCH_ENDED);
                        }
                        else {
                            var sk_1 = game.DataMgr.getMe().getSkinConfigByName(game.fileMgr.getMe().m_play_doc.curpifu);
                            if (sk_1["fuhuoCost"] <= game.DataMgr.getMe().getzuansiNum()) {
                                game.ui_MessageBox.ShowOrHide(true, "体力不足，是否花费" + sk_1["fuhuoCost"] + "钻石复活", function () {
                                    game.DataMgr.getMe().subZuansiNum(sk_1["fuhuoCost"]);
                                    _this.m_fuhuoFUnc();
                                    // this.fuhuo_func(null,ccui.Widget.TOUCH_ENDED)
                                }, function () {
                                    _this.exit_func(null, ccui.Widget.TOUCH_ENDED);
                                });
                            }
                            else {
                                game.ui_MessageBox.ShowOrHide(true, "钻石不足，无法补充体力", function () {
                                    _this.exit_func(null, ccui.Widget.TOUCH_ENDED);
                                }, null);
                            }
                        }
                    }
                    //
                    break;
            }
        };
        ui_shibai.prototype.exit_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_shibai.ShowOrHide(false, null);
                    if (this.m_exitFunc) {
                        this.m_exitFunc();
                    }
                    break;
            }
        };
        ui_shibai.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                if (this.m_buttList.length != 0) {
                    for (var k = 0; k < this.m_buttList.length; k++) {
                        var backImg = ccui.helper.seekWidgetByName(this.m_buttList[k], "Image_1");
                        if (this.m_CBaseKeyState.m_key.node.getName() == this.m_buttList[k].getName()) {
                            backImg.setVisible(true);
                        }
                        else {
                            backImg.setVisible(false);
                        }
                    }
                }
            }
        };
        ui_shibai.g_instarn = null;
        ui_shibai.getMe = function () {
            return ui_shibai.g_instarn;
        };
        ui_shibai.ShowOrHide = function (flag, msg) {
            game.UiBase.ShowOrHide(flag, ui_shibai, null, 101, msg);
        };
        return ui_shibai;
    }(game.UiBase));
    game.ui_shibai = ui_shibai;
})(game || (game = {}));
//# sourceMappingURL=ui_shibai.js.map