var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/5/4.
 */
var game;
(function (game) {
    var ui_zuansibucong = (function (_super) {
        __extends(ui_zuansibucong, _super);
        function ui_zuansibucong() {
            _super.call(this);
            // m_CBaseKeyState:BaseKeyState;
            this.m_fuhuoFUnc = null;
            this.m_exitFunc = null;
            this.m_buttonList = null;
            this.m_des = "ui_zuansibucong";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_zuansibucong.prototype.oninit = function (data) {
            var root = this._parseUIFile("zuanshibuchong.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            this.m_buttonList = new Array();
            var fuhuoButton = ccui.helper.seekWidgetByName(this.m_root, "fuhuo");
            this.m_buttonList.push(fuhuoButton);
            fuhuoButton.addTouchEventListener(this.FuhuoFunc, this);
            var addzuansi = ccui.helper.seekWidgetByName(this.m_root, "buchong");
            this.m_buttonList.push(addzuansi);
            addzuansi.addTouchEventListener(this.AddzuansiFunc, this);
            var tuichu = ccui.helper.seekWidgetByName(this.m_root, "tuichubisai");
            this.m_buttonList.push(tuichu);
            tuichu.addTouchEventListener(this.exit_func, this);
            var costType = ccui.helper.seekWidgetByName(this.m_root, "tili");
            if (game.DataMgr.getMe().getCurenergy() <= 0) {
                costType.setString("消耗20钻石复活");
            } //else{
            //     costType.setString("使用一点体力复活")
            // }
            var killer = ccui.helper.seekWidgetByName(this.m_root, "killer");
            if (data.m_killedName == null) {
                killer.setString("你被墙撞死了，不要灰心，再来一次！");
            }
            else {
                killer.setString(data.m_killedName + " 击杀了你的蛇蛇，不要灰心，再来一次！");
            }
            var bestplayer = ccui.helper.seekWidgetByName(this.m_root, "bestplayer");
            bestplayer.setString("全场最佳:" + data.m_myBestPlayer.getName() + ",长度:" + data.m_myBestPlayer.getSnakeLength());
            var mylen = ccui.helper.seekWidgetByName(this.m_root, "length");
            mylen.setString("我的长度：" + data.m_myLen);
            this.m_fuhuoFUnc = data.m_fuhuoFunc;
            this.m_exitFunc = data.m_exitFunc;
            this.m_CBaseKeyState.regNodeEx(fuhuoButton, 1);
            this.m_CBaseKeyState.regNodeEx(addzuansi, 2);
            this.m_CBaseKeyState.regNodeEx(tuichu, 3);
            this.m_CBaseKeyState.init(this);
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["pcfabu"] == 1 || game.g_focus_Exit == true) {
                this.m_CBaseKeyState.setCurKey_byName("tuichubisai");
            }
        };
        ui_zuansibucong.prototype.FuhuoFunc = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    if (game.DataMgr.getMe().subCufenerty()) {
                        ui_zuansibucong.ShowOrHide(false, null);
                        this.m_fuhuoFUnc();
                    }
                    else {
                        var sk = game.DataMgr.getMe().getSkinConfigByName(game.fileMgr.getMe().m_play_doc.curpifu);
                        if (sk["fuhuoCost"] <= game.DataMgr.getMe().getzuansiNum()) {
                            game.DataMgr.getMe().subZuansiNum(sk["fuhuoCost"]);
                            ui_zuansibucong.ShowOrHide(false, null);
                            this.m_fuhuoFUnc();
                        }
                        else {
                            var callbackData = { type: 0, info: game.g_shop_info_pc.item[2] };
                            var succeed_func = game.MyCallback.create(this.buySucceed, this, callbackData);
                            var cancel_func = game.MyCallback.create(this.buyFail, this, null);
                            game.iapMgr.getMe().buy_noTip(game.g_shop_info_pc.item[2].id, succeed_func, cancel_func);
                        }
                    }
                    break;
                default: break;
            }
        };
        ui_zuansibucong.prototype.AddzuansiFunc = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var callbackData = { type: 1, info: game.g_shop_info_pc.item[2] };
                    var succeed_func = game.MyCallback.create(this.buySucceed, this, callbackData);
                    var cancel_func = game.MyCallback.create(this.buyFail, this, null);
                    game.iapMgr.getMe().buy_noTip(game.g_shop_info_pc.item[2].id, succeed_func, cancel_func);
                    break;
                default: break;
            }
        };
        ui_zuansibucong.prototype.buySucceed = function (nullData, data) {
            if (data.type == 1) {
                game.DataMgr.getMe().addZuansi(data.info.zuanshi);
            }
            else {
                ui_zuansibucong.ShowOrHide(false, null);
                game.DataMgr.getMe().addZuansi(data.info.zuanshi);
                var sk = game.DataMgr.getMe().getSkinConfigByName(game.fileMgr.getMe().m_play_doc.curpifu);
                game.DataMgr.getMe().subZuansiNum(sk["fuhuoCost"]);
                this.m_fuhuoFUnc();
            }
        };
        ui_zuansibucong.prototype.buyFail = function () {
            // if( this.m_exitFunc ){
            //     this.m_exitFunc()
            // }
        };
        ui_zuansibucong.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                for (var k = 0; k < this.m_buttonList.length; k++) {
                    var backImg = ccui.helper.seekWidgetByName(this.m_buttonList[k], "Image_1");
                    if (this.m_CBaseKeyState.m_key.node.getName() == this.m_buttonList[k].getName()) {
                        backImg.setVisible(true);
                    }
                    else {
                        backImg.setVisible(false);
                    }
                }
            }
        };
        ui_zuansibucong.prototype.exit_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_zuansibucong.ShowOrHide(false, null);
                    if (this.m_exitFunc) {
                        this.m_exitFunc();
                    }
                    break;
                default: break;
            }
        };
        ui_zuansibucong.g_instarn = null;
        ui_zuansibucong.getMe = function () {
            return ui_zuansibucong.g_instarn;
        };
        ui_zuansibucong.ShowOrHide = function (flag, _msg) {
            game.UiBase.ShowOrHide(flag, ui_zuansibucong, null, 100000, _msg);
        };
        return ui_zuansibucong;
    }(game.UiBase));
    game.ui_zuansibucong = ui_zuansibucong;
})(game || (game = {}));
//# sourceMappingURL=ui_zuansibucong.js.map