//json
var game;
(function (game) {
    var fileMgr = (function () {
        function fileMgr() {
            this.m_play_doc = game.g_player_default;
            this.m_xiangsu_info = null;
            this.m_net_info = null;
            this.m_curMyStruct_xiangsu_base = null;
            this.m_shop_info = null;
            this.m_monsterAi_config = null;
            this.m_resouce = null;
        }
        fileMgr.getMe = function () {
            return fileMgr.create();
        };
        ;
        fileMgr.prototype.init = function () {
            this.readPlayerDoc();
            this.readresouce();
            this.read_xiangsu();
            this.read_net_info();
            this.read_shop_info();
            console.log("fileMgr init ok!");
        };
        fileMgr.prototype.isMobile = function () {
            return this.m_xiangsu_info["root"]["isMobile"];
        };
        fileMgr.prototype.getShopInfoItem_byTVid = function (id) {
            var items = fileMgr.getMe().m_shop_info.item;
            for (var i = 0; i < items.length; i++) {
                if (items[i].tvid == id) {
                    return items[i];
                }
            }
        };
        fileMgr.prototype.getShopInfoItem_byid = function (id) {
            var items = fileMgr.getMe().m_shop_info.item;
            for (var i = 0; i < items.length; i++) {
                if (items[i].id == id) {
                    return items[i];
                }
            }
        };
        fileMgr.prototype.read_shop_info = function () {
            this.m_shop_info = game.g_shop_info_pc;
            return true;
        };
        fileMgr.prototype.read_xiangsu = function () {
            console.log("read_xiangsu!");
            var data = this.ReadFileData("xiangsu.json");
            this.m_xiangsu_info = JSON.parse(data);
            return true;
        };
        fileMgr.prototype.read_net_info = function () {
            var data = this.ReadFileData("net.json");
            this.m_net_info = JSON.parse(data);
            return true;
        };
        fileMgr.prototype.getResouce = function () {
            return game.g_resouce;
        };
        fileMgr.prototype.getSceneInfo = function (filename) {
            if (fileMgr.getMe().m_xiangsu_info["root"]["version"] == 0) {
                return game.g_scene_config[filename];
            }
            else {
                return game.g_scene_shoufeiban_config[filename];
            }
        };
        fileMgr.prototype.ReadFileData = function (filename) {
            //console.log("ReadFileData： " + filename);
            if (cc.sys.isNative) {
                // console.log("ReadFileData： " + filename);
                var fullPath = jsb.fileUtils.getWritablePath();
                fullPath += filename;
                // console.log("ReadFileData： " + fullPath);
                if (jsb.fileUtils.isFileExist(fullPath)) {
                    console.log("ReadFileData： " + fullPath);
                    return jsb.fileUtils.getStringFromFile(fullPath);
                }
                if (jsb.fileUtils.isFileExist(filename)) {
                    console.log("ReadFileData： " + filename);
                    return jsb.fileUtils.getStringFromFile(filename);
                }
                if (jsb.fileUtils.isFileExist("config/" + filename)) {
                    console.log("ReadFileData： " + "config/" + filename);
                    return jsb.fileUtils.getStringFromFile("config/" + filename);
                }
                if (jsb.fileUtils.isFileExist("xingjietanshishe/config/" + filename)) {
                    console.log("ReadFileData： " + "xingjietanshishe/config/" + filename);
                    return jsb.fileUtils.getStringFromFile("xingjietanshishe/config/" + filename);
                }
                console.log("ReadFileData： " + "not find file" + filename);
                return false;
            }
            else {
                return cc.loader._loadTxtSync("xingjietanshishe/config/" + filename);
            }
        };
        fileMgr.prototype.readresouce = function () {
            this.m_resouce = game.g_resouce;
            return true;
        };
        fileMgr.prototype.initxiangsu_andriod_ios = function (sizein) {
            var len = 10000;
            var lenBuff = 0;
            // this.m_xiangsu_info
            var phonelist = this.m_xiangsu_info.root.iphone;
            for (var i = 0; i < phonelist.length; ++i) {
                var data = phonelist[i];
                var disx = game.funcMgr.getMe().float_dis(data.xiangsu_w, sizein.width);
                var disy = game.funcMgr.getMe().float_dis(data.xiangsu_h, sizein.height);
                lenBuff = disx + disy; // it->second.xiangsu_w + it->second.xiangsu_h;
                if (lenBuff < len) {
                    len = lenBuff;
                    this.m_curMyStruct_xiangsu_base = data;
                }
            }
            // console.log("initxiangsu_andriod_ios name:"+ this.m_curMyStruct_xiangsu_base.name+ "xiangsu_w:"+this.m_curMyStruct_xiangsu_base.xiangsu_w)
            //  uiMgr.getMe().show_ui_MessageBox( true , "initxiangsu_andriod_ios name:"+ this.m_curMyStruct_xiangsu_base.name);
            console.log("jjj:" + "len:" + len + "lenBuff:" + lenBuff + this.m_curMyStruct_xiangsu_base.xiangsu_w + ":" + this.m_curMyStruct_xiangsu_base.xiangsu_h + ":" + this.m_curMyStruct_xiangsu_base.scale);
            return this.m_curMyStruct_xiangsu_base;
        };
        fileMgr.prototype.readPlayerDoc = function () {
            // if (this.m_play_doc != null) {
            //     return;
            // }
            // if (cc.sys.isNative && cc.sys.os == cc.sys.OS_WINDOWS) {
            //     //加载
            //     if (jsb.fileUtils.isFileExist("save/player_doc.js")) {
            //         executeScript("save/player_doc.js");
            //         console.log("g_paly_doc !!!!!!! ok!!!");
            //         this.m_play_doc = g_paly_doc; //
            //     }
            //     else {
            //         this.m_play_doc = g_player_default; //
            //     }
            // }
            // else if (cc.sys.isNative && cc.sys.os == cc.sys.OS_ANDROID) {
            //     let _writablePath = jsb.fileUtils.getWritablePath();
            //     console.log("安卓存档目录：" + _writablePath + "save/player_doc_tanshishe.js");
            //     if (jsb.fileUtils.isFileExist(_writablePath + "save/player_doc_tanshishe.js")) {
            //         executeScript(_writablePath + "save/player_doc_tanshishe.js");
            //         console.log("g_paly_doc !!!!!!! ok!!!");
            //         this.m_play_doc = g_paly_doc; //
            //     }
            //     else {
            //         this.m_play_doc = g_player_default; //
            //     }
            // }
            // else {
            //     this.m_play_doc = g_player_default; //
            // }
        };
        //
        fileMgr.prototype.savePlayInfo = function () {
            // if (cc.sys.isNative) {
            //     let _writablePath = jsb.fileUtils.getWritablePath();
            //     console.log("存档目录：" + _writablePath + "save/player_doc.js");
            //     let json = JSON.stringify(this.m_play_doc, null, '\t');//this.m_play_doc
            //     //需要存档到服务器
            //     if (cc.sys.os == cc.sys.OS_WINDOWS) {
            //         let srcpath = _writablePath + "save/player_doc_backup.js";
            //         jsb.fileUtils.writeStringToFile("g_paly_doc = " + json, srcpath);
            //         jsb.fileUtils.removeFile(_writablePath + "save/player_doc.js");
            //         jsb.fileUtils.renameFile(_writablePath + "save/", "player_doc_backup.js", "player_doc.js");
            //     }
            //     else {
            //         let srcpath = _writablePath + "player_doc_backup.js";
            //         jsb.fileUtils.writeStringToFile("g_paly_doc = " + json, srcpath);
            //         jsb.fileUtils.removeFile(_writablePath + "player_doc_tanshishe.js");
            //         jsb.fileUtils.renameFile(_writablePath, "player_doc_backup.js", "player_doc_tanshishe.js");
            //     }
            // }
            //上传存档到服务器
            game.httpMgr.getMe().sendMsg(game.g_httpType.type_saveGameData);
            console.log("用户数据上传服务器成功 ");
            // httpMgr.getMe().sendMsg(g_httpType.type_saveScore);
            // httpMgr.getMe().sendMsg(g_httpType.type_saveGameData);
        };
        fileMgr.prototype.saveProjectJson = function (filelist) {
            if (cc.sys.isNative) {
                var data = fileMgr.getMe().ReadFileData("project.json");
                var outjson = JSON.parse(data);
                //console.log(data);
                outjson["jsList"] = filelist;
                var json = JSON.stringify(outjson, null, '\t');
                jsb.fileUtils.writeStringToFile(json, "project.json");
            }
        };
        fileMgr.g_fileMgr = null;
        fileMgr.create = function () {
            if (fileMgr.g_fileMgr == null) {
                fileMgr.g_fileMgr = new fileMgr();
                return fileMgr.g_fileMgr;
            }
            else {
                return fileMgr.g_fileMgr;
            }
        };
        return fileMgr;
    }());
    game.fileMgr = fileMgr;
})(game || (game = {}));
//# sourceMappingURL=FileMgr.js.map