/**
 * Created by w on 2017/4/1.
 */
var game;
(function (game) {
    game.g_Snake_Config = {
        Length: 5,
        Speed: 1,
        skillUpSpeed: 2,
        accSpeed: 3,
        interval: 11,
        Body_scale: 0.20,
        initSnakenum: 7,
        speedUpTime: 10,
        eatFood_len: 10,
        //maxSnake:20,       //最多数量
        interval_time: 1,
        big_energy: 3,
        control_big_angle: 5,
        control_small_angle: 1,
        playerTestLen: 0 //玩家初始长度   - 测试的时候改这一项  填为0为默认长度
    };
    game.g_snake_score_len_config = [
        //初始分值50 - 5 节时
        { len: 5, score: 10, level: 1 },
        // 3
        { len: 15, score: 3, level: 2 },
        // 5
        { len: 30, score: 5, level: 3 },
        // 10
        { len: 60, score: 10, level: 4 },
        // 15
        { len: 120, score: 15, level: 5 },
        // 20
        { len: 150, score: 20, level: 6 },
        // 30
        { len: 200, score: 30, level: 7 },
        // 60
        { len: 3000, score: 60, level: 8 },
    ];
    var g_scoreMgr = (function () {
        function g_scoreMgr() {
        }
        //获取 当前增长对应 分值
        g_scoreMgr.getAddScoreBylen = function (len) {
            var score_ = 0;
            for (var k = 1; k < game.g_snake_score_len_config.length; k++) {
                if (len > game.g_snake_score_len_config[k - 1].len && len <= game.g_snake_score_len_config[k].len) {
                    score_ = game.g_snake_score_len_config[k].score;
                    break;
                }
            }
            if (score_ == 0) {
                score_ = game.g_snake_score_len_config[0].len * game.g_snake_score_len_config[0].score;
            }
            return score_;
        };
        g_scoreMgr.getScorebyLen = function (curLen) {
            if (curLen <= game.g_snake_score_len_config[0].len) {
                return game.g_snake_score_len_config[0].len * game.g_snake_score_len_config[0].score;
            }
            var newScore = 0;
            if (curLen > game.g_snake_score_len_config[0].len && curLen <= game.g_snake_score_len_config[1].len) {
                newScore = game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                    (curLen - game.g_snake_score_len_config[0].len) * game.g_snake_score_len_config[1].score;
            }
            else if (curLen > game.g_snake_score_len_config[1].len && curLen <= game.g_snake_score_len_config[2].len) {
                newScore =
                    game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                        game.g_snake_score_len_config[1].score * (game.g_snake_score_len_config[1].len - game.g_snake_score_len_config[0].len) +
                        game.g_snake_score_len_config[2].score * (curLen - game.g_snake_score_len_config[1].len);
            }
            else if (curLen > game.g_snake_score_len_config[2].len && curLen <= game.g_snake_score_len_config[3].len) {
                newScore =
                    game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                        game.g_snake_score_len_config[1].score * (game.g_snake_score_len_config[1].len - game.g_snake_score_len_config[0].len) +
                        game.g_snake_score_len_config[2].score * (game.g_snake_score_len_config[2].len - game.g_snake_score_len_config[1].len) +
                        game.g_snake_score_len_config[3].score * (curLen - game.g_snake_score_len_config[2].len);
            }
            else if (curLen > game.g_snake_score_len_config[3].len && curLen <= game.g_snake_score_len_config[4].len) {
                newScore =
                    game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                        game.g_snake_score_len_config[1].score * (game.g_snake_score_len_config[1].len - game.g_snake_score_len_config[0].len) +
                        game.g_snake_score_len_config[2].score * (game.g_snake_score_len_config[2].len - game.g_snake_score_len_config[1].len) +
                        game.g_snake_score_len_config[3].score * (game.g_snake_score_len_config[3].len - game.g_snake_score_len_config[2].len) +
                        game.g_snake_score_len_config[4].score * (curLen - game.g_snake_score_len_config[3].len);
            }
            else if (curLen > game.g_snake_score_len_config[4].len && curLen <= game.g_snake_score_len_config[5].len) {
                newScore =
                    game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                        game.g_snake_score_len_config[1].score * (game.g_snake_score_len_config[1].len - game.g_snake_score_len_config[0].len) +
                        game.g_snake_score_len_config[2].score * (game.g_snake_score_len_config[2].len - game.g_snake_score_len_config[1].len) +
                        game.g_snake_score_len_config[3].score * (game.g_snake_score_len_config[3].len - game.g_snake_score_len_config[2].len) +
                        game.g_snake_score_len_config[4].score * (game.g_snake_score_len_config[4].len - game.g_snake_score_len_config[3].len) +
                        game.g_snake_score_len_config[5].score * (curLen - game.g_snake_score_len_config[4].len);
            }
            else if (curLen > game.g_snake_score_len_config[5].len && curLen <= game.g_snake_score_len_config[6].len) {
                newScore =
                    game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                        game.g_snake_score_len_config[1].score * (game.g_snake_score_len_config[1].len - game.g_snake_score_len_config[0].len) +
                        game.g_snake_score_len_config[2].score * (game.g_snake_score_len_config[2].len - game.g_snake_score_len_config[1].len) +
                        game.g_snake_score_len_config[3].score * (game.g_snake_score_len_config[3].len - game.g_snake_score_len_config[2].len) +
                        game.g_snake_score_len_config[4].score * (game.g_snake_score_len_config[4].len - game.g_snake_score_len_config[3].len) +
                        game.g_snake_score_len_config[5].score * (game.g_snake_score_len_config[5].len - game.g_snake_score_len_config[4].len) +
                        game.g_snake_score_len_config[6].score * (curLen - game.g_snake_score_len_config[5].len);
            }
            else if (curLen > game.g_snake_score_len_config[6].len && curLen <= game.g_snake_score_len_config[7].len) {
                newScore =
                    game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len +
                        game.g_snake_score_len_config[1].score * (game.g_snake_score_len_config[1].len - game.g_snake_score_len_config[0].len) +
                        game.g_snake_score_len_config[2].score * (game.g_snake_score_len_config[2].len - game.g_snake_score_len_config[1].len) +
                        game.g_snake_score_len_config[3].score * (game.g_snake_score_len_config[3].len - game.g_snake_score_len_config[2].len) +
                        game.g_snake_score_len_config[4].score * (game.g_snake_score_len_config[4].len - game.g_snake_score_len_config[3].len) +
                        game.g_snake_score_len_config[5].score * (game.g_snake_score_len_config[5].len - game.g_snake_score_len_config[4].len) +
                        game.g_snake_score_len_config[6].score * (game.g_snake_score_len_config[6].len - game.g_snake_score_len_config[5].len) +
                        game.g_snake_score_len_config[7].score * (curLen - game.g_snake_score_len_config[6].len);
            }
            return newScore;
        };
        g_scoreMgr.getLenbyScore = function (score_) {
            if (score_ < game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len) {
                return 1;
            }
            var len = game.g_snake_score_len_config[0].len;
            score_ -= game.g_snake_score_len_config[0].score * game.g_snake_score_len_config[0].len;
            for (var k = 1; k < game.g_snake_score_len_config.length; k++) {
                if (score_ >= game.g_snake_score_len_config[k].score * (game.g_snake_score_len_config[k].len - game.g_snake_score_len_config[k - 1].len)) {
                    len += (game.g_snake_score_len_config[k].len - game.g_snake_score_len_config[k - 1].len);
                    score_ -= game.g_snake_score_len_config[k].score * (game.g_snake_score_len_config[k].len - game.g_snake_score_len_config[k - 1].len);
                }
                else {
                    while (score_ > 0) {
                        ++len;
                        score_ -= game.g_snake_score_len_config[k].score;
                    }
                    break;
                }
            }
            return Math.floor(len);
        };
        return g_scoreMgr;
    }());
    game.g_scoreMgr = g_scoreMgr;
    game.g_snake_len_Config = [
        { len: 1, scale: 0.30 },
        { len: 10, scale: 0.30 },
        { len: 20, scale: 0.32 },
        { len: 25, scale: 0.33 },
        { len: 30, scale: 0.34 },
        { len: 40, scale: 0.35 },
        { len: 60, scale: 0.36 },
        { len: 100, scale: 0.37 },
        { len: 180, scale: 0.38 },
        { len: 250, scale: 0.39 },
        { len: 400, scale: 0.40 },
        { len: 650, scale: 0.41 },
        { len: 1000, scale: 0.41 },
        { len: 1000000, scale: 0.43 },
    ];
})(game || (game = {}));
//# sourceMappingURL=Snake_Config.js.map