/**
 * Created by cy1234 on 2016/7/30.
 */
//
// 状态机控制管理
//

module game {
    export class baseStateControl {
        m_cur_RoleAiState: any = null;
        m_Ai_map_1: MapGame = null;
        m_roleObj: any = null;

        constructor(playObj) {
            this.m_roleObj = playObj;
            this.m_Ai_map_1 = new game.MapGame();
        }

        init() {

        }

        getRoleObj() {
            return this.m_roleObj;
        }

        getCurStateInfo() {
            return this.m_cur_RoleAiState;
        }

        initState() {
        }

        addState(data, type: any = null) {

            if (data == null) {
                return;
            }

            if (type == null) {
                if (this.m_Ai_map_1 == null) {
                    this.m_Ai_map_1.put(data.m_stateType, data);
                }
                if (data.m_stateType) {
                    this.m_Ai_map_1.put(data.m_stateType, data);
                }
                else {
                    this.m_Ai_map_1.put(data.m_stateType, data);
                }
            }
            else {
                this.m_Ai_map_1.put(type, data);
            }
        }

        getState(type) {
            return this.m_Ai_map_1.getDataByKey(type);
        }

        //强制切换状态
        changeState_Ex(key, data: any = null) {
            if(!this.m_cur_RoleAiState.ExternalEvent(key, data)){
                return false
            }
            let buffai = this.m_Ai_map_1.getDataByKey(key);
            if (buffai == null) {
                return true;
            }
            if (buffai.InternalEvent(key, data)) {
                this.m_cur_RoleAiState = buffai;
                return true;
            }
        }

        changeState(key, in_data: any = null) {
            let buffAi = this.m_Ai_map_1.getDataByKey(key);
            if (buffAi == null) {
                console.log("  changeState!  没有這个状态:" + key);
                return false;
            }
            if (!this.m_cur_RoleAiState.ExternalEvent(key, in_data)) {
                //console.log("  changeState!  当前状态不退出:" + this.getCurStateType() );
                return false;
            }
            if (buffAi.InternalEvent == null) {
                console.log("changeState!");
                return false;
            }
            if (buffAi.InternalEvent(key, in_data)) {
                this.m_cur_RoleAiState = buffAi;
            }
            else {
                this.m_cur_RoleAiState.InternalEvent();
            }
            return true;
        }

        loop(dt) {
            // if (this.getRoleObj().isdead()) {
            //     return;
            // }
            this.m_cur_RoleAiState.update(dt);
        }

        shutdown() {

        }

        getCurStateType() {
            if (this.m_cur_RoleAiState == null) {
                return null;
            }
            return this.m_cur_RoleAiState.m_stateType;
        }

        onFrameEvent(type, event) {
            this.m_cur_RoleAiState.onFrameEvent(type, event);
        }
    }
}
//# sourceMappingURL=baseStateControl.js.map