//
module game {

    let g_LEFT_RIGHT_JIANGE = 0;
    export class cameraMgr {
        m_speed: any = 0;
        m_speed_max: any = 100;
        m_rect: any = cc.rect();

        m_Min_pos: any = cc.p(0, 0);
        m_Max_pos: any = cc.p(3000, 3000);
        m_Top_val: any = 0;
        m_StartPosition: any = cc.p(0, 0);
        m_shakeTime: any = 0;
        m_shake_fudu: any = 0;
        m_curMoveAction: any = null;
        static g_insta: cameraMgr = null;
        static getMe = function () {
            return cameraMgr.create();
        };
        static create = function () {
            if (cameraMgr.g_insta == null) {
                cameraMgr.g_insta = new cameraMgr();
                return cameraMgr.g_insta;
            }
            else {
                return cameraMgr.g_insta;
            }
        };

        initex() {
            this.m_speed = this.m_speed_max; //
        }

        reset(playPos) {

            let visibleSize: cc.Size = cc.director.getVisibleSize();
            let newpos_x = 0;
            var tt = roleMgr.getMe().getControlPlayer().getCurStateType();
            if (tt == g_AiType.g_AiType_dead) {
                return;
            }

            let Player_dir = roleMgr.getMe().getControlPlayer().getRunDir()

            if (Player_dir.x > 0) {
                newpos_x = VisibleRect.center().x - playPos.x - g_LEFT_RIGHT_JIANGE;
            }
            else {
                newpos_x = VisibleRect.center().x - playPos.x + g_LEFT_RIGHT_JIANGE;
            }
            if (newpos_x < -(this.m_Max_pos.x) + visibleSize.width) {
                newpos_x = -(this.m_Max_pos.x) + visibleSize.width;
            }
            if (newpos_x > -this.m_Min_pos.x) {
                newpos_x = -this.m_Min_pos.x;
            }
            sceneMgr.getMe().setPositionX(newpos_x);

            let angle = roleMgr.getMe().getControlPlayer().m_roledir * 100;
            let newpos_y = 0;
            if (1) {
                let newAngle = -angle + 150;
                newpos_y = -playPos.y + newAngle;
                newpos_y += this.m_Top_val;
            }
            if (newpos_y < -(this.m_Max_pos.y) + visibleSize.height) {
                newpos_y = -(this.m_Max_pos.y) + visibleSize.height;
            }
            if (newpos_y > this.m_Min_pos.y) {
                newpos_y = this.m_Min_pos.y;
            }
            sceneMgr.getMe().setPositionY(newpos_y);
        }

        title() {
            return "cameraMgr";
        }

        loop(t) {
            //return
            if (this.m_shakeTime > 0) {
                this.updata_Shake(t);
                return;
            }
            if (roleMgr.getMe() == null || roleMgr.getMe().getControlPlayer() == null) {
                return;
            }

            var tt = roleMgr.getMe().getControlPlayer().getCurStateType();
            if (tt == g_AiType.g_AiType_dead ) {
                return;
            }
            let playerPos = roleMgr.getMe().getControlPlayer().m_head.getPos()
            let Player_dir = roleMgr.getMe().getControlPlayer().getRunDir()

            if (Player_dir.x > 0) {
                let newpos_x = VisibleRect.center().x / rootScene.getMe().m_win_scale - playerPos.x - g_LEFT_RIGHT_JIANGE;
                newpos_x = this.loop_h_move(t, newpos_x);
                this.loop_smoothX(t, newpos_x);
            }
            else {
                let newpos_x = VisibleRect.center().x / rootScene.getMe().m_win_scale - playerPos.x + g_LEFT_RIGHT_JIANGE;
                newpos_x = this.loop_h_move(t, newpos_x);
                this.loop_smoothX(t, newpos_x);
            }

            if (Player_dir.y > 0) {
                var newpos_y = VisibleRect.center().y / rootScene.getMe().m_win_scale - playerPos.y - g_LEFT_RIGHT_JIANGE;
                newpos_y = this.loop_w_move(t, newpos_y);
                this.loop_smoothY(t, newpos_y);
            }
            else {
                var newpos_y = VisibleRect.center().y / rootScene.getMe().m_win_scale - playerPos.y + g_LEFT_RIGHT_JIANGE;
                newpos_y = this.loop_w_move(t, newpos_y);
                this.loop_smoothY(t, newpos_y);
            }
        }
        //光滑处理
        loop_smoothX(t, newpos_x) {
            //
            let speedmove = 1000 * rootScene.getMe().m_win_scale;
            let pos = sceneMgr.getMe().getPosition();
            let newpos:any = cc.p(newpos_x, pos.y);
            let dis = cc.pDistance(pos, newpos);
            let needt:any = dis / speedmove;
            needt = Math.min(needt, 0.3);
            sceneMgr.getMe().setPositionX(newpos_x);
            return;
        }
        loop_smoothY(t, newpos_y) {
            //
            let speedmove = 1000 * rootScene.getMe().m_win_scale;
            let pos = sceneMgr.getMe().getPosition();
            let newpos:any = cc.p(pos.x, newpos_y);
            let dis = cc.pDistance(pos, newpos);
            let needt:any = dis / speedmove;
            needt = Math.min(needt, 0.3);
            sceneMgr.getMe().setPositionY(newpos_y);
            return;
        }

        stopMove(node) {

            sceneMgr.getMe().stopAction(this.m_curMoveAction);
            this.m_curMoveAction = null;
        }

        loop_h_move(t, newpos_x) {
            //
            let visibleSize = cc.director.getVisibleSize();
            let sc_pos = sceneMgr.getMe().getPositionX() * sceneMgr.getMe().getCurScene().getsceneReScale();
            let dis = sc_pos - newpos_x;
            let movedis = (dis / 130) * (this.m_speed + roleMgr.getMe().getControlPlayer().getCurWalkSpeed() * 20) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_x = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_x = sc_pos + movedis;
                }
            }
            newpos_x = newpos_x * rootScene.getMe().m_win_scale;
            let maxcamera = -((this.m_Max_pos.x) * rootScene.getMe().m_win_scale) + visibleSize.width;
            let mincamera = -(this.m_Min_pos.x) * rootScene.getMe().m_win_scale;

            if (newpos_x < maxcamera) {
                newpos_x = maxcamera;
                return newpos_x;
            }
            if (newpos_x > mincamera) {
                newpos_x = mincamera;
                return newpos_x;
            }
            return newpos_x;
        }
        loop_w_move(t, newpos_y) {
            //
            var visibleSize = cc.director.getVisibleSize();
            var sc_pos = sceneMgr.getMe().getPositionY() * sceneMgr.getMe().getCurScene().getsceneReScale();
            var dis = sc_pos - newpos_y;
            var movedis = (dis / 130) * (this.m_speed + roleMgr.getMe().getControlPlayer().getCurWalkSpeed()* 20 ) * t;
            if (movedis < 0) {
                movedis = -movedis;
            }
            if (dis > 0) {
                if (movedis < dis) {
                    newpos_y = sc_pos - movedis;
                }
            }
            else {
                if (movedis < -dis) {
                    newpos_y = sc_pos + movedis;
                }
            }
            newpos_y = newpos_y * rootScene.getMe().m_win_scale;
            var maxcamera = -((this.m_Max_pos.y) * rootScene.getMe().m_win_scale) + visibleSize.height;
            var mincamera = -(this.m_Min_pos.y) * rootScene.getMe().m_win_scale;

            if (newpos_y < maxcamera) {
                newpos_y = maxcamera;
                return newpos_y;
            }
            if (newpos_y > mincamera) {
                newpos_y = mincamera;
                return newpos_y;
            }
            return newpos_y;
        }
        fgRangeRand(min, max) {
            let rnd = (cc.random0To1() * max * 2) - max;
            return rnd * (max - min) + min;
        }

        updata_Shake(t) {
            //
            this.m_shakeTime -= t;
            if (this.m_shakeTime <= 0) {
                this.end_Shake();
                return;
            }
            let randx = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            let randy = this.fgRangeRand(-this.m_shake_fudu, this.m_shake_fudu) * t;
            let newPos = cc.pAdd(this.m_StartPosition, cc.p(randx, randy));
            let visibleSize = cc.director.getVisibleSize();
            if (newPos.y < -(this.m_Max_pos.y * rootScene.getMe().m_win_scale) + visibleSize.height) {
                newPos.y = -(this.m_Max_pos.y * rootScene.getMe().m_win_scale) + visibleSize.height;
            }
            if (newPos.y > this.m_Min_pos.y * rootScene.getMe().m_win_scale) {
                newPos.y = this.m_Min_pos.y * rootScene.getMe().m_win_scale;
            }
            if (newPos.x < -(this.m_Max_pos.x * rootScene.getMe().m_win_scale) + visibleSize.width) {
                newPos.x = -(this.m_Max_pos.x * rootScene.getMe().m_win_scale) + visibleSize.width;
            }
            if (newPos.x > -this.m_Min_pos.x * rootScene.getMe().m_win_scale) {
                newPos.x = -this.m_Min_pos.x * rootScene.getMe().m_win_scale;
            }
            sceneMgr.getMe().setPosition(newPos);
        }

        start_Shake(shakeTime, shakelevel) {
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = shakeTime;
            this.m_shake_fudu = shakelevel;
        }

        start_Shake_mid() {
            //
            if (this.m_shakeTime <= 0) {
                this.m_StartPosition = sceneMgr.getMe().getPosition();
            }
            this.m_shakeTime = 0.1;
            this.m_shake_fudu = 10;
        }

        end_Shake() {
            //
            sceneMgr.getMe().setPosition(this.m_StartPosition);
        }

        cutMinCamera() {
            let sc_pos = sceneMgr.getMe().getPositionX() * sceneMgr.getMe().getCurScene().getsceneReScale();
            if (this.m_Min_pos.x < -sc_pos) {
                this.m_Min_pos.x = -sc_pos;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
        }

        setRect(rect) {
            //
            this.m_Min_pos.x = cc.rectGetMinX(rect); // rect.getMinX();//  m_SceneInfo.min_camera_x;
            this.m_Min_pos.y = cc.rectGetMinY(rect); //rect.getMinY(); // m_SceneInfo.min_camera_y;
            this.m_Max_pos.x = cc.rectGetMaxX(rect); //rect.getMaxX();// m_SceneInfo.max_camera_x;
            if (sceneMgr.getMe().getCurSceneInfo().max_camera_x < this.m_Max_pos.x) {
                this.m_Max_pos.x = sceneMgr.getMe().getCurSceneInfo().max_camera_x;
            }
            this.m_Max_pos.y = cc.rectGetMaxY(rect); //rect.getMaxY(); //
            if (sceneMgr.getMe().getCurSceneInfo().max_camera_y < this.m_Max_pos.y) {
                this.m_Max_pos.y = sceneMgr.getMe().getCurSceneInfo().max_camera_y;
            }
            this.m_rect.x = this.m_Min_pos.x;
            this.m_rect.y = this.m_Min_pos.y;
            this.m_rect.width = this.m_Max_pos.x - this.m_Min_pos.x;
            this.m_rect.height = this.m_Max_pos.y - this.m_Min_pos.y;
            //this.m_rect.x = this.m_rect.x + 100;
            //this.m_rect.width = this.m_rect.width - 200;
            //this.m_Max_pos.x -= 200
            //this.m_Min_pos.x +=  100
        }

        getRect() {
            let newrect = cc.clone(this.m_rect);
            // * sceneMgr.getMe().getCurScene().getsceneReScale()
            newrect.x = newrect.x + 100;
            newrect.width = newrect.width - 200;
            return newrect;
        }

        getRectMinPos() {
            let l_rect = cameraMgr.getMe().getRect();
            let pos = cc.p(); //
            pos.x = cc.rectGetMidX(l_rect);
            pos.y = cc.rectGetMidY(l_rect);
            return pos;
        }

        //////////////////////////////////////////////////////////////////////////
        getCameraRect_Small_half(p_Spine_base) {
            let newrect = cc.clone(this.m_rect);
            newrect.x = newrect.x;
            newrect.width = newrect.width;
            return newrect;
            //return this.m_rect;
        }
    }

}


//# sourceMappingURL=cameraMgr.js.map