//------------------------------------------------------------------
//
// Keyboard  键盘管理
//
//------------------------------------------------------------------
module game {
    export class KeyboardMgr extends xjLayer {
        static g_KeyboardMgr: KeyboardMgr = null;
        static getMe  (): KeyboardMgr {
            if (game.KeyboardMgr.g_KeyboardMgr == null) {
                game.KeyboardMgr.g_KeyboardMgr = new game.KeyboardMgr();
                return game.KeyboardMgr.g_KeyboardMgr;
            }
            else
            {
                return game.KeyboardMgr.g_KeyboardMgr;
            }
        };


        constructor() {
            super();
            this.init();
        }

        init() {
            super.init();
            console.log("KEYBOARD init");
            if ('keyboard' in cc.sys.capabilities) {
                cc.eventManager.addListener({
                    event: cc.EventListener.KEYBOARD,
                    onKeyPressed (keycode, event) {
                        // console.log("KEYBOARD onKeyPressed:" + keycode);
                        let ret = KeyboardMgr.getMe().onKeyPressed(keycode);
                        if (ret == false) {
                            if (ui_fight.getMe()) {
                                ui_fight.getMe().onKeyPressed(keycode);
                            }
                            uiMgr.getMe().onKeyPressed(keycode);
                        }
                    },
                    onKeyReleased (keycode, event)
                    {
                        //console.log("KEYBOARD onKeyReleased:" + keycode);
                        if ( ui_fight.getMe() )
                        {
                            ui_fight.getMe().onKeyReleased(keycode);
                        }
                        uiMgr.getMe().onKeyReleased(keycode);
                    }
                }, this.getNode());
            }
            else {
                console.log("KEYBOARD Not supported");
            }
        }

        onKeyPressed(keycode) {
            testKey.getMe().onKeyPressed(keycode);
            return false;
        }

        onKeyReleased(keycode) {
            testKey.getMe().onKeyPressed(keycode);
            return false;
        }

        subtitle() {
            return "Keyboard test. Press keyboard and see console";
        }

        loop(t) {
        }
    }

}
//# sourceMappingURL=KeyboardMgr.js.map