//
module game {
    export class parMgr extends xjNode {
        static g_parMgr: any = null;
        static getMe = function (): parMgr {
            return parMgr.create();
        };
        static create = function () {
            if (parMgr.g_parMgr == null) {
                parMgr.g_parMgr = new parMgr();
                return parMgr.g_parMgr;
            }
            else {
                return parMgr.g_parMgr;
            }
        };

        constructor() {
            super();
            this.init();
        }

        createPlayer() {
        }

        init() {
        }

        createListAnimationEx(name, resname) {
            var animation2 = cc.animationCache.getAnimation(name);
            if (animation2) {
                return;
            }
            var parPath = "xingjietanshishe/big/pre/" + resname;
            var frameCache = cc.spriteFrameCache;
            frameCache.addSpriteFrames(parPath);
            var animFrames = [];
            var subname = name.split("/");
            var pngname = subname[subname.length - 1];
            var frame;
            var str;
            for (var i = 1; i < 30; i++) {
                if (i < 10) {
                    str = pngname + ("000" + i) + ".png";
                }
                else if (i < 100) {
                    str = pngname + ("00" + i) + ".png";
                }
                frame = cc.spriteFrameCache.getSpriteFrame(str); //
                if (frame != null) {
                    animFrames.push(frame);
                }
            }
            var animation = new cc.Animation(animFrames, 0.05);
            //var  aniCache = cc.AnimationCache;
            cc.animationCache.addAnimation(animation, name);
        }

        createListAnimation_playOnce(resname, father, pos) {
            if (resname == null) {
                return;
            }
            if (resname == "") {
                return;
            }
            var pSprite_Once = new Sprite_Once();
            if (father != null) {
                pSprite_Once.initEx(father, resname, pos);
            }
            else {
                pSprite_Once.initEx(this, resname, pos);
            }
            return pSprite_Once;
        }

        initListAnimation(resname, loop, callback): cc.Sprite {
            var name = resname.replace('.plist', ''); //
            //切割字符串
            this.createListAnimationEx(name, resname);
            var animation2 = cc.animationCache.getAnimation(name);
            var tamara = new cc.Sprite();
            if (loop == null) {
                loop = true;
            }
            if (loop == true) {
                var action2 = new cc.Animate(animation2);
                tamara.runAction(cc.repeatForever(action2)); //无限循环播放
            }
            else {
                var action2 = new cc.Animate(animation2);
                var pSequence = cc.sequence(action2, callback);
                tamara.runAction(pSequence); //一次
            }
            //缩放大小
            var objlist = g_resouce.plists[name];
            if (objlist != null) {
                tamara.setScale(objlist["scale"]);
            }
            return tamara;
        }
    }

}
//# sourceMappingURL=parMgr.js.map