var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/7/14.
 */
//   与c++ 交互的类
var game;
(function (game) {
    game.g_httpType = {
        type_saveScore: "saveScore",
        type_getwujingRank: "getwujingRank",
        type_getxianshiRank: "xianshiRank",
        type_getxianshiRankList: "xianshiRankList",
        type_getwujingRankList: "wujingRankList",
        type_setRank: "setRank",
        type_getScoreList: "GetScoreList",
        type_getGameData: "getGameData",
        type_saveGameData: "saveGameData",
        type_userAward: "userAward",
        type_serverTime: "GetServerTime",
        type_getUserName: "GetUserNickNames",
        type_setUserName: "SetUserNickName",
        type_getwujingScore: "getwujingScore",
        type_getxianshiScore: "getxianshiScore",
        type_CDKEY: "type_CDKEY"
    };
    var HttpBaseNative = (function () {
        function HttpBaseNative() {
            this.m_HttpBaseJs = null;
            this.m_is_send = false;
            this.init();
        }
        HttpBaseNative.prototype.init = function () {
            if (cc.sys.isNative) {
                this.m_HttpBaseJs = new cc.HttpBaseJs();
                this.m_HttpBaseJs.onHttpRequestCompleted = this.onHttpRequestCompleted.bind(this);
                this.m_HttpBaseJs.onError = this.onError;
            }
            else {
                this.m_HttpBaseJs = cc.loader.getXMLHttpRequest();
            }
        };
        //isPost : 1 POST 模式 0 ：GET 模式
        HttpBaseNative.prototype.httpSendMsg = function (url, isPost, isshengjianserver) {
            if (isPost === void 0) { isPost = 0; }
            if (isshengjianserver === void 0) { isshengjianserver = true; }
            console.log(url);
            if (cc.sys.isNative) {
                if (this.m_HttpBaseJs) {
                    this.m_HttpBaseJs.onSendMsg(url, isPost, isshengjianserver);
                }
                else {
                    this.onError();
                }
            }
            else {
                this.m_HttpBaseJs.open("GET", url, true);
                this.m_HttpBaseJs.setRequestHeader("Access-Control-Allow-Origin", "*");
                this.m_HttpBaseJs.onreadystatechange = this.httpCallBack.bind(this);
                this.m_HttpBaseJs.send(null);
            }
        };
        HttpBaseNative.prototype.httpCallBack = function () {
            if (this.m_HttpBaseJs.readyState != 4) {
                return;
            }
            if (this.m_HttpBaseJs.readyState == 4 && (this.m_HttpBaseJs.status >= 200 && this.m_HttpBaseJs.status <= 207)) {
                this.onHttpRequestCompleted(this.m_HttpBaseJs.responseText, this.m_HttpBaseJs.responseText.Description);
            }
            else {
                this.onError();
            }
        };
        HttpBaseNative.prototype.onError = function () {
            this.m_is_send = false;
            game.ui_MessageBox2.ShowOrHide(true, "连接服务器失败!", function () {
                cc.director.end();
            });
        };
        HttpBaseNative.prototype.onHttpRequestCompleted = function (data, Description) {
        };
        HttpBaseNative.create = function () {
            return new HttpBaseNative();
        };
        return HttpBaseNative;
    }());
    game.HttpBaseNative = HttpBaseNative;
    var httpBase = (function (_super) {
        __extends(httpBase, _super);
        function httpBase() {
            _super.call(this);
            this.m_sendUrl = null;
            this.m_downloaderror = false;
            this.m_type = null;
        }
        httpBase.prototype.addWorld = function (key, val) {
            var data = "";
            data = "&" + key + "=" + val;
            this.m_sendUrl += data;
        };
        httpBase.prototype.shutdown = function () {
        };
        httpBase.prototype.onSendMsg = function (data, data1) {
        };
        httpBase.prototype.onHttpRequestCompleted = function (data, Description) {
            this.m_is_send = false;
        };
        httpBase.prototype.onError = function () {
            _super.prototype.onError.call(this);
        };
        httpBase.prototype.isError = function () {
            return this.m_downloaderror;
        };
        httpBase.prototype.loop = function (t) {
        };
        httpBase.prototype.generateSign = function (isBossID, isAccount, isGameID, ResultObj, DataObj, CountObj, VIPObj, OpTypeObj, GameDataObj, ScoreObj, NumberObj, PhoneObj, TypeObj, ValueObj, ExtendObj, NickNameObj, NumObj, CDKeyObj, isUserID) {
            var game_PrivateKey = game.httpMgr.getMe().g_game_PrivateKey;
            var Source = "";
            var BossID = game.iapMgr.getMe().getplatformId();
            var Account = game.iapMgr.getMe().getaccount();
            var GameID = game.iapMgr.getMe().getGameId();
            var UserID = game.iapMgr.getMe().getaccount();
            if (isAccount) {
                Source += Account;
            }
            if (isBossID) {
                Source += BossID;
            }
            if (CDKeyObj != null) {
                Source += CDKeyObj;
            }
            if (CountObj != null) {
                Source += CountObj;
            }
            if (DataObj != null) {
                Source += DataObj;
            }
            if (ExtendObj != null)
                Source += ExtendObj;
            if (GameDataObj != null) {
                Source += game.js_GameLogicMgr.getMe().encode(GameDataObj);
            }
            if (isGameID) {
                Source += GameID;
            }
            if (NumberObj != null)
                Source += NumberObj;
            if (OpTypeObj != null) {
                Source += OpTypeObj;
            }
            if (PhoneObj != null)
                Source += PhoneObj;
            if (ResultObj != null) {
                Source += ResultObj;
            }
            if (NumObj != null) {
                Source += NumObj;
            }
            if (NickNameObj != null) {
                Source += game.encodeEX(NickNameObj);
            }
            if (ScoreObj != null)
                Source += ScoreObj;
            if (TypeObj != null)
                Source += TypeObj;
            if (isUserID) {
                Source += UserID;
            }
            if (VIPObj != null) {
                Source += VIPObj;
            }
            if (ValueObj != null)
                Source += ValueObj;
            var MySign = Source + game_PrivateKey;
            console.log("..key....." + MySign);
            return game.hex_md5(MySign);
        };
        httpBase.prototype.onSendMsgEx = function (url, isBossID, isAccount, isGameID, ResultObj, DataObj, CountObj, VIPObj, OpTypeObj, GameDataObj, ScoreObj, NumberObj, PhoneObj, TypeObj, ValueObj, ExtendObj, NickNameObj, NumObj, CDKeyObj, isUserID) {
            url = game.httpMgr.getMe().g_url_server_one + url + "?";
            var Result = "";
            var Data = "";
            var Count = "";
            var VIP = "";
            var OpType = "";
            var GameData = "";
            var BossID = "&BossID=" + game.iapMgr.getMe().getplatformId();
            var Account = "&Account=" + game.iapMgr.getMe().getaccount(); //
            var UserID = "&UserID=" + game.iapMgr.getMe().getaccount(); //Account
            var GameID = "&GameID=" + game.iapMgr.getMe().getGameId();
            if (DataObj != null) {
                Data = "&Data=" + DataObj;
            }
            if (OpTypeObj != null) {
                OpType = "&OpType=" + OpTypeObj;
            }
            if (CountObj != null) {
                Count = "&Count=" + CountObj;
            }
            if (ResultObj != null) {
                Result = "&Result=" + ResultObj;
            }
            if (VIPObj != null) {
                VIP = "&VIP=" + VIPObj;
            }
            var sign = "&sign=" + this.generateSign(isBossID, isAccount, isGameID, ResultObj, DataObj, CountObj, VIPObj, OpTypeObj, GameDataObj, ScoreObj, NumberObj, PhoneObj, TypeObj, ValueObj, ExtendObj, NickNameObj, NumObj, CDKeyObj, isUserID);
            if (GameDataObj != null) {
                GameData = "&GameData=" + game.js_GameLogicMgr.getMe().encode(GameDataObj).replace(/%/g, "");
                ;
            }
            if (NumberObj != null)
                url += "&Num=" + NumberObj;
            if (isAccount) {
                url += Account;
            }
            if (isBossID) {
                url += BossID;
            }
            // if(UserID){
            //     url += ("&UserID=" + UserID);
            // }
            if (DataObj != null) {
                url += Data;
            }
            if (CDKeyObj != null) {
                url += "&CDKey=" + CDKeyObj;
            }
            if (CountObj != null) {
                url += Count;
            }
            if (isGameID) {
                url += GameID;
            }
            if (OpTypeObj != null) {
                url += OpType;
            }
            if (GameDataObj != null) {
                url += GameData;
            }
            if (ResultObj != null) {
                url += Result;
            }
            if (VIPObj != null) {
                url += VIP;
            }
            if (PhoneObj != null) {
                url += "&Phone=" + PhoneObj;
            }
            if (NumObj != null) {
                url += "&Num=" + NumObj;
            }
            if (NickNameObj != null) {
                url += "&NickName=" + game.encodeEX(NickNameObj);
            }
            if (ScoreObj != null) {
                url += "&Score=" + ScoreObj;
            }
            if (TypeObj != null) {
                url += "&Type=" + TypeObj;
            }
            if (isUserID) {
                url += UserID;
            }
            if (ValueObj != null) {
                url += "&Value=" + ValueObj;
            }
            if (ExtendObj != null) {
                url += "&Extend=" + ExtendObj;
            }
            url += sign;
            url = url.replace("?&", "?");
            return url;
        };
        return httpBase;
    }(HttpBaseNative));
    game.httpBase = httpBase;
})(game || (game = {}));
//# sourceMappingURL=a_HttpBaseNative.js.map