var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by xieli on 2016/10/11.
 */
//排行榜信息
var game;
(function (game) {
    game.httpData = {
        top10: {
            Account: [],
            Score: []
        },
        myrank: 1,
        state: {
            getRankList: 0,
            getRankMine: 0,
        }
    };
    //兑换码领奖 - 非手机号
    var httpgetAward = (function (_super) {
        __extends(httpgetAward, _super);
        function httpgetAward() {
            _super.call(this);
            this.m_type = game.g_httpType.type_CDKEY;
        }
        httpgetAward.prototype.onSendMsg = function (cdkey) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_CDKEY).m_is_send = true;
            var url = this.onSendMsgEx("HttpService/GetDataByCDKey.ashx", true, false, true, null, null, null, null, null, null, null, null, null, null, null, null, null, null, cdkey, true);
            this.httpSendMsg(url);
        };
        httpgetAward.prototype.onHttpRequestCompleted = function (Result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, Result, Description);
            var r = JSON.parse(Result);
            if (r.Result == "0") {
                var award = JSON.parse(Description);
                if (award.Count && Number(award.Count) > 0) {
                    var awareNum = Number(award.Count);
                    game.DataMgr.getMe().addZuansi(awareNum);
                    game.ui_MessageBox2.ShowOrHide(true, "成功兑换" + awareNum + award.PropName);
                    game.DataMgr.getMe().savePlayData();
                    if (game.ui_zhujiemian.getMe()) {
                        game.ui_zhujiemian.getMe().updateZuansiAndname();
                    }
                    if (game.ui_duihuanma.getMe()) {
                        game.ui_duihuanma.getMe().m_inPutTxt = "";
                        game.ui_duihuanma.getMe().m_inPutBox.setString("");
                    }
                }
                else {
                    game.ui_MessageBox2.ShowOrHide(true, "数据出错");
                }
            }
            else if (r.Result == "1") {
                game.ui_MessageBox2.ShowOrHide(true, "道具未配置");
            }
            else if (r.Result == "2") {
                game.ui_MessageBox2.ShowOrHide(true, "不存在该CDKey");
            }
            else if (r.Result == "3") {
                game.ui_MessageBox2.ShowOrHide(true, "用户已经兑换过该CDKey");
            }
        };
        httpgetAward.prototype.onError = function () {
            _super.prototype.onError.call(this);
        };
        httpgetAward.g_instarn = null;
        httpgetAward.getMe = function () {
            return game.httpgetAward.g_instarn;
        };
        httpgetAward.ShowOrHide = function () {
            if (game.httpgetAward.g_instarn == null) {
                game.httpgetAward.g_instarn = new game.httpgetAward();
                return game.httpgetAward.g_instarn;
            }
            else {
                return game.httpgetAward.g_instarn;
            }
        };
        return httpgetAward;
    }(game.httpBase));
    game.httpgetAward = httpgetAward;
    var httpSaveScore = (function (_super) {
        __extends(httpSaveScore, _super);
        function httpSaveScore() {
            _super.call(this);
            this.m_type = game.g_httpType.type_saveScore;
        }
        httpSaveScore.prototype.onSendMsg = function (data) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_saveScore).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/SaveScore.ashx", true, true, true, null, null, null, null, null, null, data.score, null, null, data.type, null, null, game.fileMgr.getMe().m_play_doc.name); //fileMgr.getMe().m_play_doc.name);//game.lockString(DataMgr.getMe().getPlayerName())
            // let s = "http://api2.tvsdk.cn/OTTGame/CommonService/SaveScore.ashx?Account=test005&BossID=1006&GameID=tvg103021&Type=1&Score=983"
            // let w = "&sign=a3dff7a904ee0fa5342812fe068de6ee"
            this.httpSendMsg(url);
        };
        httpSaveScore.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            console.log("上存用户分数成功 :" + Description);
            httpRankMgr.getMe().onKeyGetRank();
        };
        httpSaveScore.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpSaveScore.g_instarn = null;
        httpSaveScore.getMe = function () {
            return game.httpSaveScore.g_instarn;
        };
        httpSaveScore.ShowOrHide = function () {
            if (game.httpSaveScore.g_instarn == null) {
                game.httpSaveScore.g_instarn = new game.httpSaveScore();
                return game.httpSaveScore.g_instarn;
            }
            else {
                return game.httpSaveScore.g_instarn;
            }
        };
        return httpSaveScore;
    }(game.httpBase));
    game.httpSaveScore = httpSaveScore;
    var httpGetXianshiScore = (function (_super) {
        __extends(httpGetXianshiScore, _super);
        function httpGetXianshiScore() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getxianshiScore;
        }
        httpGetXianshiScore.prototype.onSendMsg = function (data) {
            //let max = DataMgr.getMe().getScores();
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getxianshiScore).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetScore.ashx", true, true, true, null, null, null, null, null, null, null, null, null, game.e_fight_Type.e_duizhan_Type, null, null);
            this.httpSendMsg(url);
        };
        httpGetXianshiScore.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            var des = JSON.parse(Description);
            if (des) {
                httpRankMgr.getMe().updateScore(game.e_fight_Type.e_duizhan_Type, des);
            }
        };
        httpGetXianshiScore.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpGetXianshiScore.g_instarn = null;
        httpGetXianshiScore.getMe = function () {
            return game.httpGetXianshiScore.g_instarn;
        };
        httpGetXianshiScore.ShowOrHide = function () {
            if (game.httpGetXianshiScore.g_instarn == null) {
                game.httpGetXianshiScore.g_instarn = new game.httpGetXianshiScore();
                return game.httpGetXianshiScore.g_instarn;
            }
            else {
                return game.httpGetXianshiScore.g_instarn;
            }
        };
        return httpGetXianshiScore;
    }(game.httpBase));
    game.httpGetXianshiScore = httpGetXianshiScore;
    var httpGetWujingScore = (function (_super) {
        __extends(httpGetWujingScore, _super);
        function httpGetWujingScore() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getwujingScore;
        }
        httpGetWujingScore.prototype.onSendMsg = function (data) {
            //let max = DataMgr.getMe().getScores();
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getwujingScore).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetScore.ashx", true, true, true, null, null, null, null, null, null, null, null, null, game.e_fight_Type.e_wujing_Type, null, null);
            this.httpSendMsg(url);
        };
        httpGetWujingScore.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            var des = JSON.parse(Description);
            if (des) {
                httpRankMgr.getMe().updateScore(game.e_fight_Type.e_wujing_Type, des);
            }
        };
        httpGetWujingScore.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpGetWujingScore.g_instarn = null;
        httpGetWujingScore.getMe = function () {
            return game.httpGetWujingScore.g_instarn;
        };
        httpGetWujingScore.ShowOrHide = function () {
            if (game.httpGetWujingScore.g_instarn == null) {
                game.httpGetWujingScore.g_instarn = new game.httpGetWujingScore();
                return game.httpGetWujingScore.g_instarn;
            }
            else {
                return game.httpGetWujingScore.g_instarn;
            }
        };
        return httpGetWujingScore;
    }(game.httpBase));
    game.httpGetWujingScore = httpGetWujingScore;
    var httpRankMgr = (function () {
        function httpRankMgr() {
            this.m_wujingRank = null;
            this.m_wujingRankScore = null;
            this.m_xianshiRankScore = null;
            this.m_xianshiRank = null;
            this.m_wujingRankList_name = null;
            this.m_wujingRankList_score = null;
            this.m_xianshiRankList_name = null;
            this.m_xianshiRankList_score = null;
        }
        httpRankMgr.prototype.updateRank = function (type, rankNum) {
            switch (type) {
                case game.e_fight_Type.e_wujing_Type:
                    this.m_wujingRank = rankNum["Rank"];
                    console.log("无尽模式排名:" + this.m_wujingRank);
                    break;
                case game.e_fight_Type.e_duizhan_Type:
                    this.m_xianshiRank = rankNum["Rank"];
                    console.log("限时模式排名:" + this.m_wujingRank);
                    break;
            }
        };
        httpRankMgr.prototype.updateRankList = function (type, ranklist) {
            switch (type) {
                case game.e_fight_Type.e_wujing_Type:
                    if (ranklist == null) {
                        this.m_wujingRankList_name = new Array();
                        this.m_wujingRankList_score = new Array();
                        break;
                    }
                    this.m_wujingRankList_name = ranklist.NickName;
                    this.m_wujingRankList_score = ranklist.Score;
                    console.log("无尽模式排行榜:" + JSON.stringify(this.m_xianshiRankList_name));
                    break;
                case game.e_fight_Type.e_duizhan_Type:
                    if (ranklist == null) {
                        this.m_xianshiRankList_name = new Array();
                        this.m_xianshiRankList_score = new Array();
                        break;
                    }
                    this.m_xianshiRankList_name = ranklist.NickName;
                    this.m_xianshiRankList_score = ranklist.Score;
                    console.log("限时模式排行榜:" + JSON.stringify(this.m_xianshiRankList_name));
                    break;
            }
        };
        httpRankMgr.prototype.updateScore = function (type, scoreNum) {
            switch (type) {
                case game.e_fight_Type.e_wujing_Type:
                    this.m_wujingRankScore = scoreNum;
                    console.log("无尽模式分值：" + scoreNum);
                    break;
                case game.e_fight_Type.e_duizhan_Type:
                    this.m_xianshiRankScore = scoreNum;
                    console.log("限时模式分值：" + scoreNum);
                    break;
            }
        };
        httpRankMgr.prototype.onKeyGetRank = function () {
            if (game.fileMgr.getMe().m_play_doc.duizhan_bestLen > 0) {
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_getxianshiRank);
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_getxianshiScore);
            }
            if (game.fileMgr.getMe().m_play_doc.wujing_bestLen > 0) {
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_getwujingRank);
                game.httpMgr.getMe().sendMsg(game.g_httpType.type_getwujingScore);
            }
            game.httpMgr.getMe().sendMsg(game.g_httpType.type_getwujingRankList);
            game.httpMgr.getMe().sendMsg(game.g_httpType.type_getxianshiRankList);
        };
        httpRankMgr.g_instarn = null;
        httpRankMgr.getMe = function () {
            if (httpRankMgr.g_instarn == null) {
                httpRankMgr.g_instarn = new httpRankMgr();
            }
            return game.httpRankMgr.g_instarn;
        };
        return httpRankMgr;
    }());
    game.httpRankMgr = httpRankMgr;
    //排行榜
    var httpGetWujingRankList = (function (_super) {
        __extends(httpGetWujingRankList, _super);
        function httpGetWujingRankList() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getwujingRankList;
        }
        httpGetWujingRankList.prototype.onSendMsg = function (type) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getwujingRankList).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetToplist.ashx", true, false, true, null, null, null, null, null, null, null, null, null, game.e_fight_Type.e_wujing_Type, null, null, null, 10);
            this.httpSendMsg(url);
        };
        httpGetWujingRankList.prototype.onHttpRequestCompleted = function (Result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, Result, Description);
            var d = JSON.parse(Result);
            if (d["Result"] == 0) {
                var des = JSON.parse(Description);
                //console.log("无尽排行榜："+ des.Account[0])
                if (des) {
                    httpRankMgr.getMe().updateRankList(game.e_fight_Type.e_wujing_Type, des);
                }
            }
            else {
                httpRankMgr.getMe().updateRankList(game.e_fight_Type.e_wujing_Type, null);
                console.log("获取服务器排名失败..");
            }
        };
        httpGetWujingRankList.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpGetWujingRankList.g_instarn = null;
        httpGetWujingRankList.getMe = function () {
            return game.httpGetWujingRankList.g_instarn;
        };
        httpGetWujingRankList.ShowOrHide = function () {
            if (game.httpGetWujingRankList.g_instarn == null) {
                game.httpGetWujingRankList.g_instarn = new game.httpGetWujingRankList();
                return game.httpGetWujingRankList.g_instarn;
            }
            else {
                return game.httpGetWujingRankList.g_instarn;
            }
        };
        return httpGetWujingRankList;
    }(game.httpBase));
    game.httpGetWujingRankList = httpGetWujingRankList;
    var httpGetXianshiRankList = (function (_super) {
        __extends(httpGetXianshiRankList, _super);
        function httpGetXianshiRankList() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getxianshiRankList;
        }
        httpGetXianshiRankList.prototype.onSendMsg = function (type) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getxianshiRankList).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetToplist.ashx", true, false, true, null, null, null, null, null, null, null, null, null, game.e_fight_Type.e_duizhan_Type, null, null, null, 10);
            this.httpSendMsg(url);
        };
        httpGetXianshiRankList.prototype.onHttpRequestCompleted = function (Result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, Result, Description);
            var d = JSON.parse(Result);
            if (d["Result"] == 0) {
                var des = JSON.parse(Description);
                if (des) {
                    httpRankMgr.getMe().updateRankList(game.e_fight_Type.e_duizhan_Type, des);
                }
            }
            else {
                httpRankMgr.getMe().updateRankList(game.e_fight_Type.e_duizhan_Type, null);
                console.log("获取服务器排名失败..");
            }
        };
        httpGetXianshiRankList.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpGetXianshiRankList.g_instarn = null;
        httpGetXianshiRankList.getMe = function () {
            return game.httpGetXianshiRankList.g_instarn;
        };
        httpGetXianshiRankList.ShowOrHide = function () {
            if (game.httpGetXianshiRankList.g_instarn == null) {
                game.httpGetXianshiRankList.g_instarn = new game.httpGetXianshiRankList();
                return game.httpGetXianshiRankList.g_instarn;
            }
            else {
                return game.httpGetXianshiRankList.g_instarn;
            }
        };
        return httpGetXianshiRankList;
    }(game.httpBase));
    game.httpGetXianshiRankList = httpGetXianshiRankList;
    //获取 我的排名
    var httpGetWujingRank = (function (_super) {
        __extends(httpGetWujingRank, _super);
        function httpGetWujingRank() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getwujingRank;
        }
        httpGetWujingRank.prototype.onSendMsg = function (type) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getwujingRank).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetRank.ashx", true, true, true, null, null, null, null, null, null, null, null, null, game.e_fight_Type.e_wujing_Type);
            this.httpSendMsg(url);
        };
        httpGetWujingRank.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            var des = JSON.parse(Description);
            if (des) {
                console.log("服务器获取到的无尽排名" + Description);
                httpRankMgr.getMe().updateRank(game.e_fight_Type.e_wujing_Type, des);
            }
        };
        httpGetWujingRank.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpGetWujingRank.g_instarn = null;
        httpGetWujingRank.getMe = function () {
            return game.httpGetWujingRank.g_instarn;
        };
        httpGetWujingRank.ShowOrHide = function () {
            if (game.httpGetWujingRank.g_instarn == null) {
                game.httpGetWujingRank.g_instarn = new game.httpGetWujingRank();
                return game.httpGetWujingRank.g_instarn;
            }
            else {
                return game.httpGetWujingRank.g_instarn;
            }
        };
        return httpGetWujingRank;
    }(game.httpBase));
    game.httpGetWujingRank = httpGetWujingRank;
    var httpGetXianshiRak = (function (_super) {
        __extends(httpGetXianshiRak, _super);
        function httpGetXianshiRak() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getxianshiRank;
        }
        httpGetXianshiRak.prototype.onSendMsg = function (type) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getxianshiRank).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetRank.ashx", true, true, true, null, null, null, null, null, null, null, null, null, game.e_fight_Type.e_duizhan_Type);
            this.httpSendMsg(url);
        };
        httpGetXianshiRak.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            var des = JSON.parse(Description);
            if (des) {
                httpRankMgr.getMe().updateRank(game.e_fight_Type.e_duizhan_Type, des);
            }
        };
        httpGetXianshiRak.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("1上传游戏数据！ 失败 ");
        };
        httpGetXianshiRak.g_instarn = null;
        httpGetXianshiRak.getMe = function () {
            return game.httpGetXianshiRak.g_instarn;
        };
        httpGetXianshiRak.ShowOrHide = function () {
            if (game.httpGetXianshiRak.g_instarn == null) {
                game.httpGetXianshiRak.g_instarn = new game.httpGetXianshiRak();
                return game.httpGetXianshiRak.g_instarn;
            }
            else {
                return game.httpGetXianshiRak.g_instarn;
            }
        };
        return httpGetXianshiRak;
    }(game.httpBase));
    game.httpGetXianshiRak = httpGetXianshiRak;
    var httpGetScoreList = (function (_super) {
        __extends(httpGetScoreList, _super);
        function httpGetScoreList() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getScoreList;
        }
        httpGetScoreList.prototype.onSendMsg = function (data) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getScoreList).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetScoreList.ashx", false, false, true, null, null, null, null, null, null, null, data.number, null, data.type);
            this.httpSendMsg(url);
        };
        httpGetScoreList.prototype.onHttpRequestCompleted = function (data, Description) {
            console.log("scorelist data === " + data);
            console.log("scorelist Description === " + Description);
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            var des = JSON.parse(Description);
            if (des) {
                // 将数据传到排行榜
                game.httpData.top10.Account = des.Account;
                game.httpData.top10.Score = des.Score;
                // console.log(httpData.top10.Account[0]);
                // console.log(httpData.top10.Score[0]);
                game.httpData.state.getRankList = 1;
            }
            else {
                console.log("type_getScoreList error");
                game.ui_MessageBox2.ShowOrHide(true, "服务器正在维护中...");
            }
        };
        httpGetScoreList.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("获取网络存档！失败！ ");
        };
        httpGetScoreList.g_instarn = null;
        httpGetScoreList.getMe = function () {
            return game.httpGetScoreList.g_instarn;
        };
        httpGetScoreList.ShowOrHide = function () {
            if (game.httpGetScoreList.g_instarn == null) {
                game.httpGetScoreList.g_instarn = new game.httpGetScoreList();
                return game.httpGetScoreList.g_instarn;
            }
            else {
                return game.httpGetScoreList.g_instarn;
            }
        };
        return httpGetScoreList;
    }(game.httpBase));
    game.httpGetScoreList = httpGetScoreList;
    //获取 用户数据
    var httpGetGameData = (function (_super) {
        __extends(httpGetGameData, _super);
        function httpGetGameData() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getGameData;
        }
        httpGetGameData.prototype.onSendMsg = function (data) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getGameData).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/LoadGameData.ashx", true, true, true, null, null, null, null, null, null, null, null, null, 100);
            this.httpSendMsg(url);
        };
        httpGetGameData.prototype.onHttpRequestCompleted = function (Result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, Result, Description);
            //console.log(Description)
            var r = JSON.parse(Result);
            if (r.Result == 0) {
                var Description_des = JSON.parse(Description);
                console.log("服务器获取到的用户数据 :" + Description_des["GameData"]); //["GameData"]
                if (game.ui_zhujiemian.getMe()) {
                    console.log("服务器数据与本地数据比较，zhujiemian updateserverData");
                    game.ui_zhujiemian.getMe().updateserverData(Description_des);
                }
            }
            else {
                game.ui_MessageBox2.ShowOrHide(true, "连接服务器失败！");
            }
        };
        httpGetGameData.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("获取网络存档！失败！ ");
            game.fileMgr.getMe().m_play_doc = game.fileMgr.getMe().readPlayerDoc();
        };
        httpGetGameData.g_instarn = null;
        httpGetGameData.getMe = function () {
            return game.httpGetGameData.g_instarn;
        };
        httpGetGameData.ShowOrHide = function () {
            if (game.httpGetGameData.g_instarn == null) {
                game.httpGetGameData.g_instarn = new game.httpGetGameData();
                return game.httpGetGameData.g_instarn;
            }
            else {
                return game.httpGetGameData.g_instarn;
            }
        };
        return httpGetGameData;
    }(game.httpBase));
    game.httpGetGameData = httpGetGameData;
    //保存用户数据
    var httpSaveGameData = (function (_super) {
        __extends(httpSaveGameData, _super);
        function httpSaveGameData() {
            _super.call(this);
            this.m_type = game.g_httpType.type_saveGameData;
        }
        httpSaveGameData.prototype.onSendMsg = function (data) {
            var d = game.DataMgr.getMe().getPlayDoc(); //fileMgr.getMe().m_play_doc
            //httpMgr.getMe().sendMsg( g_httpType.type_saveScore, { score:d.wujing_bestLen , type:e_fight_Type.e_wujing_Type  }  )
            //httpMgr.getMe().sendMsg( g_httpType.type_saveScore,  { score:d.duizhan_bestLen , type:e_fight_Type.e_duizhan_Type  }  )
            var buffdata = JSON.stringify(d);
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_saveGameData).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/SaveGameData.ashx", true, true, true, null, null, null, null, null, buffdata, null, null, null, 100, null, "100", game.encodeEX(d.name));
            this.httpSendMsg(url);
            console.log("send url:" + url);
        };
        httpSaveGameData.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            if ("sucess" == Description) {
                console.log("存档上传服务器成功！！！");
            }
            else {
                console.log("type_getGameData error");
            }
        };
        httpSaveGameData.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("网络存档！失败！");
        };
        httpSaveGameData.g_instarn = null;
        httpSaveGameData.getMe = function () {
            return game.httpSaveGameData.g_instarn;
        };
        httpSaveGameData.ShowOrHide = function () {
            if (game.httpSaveGameData.g_instarn == null) {
                game.httpSaveGameData.g_instarn = new game.httpSaveGameData();
                return game.httpSaveGameData.g_instarn;
            }
            else {
                return game.httpSaveGameData.g_instarn;
            }
        };
        return httpSaveGameData;
    }(game.httpBase));
    game.httpSaveGameData = httpSaveGameData;
    var httpUserAward = (function (_super) {
        __extends(httpUserAward, _super);
        function httpUserAward() {
            _super.call(this);
            this.m_type = game.g_httpType.type_userAward;
        }
        httpUserAward.prototype.onSendMsg = function (data) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_userAward).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/SaveUserAward.ashx", true, true, true, null, null, null, null, null, null, null, null, data, 1, 2, 3);
            console.log(url);
            this.httpSendMsg(url);
        };
        httpUserAward.prototype.onHttpRequestCompleted = function (data, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, data, Description);
            if ("success" == Description) {
                // 将数据传到排行榜
                game.ui_MessageBox2.ShowOrHide(true, "数据上传成功!");
                console.log(data);
            }
            else {
                game.ui_MessageBox2.ShowOrHide(true, "服务器正在维护中...");
            }
        };
        httpUserAward.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("上传服务器失败！");
        };
        httpUserAward.g_instarn = null;
        httpUserAward.getMe = function () {
            return game.httpUserAward.g_instarn;
        };
        httpUserAward.ShowOrHide = function () {
            if (game.httpUserAward.g_instarn == null) {
                game.httpUserAward.g_instarn = new game.httpUserAward();
                return game.httpUserAward.g_instarn;
            }
            else {
                return game.httpUserAward.g_instarn;
            }
        };
        return httpUserAward;
    }(game.httpBase));
    game.httpUserAward = httpUserAward;
    var HttpsetverTimeMgr = (function () {
        function HttpsetverTimeMgr() {
            this.m_curServerTime = "";
            this.m_callBack = null;
            this.m_point = null;
        }
        HttpsetverTimeMgr.getMe = function () {
            if (!HttpsetverTimeMgr.g_instance) {
                HttpsetverTimeMgr.g_instance = new HttpsetverTimeMgr();
            }
            return HttpsetverTimeMgr.g_instance;
        };
        HttpsetverTimeMgr.prototype.setCurTime = function (_time) {
            this.m_curServerTime = _time;
            if (this.m_callBack) {
                this.m_callBack.call(this.m_point, _time);
            }
            //一次性使用，用完就清除
            this.resetTime();
        };
        HttpsetverTimeMgr.prototype.UpdataServerTime = function (_callBack, point) {
            if (_callBack && point) {
                this.m_callBack = _callBack.bind(point);
                this.m_point = point;
            }
            game.httpMgr.getMe().sendMsg(game.g_httpType.type_serverTime);
        };
        HttpsetverTimeMgr.prototype.resetTime = function () {
            this.m_curServerTime = "";
            this.m_callBack = null;
            this.m_point = null;
        };
        HttpsetverTimeMgr.g_instance = null;
        return HttpsetverTimeMgr;
    }());
    game.HttpsetverTimeMgr = HttpsetverTimeMgr;
    var httpServerTime = (function (_super) {
        __extends(httpServerTime, _super);
        function httpServerTime() {
            _super.call(this);
            this.m_type = game.g_httpType.type_serverTime;
        }
        httpServerTime.prototype.onSendMsg = function (data) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_serverTime).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetServerTime.ashx", true, true, true);
            console.log(url);
            this.httpSendMsg(url);
        };
        httpServerTime.prototype.onHttpRequestCompleted = function (result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, result, Description);
            HttpsetverTimeMgr.getMe().setCurTime(Description);
            //console.log("当前服务器时间：" + Description)
        };
        httpServerTime.prototype.onError = function () {
            _super.prototype.onError.call(this);
        };
        httpServerTime.g_instarn = null;
        httpServerTime.getMe = function () {
            return game.httpServerTime.g_instarn;
        };
        httpServerTime.ShowOrHide = function () {
            if (game.httpServerTime.g_instarn == null) {
                game.httpServerTime.g_instarn = new game.httpServerTime();
                return game.httpServerTime.g_instarn;
            }
            else {
                return game.httpServerTime.g_instarn;
            }
        };
        return httpServerTime;
    }(game.httpBase));
    game.httpServerTime = httpServerTime;
    var httpGetUsernameMgr = (function () {
        function httpGetUsernameMgr() {
            this.m_point = null;
            this.m_Succeed_Callback = null;
            this.m_nameList = null;
        }
        httpGetUsernameMgr.getMe = function () {
            if (!httpGetUsernameMgr.g_instance) {
                httpGetUsernameMgr.g_instance = new httpGetUsernameMgr();
            }
            return httpGetUsernameMgr.g_instance;
        };
        httpGetUsernameMgr.prototype.getHttpUserName = function (callback, point) {
            this.m_Succeed_Callback = callback;
            this.m_point = point;
            game.httpMgr.getMe().sendMsg(game.g_httpType.type_getUserName);
        };
        httpGetUsernameMgr.prototype.updateCallback = function (Result, Description) {
            this.m_nameList = Description.split(",");
            for (var k = 0; k < this.m_nameList.length; k++) {
                this.m_nameList[k] = this.m_nameList[k].replace("[", "");
                this.m_nameList[k] = this.m_nameList[k].replace("]", "");
                this.m_nameList[k] = this.m_nameList[k].replace("\"", "");
                this.m_nameList[k] = this.m_nameList[k].replace("\"", "");
                console.log(this.m_nameList[k]);
            }
            if (this.m_Succeed_Callback != null && this.m_point != null) {
                this.m_Succeed_Callback.call(this.m_point, this.m_nameList);
            }
        };
        httpGetUsernameMgr.g_instance = null;
        return httpGetUsernameMgr;
    }());
    game.httpGetUsernameMgr = httpGetUsernameMgr;
    var httpgetUserName = (function (_super) {
        __extends(httpgetUserName, _super);
        function httpgetUserName() {
            _super.call(this);
            this.m_type = game.g_httpType.type_getUserName;
        }
        // onSendMsgEx(url, isBossID, isAccount, isGameID, ResultObj?, DataObj?, CountObj?,
        //             VIPObj?, OpTypeObj?, GameDataObj?, ScoreObj?, NumberObj?, PhoneObj?, TypeObj?, ValueObj?, ExtendObj?)
        httpgetUserName.prototype.onSendMsg = function (data) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_getUserName).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/GetUserNickNames.ashx", true, false, true, null, null, 50);
            this.httpSendMsg(url);
        };
        httpgetUserName.prototype.onHttpRequestCompleted = function (Result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, Result, Description);
            httpGetUsernameMgr.getMe().updateCallback(Result, Description);
        };
        httpgetUserName.prototype.onError = function () {
            _super.prototype.onError.call(this);
        };
        httpgetUserName.g_instarn = null;
        httpgetUserName.getMe = function () {
            return game.httpgetUserName.g_instarn;
        };
        httpgetUserName.ShowOrHide = function () {
            if (game.httpgetUserName.g_instarn == null) {
                game.httpgetUserName.g_instarn = new game.httpgetUserName();
                return game.httpgetUserName.g_instarn;
            }
            else {
                return game.httpgetUserName.g_instarn;
            }
        };
        return httpgetUserName;
    }(game.httpBase));
    game.httpgetUserName = httpgetUserName;
    var httpsetUserName = (function (_super) {
        __extends(httpsetUserName, _super);
        function httpsetUserName() {
            _super.call(this);
            this.m_type = game.g_httpType.type_setUserName;
        }
        httpsetUserName.prototype.onSendMsg = function (Username) {
            game.httpMgr.getMe().getBaseNet(game.g_httpType.type_setUserName).m_is_send = true;
            var url = this.onSendMsgEx("CommonService/SetUserNickName.ashx", true, true, true, null, null, null, null, null, null, null, null, null, null, null, null, game.encodeEX(Username));
            this.httpSendMsg(url);
        };
        httpsetUserName.prototype.onHttpRequestCompleted = function (Result, Description) {
            _super.prototype.onHttpRequestCompleted.call(this, Result, Description);
            if (Description == "Success") {
                console.log("该昵称可以使用");
                if (game.ui_setuserName.getMe()) {
                    game.ui_setuserName.getMe().setNameCallback(true);
                }
            }
            else {
                console.log("该昵称不可以使用");
                if (game.ui_setuserName.getMe()) {
                    game.ui_setuserName.getMe().setNameCallback(false);
                }
            }
        };
        httpsetUserName.prototype.onError = function () {
            _super.prototype.onError.call(this);
            console.log("连接服务器失败！ ");
        };
        httpsetUserName.g_instarn = null;
        httpsetUserName.getMe = function () {
            return game.httpsetUserName.g_instarn;
        };
        httpsetUserName.ShowOrHide = function () {
            if (game.httpsetUserName.g_instarn == null) {
                game.httpsetUserName.g_instarn = new game.httpsetUserName();
                return game.httpsetUserName.g_instarn;
            }
            else {
                return game.httpsetUserName.g_instarn;
            }
        };
        return httpsetUserName;
    }(game.httpBase));
    game.httpsetUserName = httpsetUserName;
})(game || (game = {}));
//# sourceMappingURL=httpData.js.map