module game {
    export class httpMgr {
        g_url_server_one: any = null;
        g_game_PrivateKey: any = null;
        m_baseNetMap: any = null;
        static g_httpMgr: httpMgr = null;
        static getMe = function () {
            return game.httpMgr.create();
        };
        static create = function () {
            if (game.httpMgr.g_httpMgr == null) {
                game.httpMgr.g_httpMgr = new game.httpMgr();
                return game.httpMgr.g_httpMgr;
            }
            else {
                return game.httpMgr.g_httpMgr;
            }
        };

        constructor() {
            this.m_baseNetMap = new game.MapGame();

            this.m_baseNetMap.put(g_httpType.type_saveScore, new httpSaveScore());
            this.m_baseNetMap.put(g_httpType.type_getwujingRank, new httpGetWujingRank());
            this.m_baseNetMap.put(g_httpType.type_getxianshiRank, new httpGetXianshiRak())
            this.m_baseNetMap.put(g_httpType.type_getScoreList, new httpGetScoreList());
            this.m_baseNetMap.put(g_httpType.type_getGameData, new httpGetGameData());
            this.m_baseNetMap.put(g_httpType.type_saveGameData, new httpSaveGameData());
            this.m_baseNetMap.put(g_httpType.type_userAward, new httpUserAward());
            this.m_baseNetMap.put(g_httpType.type_serverTime, new httpServerTime());
            this.m_baseNetMap.put(g_httpType.type_getUserName,new httpgetUserName())
            this.m_baseNetMap.put(g_httpType.type_getwujingRankList,new httpGetWujingRankList())
            this.m_baseNetMap.put(g_httpType.type_getxianshiRankList,new httpGetXianshiRankList())
            this.m_baseNetMap.put(g_httpType.type_getxianshiScore,new httpGetXianshiScore())
            this.m_baseNetMap.put(g_httpType.type_getwujingScore,new httpGetWujingScore())
            this.m_baseNetMap.put(g_httpType.type_setUserName,new httpsetUserName())
            this.m_baseNetMap.put(g_httpType.type_CDKEY,new httpgetAward())
        }

        init() {
            fileMgr.getMe().read_net_info();
            this.g_url_server_one = fileMgr.getMe().m_net_info["g_url_server_one"];
            this.g_game_PrivateKey = fileMgr.getMe().m_net_info["g_game_PrivateKey"];
        }

        sendMsg(type, data:any =null) {
            let obj = this.m_baseNetMap.getDataByKey(type);
            if (obj != null) {
                obj.onSendMsg(data);
            }
        }

        getBaseNet(type) {
            return this.m_baseNetMap.getDataByKey(type);
        }

        loop() {
            if(httpData.state.getRankList == 1 && httpData.state.getRankMine == 1 ){
                //ui_jifenpaihang.ShowOrHide(true);
                httpData.state.getRankList = 0;
                httpData.state.getRankMine = 0;
            }
        }
    }
}