var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/4/29.
 */
//
var game;
(function (game) {
    var iapBase = (function () {
        function iapBase(succCallback, failCallback) {
            if (failCallback === void 0) { failCallback = null; }
            this.m_shangpingid = -100;
            this.m_id = -100;
            this.m_item = null;
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
        }
        iapBase.prototype.init = function (id, shangpingid) {
            this.m_shangpingid = shangpingid;
            this.m_id = id;
            this.m_item = game.fileMgr.getMe().getShopInfoItem_byid(this.m_id);
            if (this.m_item == null) {
                this.m_item = game.fileMgr.getMe().getShopInfoItem_byTVid(this.m_shangpingid);
            }
        };
        iapBase.prototype.buy = function (id, shangpingid) {
            this.init(id, shangpingid);
            game.js_GameLogicMgr.getMe().buy(this.m_shangpingid);
        };
        iapBase.prototype.buycallback = function (isok, shangpingid) {
            if (isok) {
                game.js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                //DataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo_1.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
                game.fileMgr.getMe().savePlayInfo();
            }
            else {
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        };
        return iapBase;
    }());
    game.iapBase = iapBase;
    var buyZuanSi = (function (_super) {
        __extends(buyZuanSi, _super);
        function buyZuanSi() {
            _super.apply(this, arguments);
        }
        buyZuanSi.prototype.buycallback = function (isok, shangpingid) {
            if (isok) {
                game.js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                console.log(this.m_item.price_rmb + "......");
                //DataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo_1.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
            }
            else {
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        };
        return buyZuanSi;
    }(iapBase));
    game.buyZuanSi = buyZuanSi;
    var buyHero_three = (function (_super) {
        __extends(buyHero_three, _super);
        function buyHero_three() {
            _super.apply(this, arguments);
        }
        buyHero_three.prototype.buycallback = function (isok, shangpingid) {
            if (isok) {
                game.js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                //DataMgr.getMe().addChongzhi(this.m_item.price_rmb);
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo.json", "play");
                }
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
            }
            else {
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        };
        return buyHero_three;
    }(iapBase));
    game.buyHero_three = buyHero_three;
    var buy_power = (function (_super) {
        __extends(buy_power, _super);
        function buy_power() {
            _super.apply(this, arguments);
        }
        buy_power.prototype.buycallback = function (isok, shangpingid) {
            _super.prototype.buycallback.call(this, isok, shangpingid);
        };
        return buy_power;
    }(iapBase));
    game.buy_power = buy_power;
    var buy_resurrect = (function (_super) {
        __extends(buy_resurrect, _super);
        function buy_resurrect() {
            _super.apply(this, arguments);
        }
        buy_resurrect.prototype.buycallback = function (isok, shangpingid) {
            if (isok) {
                game.js_GameLogicMgr.getMe().pay(this.m_item.price_rmb);
                if (this.m_item != null) {
                    if (this.m_succCallback) {
                        this.m_succCallback.execute();
                    }
                    this.m_succCallback = null;
                }
            }
            else {
                if (game.uiMgr.getMe()) {
                    game.uiMgr.getMe().show_ui_MessageBox2(true, "     购买失败！");
                }
                if (this.m_item != null) {
                    if (this.m_failCallback) {
                        this.m_failCallback.execute();
                    }
                    this.m_failCallback = null;
                }
            }
        };
        return buy_resurrect;
    }(iapBase));
    game.buy_resurrect = buy_resurrect;
    var iapMgr = (function () {
        function iapMgr() {
            this.m_iapBase = null;
            this.m_item = null;
            this.m_succCallback = null;
            this.m_failCallback = null;
            this.m_TVId_login = null;
            console.log("init iapMgr ctor");
        }
        iapMgr.prototype.init = function () {
            this.m_TVId_login = new game.MapGame();
            //this.m_TVId_login.put("tvp103011001","tvp103011001");
            console.log("init m_TVId_login!!");
            if (!cc.sys.isNative) {
                return;
            }
        };
        iapMgr.prototype.buy = function (id, succCallback, failCallback, text) {
            this.m_item = game.fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["querenkuang"] == 1) {
                game.ui_pay_query.ShowOrHide(true, text, this.m_item.id, this.m_item.tvid);
            }
            else {
                this.buyEx();
            }
        };
        iapMgr.prototype.buy_noTip = function (id, succCallback, failCallback) {
            this.m_item = game.fileMgr.getMe().getShopInfoItem_byid(id);
            if (this.m_item == null) {
                console.error("iapmgr buy : " + id);
            }
            if (this.m_iapBase != null) {
                return;
            }
            this.m_succCallback = null;
            this.m_failCallback = null;
            if (succCallback) {
                this.m_succCallback = succCallback;
            }
            if (failCallback) {
                this.m_failCallback = failCallback;
            }
            this.buyEx();
        };
        iapMgr.prototype.buyEx = function () {
            if (this.m_item.type == "BUY_ZUANSI") {
                this.m_iapBase = new buyZuanSi(this.m_succCallback, this.m_failCallback);
            }
            else {
                console.error("error iapmgr buy : ");
                return;
            }
            this.m_iapBase.buy(this.m_item.id, this.m_item.tvid);
        };
        iapMgr.prototype.buycallback = function (isok, shangpingid) {
            console.log("buycallback start: " + isok + ": " + shangpingid);
            if (iapMgr.getMe().m_iapBase == null) {
                //启动的时候
                iapMgr.getMe().m_TVId_login.put(shangpingid, shangpingid);
                console.log("buycallback 001: " + isok + ": " + shangpingid);
                return;
            }
            console.log("buycallback  002: " + isok + ": " + shangpingid);
            iapMgr.getMe().m_iapBase.buycallback(isok, shangpingid);
            iapMgr.getMe().m_iapBase = null;
        };
        iapMgr.prototype.loop = function (t) {
            if (this.m_TVId_login.getSize() > 0) {
                for (var i = 0; i < this.m_TVId_login.size(); ++i) {
                    var data = this.m_TVId_login.getData(i);
                    if (data == "tvp103021001") {
                        var iapBase_1 = new buyZuanSi(null);
                        iapBase_1.init(data, data);
                        iapBase_1.buycallback(1, data);
                    }
                    if (data == "tvp103021002") {
                        var iapBase_2 = new buyZuanSi(null);
                        iapBase_2.init(data, data);
                        iapBase_2.buycallback(1, data);
                    }
                    if (data == "tvp103021003") {
                        var iapBase_3 = new buyZuanSi(null);
                        iapBase_3.init(data, data);
                        iapBase_3.buycallback(1, data);
                    }
                }
                this.m_TVId_login.clear();
            }
        };
        iapMgr.prototype.useDiamondsDefaultLibao = function (succCallback, failCallback) {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                this.buy(8, succCallback, failCallback);
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 5;
                for (var i = 5; i <= 8; ++i) {
                    var item = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                this.buy(chongzhiid, succCallback, failCallback);
            }
        };
        iapMgr.prototype.getUseDiamondsDefaultLibao = function () {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = game.fileMgr.getMe().getShopInfoItem_byid(8);
                return item.zuanshi;
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 5;
                for (var i = 5; i <= 8; ++i) {
                    var item_1 = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item_1.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = game.fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.zuanshi;
            }
        };
        iapMgr.prototype.getDefaultDiamondsPrice = function () {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = game.fileMgr.getMe().getShopInfoItem_byid(8);
                return item.price_rmb * 100 + "云币";
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 5;
                for (var i = 5; i <= 8; ++i) {
                    var item_2 = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item_2.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = game.fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                if (game.fileMgr.getMe().m_xiangsu_info["root"]["version"] == "tianwei") {
                    return item.price_rmb * 10 + "V币";
                }
                else {
                    return item.price_rmb + "元";
                }
            }
        };
        iapMgr.prototype.useGoldDefaultLibao = function (succCallback, failCallback) {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                this.buy(4, succCallback, failCallback);
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 4; ++i) {
                    var item = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item.price_rmb) {
                        chongzhiid = i;
                    }
                }
                this.buy(chongzhiid, succCallback, failCallback);
            }
        };
        iapMgr.prototype.getUseGoldDefaultLibao = function () {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = game.fileMgr.getMe().getShopInfoItem_byid(4);
                return item.gold;
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 4; ++i) {
                    var item_3 = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item_3.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = game.fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                return item.gold;
            }
        };
        iapMgr.prototype.getDefaultGoldPrice = function () {
            if (game.fileMgr.getMe().m_xiangsu_info["root"]["winiap"]) {
                var item = game.fileMgr.getMe().getShopInfoItem_byid(4);
                return item.price_rmb * 100 + "云币";
            }
            else {
                var maxprice = this.getMaxPrice();
                var chongzhiid = 1;
                for (var i = 1; i <= 4; ++i) {
                    var item_4 = game.fileMgr.getMe().getShopInfoItem_byid(i);
                    if (maxprice >= item_4.price_rmb) {
                        chongzhiid = i;
                    }
                }
                var item = game.fileMgr.getMe().getShopInfoItem_byid(chongzhiid);
                if (game.fileMgr.getMe().m_xiangsu_info["root"]["version"] == "tianwei") {
                    return item.price_rmb * 10 + "V币";
                }
                else {
                    return item.price_rmb + "元";
                }
            }
        };
        //获得当前渠道应许最高价格
        iapMgr.prototype.getMaxPrice = function () {
            if (!cc.sys.isNative) {
                return 3000;
            }
            return Number(game.js_GameLogicMgr.getMe().getData("iapMgr_getMaxPrice"));
        };
        //ott appid
        iapMgr.prototype.getGameId = function () {
            if (cc.sys.isNative) {
                return game.js_GameLogicMgr.getMe().getData("iapMgr_getGameId");
            }
            else {
                return game.fileMgr.getMe().m_net_info["g_gamaid"];
            }
        };
        //ott 渠道id
        iapMgr.prototype.getplatformId = function () {
            if (cc.sys.isNative) {
                return game.js_GameLogicMgr.getMe().getData("iapMgr_getplatformId");
            }
            else {
                return "1006";
            }
        };
        //Ott 用户id
        iapMgr.prototype.getaccount = function () {
            if (cc.sys.isNative) {
                return game.js_GameLogicMgr.getMe().getData("iapMgr_getaccount");
            }
            else {
                return "user101";
            }
        };
        iapMgr.g_ins = null;
        iapMgr.getMe = function () {
            return iapMgr.create();
        };
        iapMgr.create = function () {
            if (iapMgr.g_ins == null) {
                iapMgr.g_ins = new iapMgr();
                return iapMgr.g_ins;
            }
            else {
                return iapMgr.g_ins;
            }
        };
        return iapMgr;
    }());
    game.iapMgr = iapMgr;
})(game || (game = {}));
//# sourceMappingURL=iapMgr.js.map 
//# sourceMappingURL=iapMgr.js.map