/**
 * Created by w on 2017/4/10.
 */
//Node对象跟踪移动至baseobj对象坐标
var game;
(function (game) {
    var food_move = (function () {
        function food_move(target, nodeobj) {
            this.m_target = null;
            this.m_curobj = null;
            this.m_succeed = false;
            this.m_score = 0;
            this.m_target = target;
            this.m_curobj = nodeobj;
            this.m_score = nodeobj.getScore();
        }
        food_move.creat = function (target, curobj) {
            return new food_move(target, curobj);
        };
        food_move.prototype.update = function (speed) {
            //目标失效的情况下
            if (this.m_curobj == null || this.m_target == null || this.m_curobj.m_sprite == null) {
                this.m_succeed = true;
                console.log("目标失效。。。。");
                return;
            }
            var startPos = this.m_curobj.getPos();
            var endPos = this.m_target.getPosition();
            var len = cc.pDistance(startPos, endPos);
            if (len > this.m_target.getBoundingBox().width / 2) {
                var moveDir = cc.pNormalize(cc.pSub(endPos, startPos));
                var newPos = cc.pAdd(startPos, cc.pMult(moveDir, speed * 2));
                this.m_curobj.m_sprite.setPosition(newPos);
            }
            else {
                this.m_succeed = true;
            }
        };
        return food_move;
    }());
    game.food_move = food_move;
})(game || (game = {}));
//# sourceMappingURL=food_move.js.map