"use strict";
/**
 * Created by xieli on 2016/4/24.
 */
var game;
(function (game) {
    //函数管理类 （函数式接口）
    var aiBase = (function () {
        function aiBase(role) {
            this.m_stateType = null;
            this.m_object_role = null;
            this.m_object_role = role;
        }
        aiBase.prototype.shutdown = function () {
        };
        aiBase.prototype.ExternalEvent = function (key, data) {
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.InternalEvent = function (key, data) {
            return true;
        };
        aiBase.prototype.update = function (t) {
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.Complete = function (data) {
            if (data === void 0) { data = null; }
            this.m_object_role.changeState(game.g_AiType.g_AiType_dead);
            return true;
        };
        /**
         * @return {boolean}
         */
        aiBase.prototype.Event = function (event) {
            return true;
        };
        aiBase.prototype.OnDamage = function (event) {
        };
        aiBase.prototype.onFrameEvent = function (type, event) {
            return true;
        };
        return aiBase;
    }());
    game.aiBase = aiBase;
})(game || (game = {}));
//# sourceMappingURL=aiBase.js.map