module game {
    export class monster extends baseRole {
        m_propertyInfo: any = null;


        m_birthwave: any = null;
        //m_stand:boolean = false //静止状态，距离 玩家超出一定距离不执行逻辑，长度随机增加，
        static create = function (): monster {
            return new monster();
        };

        constructor() {
            super();
            this.m_Type = g_ObjType.monster;
            this.m_StateControl = new monsterStateControl(this);
        }
        // setStand( isStand:boolean ){
        //     this.m_stand = isStand
        // }
        // getStand():boolean{
        //     return this.m_stand
        // }
        init(pifuName: string) {
            //this.loadres(pifuName);
            this.initSnake(pifuName)
            this.initState();
        }
        initSnake(skinname:string , len = 0){
            this.m_dir.x = -Math.abs(Math.random() * 1)
            this.m_dir.y = Math.random() * 1 - 0.5
            this.m_birth.x = Math.ceil(Math.random() * ( g_map_config.map_width - g_map_config.border_width * 4 ) + g_map_config.border_width * 2);
            this.m_birth.y = Math.ceil(Math.random() * ( g_map_config.map_height - g_map_config.border_height * 4 ) + g_map_config.border_height * 2);
            super.initSnake(skinname,len)
            //this.m_SpeedUp_time = 6
        }
        initState() {
            this.m_StateControl.initState();
        }

        getState(type) {
            return this.m_StateControl.getState(type);
        }
        //强制切换状态
        changeState_Ex( key , data: any = null ) {
            if(this.getCurStateType() == g_AiType.g_AiType_taoyi && key == g_AiType.g_AiType_taoyi
                || this.getCurStateType() == g_AiType.g_AiType_elude && key == g_AiType.g_AiType_elude
            ){
                return false
            }
            return this.m_StateControl.changeState_Ex( key , data );
        }
        changeState(key, in_data: any = null) {
            // console.log(key);
            return this.m_StateControl.changeState(key, in_data);
        }
        monster_auto( data:baseRole ){
            let randAdd = Math.random() * 100
            if( randAdd < 5 ){
                data.addscore( Math.floor(Math.random() * 2 ))
            }

        }
        toPlayerLen( p:cc.Vec2 ):number{
            if(roleMgr.getMe().getControlPlayer()){
                return  cc.pDistance(p,roleMgr.getMe().getControlPlayer().getHeadPos())
            }
            return 0
        }
        loop( t ){

            //return
            this.m_StateControl.loop( t );
            if(this.getCurStateType() == g_AiType.g_AiType_dead ){
                return
            }
            //超出屏幕外(最大长度)的不执行逻辑，随机增加长度
            if( this.toPlayerLen( this.getHeadPos() ) > cc.winSize.width * 0.75 &&
                this.toPlayerLen( this.getTailPos() ) > cc.winSize.width * 0.75 ){
                this.monster_auto ( this )
                this.m_isAuto = true
                return
            }
            else{
                if(this.m_isSetAngle){
                    this.m_isSetAngle = false
                }else{
                    this.m_isSetAngle = true
                }
                this.m_isAuto = false
                //边界
                let myHeadPos = this.getHeadPos()
                if(myHeadPos.x <= g_map_config.border_width * 2 || myHeadPos.x > g_map_config.map_width - g_map_config.border_width * 2
                    || myHeadPos.y <= g_map_config.border_height * 2 || myHeadPos.y >= g_map_config.map_height - g_map_config.border_height * 2){
                    //如果当前自杀状态打开，直接撞死
                    if(!this.m_isSuicide){
                        this.changeState_Ex( g_AiType.g_AiType_taoyi )
                    }
                }
                let _sPeed = this.m_WalkSpeed + Math.floor(t * 100)
                for (let n:node = this.m_head; n != null; n = n.m_next){
                    if (this.is_head(n)){
                        //撞墙检测
                        if(this.collideWall()){
                            this.changeState_Ex(g_AiType.g_AiType_dead)
                            return
                        }
                        let pos = n.getPos()
                        n.setPos(cc.pAdd(pos ,cc.pMult( this.m_dir , _sPeed )))
                        if (n.m_next != null){
                            n.m_next.push_Front_Ex(pos,_sPeed,this.m_dir)
                        }
                        this.m_headShow.setPosition(cc.pAdd(pos,cc.p(0,40)))
                        mapGezi.getMe().colide(this)
                    }
                    else{
                        n.setPos(n.popPos_Ex(_sPeed))
                        if (n.m_next != null){
                            if(!n.m_spr.isVisible()){
                                n.m_spr.setVisible(true)
                            }
                        }
                        if(this.is_tail(n))
                        {
                            n.m_spr.setVisible(false);
                            this.m_TailNode.setPosition(n.getPos())
                        }
                    }

                    if(this.m_isSetAngle)
                    {
                        this.setAngel(n);
                    }
                }
             }

            super.loop(t)
            this.update(t)
        }

        update(dt) {
            super.update(dt);
        }

        getCurStateType() {
            return this.m_StateControl.getCurStateType();
        }
    }

}