"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
//怪物ai
var game;
(function (game) {
    var aiBase_monster = (function (_super) {
        __extends(aiBase_monster, _super);
        function aiBase_monster() {
            _super.apply(this, arguments);
        }
        /**
         * @return {boolean}
         */
        aiBase_monster.prototype.update = function (dt) {
            //墙壁碰撞检测
            return true;
        };
        return aiBase_monster;
    }(game.aiBase));
    game.aiBase_monster = aiBase_monster;
    //躲避
    var monsterAi_elude = (function (_super) {
        __extends(monsterAi_elude, _super);
        function monsterAi_elude(role) {
            _super.call(this, role);
            this.m_time = 0;
            this.m_angle = 0;
            this.m_time = game.g_AI_Config.monster_elude_time;
            this.m_stateType = game.g_AiType.g_AiType_elude;
        }
        monsterAi_elude.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_elude.prototype.InternalEvent = function (key, data) {
            this.m_time = game.g_AI_Config.monster_elude_time;
            // this.m_object_role.m_dir = cc.p( 0 , 0 )
            // this.m_object_role.setScale( 0.5 )
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_elude.prototype.update = function (t) {
            var Angle = cc.pToAngle(this.m_object_role.m_dir); // / Math.PI * 180
            this.m_object_role.m_dir = cc.pForAngle(Angle -
                (game.g_AI_Config.monster_elude_angle - Math.random() * 90) / (game.g_AI_Config.monster_elude_time / t) * Math.PI / 180);
            // let offsetAnale = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180
            // if(Math.abs(Angle - offsetAnale) > 10 ){
            //     console.log(this.m_object_role.getName()+"   躲避AI 当前角度：" + Angle/ Math.PI * 180)
            //     console.log(this.m_object_role.getName()+"   躲避AI 偏移角度：" + offsetAnale)
            // }
            this.m_time -= t;
            if (this.m_time <= 0) {
                this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_chaos);
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_elude.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_elude;
    }(aiBase_monster));
    game.monsterAi_elude = monsterAi_elude;
    //觅食
    var monsterAi_findFood = (function (_super) {
        __extends(monsterAi_findFood, _super);
        function monsterAi_findFood(role) {
            _super.call(this, role);
            this.m_unitSize = 0;
            this.m_findTime = 0;
            this.m_FoodPos = null;
            this.m_FoodDir = null;
            this.m_unitSize = game.g_energy_config.unitSize;
            this.m_stateType = game.g_AiType.g_AiType_findFood;
        }
        monsterAi_findFood.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_findFood.prototype.InternalEvent = function (key, data) {
            this.m_FoodPos = null;
            this.m_findTime = game.g_AI_Config.monster_findfood_time;
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_findFood.prototype.findFood = function () {
            var myPos = game.mapGezi.getMe().posUnit(this.m_object_role.getHeadPos());
            var minDistance = 1000;
            // let foodNode:cc.Node = null
            for (var j = 0; j <= game.g_AI_Config.monster_findfood_deep * 2; j++) {
                var j_t = j;
                if (j_t > game.g_AI_Config.monster_findfood_deep) {
                    j_t = Math.min(j, game.g_AI_Config.monster_findfood_deep - j);
                }
                for (var k = 0; k <= game.g_AI_Config.monster_findfood_deep * 2; k++) {
                    var k_t = k;
                    if (k_t > game.g_AI_Config.monster_findfood_deep) {
                        k_t = Math.min(k, game.g_AI_Config.monster_findfood_deep - k);
                    }
                    var p = new cc.Vec2(myPos.x + j_t * this.m_unitSize, myPos.y + k_t * this.m_unitSize);
                    var data = game.mapGezi.getMe().getObjByPos(p);
                    if (data != null) {
                        var foodAngle = cc.pToAngle(p) / Math.PI * 180;
                        var myAngle = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180;
                        if (Math.abs(foodAngle - myAngle) <= game.g_AI_Config.EatFood_angle) {
                            var len = game.mathEx.getDistance(myPos, data.getPos());
                            if (len < minDistance) {
                                this.m_FoodPos = data.getPos();
                                minDistance = len;
                            }
                        }
                    }
                }
            }
            if (this.m_FoodPos) {
                this.m_FoodDir = cc.pNormalize(cc.pSub(this.m_FoodPos, this.m_object_role.getHeadPos()));
                // if(foodNode){
                //     foodNode.runAction(cc.fadeOut(0.2))
                // }
                return true;
            }
            return false;
        };
        monsterAi_findFood.prototype.update = function (t) {
            //有食物目标
            if (this.m_FoodPos) {
                var len = game.mathEx.getDistance(this.m_FoodPos, this.m_object_role.getHeadPos());
                if (this.m_FoodDir.x != this.m_object_role.m_dir.x || this.m_FoodDir.y != this.m_object_role.m_dir.y) {
                    if (this.m_FoodDir.x > this.m_object_role.m_dir.x) {
                        this.m_object_role.m_dir.x += 0.025;
                    }
                    else {
                        this.m_object_role.m_dir.x -= 0.025;
                    }
                    if (this.m_FoodDir.y > this.m_object_role.m_dir.y) {
                        this.m_object_role.m_dir.y += 0.025;
                    }
                    else {
                        this.m_object_role.m_dir.y -= 0.025;
                    }
                }
                if (len < this.m_object_role.m_head.getradius()) {
                    this.m_FoodPos = null;
                    this.m_FoodDir = null;
                }
            }
            else {
                if (!this.findFood()) {
                    this.m_findTime -= t;
                    if (this.m_findTime <= 0) {
                        this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_chaos);
                    }
                }
                else {
                    this.m_findTime = game.g_AI_Config.monster_findfood_time;
                }
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_findFood.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_findFood;
    }(aiBase_monster));
    game.monsterAi_findFood = monsterAi_findFood;
    //混乱
    var monsterAi_chaos = (function (_super) {
        __extends(monsterAi_chaos, _super);
        function monsterAi_chaos(role) {
            _super.call(this, role);
            this.m_time = 0;
            this.m_T_time = 0;
            this.m_randAngle = 0;
            this.m_stateType = game.g_AiType.g_AiType_chaos;
        }
        monsterAi_chaos.prototype.start = function () {
            this.m_randAngle = Math.random() * 2 > 1 ? 1 : -1;
            //Math.min(Math.random() * (g_AI_Config.monster_chaos_angle * 2) - g_AI_Config.monster_chaos_angle + 90, 180)
            this.m_time = Math.random() * game.g_AI_Config.chaosTime;
            this.m_T_time = this.m_time;
        };
        monsterAi_chaos.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_chaos.prototype.InternalEvent = function (key, data) {
            if (Math.random() * 100 < 40) {
                this.m_object_role.runSkill();
            }
            this.start();
            return _super.prototype.InternalEvent.call(this, key, data);
        };
        monsterAi_chaos.prototype.update = function (t) {
            // let dir = roleMgr.getMe().getControlPlayer().m_dir
            // let Angle = cc.pToAngle(dir) / Math.PI * 180
            // roleMgr.getMe().getControlPlayer().m_dir = cc.pForAngle((Angle - g_player_Config.g_Control_angle )
            //     * Math.PI  / 180)
            this.m_time -= t;
            var Angle = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180;
            if (this.m_randAngle == -1) {
                this.m_object_role.m_dir = cc.pForAngle((Angle - (this.m_object_role.m_Control_angle + t * 100)) * Math.PI / 180);
            }
            else {
                this.m_object_role.m_dir = cc.pForAngle((Angle + (this.m_object_role.m_Control_angle + t * 100)) * Math.PI / 180);
            }
            // let offsetAngle = Angle +  this.m_randAngle / (this.m_T_time / t)
            // this.m_object_role.m_dir = cc.pForAngle((offsetAngle) * Math.PI  / 180)
            if (this.m_time <= 0) {
                this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_findFood);
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_chaos.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_chaos;
    }(aiBase_monster));
    game.monsterAi_chaos = monsterAi_chaos;
    //进攻
    var monsterAi_jingong = (function (_super) {
        __extends(monsterAi_jingong, _super);
        function monsterAi_jingong(role) {
            _super.call(this, role);
            this.m_target = null; //目标
            this.m_posPoint = null; //进攻路线
            this.m_stateType = game.g_AiType.g_AiType_jingong;
        }
        monsterAi_jingong.prototype.compute = function () {
            this.m_posPoint.length = 0;
            if (this.m_target == null) {
                return;
            }
        };
        monsterAi_jingong.prototype.findTar = function () {
            //寻找目标
        };
        monsterAi_jingong.prototype.setTarger = function (obj) {
            this.m_target = obj;
        };
        monsterAi_jingong.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_jingong.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_jingong.prototype.update = function (t) {
            return _super.prototype.update.call(this, t);
        };
        monsterAi_jingong.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_jingong;
    }(aiBase_monster));
    game.monsterAi_jingong = monsterAi_jingong;
    //逃逸 - 将要撞墙时
    var monsterAi_taoyi = (function (_super) {
        __extends(monsterAi_taoyi, _super);
        function monsterAi_taoyi(role) {
            _super.call(this, role);
            this.m_time = 1;
            this.m_angle = 0;
            this.m_stateType = game.g_AiType.g_AiType_taoyi;
        }
        monsterAi_taoyi.prototype.ExternalEvent = function (key, data) {
            // if(this.m_time > 0){
            //     return false
            // }
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_taoyi.prototype.InternalEvent = function (key, data) {
            this.m_time = 1;
            //let dir = this.m_object_role.getRunDir()
            var pos = this.m_object_role.getHeadPos();
            if (pos.x < game.g_map_config.border_width * 2) {
                this.m_angle = cc.pToAngle(cc.p(1 - Math.random() * 0.4, 0));
            }
            else if (pos.x > game.g_map_config.map_width - game.g_map_config.border_width * 2) {
                this.m_angle = cc.pToAngle(cc.p(-1 + Math.random() * 0.4, 0));
            }
            if (pos.y < game.g_map_config.border_height * 2) {
                this.m_angle = cc.pToAngle(cc.p(0, 1 - Math.random() * 0.4));
            }
            else if (pos.y > game.g_map_config.map_height - game.g_map_config.border_height * 2) {
                this.m_angle = cc.pToAngle(cc.p(0, -1 + Math.random() * 0.4));
            }
            //左下角
            if (pos.x < game.g_map_config.border_width * 2 && pos.y < game.g_map_config.border_height * 2) {
                this.m_angle = cc.pToAngle(cc.p(0.5, 0.5));
            }
            //左上角
            if (pos.x < game.g_map_config.border_width * 2 && pos.y > game.g_map_config.map_height - game.g_map_config.border_height * 2) {
                this.m_angle = cc.pToAngle(cc.p(0.5, -0.5));
            }
            //右上角
            if (pos.x > game.g_map_config.map_width - game.g_map_config.border_width * 2 && pos.y > game.g_map_config.map_height - game.g_map_config.border_height * 2) {
                this.m_angle = cc.pToAngle(cc.p(-0.5, -0.5));
            }
            //右下角
            if (pos.x > game.g_map_config.map_width - game.g_map_config.border_width * 2 && pos.y < game.g_map_config.border_height * 2) {
                this.m_angle = cc.pToAngle(cc.p(-0.5, 0.5));
            }
            var Angle = cc.pToAngle(this.m_object_role.m_dir); // / Math.PI * 180
            // console.log("当前坐标：x"+ this.m_object_role.getHeadPos().x+"  y"+ this.m_object_role.getHeadPos().y)
            // console.log("当前向量  x:"+this.m_object_role.m_dir.x+"  y:"+this.m_object_role.m_dir.y)
            // console.log("目标向量  x:"+cc.pForAngle(this.m_angle).x+"  y:"+cc.pForAngle(this.m_angle).y)
            this.m_angle = this.m_angle / Math.PI * 180;
            //this.m_angle -= Angle
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_taoyi.prototype.update = function (t) {
            var Angle = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180;
            if (Math.abs(this.m_angle - Angle) > 10) {
                this.m_object_role.m_dir = cc.pForAngle((Angle + (this.m_object_role.m_Control_angle + t * 100))
                    * Math.PI / 180);
            }
            else {
                this.m_time = 0;
            }
            //this.m_object_role.m_dir = cc.pForAngle( Angle + this.m_angle / ( this.m_time / t ) )
            this.m_time -= t;
            if (this.m_time <= 0) {
                this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_stand);
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_taoyi.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_taoyi;
    }(aiBase_monster));
    game.monsterAi_taoyi = monsterAi_taoyi;
    //绞杀
    var monsterAi_jiaosha = (function (_super) {
        __extends(monsterAi_jiaosha, _super);
        function monsterAi_jiaosha(role) {
            _super.call(this, role);
            this.m_target = null; //目标
            this.m_stateType = game.g_AiType.g_AiType_jiaosha;
            //this.m_posPoint = new Array<cc.Vec2>()
        }
        monsterAi_jiaosha.prototype.setTar = function (obj) {
            this.m_target = obj;
        };
        monsterAi_jiaosha.prototype.FindTar = function () {
            var myLength = this.m_object_role.getSnakeLength();
            game.roleMgr.getMe().m_AllRole_map.each(function (key, data) {
                var myP = this.m_object_role.getHeadPos();
                var otP = data.getHeadPos();
                //这里要判断下对方的目标是不是自己
                if (data === this.m_object_role || data.m_StateControl.m_target === this.m_object_role) {
                }
                else {
                    var otherlen = data.getSnakeLength();
                    var juli = Math.abs(cc.pDistance(myP, otP));
                    if (juli <= game.g_AI_Config.jiaoshaRange) {
                        //if(myLength > otherlen){
                        this.setTar(data);
                        return;
                    }
                }
            }, this, null);
        };
        monsterAi_jiaosha.prototype.jiaosha = function () {
            var myP = this.m_object_role.getHeadPos();
            var OtP = this.m_target.getHeadPos();
            var dir = cc.Vec2.sub(OtP, myP);
            dir = cc.pNormalize(dir);
            this.m_object_role.setRunDir(dir);
        };
        monsterAi_jiaosha.prototype.ExternalEvent = function (key, data) {
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_jiaosha.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_jiaosha.prototype.update = function (t) {
            if (this.m_target == null) {
                //寻找目标
                this.FindTar();
            }
            else {
                //开始绞杀
                this.jiaosha();
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_jiaosha.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_jiaosha;
    }(aiBase_monster));
    game.monsterAi_jiaosha = monsterAi_jiaosha;
    //死亡
    var monsterAi_dead = (function (_super) {
        __extends(monsterAi_dead, _super);
        //m_deathTime = 0
        function monsterAi_dead(role) {
            _super.call(this, role);
            this.m_stateType = game.g_AiType.g_AiType_dead;
            //this.m_deathTime = g_AI_Config.monster_resurgence_time
        }
        monsterAi_dead.prototype.ExternalEvent = function (key, data) {
            //this.m_deathTime = g_AI_Config.monster_resurgence_time
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_dead.prototype.InternalEvent = function (key, data) {
            _super.prototype.InternalEvent.call(this, key, data);
            this.m_object_role.setVisible(false);
            this.m_object_role.renameStart();
            return true;
        };
        monsterAi_dead.prototype.reStart = function () {
            var reLen = 0;
            if (this.m_object_role.m_curLength >= 40) {
                reLen = Math.ceil(this.m_object_role.m_curLength / 2);
            }
            // this.m_object_role.shutdown()
            // this.m_object_role.init( this.m_object_role.m_skinConfig.name , reLen)
            // this.fuhuo()
            // cameraMgr.getMe().reset( this.m_birth );
            // this.setVisible(true)
        };
        monsterAi_dead.prototype.update = function (t) {
            this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_wudi);
            // this.m_deathTime -= t
            // if(this.m_deathTime <= 0){
            //一定概率复活，一定概率退出，换个名字，换个皮肤继续上
            //     this.m_object_role.renameStart()
            //     this.m_object_role.changeState_Ex(g_AiType.g_AiType_wudi)
            // }
            // if(this.m_object_role.m_foodList.length != 0){
            //     this.m_object_role.foodUpdate( t )
            // }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_dead.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_dead;
    }(aiBase_monster));
    game.monsterAi_dead = monsterAi_dead;
    //无敌
    var monsterAi_wudi = (function (_super) {
        __extends(monsterAi_wudi, _super);
        function monsterAi_wudi(role) {
            _super.call(this, role);
            this.m_godTime = 0;
            this.m_isComplete = false;
            this.m_stateType = game.g_AiType.g_AiType_wudi;
            this.m_godTime = game.g_AI_Config.god_Time;
        }
        monsterAi_wudi.prototype.ExternalEvent = function (key, data) {
            if (this.m_isComplete) {
                this.m_object_role.m_aureole.setVisible(false);
                return _super.prototype.ExternalEvent.call(this, key, data);
            }
            return false;
        };
        monsterAi_wudi.prototype.InternalEvent = function (key, data) {
            this.m_object_role.m_dir = cc.pNormalize(cc.p(-1 + Math.random() * 0.8, -1 + Math.random() * 1.5));
            this.m_isComplete = false;
            if (this.m_object_role.m_aureole) {
                this.m_object_role.m_aureole.setScale(this.m_object_role.m_curLength / game.g_Snake_Config.Length / 3);
                this.m_object_role.m_aureole.setVisible(true);
            }
            this.m_godTime = game.g_AI_Config.god_Time;
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_wudi.prototype.update = function (t) {
            this.m_godTime -= t;
            if (this.m_object_role.m_aureole) {
                this.m_object_role.m_aureole.setPosition(this.m_object_role.getMiddleBody().getPos());
            }
            if (this.m_godTime < 0) {
                this.m_isComplete = true;
                this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_chaos);
            }
            if (this.m_object_role.getHeadPos().x <= game.g_map_config.border_width * 2
                || this.m_object_role.getHeadPos().x > game.g_map_config.map_width - game.g_map_config.border_width * 2
                || this.m_object_role.getHeadPos().y <= game.g_map_config.border_height * 2
                || this.m_object_role.getHeadPos().y >= game.g_map_config.map_height - game.g_map_config.border_height * 2) {
                var Angle = cc.pToAngle(this.m_object_role.m_dir) / Math.PI * 180;
                this.m_object_role.m_dir = cc.pForAngle((Angle + this.m_object_role.m_Control_angle / 2) * Math.PI / 180);
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_wudi.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_wudi;
    }(aiBase_monster));
    game.monsterAi_wudi = monsterAi_wudi;
    //保持状态
    var monsterAi_stand = (function (_super) {
        __extends(monsterAi_stand, _super);
        function monsterAi_stand(role) {
            _super.call(this, role);
            this.m_time = 0;
            this.m_stateType = game.g_AiType.g_AiType_stand;
            this.m_time = 2;
        }
        monsterAi_stand.prototype.ExternalEvent = function (key, data) {
            if (this.m_time > 0) {
                return false;
            }
            return _super.prototype.ExternalEvent.call(this, key, data);
        };
        monsterAi_stand.prototype.InternalEvent = function (key, data) {
            this.m_time = 1;
            _super.prototype.InternalEvent.call(this, key, data);
            return true;
        };
        monsterAi_stand.prototype.exitType = function () {
            this.m_object_role.changeState_Ex(game.g_AiType.g_AiType_chaos);
        };
        monsterAi_stand.prototype.update = function (t) {
            this.m_time -= t;
            if (this.m_time < 0) {
                this.exitType();
            }
            return _super.prototype.update.call(this, t);
        };
        monsterAi_stand.prototype.onFrameEvent = function (type, event) {
            _super.prototype.onFrameEvent.call(this, type, event);
            return true;
        };
        return monsterAi_stand;
    }(aiBase_monster));
    game.monsterAi_stand = monsterAi_stand;
})(game || (game = {}));
//# sourceMappingURL=monsterAi.js.map