module  game {
    export class player extends baseRole {
        m_best_len:number = 0
        m_best_kill:number = 0
        m_propertyInfo: any = null;

        static create = function (): player {
            return new player();
        };

        constructor() {
            super();
            this.m_Type = g_ObjType.play;
            this.m_StateControl = new playStateControl(this);
        }

        init(pifuName: string ,initLen = 0) {

            this.m_best_len = DataMgr.getMe().getPlayerBestLen( DataMgr.getMe().getCurfightType() )
            this.m_best_kill = DataMgr.getMe().getPlayerBestKill( DataMgr.getMe().getCurfightType())
            this.m_birth = cc.p(g_map_config.map_width / 2, g_map_config.map_height / 2)
            cameraMgr.getMe().reset( this.m_birth );
            this.m_dir = cc.p( 1 , Math.random() * 0.2 - 0.4 )
            this.initSnake( pifuName ,initLen)
            this.initState();

        }

        initState() {
            this.m_StateControl.initState();
        }

        getState(type) {
            return this.m_StateControl.getState(type);
        }
        shutdown(){
            super.shutdown()
        }
        reStart(){
            let reLen =  g_scoreMgr.getLenbyScore( this.m_score / 2 )
            this.shutdown()
            if( reLen > 5){
                this.init( DataMgr.getMe().getPlayDoc().curpifu , reLen)
            }else{
                this.init( DataMgr.getMe().getPlayDoc().curpifu )
            }
            cameraMgr.getMe().reset( this.m_birth );
            this.setVisible(true)
        }

        //强制切换状态
        changeState_Ex( key , data: any = null ) {
            return this.m_StateControl.changeState_Ex( key , data );
        }

        changeState(key, in_data: any = null) {
            // console.log(key);
            return this.m_StateControl.changeState(key, in_data);
        }

        loop(t){
            this.m_StateControl.loop(t);
            if(this.getCurStateType() == g_AiType.g_AiType_dead ){
                return
            }
            if(this.m_isSetAngle){
                this.m_isSetAngle = false
            }else{
                this.m_isSetAngle = true
            }
            let _sPeed = this.m_WalkSpeed + Math.floor(t * 100)
            for (let n:node = this.m_head; n != null; n = n.m_next){
                if (this.is_head(n)){
                    //撞墙检测
                    if(this.collideWall()){
                        this.changeState_Ex(g_AiType.g_AiType_dead)
                        return
                    }
                    let p = n.getPos()
                    n.setPos(cc.pAdd(n.getPos() ,cc.pMult( this.m_dir , _sPeed )))
                    if (n.m_next != null){
                        n.m_next.push_Front_Ex(p,_sPeed,this.m_dir)
                    }
                    this.m_headShow.setPosition(cc.pAdd(n.getPos(),cc.p(0,40)))
                    mapGezi.getMe().colide(this)
                }
                else{
                    n.setPos(n.popPos_Ex(_sPeed))
                    if (n.m_next != null){
                        if(!n.m_spr.isVisible()){
                            n.m_spr.setVisible(true)
                        }
                    }
                    if(this.is_tail(n)){
                        n.m_spr.setVisible(false)
                        this.m_TailNode.setPosition(n.getPos())
                    }
                }
                if( this.m_isYinshen ){
                    n.m_spr.opacity = 50
                }
                if(this.m_isSetAngle){
                    this.setAngel(n)
                }
            }
            super.loop(t)
            this.update(t)
        }

        update(dt) {
            super.update(dt);
        }
        fuhuo() {
            this.changeState_Ex(g_AiType.g_AiType_wudi);
        }
    }

}