/**
 * Created by xieli on 2016/4/24.
 */
//玩家技能动作基本类
module  game {

    export class aiBase_play extends aiBase {
        constructor(role) {
            super(role);
        }
        /**
         * @return {boolean}
         */
        ExternalEvent(key, data): boolean {
            let ret = super.ExternalEvent(key, data);
            if (ret == false) {
                return ret;
            }
            return ret;
        }

        update(dt): any {
            super.update(dt);
            //提前结束3帧

            return true;
        }
    }

    export class playerAi_findFood extends aiBase_play {
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_findFood;
        }

        ExternalEvent(key, data) {
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {

            //this.m_object_role.playAnimation("daiji");
            super.InternalEvent(key, data);
            return true;
        }

        update(t) {
            return super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
    }

    export class playerAi_dead extends aiBase_play {
        m_deathTime = 0
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_dead;
            this.m_deathTime = g_AI_Config.playr_resurgence_time

        }

        ExternalEvent(key, data) {
            ui_shibai.ShowOrHide( false, null)
            return super.ExternalEvent(key, data);
        }

        InternalEvent(key, data) {
            if(  DataMgr.getMe().getCurfightType() == e_fight_Type.e_duizhan_Type ){
                if(this.m_object_role.getSnakeLength() >  DataMgr.getMe().getPlayerBestLen( e_fight_Type.e_duizhan_Type )){
                    DataMgr.getMe().setPlayerBest( this.m_object_role.getSnakeLength() , e_fight_Type.e_duizhan_Type )
                }
            }
            if(this.m_object_role.m_killnum > DataMgr.getMe().getPlayerBestKill( DataMgr.getMe().getCurfightType() )){
                DataMgr.getMe().setPlayerBestKill(this.m_object_role.m_killnum,DataMgr.getMe().getCurfightType())
            }

            playControl.getMe().m_canOperation = false
            let msg:shibaiMsg = new shibaiMsg()
            msg.m_myLen = this.m_object_role.getSnakeLength()
            msg.m_fuhuoFunc = this.restart.bind(this)
            msg.m_killedName = this.m_object_role.m_killedName
            msg.m_myBestPlayer = ui_fight.getMe().getBestPlayer()
            msg.m_exitFunc = this.gameOver
            if( g_gameVersion == e_game_Version.e_no_money ){
                ui_shibai.ShowOrHide(true,msg)
            }else{
                ui_zuansibucong.ShowOrHide( true , msg)
            }


            this.m_object_role.setVisible(false)

            this.m_deathTime = g_AI_Config.playr_resurgence_time
            super.InternalEvent(key, data);
            return true;
        }
        restart(){
            playControl.getMe().resetKey()
            playControl.getMe().m_canOperation = true
            this.m_object_role.reStart()
            this.m_object_role.changeState_Ex(g_AiType.g_AiType_wudi)
            //this.m_object_role.refuhuo()

        }
        gameOver(){
            DataMgr.getMe().setCurfightType( e_fight_Type.e_gameOver )
        }
        update(t) {
            this.m_deathTime -= t
            if(this.m_deathTime <= 0){
                //this.gameOver()
            }
            else{
                if(ui_shibai.getMe()){
                    //更新倒计时
                }
                //如果已经到嘴里的食物未吃完。继续吃...
                if(this.m_object_role.m_foodList.length != 0){
                    this.m_object_role.foodUpdate( t )
                }
            }
            super.update(t);
        }

        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }
        Complete(data) {
            return true;
        }
    }

    export class playerAi_wudi extends aiBase_play {
        m_wudiTime = 0
        m_isComplete:boolean = false
        constructor(role) {
            super(role);
            this.m_stateType = g_AiType.g_AiType_wudi;
            this.m_wudiTime = g_AI_Config.god_Time

        }

        ExternalEvent(key, data) {
            if( this.m_isComplete ){
                this.m_object_role.m_aureole.setVisible(false)
                return super.ExternalEvent(key, data);
            }
            return false

        }
        InternalEvent(key, data) {
            this.m_object_role.m_dir = cc.pNormalize(cc.p( -1 + Math.random() * 0.8,-1 + Math.random() * 1.5))
            this.m_isComplete = false
            if(this.m_object_role.m_aureole){
                this.m_object_role.m_aureole.setScale( this.m_object_role.m_curLength / g_Snake_Config.Length / 3 )
                this.m_object_role.m_aureole.setVisible(true)
                this.m_object_role.m_aureole.setPosition( this.m_object_role.getMiddleBody().getPos() )
            }
            if(playControl.getMe()){
                playControl.getMe().resetKey()
            }
            this.m_wudiTime = g_AI_Config.god_Time
            //this.m_object_role.m_WalkSpeed = g_Snake_Config.accSpeed
            return super.InternalEvent(key, data);
        }
        update(t) {
            this.m_wudiTime -= t
            if(this.m_object_role.m_aureole ){
                this.m_object_role.m_aureole.setPosition( this.m_object_role.getMiddleBody().getPos())
            }
            if(this.m_wudiTime < 0){
                this.m_isComplete = true
                this.m_object_role.changeState_Ex(g_AiType.g_AiType_findFood)
            }
            super.update(t);
            return true;
        }
        onFrameEvent(type, event) {
            super.onFrameEvent(type, event);
            return true;
        }

        Complete(data) {
            return true;
        }
    }

}