var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/7/30.
 */
//
//ott 控制角色模块
var game;
(function (game) {
    var playControl = (function (_super) {
        __extends(playControl, _super);
        function playControl() {
            _super.call(this);
            this.m_canOperation = true;
            this.m_object_role = null;
            this.init();
        }
        playControl.getMe = function () {
            if (playControl.g_playControl == null) {
                playControl.g_playControl = new playControl();
            }
            return playControl.g_playControl;
        };
        playControl.prototype.init = function () {
            this.m_object_role = game.roleMgr.getMe().getControlPlayer();
        };
        playControl.prototype.resetKey = function () {
            this.m_leftPress = false;
            this.m_rightPress = false;
            // this.m_DoEnterCurButtonState = false;
            // this.m_runButtonPressed = 0;
        };
        playControl.prototype.loop = function (t) {
            if (game.roleMgr.getMe().getControlPlayer().getCurStateType() != game.g_AiType.g_AiType_dead) {
                if (this.m_leftPress) {
                    var dir = game.roleMgr.getMe().getControlPlayer().m_dir;
                    var Angle = cc.pToAngle(dir) / Math.PI * 180;
                    game.roleMgr.getMe().getControlPlayer().m_dir = cc.pForAngle((Angle + (game.roleMgr.getMe().getControlPlayer().m_Control_angle + t * 100))
                        * Math.PI / 180);
                }
                if (this.m_rightPress) {
                    var dir = game.roleMgr.getMe().getControlPlayer().m_dir;
                    var Angle = cc.pToAngle(dir) / Math.PI * 180;
                    game.roleMgr.getMe().getControlPlayer().m_dir = cc.pForAngle((Angle - (game.roleMgr.getMe().getControlPlayer().m_Control_angle + t * 100))
                        * Math.PI / 180);
                }
            }
        };
        playControl.prototype.left = function () {
            return true;
        };
        playControl.prototype.right = function () {
            return true;
        };
        playControl.prototype.up = function () {
            if (game.roleMgr.getMe().getControlPlayer().getCurStateType() != game.g_AiType.g_AiType_dead) {
                game.roleMgr.getMe().getControlPlayer().setControl_angle(1);
            }
            return true;
        };
        playControl.prototype.down = function () {
            if (game.roleMgr.getMe().getControlPlayer().getCurStateType() != game.g_AiType.g_AiType_dead) {
                game.roleMgr.getMe().getControlPlayer().setControl_angle(-1);
            }
            return true;
        };
        playControl.prototype.DoEnterCurButton = function () {
            game.roleMgr.getMe().getControlPlayer().runSkill();
            _super.prototype.DoEnterCurButton.call(this);
        };
        playControl.prototype.DoEnterCurButton_Released = function () {
            _super.prototype.DoEnterCurButton_Released.call(this);
        };
        playControl.g_playControl = null;
        return playControl;
    }(game.baseRoleControl));
    game.playControl = playControl;
})(game || (game = {}));
//# sourceMappingURL=playControl.js.map