//战斗场景  基类
module game {
    export class baseSceneFight extends baseScene {
        m_startGame: boolean = false;
        m_gameOver: boolean = false;
        m_win: boolean = false;
        m_sceneTime: number = 0;
        m_resultTimer: number = 0;
        static scene  ():baseSceneFight {
            return new baseSceneFight();
        };
        constructor() {
            super();
            this.m_SceneType = g_SceneType.SceneType_fight;
        }
        init() {
            uiMgr.getMe().shutdownAllUi();
            uiMgr.getMe().show_ui_fight(true);
            this.loadsceneEx()
            return true;
        }
        shutdown() {
            super.shutdown();
            uiMgr.getMe().show_ui_fight(false);
            return true;
        }

        start_game() {
            this.m_startGame = true;
            this.m_gameOver = false;
        }

        end_game() {
            this.m_startGame = false;
            this.m_gameOver = true;
        }
        guochangOver() {
            this.gameOver(true);
        }
        update(t) {
            super.update(t);
            if (this.m_win) {
                if (this.m_resultTimer > 2) {
                    this.m_resultTimer = 0;
                    this.show_shengli_shibai();
                }
                else {
                    this.m_resultTimer += t;
                }
            }

            if (this.m_gameOver) {
                return;
            }
            if (this.m_startGame) {
                this.updateStartGame(t);
            }
        }

        updateStartGame(t) {
            this.m_sceneTime += t;
        }


        show_shengli_shibai() {
            if (this.m_win) {
                ui_shibai_shengli.ShowOrHide(true, true);
            }
            else {
                ui_shibai_shengli.ShowOrHide(true, false);
            }
        }



        gameOver(winval, data:any = null) {
            if (this.m_gameOver) {
                return;
            }
            this.m_win = winval;
            this.m_sceneTime = 0;
            this.end_game();
        }

        loadscene(scenename) {
            super.loadscene(scenename);
            //this.loadsceneEx()
        }

        loadsceneEx() {
            this.m_roleMgr.initroleMgr(this.m_SceneInfo);
            this.m_sceneTime = 0;
            this.start_game();
        }


    }

}
//# sourceMappingURL=baseSceneFight.js.map