var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/5/18.
 */
var game;
(function (game) {
    var playOnceSpine = (function (_super) {
        __extends(playOnceSpine, _super);
        function playOnceSpine() {
            _super.apply(this, arguments);
            this.m_spine_Node = null;
            this.m_isShutDown = false;
            this.m_res = null;
            this.m_animationname = null;
        }
        playOnceSpine.prototype.initex = function (res, animationname) {
            this.m_res = res;
            this.m_animationname = animationname;
            this.m_spine_Node = game.spineMgr.getMe().loadSpine(res, this.getNode(), 10);
            //this.addChild(this.m_spine_Node.getNode(), 10);
            var ret = this.m_spine_Node.setAnimation(0, animationname, false);
            if (!ret) {
                this.m_isShutDown = true;
            }
            this.m_spine_Node.setStartListener(function (trackIndex) {
                this.onFrameEvent("Start");
            }.bind(this));
            this.m_spine_Node.setEndListener(function (traceIndex) {
                this.onFrameEvent("End");
            }.bind(this));
            this.m_spine_Node.setCompleteListener(function (traceIndex, loopCount) {
                this.onFrameEvent("Complete");
                //cc.log("%d complete: %d", traceIndex, loopCount);
            }.bind(this));
            this.m_spine_Node.setEventListener(function (traceIndex, event) {
                this.onFrameEvent("event", event);
                // cc.log( traceIndex + " event: %s, %d, %f, %s",event.data.name, event.intValue, event.floatValue, event.stringValue);
            }.bind(this));
        };
        playOnceSpine.prototype.zanting = function (flag) {
            try {
                if (flag) {
                    this.m_spine_Node.pause();
                }
                else {
                    this.m_spine_Node.resume();
                }
            }
            catch (e) {
            }
        };
        playOnceSpine.prototype.update = function (t) {
            return this.m_isShutDown;
        };
        playOnceSpine.prototype.onFrameEvent = function (type, event) {
            if (type == "End") {
                this.m_isShutDown = true;
            }
            else if (type == "Complete") {
                // EffectMgr.getMe().OnEnd(this);
                this.m_isShutDown = true;
            }
            else if (type == "event") {
                if (event.data.name.indexOf(".mp3") >= 0) {
                    game.musicMgr.getMe().playeffect(event.data.name);
                }
            }
        };
        playOnceSpine.prototype.shutdown = function () {
            if (this.getParent()) {
                this.getParent().removeChild(this.getNode(), true);
            }
        };
        playOnceSpine.create = function (res, animationname, father, pos, z) {
            var fff = new playOnceSpine();
            fff.initex(res, animationname);
            if (pos != null) {
                fff.setPosition(pos);
            }
            if (z == null) {
                z = 1;
            }
            father.addChild(fff.getNode(), z);
            return fff;
        };
        return playOnceSpine;
    }(game.xjNode));
    game.playOnceSpine = playOnceSpine;
})(game || (game = {}));
//# sourceMappingURL=playOnceSpine.js.map