module game {
    export class spineMgr {
        m_playOnceSpineMap: ArrayEx = null;

        m_MapbulletCache: Map<number,SkeletonAnimation_Ex> = new Map<number,SkeletonAnimation_Ex>();

        static g_instance = null;

        static  getMe(): spineMgr {
            if (spineMgr.g_instance == null) {
                spineMgr.g_instance = new spineMgr();
                return spineMgr.g_instance;
            }
            else {
                return spineMgr.g_instance;
            }
        };

        constructor() {
            this.init();
            this.m_playOnceSpineMap = new game.ArrayEx();
        }

        init() {
        }

        shutdown() {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.shutdown();
            }
            this.m_playOnceSpineMap.clear();
        }

        zanting(flag) {
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                data.zanting(flag);
            }
        }

        update(t) {
            if (!roleMgr.getMe() || !roleMgr.getMe().getControlPlayer()) return;
            for (let i = 0; i < this.m_playOnceSpineMap.getSize(); ++i) {
                let data = this.m_playOnceSpineMap.keys[i];
                let ret = data.update(t);
                if (ret == true) {
                    this.m_playOnceSpineMap.remove(data);
                    data.shutdown();
                    return;
                }
            }
        }

        createSpineOncePlay(res, animationname, father: cc.Node, pos, z = null) {
            if (res == null) {
                return null;
            }
            if (res == "") {
                return null;
            }
            if (animationname == null) {
                return null;
            }
            if (animationname == "") {
                return null;
            }
            let ret = game.playOnceSpine.create(res, animationname, father, pos, z);
            this.m_playOnceSpineMap.put(ret);
            return ret;
        }

        loadSpine(res, father: cc.Node, zOder: number = 0): SkeletonAnimation_Ex {
            if (res == null) {
                console.error("loadSpine name :" + res);
                return null;
            }
            let jsonname = "xingjietanshishe/big/spine/" + res + "/" + res + ".json";
            let atlasame = "xingjietanshishe/big/spine/" + res + "/" + res + ".atlas";
            let ret = new SkeletonAnimation_Ex(jsonname, atlasame, father, zOder);
            ret.m_SpineResName = res;
            return ret;
        }

        init_bulletCache()
        {


        }

        loadSpine_bulletCache( res:string, father: cc.Node, zOder: number = 0): SkeletonAnimation_Ex {

            // for(   )
            //
            // let ret: SkeletonAnimation_Ex = this.m_MapbulletCache.get( res );
            // if( ret )
            // {
            //     ret.changeFather( father );
            //     this.m_MapbulletCache.delete( res );
            //     return ret;
            // }
            // ret = this.loadSpine(res, father, zOder);
            // return ret;
            return null;
        }

        clearSpine_bulletCache() {
          this.m_MapbulletCache.clear();
        }

       put_bulletCache( _SkeletonAnimation_Ex:SkeletonAnimation_Ex ) {
            this.m_MapbulletCache.set(_SkeletonAnimation_Ex.__instanceId,_SkeletonAnimation_Ex);
        }




    }
}