/**
 * Created by w on 2017/4/14.
 */
var game;
(function (game) {
    var ParticleSystemEx = (function () {
        function ParticleSystemEx(plistfile, parent) {
            this.m_Parent = null;
            this.m_ParticleSystem = null;
            this.m_filePath = "xingjietanshishe/big/lizi/Plist/";
            this.m_userData = null;
            this.m_ParticleSystem = cc.ParticleSystem.create(this.m_filePath + plistfile);
            this.m_Parent = parent;
            this.m_Parent.addChild(this.m_ParticleSystem);
        }
        ParticleSystemEx.prototype.setPos = function (p) {
            this.m_ParticleSystem.setPosition(p);
        };
        ParticleSystemEx.prototype.setSpeed = function (speed) {
            this.m_ParticleSystem.speed = speed;
        };
        ParticleSystemEx.prototype.setScale = function (scale) {
            this.m_ParticleSystem.setScale(scale);
        };
        ParticleSystemEx.prototype.setAngle = function (angle) {
            this.m_ParticleSystem.angle = angle;
        };
        ParticleSystemEx.prototype.shutDown = function () {
            this.m_Parent.removeChild(this.m_ParticleSystem);
            this.m_ParticleSystem = null;
            if (this.m_userData) {
                this.m_userData = null;
            }
        };
        ParticleSystemEx.prototype.isVisible = function () {
            return this.m_ParticleSystem.isVisible();
        };
        ParticleSystemEx.prototype.setUserData = function (data) {
            this.m_userData = data;
        };
        ParticleSystemEx.prototype.getUserData = function () {
            return this.m_userData;
        };
        ParticleSystemEx.prototype.setVisible = function (b) {
            this.m_ParticleSystem.setVisible(b);
        };
        ParticleSystemEx.create = function (plistfile, parent) {
            return new ParticleSystemEx(plistfile, parent);
        };
        return ParticleSystemEx;
    }());
    game.ParticleSystemEx = ParticleSystemEx;
})(game || (game = {}));
//# sourceMappingURL=ParticleSystem_Mgr.js.map