// 没有消息相应的 ui 节点
module game{
    export class uiBaseNode extends xjNode{
        m_des:any =  "描述下這个ui类";
        m_pLayout: any = null;
        m_root:any =  null;
        m_uiannimationList:any =  null;
        m_key_not_close:any = null;
        constructor () {
            super();
        }
        //
        onExit () {
            this.shutdown();
            super.onExit();
        }
        shutdown () {
        }
        playAnimationEx (_pLayout, name, loop, callback, target) {
            if (loop == null) {
                loop = true;
            }
            if (_pLayout == null) {
                if (callback !== undefined && target !== undefined) {
                    callback.call(target);
                }
                return false;
            }
            var node = _pLayout.node;
            var action = _pLayout.action; // 动作
            if (action.getTarget() == null) {
                node.runAction(action); // 播放动作
            }
            if (callback !== undefined && target !== undefined) {
                callback.bind(target);
                action.clearLastFrameCallFunc();
                action.setLastFrameCallFunc(function () {
                    callback.call(target);
                });
                action.play(name, loop);
            }
            else {
                action.play(name, loop);
            }
        }
        playAnimation (name, loop, callback:any = undefined, target:any = null) {
            if (this.m_pLayout == null) {
                if (callback !== undefined && target !== undefined) {
                    callback.call(target);
                }
                return false;
            }
            var node = this.m_root;
            var action = this.m_pLayout.action; // 动作
            if (action.getTarget() == null) {
                node.runAction(action); // 播放动作
            }
            if (callback !== undefined && target !== undefined) {
                callback.bind(target);
                action.clearLastFrameCallFunc();
                action.setLastFrameCallFunc(function () {
                    callback.call(target);
                });
                action.play(name, loop);
            }
            else {
                action.play(name, loop);
            }
        }
        //
        isPlay () {
            var action = this.m_pLayout.action; // 动作
            return action.isPlaying();
        }
        _parseUIFile (file) {
            // console.log("ccs.load : "+ file);
            var json = ccs.load("xingjietanshishe/big/ui/" + file);
            this.m_pLayout = json;
            this.m_root = this.m_pLayout.node;
            return this.m_root;
        }
        //
        parseUiFile_static (file) {
            cc.log("parseUiFileEx ccs.load : %s", file);
            var json = ccs.load("xingjietanshishe/big/ui/" + file);
            return json;
        }
        loop (t) {
            this.onUpdate(t);
        }
        onUpdate (t) {
        }
        playAnimationList (animationMaplist) {
            if (animationMaplist.size() <= 0) {
                return;
            }
            this.m_uiannimationList = animationMaplist;
            var it = this.m_uiannimationList.pop();
            this.playAnimation(it.animation, it.loop, this.playAnimationListCallback, this);
        }
        playAnimationListCallback () {
            if (this.m_uiannimationList.size() <= 0) {
                //this.m_Vis_key = true;
                return;
            }
            var it = this.m_uiannimationList.pop();
            this.playAnimation(it.animation, it.loop, this.playAnimationListCallback, this);
        }
        EnterUI () {
            //this.m_Vis_key = false;
            var animationlist = new game.Queue();
            var info:any = {};
            info.animation = "playstart";
            info.loop = false;
            animationlist.push(info);
            var info2 :any= {};
            info2.animation = "play";
            info2.loop = true;
            animationlist.push(info2);
            this.playAnimationList(animationlist);
        }
        //结束ui
        endLayout (callback) {
            this.m_key_not_close = false;
            if (callback) {
                this.playAnimation("playend", false, function () {
                    callback.call(this);
                    this.endLayoutCallBack();
                } ,this);
            }
            else {
                this.playAnimation("playend", false, this.endLayoutCallBack, this);
            }
        }
        endLayoutCallBack () {
            this.m_key_not_close = true;
        }
        shipeiCenter (playout) {
            var winSize = cc.director.getWinSize();
            playout.setPosition(cc.p(winSize.width / 2, winSize.height / 2));
            playout.setAnchorPoint(cc.p(0.5, 0.5));
            playout.setScale(game.uiMgr.getMe().getUiScale());
            return playout.getScale();
        }
    }
}
//# sourceMappingURL=uiBaseNode.js.map