"use strict";
/**
 * Created by cy1234 on 2015/12/28.
 */
//   ui
module game {
    export class uiMgr extends xjLayer {
        m_UiMap: any = null;//UI层容器-MapGame对象
        _topUiBase: any = null;//z值在最上面的UI层
        static g_uiMgr: any = null;//单例对象
        static getMe = function ():uiMgr {
            return  uiMgr.create();
        };
            static create = function () {
            if (game.uiMgr.g_uiMgr == null) {
                uiMgr.g_uiMgr = new uiMgr();
                return  uiMgr.g_uiMgr;
            }
            else {
                return  uiMgr.g_uiMgr;
            }
        };

        constructor() {
            super();
            this.m_UiMap = new MapGame();
            // var winSize = cc.director.getWinSize();
        }

        //当前屏与1280 720最大比例
        getUiScale_720() {
            var winSize = cc.director.getWinSize();
            var widthper = winSize.width / 1280.0;
            var heightper = winSize.height / 720.0;
            if (widthper > heightper) {
                return  heightper;
            }
            else {
                return  widthper;
            }
        }
        //当前屏与1280 768最大比例
        getUiScale() {
            var winSize = cc.director.getWinSize();
            var widthper = winSize.width / 1280.0;
            var heightper = winSize.height / 768.0;
            if (widthper > heightper) {
                // console.log("winSize width:" + winSize.width);
                //console.log("winSize height:" + winSize.height);
                // console.log("getUiScale heightper:" + heightper);
                return  heightper;
            }
            else {
                console.log("winSize width:" + winSize.width);
                console.log("winSize height:" + winSize.height);
                console.log("getUiScale widthper:" + heightper);
                return  widthper;
            }
           // return  1;
        }

        //停止所有UI的显示
        shutdownAllUi() {
            ui_fuhuo.ShowOrHide(false);
            ui_fuhuo_follow.ShowOrHide(false);
            ui_fight.ShowOrHide(false);
            ui_shibai_shengli.ShowOrHide(false);
            ui_zanting.ShowOrHide(false);
            ui_login.ShowOrHide(false);
            //this.show_ui_MessageBox(false);
            this.show_ui_root(false);
            this.show_ui_shop(false);
        }

        //替换掉旧的UI
        adduibase(data) {
            this.m_UiMap.put(data.__instanceId, data);
        }

        //清除传入的对象
        deleteuibase(data) {
            this.m_UiMap.remove(data.__instanceId);
        }

        //清除指定UI对像
        removeChild(child:cc.Node, cleanup:boolean = true) {
            if (cleanup == null) {
                cleanup = true;
            }
            super.removeChild(child, cleanup);
            this.updateBaseUi_OTT_key();
        }

        //添加一个对象到窗口中，对象，Z值，标签
        addChild(child:cc.Node, localZOrder, tag:any = null) {
            //  console.log(" uimgr addChild: localZOrder:" + localZOrder + "tag:" + tag  );
            if (localZOrder == null) {
                localZOrder = 0;
            }
            if (tag == null) {
                tag = "";
            }
            super.addChild(child, localZOrder, tag);

            this.updateBaseUi_OTT_key();
        }

        //根据当前容器中UI的Z值，显示Z值最大的一个UI层，m_key_not_close必须为true
        updateBaseUi_OTT_key() {

            var toplay = -1000;
            this._topUiBase = null;
            if (this.m_UiMap.getSize() == 0) {
                return ;
            }
            if (this.m_UiMap.getSize() == 1) {
                var it = this.m_UiMap.begin();
                if (it != null) {
                    this._topUiBase = it;
                    console.log(" init _topUiBase:");
                }
                return ;
            }
            for (var i = 0; i < this.m_UiMap.getSize(); ++i) {
                var l_uibase = this.m_UiMap.getData(i);
                if (!l_uibase.m_key_not_close) {
                    continue;
                }
                if (l_uibase.getLocalZOrder() > toplay) {
                    toplay = l_uibase.getLocalZOrder();
                    this._topUiBase = l_uibase;
                }
            }
        }

        //接收一个按键消息
        onKeyPressed(keycode) {
            if (this._topUiBase == null) {
                this.updateBaseUi_OTT_key();
            }
            if (this._topUiBase == null) {
            }
            else {
                this._topUiBase.onKeyPressed(keycode);
            }
        }

        onKeyReleased(keycode) {
            try {
                if (this._topUiBase == null) {
                }
                else {
                    this._topUiBase.onKeyReleased(keycode);
                }
            }
            catch (err) {
            }
        }

        //showRootUI (flag) {
        //    return  testui.create(flag);
        //}

        // show_ui_login_Mobile(flag) {
        //     return  ui_login_Mobile.ShowOrHide(flag);
        // }

        // show_ui_reg_Mobile(flag) {
        //     return  ui_reg_Mobile.ShowOrHide(flag);
        // }

        // show_ui_main_Mobile(flag) {
        //     return  ui_main_Mobile.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_left_bottom(flag) {
        //     return  ui_mobile_main_left_bottom.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_left_top(flag) {
        //     return  ui_mobile_main_left_top.ShowOrHide(flag);
        // }

        // show_ui_mobile_main_right_bottom(flag) {
        //     return  ui_mobile_main_right_bottom.ShowOrHide(flag);
        // }
        //
        // show_ui_mobile_main_right_top(flag) {
        //     return  ui_mobile_main_right_top.ShowOrHide(flag);
        // }

        // show_ui_setting(flag) {
        //     return ui_setting.ShowOrHide(flag);
        // }
        //
        // show_ui_cdkey(flag) {
        //     return  ui_cdkey.ShowOrHide(flag);
        // }
        //
        // show_ui_cdkey_success(flag, data) {
        //     return  ui_cdkey_success.ShowOrHide(flag, data);
        // }

        // show_ui_connectFightRoom (flag) {
        //     return  ui_connectFightRoom.ShowOrHide(flag);
        // }
        //
        show_ui_root(flag) {
        }

        // show_ui_liaotianshi(flag) {
        //     return  ui_liaotianshi.ShowOrHide(flag);
        // }

        show_ui_shop(flag) {
            // return ui_shangcheng.ShowOrHide(flag);
        }

        // show_ui_yindao(flag, data) {
        //     return ui_yingdao.ShowOrHide(flag, data);
        // }

        // show_ui_yindao_bottom(flag, data) {
        //     return ui_yingdao_bottom.ShowOrHide(flag, data);
        // }

        show_ui_pengxue(flag) {
            return ui_pengxue.ShowOrHide(flag);
        }


        show_ui_sceneLoading(flag,data?) {
            return ui_sceneLoading.ShowOrHide(flag,data);
        }

        show_ui_fight(flag) {
            return ui_fight.ShowOrHide(flag);
        }

        // show_ui_MessageBox(flag, text:any = null, func_ok:any = null, cancel_func:any = null, ponit:any = null) {
        //     return ui_MessageBox.ShowOrHide(flag, text, func_ok, cancel_func, ponit);
        // }

        show_ui_MessageBox2(flag, text:any = null, func_ok:any = null, ponit:any = null) {
            return ui_MessageBox2.ShowOrHide(flag, text, func_ok, ponit);
        }

        show_ui_zanting(flag) {
            return ui_zanting.ShowOrHide(flag);
        }

        show_ui_playOnce(layout, animation, callFunc:any = null) {
            return ui_PlayAinamationOnce.create(layout, animation, callFunc);
        }

        updateGoldandDiamonds() {

            // if (game.ui_show_zuanshi_gold.getMe()) {
            //     ui_show_zuanshi_gold.getMe().updateDiamondsAndGold();
            // }
        }

        // show_ui_xinshoulibao(flag) {
        //     return ui_xinshoulibao.ShowOrHide(flag);
        // }

        // show_ui_pay_queren(flag, shangpingid) {
        //     return ui_pay_queren.ShowOrHide(flag, shangpingid);
        // }

        // show_ui_autoDownload(flag) {
        //     return ui_autoDownload.ShowOrHide(flag);
        // }


        show_ui_fuhuo(flag) {
            return ui_fuhuo.ShowOrHide(flag);
        }

        //游戏启动的时候播放启动视频
        show_ui_MoviePlayer_startGame(flag, mp4, func, point) {
            //return ui_MoviePlayer_startGame.ShowOrHide(flag, mp4, func, point);
        }

        loop(t) {
            for (var i = 0; i < this.m_UiMap.getSize(); ++i) {
                var data = this.m_UiMap.getData(i);
                data.loop(t);
            }
        }
    }

}
//# sourceMappingURL=uiMgr.js.map