var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by cy1234 on 2016/4/21.
 */
//战斗界面
var game;
(function (game) {
    var rankStruct = (function () {
        //m_data:baseRole = null
        function rankStruct(nameUi, scoreUi) {
            this.m_nameUI = null;
            this.m_scoreUI = null;
            this.m_nameUI = nameUi;
            this.m_scoreUI = scoreUi;
            //this.m_data = data
        }
        rankStruct.prototype.updateRankUI = function (data) {
            if (data != null) {
                this.m_nameUI.setString(data.getName());
                this.m_scoreUI.setString(data.getSnakeLength().toString() + "米");
            }
            else {
                this.m_nameUI.setString("等待加入");
                this.m_scoreUI.setString("0 米");
            }
        };
        rankStruct.create = function (nameUi, scoreUi) {
            return new rankStruct(nameUi, scoreUi);
        };
        return rankStruct;
    }());
    game.rankStruct = rankStruct;
    var ui_fight = (function (_super) {
        __extends(ui_fight, _super);
        function ui_fight() {
            _super.call(this);
            this.m_SpeedUp_loadingBar = null;
            this.m_timeText = null;
            this.m_time = 300; //秒
            this.m_uiUpdateTime = 1; //ui刷新间隔
            this.m_fightType = null;
            this.m_bestPlayer = null;
            this.m_IsshowKill = false;
            this.m_showKillTime = 3;
            this.m_isGameOver = false;
            this.m_rankList = null;
            this.m_myRankUI = null;
            this.m_myScoreUI = null;
            this.m_zuansiShow = null;
            this.m_des = "ui_fight类";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_fight.prototype.init = function () {
        };
        ui_fight.prototype.oninit = function (data) {
            if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_duizhan_Type) {
                this.m_time = 300;
            }
            else {
                this.m_time = 0;
            }
            this.m_fightType = game.g_fightType;
            this.m_isGameOver = false;
            this.m_IsshowKill = false;
            this.m_showKillTime = 3;
            this.setOpacity(0);
            var root = this._parseUIFile("zhandoujm.json", 0, false);
            this.addChild(root);
            this.shipeiCenter(root);
            this.init();
            this.m_rankList = new Array();
            this.m_SpeedUp_loadingBar = ccui.helper.seekWidgetByName(this.m_root, "LoadingBar_1");
            this.m_SpeedUp_loadingBar.setPercent(100);
            this.m_timeText = ccui.helper.seekWidgetByName(this.m_root, "Text_94");
            var shizhong = ccui.helper.seekWidgetByName(this.m_root, "Image_54");
            if (game.g_gameVersion == game.e_game_Version.e_no_money) {
                var zuansi = ccui.helper.seekWidgetByTag(this.m_root, 259);
                zuansi.setVisible(false);
            }
            else {
                this.m_zuansiShow = ccui.helper.seekWidgetByName(this.m_root, "zuanshishu");
                this.m_zuansiShow.setString(game.DataMgr.getMe().getzuansiNum().toString());
            }
            for (var j = 1; j <= 8; j++) {
                var rank = ccui.helper.seekWidgetByName(this.m_root, "rank_" + (j));
                var rand_name = ccui.helper.seekWidgetByName(rank, "id");
                var rand_len = ccui.helper.seekWidgetByName(rank, "length");
                var rankObj = rankStruct.create(rand_name, rand_len);
                var roleObj = game.roleMgr.getMe().m_AllRole_map.getData(j - 1);
                rankObj.updateRankUI(roleObj);
                this.m_rankList.push(rankObj);
            }
            var win = ccui.helper.seekWidgetByName(this.m_root, "win");
            if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_wujing_Type) {
                win.setString("游戏目标：优先达到2000米");
            }
            else {
                win.setString("游戏目标：存活五分钟");
            }
            var myRank = ccui.helper.seekWidgetByName(this.m_root, "myrank");
            var bestLen = ccui.helper.seekWidgetByName(myRank, "bestlength");
            switch (this.m_fightType) {
                case game.e_fight_Type.e_wujing_Type:
                    var _score = 1000000 - game.DataMgr.getMe().getPlayerBestLen(this.m_fightType);
                    if (_score == 1000000) {
                        bestLen.setString("暂无分数");
                    }
                    else {
                        bestLen.setString(Math.floor(_score / 60) + "分" + Math.floor(_score % 60) + "秒");
                    }
                    break;
                case game.e_fight_Type.e_duizhan_Type:
                    var _duizhanBest = game.DataMgr.getMe().getPlayerBestLen(this.m_fightType);
                    if (_duizhanBest == 0) {
                        bestLen.setString("暂无分数");
                    }
                    else {
                        bestLen.setString(game.DataMgr.getMe().getPlayerBestLen(this.m_fightType).toString() + "米");
                    }
                    break;
            }
            this.m_myRankUI = ccui.helper.seekWidgetByName(myRank, "mingci");
            this.m_myScoreUI = ccui.helper.seekWidgetByName(myRank, "length");
            //击杀提示层
            this.killShow(false);
            this.updateUI();
        };
        ui_fight.prototype.updateUI = function () {
            if (game.g_gameVersion == game.e_game_Version.e_money) {
                //let zuansiShow:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"zuanshishu")
                this.m_zuansiShow.setString(game.DataMgr.getMe().getzuansiNum().toString());
            }
            if (cc.sys.isNative) {
                game.roleMgr.getMe().m_AllRole_map.sort(function (a, b) {
                    var data1 = game.roleMgr.getMe().m_AllRole_map.get(a);
                    var data2 = game.roleMgr.getMe().m_AllRole_map.get(b);
                    return data1.getSnakeLength() < data2.getSnakeLength();
                });
            }
            this.m_bestPlayer = game.roleMgr.getMe().m_AllRole_map.getData(0);
            for (var k = 0; k < this.m_rankList.length; k++) {
                var role = game.roleMgr.getMe().m_AllRole_map.getData(k);
                this.m_rankList[k].updateRankUI(role);
                if (role != null) {
                    role.setMingci(k + 1);
                    if (role.getName() == game.DataMgr.getMe().getPlayerName()) {
                        this.m_rankList[k].m_nameUI.color = cc.color(255, 0, 0);
                    }
                    else {
                        this.m_rankList[k].m_nameUI.color = cc.color(0, 255, 0);
                    }
                    //无尽模式胜利条件
                    if (role.getSnakeLength() >= 2000) {
                        if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_wujing_Type) {
                            var _score = 1000000 - this.m_time;
                            if (role.m_Type === game.g_ObjType.play) {
                                console.log("无尽模式胜利待上传时间：" + _score);
                                game.DataMgr.getMe().setPlayerBest(_score, game.e_fight_Type.e_wujing_Type);
                            }
                            this.m_isGameOver = true;
                            game.ui_shibai.ShowOrHide(false, null);
                            game.ui_zuansibucong.ShowOrHide(false, null);
                            game.roleMgr.getMe().m_pause = true;
                            game.playControl.getMe().m_canOperation = false;
                            game.playControl.getMe().resetKey();
                            var msg_data = {
                                Endtype: "win",
                                bestName: this.m_bestPlayer.getName(),
                                bestLen: this.m_bestPlayer.getSnakeLength(),
                                m_GameTime: this.m_time,
                                myRank: game.roleMgr.getMe().getControlPlayer().m_mingci,
                                myLen: game.roleMgr.getMe().getControlPlayer().getSnakeLength()
                            };
                            game.ui_jieshu.ShowOrHide(true, msg_data);
                            return;
                        }
                    }
                }
            }
            if (game.roleMgr.getMe().getControlPlayer() != null) {
                this.m_myRankUI.setString("我的排名：" + game.roleMgr.getMe().getControlPlayer().getMingci().toString());
                this.m_myScoreUI.setString(game.roleMgr.getMe().getControlPlayer().getSnakeLength().toString() + "米");
            }
            //计时
            {
                var m = Math.floor(this.m_time / 60);
                if (m < 10) {
                    m = new Array(2).join('0').concat(Math.floor(this.m_time / 60).toString());
                }
                var s = Math.ceil(this.m_time % 60);
                if (s < 10) {
                    s = new Array(2).join('0').concat(Math.floor(this.m_time % 60).toString());
                }
                this.m_timeText.setString(m + ":" + s);
                if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_duizhan_Type) {
                    if (this.m_time <= 0) {
                        //保存用户分数到服务器
                        if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_duizhan_Type) {
                            if (game.roleMgr.getMe().getControlPlayer().getSnakeLength() > game.DataMgr.getMe().getPlayerBestLen(game.e_fight_Type.e_duizhan_Type)) {
                                game.DataMgr.getMe().setPlayerBest(game.roleMgr.getMe().getControlPlayer().getSnakeLength(), game.e_fight_Type.e_duizhan_Type);
                            }
                        }
                        game.roleMgr.getMe().m_pause = true;
                        game.playControl.getMe().m_canOperation = false;
                        this.m_timeText.setString("00:00");
                        game.DataMgr.getMe().setCurfightType(game.e_fight_Type.e_gameOver);
                    }
                }
            }
        };
        ui_fight.prototype.updateShowKill = function (kill_name, killheadImg, killed_name, killedHeadImg) {
            this.m_IsshowKill = true;
            var killNode = ccui.helper.seekWidgetByTag(this.m_root, 300);
            var killHead = ccui.helper.seekWidgetByTag(this.m_root, 303);
            var killName = ccui.helper.seekWidgetByName(this.m_root, "Text_11");
            killHead.loadTexture(killheadImg);
            killName.setString(kill_name);
            killNode.setVisible(true);
            killName.setVisible(true);
            var killtxt = ccui.helper.seekWidgetByTag(this.m_root, 422);
            killtxt.setVisible(true);
            var zhuangshi = ccui.helper.seekWidgetByName(this.m_root, "zhuangshi");
            zhuangshi.setVisible(true);
            var killedNode = ccui.helper.seekWidgetByName(this.m_root, "Image_1_0");
            var killedHead = ccui.helper.seekWidgetByName(killedNode, "Image_2");
            var killedName = ccui.helper.seekWidgetByName(this.m_root, "Text_13");
            var redxxxxx = ccui.helper.seekWidgetByName(this.m_root, "Image_6");
            redxxxxx.setVisible(true);
            killedHead.loadTexture(killedHeadImg);
            killedName.setString(killed_name);
            killedNode.setVisible(true);
            killedName.setVisible(true);
        };
        ui_fight.prototype.getBestPlayer = function () {
            return this.m_bestPlayer;
        };
        ui_fight.prototype.onKeyPressed = function (keyCode) {
            if (game.playControl.getMe().m_canOperation) {
                game.playControl.getMe().onKeyPressed(keyCode);
                _super.prototype.onKeyPressed.call(this, keyCode);
            }
        };
        ui_fight.prototype.updatePlayerUI = function () {
            var __Player = game.roleMgr.getMe().getControlPlayer();
            if (__Player) {
                var img = ccui.helper.seekWidgetByName(this.m_SpeedUp_loadingBar, "Image_1");
                var speedUpTime = ccui.helper.seekWidgetByName(this.m_root, "jiasu");
                var img_2 = ccui.helper.seekWidgetByName(this.m_root, "Image_2");
                var jineng1 = ccui.helper.seekWidgetByName(this.m_root, "Image_33");
                var jineng2 = ccui.helper.seekWidgetByName(this.m_root, "Image_34");
                var zuaisinum = ccui.helper.seekWidgetByTag(this.m_root, 385);
                speedUpTime.setString(__Player.m_skill_num.toString());
                if (__Player.m_skill_num <= 0) {
                    if (game.g_gameVersion == game.e_game_Version.e_money) {
                        zuaisinum.setVisible(true);
                        if (game.DataMgr.getMe().getzuansiNum() >= 20) {
                            zuaisinum.setString("20 钻石/次");
                        }
                        else {
                            zuaisinum.setString("钻石不足");
                        }
                    }
                    else {
                        zuaisinum.setVisible(false);
                    }
                }
                else {
                    zuaisinum.setVisible(false);
                }
                if (__Player.getCurStateType() == game.g_AiType.g_AiType_dead) {
                    img.setVisible(false);
                    this.m_SpeedUp_loadingBar.setPercent(100);
                }
                else {
                    if (__Player.m_skill_ISRelease) {
                        img.setVisible(true);
                        speedUpTime.setVisible(true);
                        img_2.setVisible(true);
                        jineng1.setVisible(true);
                        jineng2.setVisible(true);
                        this.m_SpeedUp_loadingBar.setVisible(true);
                        if (__Player.m_skillNode != null) {
                            this.m_SpeedUp_loadingBar.setPercent(__Player.m_skill_Time / __Player.m_skillNode.m_Time * 100);
                        }
                    }
                    else {
                        img.setVisible(false);
                        this.m_SpeedUp_loadingBar.setPercent(100);
                    }
                }
            }
        };
        ui_fight.prototype.onKeyReleased = function (keyCode) {
            if (game.playControl.getMe().m_canOperation) {
                game.playControl.getMe().onKeyReleased(keyCode);
                _super.prototype.onKeyReleased.call(this, keyCode);
            }
        };
        ui_fight.prototype.killShow = function (isShow) {
            if (!isShow) {
                var killNode = ccui.helper.seekWidgetByTag(this.m_root, 300);
                var killHead = ccui.helper.seekWidgetByName(killNode, "Image_2");
                var killName = ccui.helper.seekWidgetByName(this.m_root, "Text_11");
                killNode.setVisible(false);
                killName.setVisible(false);
                var killtxt = ccui.helper.seekWidgetByTag(this.m_root, 422);
                killtxt.setVisible(false);
                var zhuangshi = ccui.helper.seekWidgetByName(this.m_root, "zhuangshi");
                zhuangshi.setVisible(false);
                var redxxxxx = ccui.helper.seekWidgetByName(this.m_root, "Image_6");
                redxxxxx.setVisible(false);
                var killedNode = ccui.helper.seekWidgetByTag(this.m_root, 312);
                var killedHead = ccui.helper.seekWidgetByName(killedNode, "Image_2");
                var killedName = ccui.helper.seekWidgetByName(this.m_root, "Text_13");
                killedNode.setVisible(false);
                killedName.setVisible(false);
            }
            else {
            }
        };
        ui_fight.prototype.gameOver = function () {
            this.m_isGameOver = true;
            game.ui_shibai.ShowOrHide(false, null);
            game.ui_zuansibucong.ShowOrHide(false, null);
            var data = {
                Endtype: "other",
                bestName: this.m_bestPlayer.getName(),
                bestLen: this.m_bestPlayer.getSnakeLength(),
                myRank: game.roleMgr.getMe().getControlPlayer().m_mingci,
                myLen: game.roleMgr.getMe().getControlPlayer().getSnakeLength()
            };
            game.ui_jieshu.ShowOrHide(true, data);
        };
        ui_fight.prototype.loop = function (t) {
            //对战模式下的倒计时
            if (this.m_fightType == game.e_fight_Type.e_duizhan_Type) {
                this.m_time -= t;
            }
            else {
                this.m_time += t;
            }
            //当前技能释放 中
            if (this.m_IsshowKill) {
                this.m_showKillTime -= t;
                if (this.m_showKillTime <= 0.5) {
                    this.m_IsshowKill = false;
                    this.m_showKillTime = 3;
                    this.killShow(false);
                }
            }
            if (!this.m_isGameOver) {
                if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_gameOver) {
                    this.gameOver();
                    return;
                }
                this.updatePlayerUI();
                //刷新屏幕能量数
                game.mapGezi.getMe().loop(t);
                //控制UI刷新速度
                this.m_uiUpdateTime -= t;
                if (this.m_uiUpdateTime <= 0) {
                    this.updateUI();
                    this.m_uiUpdateTime = 1;
                }
                game.playControl.getMe().loop(t);
            }
        };
        ui_fight.prototype.onBack = function () {
            game.playControl.getMe().m_canOperation = false;
            game.ui_MessageBox.ShowOrHide(true, "是否退出当前游戏", function () {
                game.DataMgr.getMe().setCurfightType(game.e_fight_Type.e_gameOver);
                game.roleMgr.getMe().shutdown();
                game.ui_zhujiemian.ShowOrHide(true);
                game.sceneMgr.getMe().shutDowncurScnee();
                ui_fight.ShowOrHide(false);
                game.ui_shibai.ShowOrHide(false, null);
                game.ui_jieshu.ShowOrHide(false, null);
                game.DataMgr.getMe().savePlayData();
            }, function () {
                game.roleMgr.getMe().m_pause = false;
                game.playControl.getMe().m_canOperation = true;
            });
        };
        ui_fight.g_instarn = null;
        ui_fight.getMe = function () {
            return game.ui_fight.g_instarn;
        };
        ui_fight.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_fight, null, 100);
        };
        return ui_fight;
    }(game.UiBase));
    game.ui_fight = ui_fight;
})(game || (game = {}));
//# sourceMappingURL=ui_zhandoujm.js.map