/**
 * Created by cy1234 on 2016/4/21.
 */
//战斗界面
module game {
    import Vec2 = game.Vec2;
    export class rankStruct{
        m_nameUI:ccui.Text = null
        m_scoreUI:ccui.Text = null
        //m_data:baseRole = null
        constructor( nameUi , scoreUi){
            this.m_nameUI = nameUi
            this.m_scoreUI = scoreUi
            //this.m_data = data
        }
        updateRankUI( data:baseRole ){
            if(data != null){
                this.m_nameUI.setString(data.getName())
                this.m_scoreUI.setString(data.getSnakeLength().toString() + "米")
            }else{
                this.m_nameUI.setString("等待加入")
                this.m_scoreUI.setString( "0 米")
            }

        }
        static create( nameUi:ccui.Text , scoreUi:ccui.Text){
            return new rankStruct( nameUi , scoreUi)
        }
    }
    export class ui_fight extends game.UiBase {

        m_SpeedUp_loadingBar: ccui.Loadingbar = null
        m_timeText: ccui.Text = null
        m_time: number = 300     //秒
        m_uiUpdateTime: number = 1      //ui刷新间隔
        m_fightType: e_fight_Type = null
        m_bestPlayer: baseRole = null
        m_IsshowKill:boolean = false
        m_showKillTime:number = 3
        m_isGameOver:boolean = false
        m_rankList:Array<rankStruct> = null
        m_myRankUI:ccui.Text = null
        m_myScoreUI:ccui.Text = null
        m_zuansiShow:ccui.Text = null
        static g_instarn: ui_fight = null;
        static getMe = function (): ui_fight {
            return game.ui_fight.g_instarn;
        };
        static ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, game.ui_fight, null, 100);
        };

        constructor() {
            super();
            this.m_des = "ui_fight类";
            this.m_CBaseKeyState = new BaseKeyState();
        }

        init() {

        }

        oninit(data) {
            if(DataMgr.getMe().getCurfightType() == e_fight_Type.e_duizhan_Type){
                this.m_time = 300
            }else{
                this.m_time = 0
            }
            this.m_fightType = g_fightType
            this.m_isGameOver = false
            this.m_IsshowKill = false
            this.m_showKillTime = 3
            this.setOpacity(0);

            let root = this._parseUIFile("zhandoujm.json", 0, false);
            this.addChild(root);
            this.shipeiCenter(root);
            this.init();
            this.m_rankList = new Array<rankStruct>()
            this.m_SpeedUp_loadingBar = ccui.helper.seekWidgetByName(this.m_root, "LoadingBar_1")
            this.m_SpeedUp_loadingBar.setPercent(100)
            this.m_timeText = ccui.helper.seekWidgetByName(this.m_root, "Text_94")
            let shizhong: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_54")


            if( g_gameVersion == e_game_Version.e_no_money ){
                let zuansi:ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root,259)
                zuansi.setVisible(false)
                // let zuansiShow:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,262)
                // let zuaisinum:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,385)
                // this.m_zuansiShow = ccui.helper.seekWidgetByName(this.m_root,"zuanshishu")
                // zuaisinum.setVisible(false)
                // this.m_zuansiShow.setVisible(false)
                // zuansiShow.setVisible(false)
            }else{
                this.m_zuansiShow = ccui.helper.seekWidgetByName(this.m_root,"zuanshishu")
                this.m_zuansiShow.setString(DataMgr.getMe().getzuansiNum().toString())
            }

            for (let j = 1; j <= 8; j++) {
                let rank: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "rank_" + (j ))
                let rand_name: ccui.Text = ccui.helper.seekWidgetByName(rank, "id")
                let rand_len: ccui.Text = ccui.helper.seekWidgetByName(rank, "length")
                let rankObj:rankStruct = rankStruct.create(rand_name,rand_len)
                let roleObj:baseRole = roleMgr.getMe().m_AllRole_map.getData(j - 1)
                rankObj.updateRankUI(roleObj)
                this.m_rankList.push( rankObj )
            }

            let win :ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"win")
            if( DataMgr.getMe().getCurfightType() == e_fight_Type.e_wujing_Type  ){
                win.setString("游戏目标：优先达到2000米")
            }else{
                win.setString("游戏目标：存活五分钟")
            }
            let myRank: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "myrank")
            let bestLen: ccui.Text = ccui.helper.seekWidgetByName(myRank, "bestlength")
            switch (this.m_fightType){
                case e_fight_Type.e_wujing_Type:
                    let _score = 1000000 - DataMgr.getMe().getPlayerBestLen(this.m_fightType)
                    if( _score == 1000000 ){
                        bestLen.setString("暂无分数")
                    }else{
                        bestLen.setString(Math.floor(_score / 60 ) +"分"+  Math.floor(_score % 60)+ "秒")
                    }
                    break
                case e_fight_Type.e_duizhan_Type:
                    let _duizhanBest = DataMgr.getMe().getPlayerBestLen(this.m_fightType)
                    if( _duizhanBest == 0 ){
                        bestLen.setString("暂无分数")
                    }else{
                        bestLen.setString(DataMgr.getMe().getPlayerBestLen(this.m_fightType).toString() + "米")
                    }
                    break
            }

            this.m_myRankUI = ccui.helper.seekWidgetByName(myRank, "mingci")
            this.m_myScoreUI = ccui.helper.seekWidgetByName(myRank, "length")
            //击杀提示层
            this.killShow( false )
            this.updateUI()

        }
        updateUI() {

            if(g_gameVersion == e_game_Version.e_money ){
                //let zuansiShow:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"zuanshishu")
                this.m_zuansiShow.setString(DataMgr.getMe().getzuansiNum().toString())
            }

            if(cc.sys.isNative){
                roleMgr.getMe().m_AllRole_map.sort((a, b) => {
                    let data1: baseRole = roleMgr.getMe().m_AllRole_map.get(a)
                    let data2: baseRole = roleMgr.getMe().m_AllRole_map.get(b)
                    return data1.getSnakeLength() < data2.getSnakeLength()
                })
            }
            this.m_bestPlayer = roleMgr.getMe().m_AllRole_map.getData(0)
            for( let k = 0; k < this.m_rankList.length ; k++ ) {
                let role: baseRole = roleMgr.getMe().m_AllRole_map.getData(k)
                this.m_rankList[k].updateRankUI(role)
                if( role != null ){
                    role.setMingci(k + 1)
                    if (role.getName() == DataMgr.getMe().getPlayerName()) {
                        this.m_rankList[k].m_nameUI.color = cc.color(255, 0, 0)
                    } else {
                        this.m_rankList[k].m_nameUI.color = cc.color(0, 255, 0)
                    }
                    //无尽模式胜利条件
                    if (role.getSnakeLength() >= 2000) {
                        if (DataMgr.getMe().getCurfightType() == e_fight_Type.e_wujing_Type) {
                            let _score = 1000000 - this.m_time
                            if (role.m_Type === g_ObjType.play) {
                                console.log("无尽模式胜利待上传时间：" + _score)
                                DataMgr.getMe().setPlayerBest(_score, e_fight_Type.e_wujing_Type)
                            }
                            this.m_isGameOver = true
                            ui_shibai.ShowOrHide(false, null)
                            ui_zuansibucong.ShowOrHide(false,null)

                            roleMgr.getMe().m_pause = true
                            playControl.getMe().m_canOperation = false
                            playControl.getMe().resetKey()
                            let msg_data = {
                                Endtype: "win",
                                bestName: this.m_bestPlayer.getName(),
                                bestLen: this.m_bestPlayer.getSnakeLength(),
                                m_GameTime: this.m_time,
                                myRank: roleMgr.getMe().getControlPlayer().m_mingci,
                                myLen: roleMgr.getMe().getControlPlayer().getSnakeLength()
                            }
                            ui_jieshu.ShowOrHide(true, msg_data)
                            return
                        }
                    }
                }

            }

            if (roleMgr.getMe().getControlPlayer() != null) {
                this.m_myRankUI.setString("我的排名：" + roleMgr.getMe().getControlPlayer().getMingci().toString())
                this.m_myScoreUI.setString(roleMgr.getMe().getControlPlayer().getSnakeLength().toString() + "米")

            }
            //计时
            {
                let m: any = Math.floor(this.m_time / 60)
                if (m < 10) {
                    m = new Array(2).join('0').concat(Math.floor(this.m_time / 60).toString())
                }
                let s: any = Math.ceil(this.m_time % 60)
                if (s < 10) {
                    s = new Array(2).join('0').concat(Math.floor(this.m_time % 60).toString())
                }
                this.m_timeText.setString(m + ":" + s)
                if(DataMgr.getMe().getCurfightType() == e_fight_Type.e_duizhan_Type ){
                    if (this.m_time <= 0) {
                        //保存用户分数到服务器
                        if(  DataMgr.getMe().getCurfightType() == e_fight_Type.e_duizhan_Type ){
                            if(roleMgr.getMe().getControlPlayer().getSnakeLength() >  DataMgr.getMe().getPlayerBestLen( e_fight_Type.e_duizhan_Type )){
                                DataMgr.getMe().setPlayerBest( roleMgr.getMe().getControlPlayer().getSnakeLength() , e_fight_Type.e_duizhan_Type )
                            }
                        }
                        roleMgr.getMe().m_pause = true
                        playControl.getMe().m_canOperation = false
                        this.m_timeText.setString("00:00")
                        DataMgr.getMe().setCurfightType(e_fight_Type.e_gameOver)
                    }
                }
            }
        }
        updateShowKill( kill_name,killheadImg,killed_name,killedHeadImg){

            this.m_IsshowKill = true
            let killNode:ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root,300)
            let killHead:ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root,303)
            let killName:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"Text_11")
            killHead.loadTexture(killheadImg)
            killName.setString(kill_name)
            killNode.setVisible(true)
            killName.setVisible(true)

            let killtxt:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,422)
            killtxt.setVisible( true )

            let zhuangshi:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"zhuangshi")
            zhuangshi.setVisible(true)

            let killedNode:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_1_0")
            let killedHead:ccui.ImageView = ccui.helper.seekWidgetByName(killedNode,"Image_2")
            let killedName:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"Text_13")
            let redxxxxx:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_6")
            redxxxxx.setVisible(true)
            killedHead.loadTexture(killedHeadImg)
            killedName.setString(killed_name)
            killedNode.setVisible(true)
            killedName.setVisible(true)
        }
        getBestPlayer(): baseRole {
            return this.m_bestPlayer
        }
        onKeyPressed(keyCode) {
            if (playControl.getMe().m_canOperation) {
                game.playControl.getMe().onKeyPressed(keyCode);
                super.onKeyPressed(keyCode);
            }
        }
        updatePlayerUI(){

            let __Player =  roleMgr.getMe().getControlPlayer()
            if (__Player) {
                let img: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_SpeedUp_loadingBar, "Image_1")
                let speedUpTime: ccui.Text = ccui.helper.seekWidgetByName(this.m_root, "jiasu")
                let img_2: ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root, "Image_2")
                let jineng1:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_33")
                let jineng2:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_34")
                let zuaisinum:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,385)

                speedUpTime.setString(__Player.m_skill_num.toString())
                if(__Player.m_skill_num <= 0 ){
                    if( g_gameVersion == e_game_Version.e_money ){
                        zuaisinum.setVisible(true)
                        if(DataMgr.getMe().getzuansiNum() >= 20){
                            zuaisinum.setString("20 钻石/次")
                        }else{
                            zuaisinum.setString("钻石不足")
                        }
                    }else{
                        zuaisinum.setVisible(false)
                    }
                }else{
                    zuaisinum.setVisible(false)
                }
                if ( __Player.getCurStateType() == g_AiType.g_AiType_dead ) {
                    img.setVisible(false)
                    this.m_SpeedUp_loadingBar.setPercent(100)
                }else{
                    if (__Player.m_skill_ISRelease) {
                        img.setVisible(true)
                        speedUpTime.setVisible(true)
                        img_2.setVisible(true)
                        jineng1.setVisible(true)
                        jineng2.setVisible(true)
                        this.m_SpeedUp_loadingBar.setVisible(true)
                        if(__Player.m_skillNode != null){
                            this.m_SpeedUp_loadingBar.setPercent(__Player.m_skill_Time / __Player.m_skillNode.m_Time * 100)
                        }
                    }else{
                        img.setVisible(false)
                        this.m_SpeedUp_loadingBar.setPercent(100)
                    }
                }
            }
        }
        onKeyReleased(keyCode) {
            if (playControl.getMe().m_canOperation) {
                game.playControl.getMe().onKeyReleased(keyCode);
                super.onKeyReleased(keyCode);
            }
        }
        killShow( isShow ){
            if( !isShow ){
                let killNode:ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root,300)
                let killHead:ccui.ImageView = ccui.helper.seekWidgetByName(killNode,"Image_2")
                let killName:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"Text_11")
                killNode.setVisible(false)
                killName.setVisible(false)

                let killtxt:ccui.Text = ccui.helper.seekWidgetByTag(this.m_root,422)
                killtxt.setVisible( false )

                let zhuangshi:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"zhuangshi")
                zhuangshi.setVisible(false)

                let redxxxxx:ccui.ImageView = ccui.helper.seekWidgetByName(this.m_root,"Image_6")
                redxxxxx.setVisible(false)

                let killedNode:ccui.ImageView = ccui.helper.seekWidgetByTag(this.m_root,312)
                let killedHead:ccui.ImageView = ccui.helper.seekWidgetByName(killedNode,"Image_2")
                let killedName:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"Text_13")
                killedNode.setVisible(false)
                killedName.setVisible(false)
            }
            else{

                //no else
            }

        }
        gameOver(){
            this.m_isGameOver = true
            ui_shibai.ShowOrHide(false , null)
            ui_zuansibucong.ShowOrHide(false,null)
            let data = {
                Endtype:"other",
                bestName: this.m_bestPlayer.getName(),
                bestLen: this.m_bestPlayer.getSnakeLength(),
                myRank: roleMgr.getMe().getControlPlayer().m_mingci,
                myLen: roleMgr.getMe().getControlPlayer().getSnakeLength()
            }
            ui_jieshu.ShowOrHide(true, data)
        }
        loop(t) {
            //对战模式下的倒计时
            if (this.m_fightType == e_fight_Type.e_duizhan_Type) {
                this.m_time -= t
            }
            //无尽模式下的计时
            else{
                this.m_time += t
            }
            //当前技能释放 中
            if(this.m_IsshowKill ){
                this.m_showKillTime -= t
                if( this.m_showKillTime <= 0.5){
                    this.m_IsshowKill = false
                    this.m_showKillTime = 3
                    this.killShow( false )
                }
            }
            if( !this.m_isGameOver ){
                if(DataMgr.getMe().getCurfightType() == e_fight_Type.e_gameOver){
                    this.gameOver()
                    return
                }
                this.updatePlayerUI()
                //刷新屏幕能量数
                mapGezi.getMe().loop(t)
                //控制UI刷新速度
                this.m_uiUpdateTime -= t
                if (this.m_uiUpdateTime <= 0) {
                    this.updateUI()
                    this.m_uiUpdateTime = 1
                }
                game.playControl.getMe().loop(t)
            }
        }
        onBack() {
            playControl.getMe().m_canOperation = false
            ui_MessageBox.ShowOrHide(true, "是否退出当前游戏", () => {
                DataMgr.getMe().setCurfightType( e_fight_Type.e_gameOver )
                roleMgr.getMe().shutdown()
                ui_zhujiemian.ShowOrHide(true)
                sceneMgr.getMe().shutDowncurScnee()
                ui_fight.ShowOrHide(false)
                ui_shibai.ShowOrHide(false,null)
                ui_jieshu.ShowOrHide(false, null)
                DataMgr.getMe().savePlayData()
            }, () => {
                roleMgr.getMe().m_pause = false
                playControl.getMe().m_canOperation = true
            })
        }
    }
}