var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
// 普通战斗场景 胜利失败界面
var game;
(function (game) {
    var ui_shibai_shengli = (function (_super) {
        __extends(ui_shibai_shengli, _super);
        function ui_shibai_shengli() {
            _super.call(this);
            this.m_win = true;
            this.m_scenename = null;
            this.m_des = "ui_shibai_shengli类";
            this.m_CBaseKeyState = new game.BaseKeyState();
        }
        ui_shibai_shengli.prototype.shutdown = function () {
            game.rootScene.getMe().zanting(false);
            _super.prototype.shutdown.call(this);
        };
        ui_shibai_shengli.prototype.oninit = function (win) {
            game.rootScene.getMe().zanting(true);
            game.playControl.getMe().resetKey();
            this.m_scenename = game.sceneMgr.getMe().getCurSceneName();
            this.m_win = win;
            if (win) {
                if (game.fileMgr.getMe().m_xiangsu_info["root"]["version"] == 0) {
                    var unlockHero = game.sceneMgr.getMe().getUnlockHero();
                    if (unlockHero != 0) {
                        if (unlockHero.indexOf("leiyi") > -1)
                            game.DataMgr.getMe().getPlayDoc().curHero = unlockHero;
                        if (unlockHero.indexOf("gaiya") > -1)
                            game.DataMgr.getMe().getPlayDoc().curFollower = unlockHero;
                    }
                }
                var root = this._parseUIFile("shengli2.json", 0);
                this.EnterUI();
                this.addChild(root);
                this.shipeiCenter(root);
                var fanhui = ccui.helper.seekWidgetByName(root, "fanhui");
                fanhui.addTouchEventListener(this.fanhui_func, this);
                this.m_CBaseKeyState.regNodeEx(fanhui, 1);
                var chongwan = ccui.helper.seekWidgetByName(root, "chongwan");
                chongwan.addTouchEventListener(this.chongwan_func, this);
                this.m_CBaseKeyState.regNodeEx(chongwan, 2);
                var sceneName = game.DataMgr.getMe().getPlayDoc().curScene;
                var sceneinfo = game.fileMgr.getMe().getSceneInfo(sceneName);
                var next_fubenName = sceneinfo["next_fuben"];
                if (next_fubenName != "") {
                    if (sceneName == this.m_scenename) {
                        game.DataMgr.getMe().getPlayDoc().curScene = next_fubenName;
                        game.fileMgr.getMe().savePlayInfo();
                    }
                }
            }
            else {
                var root = this._parseUIFile("shibai2.json", 0);
                this.EnterUI();
                this.addChild(root);
                this.shipeiCenter(root);
                var fanhui = ccui.helper.seekWidgetByName(root, "fanhui");
                fanhui.addTouchEventListener(this.fanhui_func, this);
                this.m_CBaseKeyState.regNodeEx(fanhui, 1);
                var chongwan = ccui.helper.seekWidgetByName(root, "chongwan");
                chongwan.addTouchEventListener(this.chongwan_func, this);
                this.m_CBaseKeyState.regNodeEx(chongwan, 2);
            }
            this.m_CBaseKeyState.init(this);
        };
        ui_shibai_shengli.prototype.fanhui_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    this.endLayout(function () {
                        ui_shibai_shengli.ShowOrHide(false);
                        game.sceneMgr.getMe().selectScene(game.g_SceneType.SceneType_login);
                        game.ui_login.ShowOrHide(false);
                        game.ui_zhujiemian.ShowOrHide(true);
                    });
                    break;
            }
        };
        ui_shibai_shengli.prototype.xiayiguan_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var sceneinfo = game.fileMgr.getMe().getSceneInfo(this.m_scenename);
                    var next_fubenName = sceneinfo["next_fuben"];
                    if (next_fubenName != "") {
                        ui_shibai_shengli.ShowOrHide(false);
                        game.sceneMgr.getMe().selectScene(game.g_SceneType.SceneType_fight, next_fubenName);
                    }
                    else {
                        game.uiMgr.getMe().show_ui_MessageBox(true, "场景配置表填错，下一关名字为空！");
                    }
                    break;
            }
        };
        //重新开始
        ui_shibai_shengli.prototype.chongwan_func = function (sender, type) {
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    ui_shibai_shengli.ShowOrHide(false);
                    game.sceneMgr.getMe().selectScene(game.g_SceneType.SceneType_fight, this.m_scenename);
                    break;
            }
        };
        ui_shibai_shengli.g_instarn = null;
        ui_shibai_shengli.getMe = function () {
            return ui_shibai_shengli.g_instarn;
        };
        ui_shibai_shengli.ShowOrHide = function (flag, win) {
            game.UiBase.ShowOrHide(flag, ui_shibai_shengli, game.uiMgr.getMe(), 20000, win);
            game.playControl.getMe().m_canOperation = !flag;
            // if(flag){
            //     playControl.getMe().m_canOperation = false;
            // }else{
            //     playControl.getMe().m_canOperation = true;
            // }
        };
        return ui_shibai_shengli;
    }(game.UiBase));
    game.ui_shibai_shengli = ui_shibai_shengli;
})(game || (game = {}));
//# sourceMappingURL=ui_shibai_shengli.js.map