var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Created by w on 2017/4/11.
 */
var game;
(function (game) {
    var CGeziKeyState_ui_zhujiemian = (function (_super) {
        __extends(CGeziKeyState_ui_zhujiemian, _super);
        function CGeziKeyState_ui_zhujiemian() {
            _super.apply(this, arguments);
            this.m_disVal = null;
            this.m_ScrollView = null;
            this.m_ui_map = null;
            this.m_isLeft = false;
            this.m_isRight = false;
        }
        CGeziKeyState_ui_zhujiemian.prototype.init = function (father) {
            return _super.prototype.init.call(this, father);
        };
        CGeziKeyState_ui_zhujiemian.prototype.left = function () {
            this.m_isLeft = true;
            this.m_isRight = false;
            this.m_move = true;
            game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
            var name = this.m_key.getName();
            var nodekeyinfo = this.m_ui_configname[name];
            for (var i = 0; i < this.m_buttonlist.getSize(); i++) {
                var nodeinfo = this.m_buttonlist.getData(i);
                if (this.m_key == nodeinfo) {
                    continue;
                }
                if (nodeinfo.node.isVisible() == false ||
                    nodeinfo.node.getParent().isVisible() == false ||
                    nodeinfo.isTouchEnable() == false) {
                    continue;
                }
                if (nodekeyinfo["left"] == nodeinfo.getName()) {
                    this.m_key = nodeinfo;
                    return true;
                }
            }
        };
        CGeziKeyState_ui_zhujiemian.prototype.right = function () {
            this.m_isLeft = false;
            this.m_isRight = true;
            //super.right();
            this.m_move = true;
            game.musicMgr.getMe().playeffect(game.g_buttonChangeMp3);
            var name = this.m_key.getName();
            var nodekeyinfo = this.m_ui_configname[name];
            for (var i = 0; i < this.m_buttonlist.getSize(); i++) {
                var nodeinfo = this.m_buttonlist.getData(i);
                if (this.m_key == nodeinfo) {
                    continue;
                }
                if (nodeinfo.node.isVisible() == false ||
                    nodeinfo.node.getParent().isVisible() == false ||
                    nodeinfo.isTouchEnable() == false) {
                    continue;
                }
                if (nodekeyinfo["right"] == nodeinfo.getName()) {
                    this.m_key = nodeinfo;
                    return true;
                }
            }
            return false;
        };
        CGeziKeyState_ui_zhujiemian.prototype.loop = function (t) {
            if (this.m_key == null) {
                return;
            }
            if (this.m_key.node.isVisible()) {
                for (var i = 0; i < this.m_buttonlist.getSize(); i++) {
                    var nodeinfo = this.m_buttonlist.getData(i);
                    if (nodeinfo.getChexButton() == this.m_key.getChexButton()) {
                        this.m_key.getChexButton().setSelected(true);
                        var pButtonImageView = ccui.helper.seekWidgetByName(nodeinfo.getChexButton(), "uitexiao");
                        var b = ccui.helper.seekWidgetByName(nodeinfo.getChexButton(), nodeinfo.getChexButton().getName().toString() + "-0");
                        var t_1 = ccui.helper.seekWidgetByName(b, "uitexiao");
                        if (pButtonImageView != null) {
                            pButtonImageView.setVisible(true);
                        }
                    }
                    else {
                        nodeinfo.getChexButton().setSelected(false);
                        var pButtonImageView = ccui.helper.seekWidgetByName(nodeinfo.getChexButton(), "uitexiao");
                        var b = ccui.helper.seekWidgetByName(nodeinfo.getChexButton(), nodeinfo.getChexButton().getName().toString() + "-0");
                        if (pButtonImageView != null) {
                            pButtonImageView.setVisible(false);
                        }
                    }
                }
            }
            else {
                // for (let i = 0; i < this.m_buttonlist.getSize(); i++) {
                //     let nodeinfo = this.m_buttonlist.getData(i);
                //
                //     if (nodeinfo.node.isVisible() == false ||
                //         nodeinfo.node.getParent().isVisible() == false ||
                //         nodeinfo.isTouchEnable() == false) {
                //         continue;
                //     }
                //
                //     if (nodeinfo.getChexButton() != null) {
                //         this.m_key = nodeinfo;
                //         break;
                //     }
                // }
                var retkey = this.m_buttonlist.getnext(this.m_key.id);
                if (retkey != null) {
                    this.m_key = retkey;
                }
            }
            if (this.m_key.id <= 20) {
                this.m_disVal = this.m_key.node.getContentSize().width * this.m_ui_map.getScale() * game.rootScene.getMe().m_win_scale;
                var shouzhipos = this.getCurBttonPos(); //cc.pSub(this.getCurBttonPos() , cc.p(this.m_key.node.getContentSize().width / 2 ,0 ));
                var visibleSize = cc.director.getVisibleSize();
                {
                    var dis = Math.abs(shouzhipos.x - visibleSize.width / 4);
                    if (dis > (visibleSize.width / 4)) {
                        if (shouzhipos.x > visibleSize.width / 4) {
                            var w = this.m_ScrollView.getInnerContainerSize().width - this.m_ScrollView.getContentSize().width;
                            // let speed = w / 80;
                            // speed = Math.max(speed, 100);
                            var speed = 100;
                            var percent = this.getPercentHorizontal();
                            if (this.m_isRight) {
                                this.m_ScrollView.jumpToPercentHorizontal(Math.min(100, percent + t * speed));
                            }
                        }
                    }
                    else {
                        var w = this.m_ScrollView.getInnerContainerSize().width - this.m_ScrollView.getContentSize().width;
                        // let speed = w / 80;
                        // speed = Math.max(speed, 100);
                        var speed = 100;
                        var percent = this.getPercentHorizontal();
                        if (this.m_isLeft) {
                            this.m_ScrollView.jumpToPercentHorizontal(Math.max(0, percent - t * speed));
                        }
                    }
                }
            }
            return;
        };
        CGeziKeyState_ui_zhujiemian.prototype.getPercentHorizontal = function () {
            var offsetX = this.m_ScrollView.getInnerContainer().getPositionX();
            var w = this.m_ScrollView.getInnerContainerSize().width - this.m_ScrollView.getContentSize().width;
            return -(offsetX / w * 100);
        };
        return CGeziKeyState_ui_zhujiemian;
    }(game.BaseKeyState_ui_config));
    var ui_pifu = (function (_super) {
        __extends(ui_pifu, _super);
        function ui_pifu() {
            _super.call(this);
            this.m_backImgArray = null;
            this.m_des = "ui_pifu";
            this.m_CBaseKeyState = new CGeziKeyState_ui_zhujiemian();
            //this.m_CBaseKeyState.setUIName("shangcheng")
            this.m_backImgArray = new Array();
        }
        ui_pifu.prototype.oninit = function (data) {
            var root = this._parseUIFile("shangcheng.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);
            this.initUI();
            this.updateUI();
        };
        ui_pifu.prototype.initUI = function () {
            var regNum = 1;
            var backRoot = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            for (var j = 1; j <= 11; j++) {
                var skin = ccui.helper.seekWidgetByName(this.m_root, "pifu" + j);
                var backImg = ccui.helper.seekWidgetByName(backRoot, "Image_" + j);
                if (j > 7) {
                    if (game.g_gameVersion == game.e_game_Version.e_no_money) {
                        skin.setVisible(false);
                        backImg.setVisible(false);
                        continue;
                    }
                }
                this.m_CBaseKeyState.regNodeEx(skin, regNum++);
                this.m_backImgArray.push(backImg);
            }
            this.m_CBaseKeyState.m_ScrollView = ccui.helper.seekWidgetByName(this.m_root, "ScrollView_1");
            // 关闭滚动条方法
            if (cc.sys.isNative) {
                this.m_CBaseKeyState.m_ScrollView.setScrollBarEnabled(false);
            }
            this.m_CBaseKeyState.m_ui_map = this;
            this.m_CBaseKeyState.setUIName("shangcheng");
            //this.m_CBaseKeyState.setCurKey_byName("pifu5");
            this.m_CBaseKeyState.init(this);
        };
        ui_pifu.prototype.updateUI = function () {
            for (var j = 1; j <= 11; j++) {
                var skin = ccui.helper.seekWidgetByName(this.m_root, "pifu" + j);
                var skin_data = game.g_skin_config[j - 1];
                if (skin_data != null) {
                    var namestr = ccui.helper.seekWidgetByName(skin, "Text_4");
                    var head = ccui.helper.seekWidgetByName(skin, "Image_8");
                    var jiesuo1 = ccui.helper.seekWidgetByName(skin, "jiesuo1");
                    var jiesuo2 = ccui.helper.seekWidgetByName(skin, "jiesuo2");
                    var yiyongyou = ccui.helper.seekWidgetByName(skin, "yiyongyou");
                    namestr.setString(skin_data["desName"]);
                    head.loadTexture(skin_data["kuang_icon"]);
                    yiyongyou.setVisible(false);
                    var skinIsHave = game.DataMgr.getMe().SkinIsHave(skin_data["name"]);
                    //收费版
                    if (game.g_gameVersion == game.e_game_Version.e_money) {
                        jiesuo2.setVisible(false);
                        jiesuo1.setString(skin_data["cost"].toString() + "钻石解锁");
                        if (skinIsHave) {
                            jiesuo1.setVisible(false);
                            yiyongyou.setVisible(true);
                        }
                    }
                    else {
                        jiesuo1.setVisible(false);
                        var unlockType = skin_data["unlock"]["gameType"];
                        var unlocklen = skin_data["unlock"]["len"];
                        var unlockkill = skin_data["unlock"]["kill"];
                        var jiesuoString = ((unlockType == "wujing") ? "竞赛模式" : "限时模式") +
                            ((unlocklen == 0) ? "击杀敌" + unlockkill + "次" : "长度：" + unlocklen + "米");
                        jiesuo2.setString(jiesuoString);
                        var bestlentype = game.DataMgr.getMe().getGameTypeBytypeName(skin_data["unlock"]["gameType"]);
                        if (skin_data["unlock"]["len"] != 0 && skin_data["unlock"]["kill"] != 0
                            || !game.DataMgr.getMe().SkinIsHave(skin_data["name"])) {
                            var unLockType = skin_data["unlock"]["gameType"] == "duizhan" ? game.e_fight_Type.e_duizhan_Type
                                : game.e_fight_Type.e_wujing_Type;
                            //长度解锁
                            if (skin_data["unlock"]["len"] != 0) {
                                if (skin_data["unlock"]["len"] <= game.DataMgr.getMe().getPlayerBestLen(bestlentype)) {
                                    if (game.DataMgr.getMe().addSkin(skin_data["name"])) {
                                        game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo.json", "play");
                                        jiesuo2.setVisible(false);
                                        yiyongyou.setVisible(true);
                                    }
                                    else {
                                        console.log("皮肤添加 失败...");
                                    }
                                }
                            }
                            //击杀解锁
                            if (skin_data["unlock"]["kill"] != 0) {
                                if (skin_data["unlock"]["kill"] <= game.DataMgr.getMe().getPlayerBestKill(bestlentype)) {
                                    if (game.DataMgr.getMe().addSkin(skin_data["name"])) {
                                        game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo.json", "play");
                                        jiesuo2.setVisible(false);
                                        yiyongyou.setVisible(true);
                                    }
                                    else {
                                        console.log("皮肤添加 失败...");
                                    }
                                }
                            }
                        }
                        else {
                            yiyongyou.setVisible(true);
                            jiesuo2.setVisible(false);
                        }
                    }
                    skin.setUserData(skin_data);
                    skin.addTouchEventListener(this.selectOrBuy, this);
                }
                else {
                    if (game.g_gameVersion == game.e_game_Version.e_money) {
                        var moneyCost = ccui.helper.seekWidgetByName(skin, "jiesuo1");
                        var _name = ccui.helper.seekWidgetByName(skin, "Text_4");
                        //钻石商品从ID9开始
                        if (j >= 9) {
                            if (game.fileMgr.getMe().m_xiangsu_info["root"]["pcfabu"] == 1) {
                                var data = game.g_shop_info_yunbi.item[j - 9];
                                moneyCost.setString(data.price_rmb + "云币");
                                _name.setString(data.name);
                                skin.setUserData(data);
                            }
                            else {
                                var data = game.g_shop_info_pc.item[j - 9];
                                moneyCost.setString(data.price_rmb + "元");
                                _name.setString(data.name);
                                skin.setUserData(data);
                            }
                        }
                        else {
                            var data = { name: "体力*10", zuanshi: game.g_enertyCost, showinfo: "使用" + game.g_enertyCost + "钻石购买10点体力值", enerty: 10, type: "zuansi" };
                            moneyCost.setString(data.zuanshi + "钻石购买");
                            skin.setUserData(data);
                            _name.setString(data.name);
                        }
                        skin.addTouchEventListener(this.buyByzuansi, this);
                    }
                }
            }
        };
        ui_pifu.prototype.buyByzuansi = function (sender, type) {
            var _this = this;
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var data_1 = sender.getUserData();
                    //钻石商品
                    if (data_1.type == "zuansi") {
                        if (game.DataMgr.getMe().getzuansiNum() >= data_1.zuanshi) {
                            if (game.g_Secondary_Confirmation == false) {
                                game.ui_MessageBox.ShowOrHide(true, "是否花费" + data_1.zuanshi + "钻石购买" + data_1.enerty + "体力", function () {
                                    game.DataMgr.getMe().subZuansiNum(data_1.zuanshi);
                                    game.DataMgr.getMe().addCurenerty(data_1.enerty, false, true);
                                    game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo_1.json", "play");
                                    //ui_MessageBox2.ShowOrHide( true,"成功购买："+ data.name)
                                    if (game.ui_zhujiemian.getMe()) {
                                        game.ui_zhujiemian.getMe().UpdateEnergy();
                                        game.ui_zhujiemian.getMe().updateZuansiAndname();
                                    }
                                }, null);
                            }
                            else {
                                game.DataMgr.getMe().subZuansiNum(data_1.zuanshi);
                                game.DataMgr.getMe().addCurenerty(data_1.enerty, false, true);
                                game.uiMgr.getMe().show_ui_playOnce("texiao_jiesuo_1.json", "play");
                                //ui_MessageBox2.ShowOrHide( true,"成功购买："+ data.name)
                                if (game.ui_zhujiemian.getMe()) {
                                    game.ui_zhujiemian.getMe().UpdateEnergy();
                                    game.ui_zhujiemian.getMe().updateZuansiAndname();
                                }
                            }
                        }
                        else {
                            //弹窗确认取消
                            if (game.g_Secondary_Confirmation == true) {
                                var succeed_func = game.MyCallback.create(this.buySucceed, this, game.g_shop_info_pc.item[2]);
                                var cancel_func = game.MyCallback.create(this.buyFail, this, null);
                                game.iapMgr.getMe().buy_noTip(game.g_shop_info_pc.item[2].id, succeed_func, cancel_func);
                            }
                            else if (game.fileMgr.getMe().m_xiangsu_info["root"]["pcfabu"] == 1) {
                                game.ui_MessageBox.ShowOrHide(true, "钻石不足，是否花费" + game.g_shop_info_yunbi.item[2].price_rmb + "云币购买" + game.g_shop_info_yunbi.item[2].zuanshi + "钻石", function () {
                                    var succeed_func = game.MyCallback.create(_this.buySucceed, _this, game.g_shop_info_yunbi.item[2]);
                                    var cancel_func = game.MyCallback.create(_this.buyFail, _this, null);
                                    game.iapMgr.getMe().buy_noTip(game.g_shop_info_yunbi.item[2].id, succeed_func, cancel_func);
                                }, null);
                            }
                            else {
                                game.ui_MessageBox.ShowOrHide(true, "钻石不足，是否花费" + game.g_shop_info_pc.item[2].price_rmb + "元购买" + game.g_shop_info_pc.item[2].zuanshi + "钻石", function () {
                                    var succeed_func = game.MyCallback.create(_this.buySucceed, _this, game.g_shop_info_pc.item[2]);
                                    var cancel_func = game.MyCallback.create(_this.buyFail, _this, null);
                                    game.iapMgr.getMe().buy_noTip(game.g_shop_info_pc.item[2].id, succeed_func, cancel_func);
                                }, null);
                            }
                        }
                    }
                    else {
                        //不弹窗直接购买
                        if (game.g_Secondary_Confirmation == true) {
                            var succeed_func = game.MyCallback.create(this.buySucceed, this, data_1);
                            var cancel_func = game.MyCallback.create(this.buyFail, this, null);
                            game.iapMgr.getMe().buy_noTip(data_1.id, succeed_func, cancel_func);
                        }
                        else if (game.fileMgr.getMe().m_xiangsu_info["root"]["pcfabu"] == 1) {
                            game.ui_MessageBox.ShowOrHide(true, "是否花费" + data_1.price_rmb + "云币购买" + data_1.zuanshi + "钻石", function () {
                                var succeed_func = game.MyCallback.create(_this.buySucceed, _this, data_1);
                                var cancel_func = game.MyCallback.create(_this.buyFail, _this, null);
                                game.iapMgr.getMe().buy_noTip(data_1.id, succeed_func, cancel_func);
                            }, null);
                        }
                        else {
                            game.ui_MessageBox.ShowOrHide(true, "是否花费" + data_1.price_rmb + "元购买" + data_1.zuanshi + "钻石", function () {
                                var succeed_func = game.MyCallback.create(_this.buySucceed, _this, data_1);
                                var cancel_func = game.MyCallback.create(_this.buyFail, _this, null);
                                game.iapMgr.getMe().buy_noTip(data_1.id, succeed_func, cancel_func);
                            }, null);
                        }
                    }
                    break;
            }
        };
        ui_pifu.prototype.selectOrBuy = function (sender, type) {
            var _this = this;
            switch (type) {
                case ccui.Widget.TOUCH_ENDED:
                    var data_2 = sender.getUserData();
                    if (data_2) {
                        //拥有此皮肤
                        if (game.DataMgr.getMe().SkinIsHave(data_2["name"])) {
                            game.DataMgr.getMe().setCurSkin(data_2.name);
                            if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_duizhan_Type
                                || game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_wujing_Type) {
                                this.endLayout(function () {
                                    ui_pifu.ShowOrHide(false);
                                    game.ui_pipei.ShowOrHide(true);
                                });
                            }
                            console.log("当前皮肤：" + data_2["desName"]);
                        }
                        else {
                            //收费版
                            if (game.g_gameVersion == game.e_game_Version.e_money) {
                                //钻石充足的情况
                                if (game.DataMgr.getMe().getzuansiNum() >= data_2["cost"]) {
                                    game.DataMgr.getMe().subZuansiNum(data_2["cost"]);
                                    game.DataMgr.getMe().addSkin(data_2["name"]);
                                    game.ui_MessageBox2.ShowOrHide(true, data_2["desName"] + " 购买成功！");
                                    this.updateUI();
                                    game.ui_zhujiemian.getMe().updateZuansiAndname();
                                }
                                else {
                                    //不弹窗直接购买
                                    if (game.g_Secondary_Confirmation == true) {
                                        var buyData = { skinInfo: data_2, item: game.g_shop_info_pc.item[2] };
                                        var succeed_func = game.MyCallback.create(this.buySucceed, this, buyData);
                                        var cancel_func = game.MyCallback.create(this.buyFail, this, null);
                                        game.iapMgr.getMe().buy_noTip(game.g_shop_info_pc.item[2].id, succeed_func, cancel_func);
                                    }
                                    else if (game.fileMgr.getMe().m_xiangsu_info["root"]["pcfabu"] == 1) {
                                        game.ui_MessageBox.ShowOrHide(true, "钻石不足，是否花费" + game.g_shop_info_yunbi.item[2].price_rmb + " 云币购买"
                                            + game.g_shop_info_yunbi.item[2].zuanshi + " 钻石", function () {
                                            var buyData = { skinInfo: data_2, item: game.g_shop_info_yunbi.item[2] };
                                            var succeed_func = game.MyCallback.create(_this.buySucceed, _this, buyData);
                                            var cancel_func = game.MyCallback.create(_this.buyFail, _this, null);
                                            game.iapMgr.getMe().buy_noTip(game.g_shop_info_yunbi.item[2].id, succeed_func, cancel_func);
                                        }, null);
                                    }
                                    else {
                                        game.ui_MessageBox.ShowOrHide(true, "钻石不足，是否花费" + game.g_shop_info_pc.item[2].price_rmb + " 元购买"
                                            + game.g_shop_info_pc.item[2].zuanshi + " 钻石", function () {
                                            var buyData = { skinInfo: data_2, item: game.g_shop_info_pc.item[2] };
                                            var succeed_func = game.MyCallback.create(_this.buySucceed, _this, buyData);
                                            var cancel_func = game.MyCallback.create(_this.buyFail, _this, null);
                                            game.iapMgr.getMe().buy_noTip(game.g_shop_info_pc.item[2].id, succeed_func, cancel_func);
                                        }, null);
                                    }
                                }
                            }
                            else {
                                var unlockType = data_2["unlock"]["gameType"];
                                var unlockLen = data_2["unlock"]["len"];
                                var unlockkill = data_2["unlock"]["kill"];
                                var unlockString_1 = (unlockType == "duizhan" ? "限时模式下" : "竞赛模式下") +
                                    (unlockLen != 0 ? "长度达到：" + unlockLen + "米" : "击杀敌人：" + unlockkill + "次") + " 后自动解锁";
                                game.ui_MessageBox2.ShowOrHide(true, unlockString_1, null, null);
                            }
                        }
                    }
                    break;
            }
        };
        ui_pifu.prototype.buySucceed = function (nullData, data) {
            if (data.skinInfo != null) {
                game.DataMgr.getMe().addZuansi(data.item.zuanshi);
                game.DataMgr.getMe().subZuansiNum(data.skinInfo["cost"]);
                game.DataMgr.getMe().addSkin(data.skinInfo["name"]);
                this.updateUI();
            }
            else {
                game.DataMgr.getMe().addZuansi(data.zuanshi);
                this.updateUI();
            }
            if (game.ui_zhujiemian.getMe()) {
                game.ui_zhujiemian.getMe().updateZuansiAndname();
            }
        };
        ui_pifu.prototype.buyFail = function () {
            console.log("皮肤购买失败");
        };
        ui_pifu.prototype.updateShowTxt = function (CheckboxData) {
            var jineng = ccui.helper.seekWidgetByName(this.m_root, "jiasu_0");
            var miaoshu = ccui.helper.seekWidgetByName(this.m_root, "Text_1");
            var miaoshu2 = ccui.helper.seekWidgetByName(this.m_root, "shijian");
            var data = CheckboxData.getUserData();
            if (data != null) {
                if (data["skillname"]) {
                    jineng.setString(data["skillname"]);
                }
                else {
                    //钻石商品
                    if (data.name) {
                        jineng.setString(data.name);
                    }
                }
                if (data["skilldes"]) {
                    miaoshu.setString(data["skilldes"]);
                }
                else if (data["des"]) {
                    miaoshu.setString(data["des"]);
                }
                else {
                    miaoshu.setString("");
                }
                if (data.type == "zuansi") {
                    miaoshu.setString(game.g_shop_info_pc.item[3].des);
                }
                if (data["skilltime"]) {
                    miaoshu2.setString("持续时间：" + data["skilltime"] + "秒");
                }
                else {
                    if (data.showinfo) {
                        miaoshu2.setString(data.showinfo);
                    }
                }
            }
            //jineng.setString(CheckboxData.getName())
        };
        ui_pifu.prototype.loop = function (t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t);
                this.updateShowTxt(this.m_CBaseKeyState.m_key.node);
                var keyName = this.m_CBaseKeyState.m_key.node.getName().replace("pifu", "");
                var data = this.m_CBaseKeyState.m_key.node.getUserData();
                if (data != null) {
                    var bigImg = ccui.helper.seekWidgetByName(this.m_root, "tejitupian");
                    //皮肤商品
                    if (data["skillimg"] != null) {
                        bigImg.loadTexture(data["skillimg"]);
                    }
                    else {
                        bigImg.loadTexture("xingjietanshishe/big/ui/image/quantouming.png");
                    }
                }
                for (var k = 0; k < this.m_backImgArray.length; k++) {
                    var img_name = this.m_backImgArray[k].getName().replace("Image_", "");
                    this.m_backImgArray[k].setVisible(false);
                    if (keyName === img_name) {
                        this.m_backImgArray[k].setVisible(true);
                    }
                }
            }
        };
        ui_pifu.prototype.onBack = function () {
            //ui_pifu.ShowOrHide(false)
            this.endLayout(function () {
                if (game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_duizhan_Type
                    || game.DataMgr.getMe().getCurfightType() == game.e_fight_Type.e_wujing_Type) {
                    //准备游戏界面返回
                    game.DataMgr.getMe().setCurfightType(game.e_fight_Type.e_gameOver);
                    game.DataMgr.getMe().addCurenerty(1, false, true);
                    if (game.ui_zhujiemian.getMe()) {
                        game.ui_zhujiemian.getMe().UpdateEnergy();
                    }
                }
                ui_pifu.ShowOrHide(false);
                game.ui_zhujiemian.ShowOrHide(true);
            });
        };
        ui_pifu.g_instarn = null;
        ui_pifu.getMe = function () {
            return ui_pifu.g_instarn;
        };
        ui_pifu.ShowOrHide = function (flag) {
            game.UiBase.ShowOrHide(flag, ui_pifu, null, 4);
        };
        return ui_pifu;
    }(game.UiBase));
    game.ui_pifu = ui_pifu;
})(game || (game = {}));
//# sourceMappingURL=ui_pifu.js.map