/**
 * Created by w on 2017/4/12.
 */
module game {
    export class shibaiMsg{
        m_myLen:number = 0
        m_myBestPlayer:baseRole = null
        m_killedName:string = null
        m_fuhuoFunc:Function = null
        m_exitFunc:Function = null
    }
    export class ui_shibai extends UiBase {
        static g_instarn: any = null;
        static getMe = function () {
            return ui_shibai.g_instarn;
        };
        static ShowOrHide = function (flag , msg:shibaiMsg) {
            UiBase.ShowOrHide(flag, ui_shibai, null, 101, msg);
        };
        m_fuhuoFUnc:Function = null
        m_exitFunc:Function = null
        m_buttList:Array<ccui.CheckBox> = null
        constructor() {
            super();
            this.m_des = "ui_shibai";
            this.m_CBaseKeyState = new BaseKeyState();
            this.m_buttList = new Array<ccui.CheckBox>()
        }

        oninit(data: shibaiMsg) {

            let root = this._parseUIFile("shibai2.json", 0);
            this.EnterUI();
            this.addChild(root);
            this.shipeiCenter(root);

            let killer:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"killer")
            if(data.m_killedName == null){
                killer.setString("你被墙撞死了，不要灰心，再来一次！")
            }else{
                killer.setString(data.m_killedName +" 击杀了你的蛇蛇，不要灰心，再来一次！")
            }
            let bestplayer:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"bestplayer")
            bestplayer.setString("全场最佳:"+data.m_myBestPlayer.getName()+",长度:"+data.m_myBestPlayer.getSnakeLength())
            let mylen:ccui.Text = ccui.helper.seekWidgetByName(this.m_root,"length")
            mylen.setString("我的长度："+data.m_myLen)
            let fuhuo:ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root,"fuhuo")
            this.m_CBaseKeyState.regNodeEx(fuhuo , 1)
            this.m_buttList.push(fuhuo)
            fuhuo.addTouchEventListener(this.fuhuo_func,this)

            let exit_:ccui.CheckBox = ccui.helper.seekWidgetByName(this.m_root,"tuichubisai")
            exit_.addTouchEventListener(this.exit_func,this)
            this.m_buttList.push(exit_)
            this.m_CBaseKeyState.regNodeEx(exit_ , 2)
            this.m_fuhuoFUnc = data.m_fuhuoFunc
            this.m_exitFunc = data.m_exitFunc
            this.m_CBaseKeyState.init(this);
        }
        onBack() {

        }
        fuhuo_func(sender,type){
            switch (type){
                case ccui.Widget.TOUCH_ENDED:
                    if(DataMgr.getMe().subCufenerty()){
                        ui_shibai.ShowOrHide(false,null)
                        this.m_fuhuoFUnc()
                    }else{
                        ui_shibai.ShowOrHide(false,null)
                        if(g_gameVersion == e_game_Version.e_no_money){
                            ui_MessageBox2.ShowOrHide(true,"体力不足",null,null)
                            this.exit_func( null, ccui.Widget.TOUCH_ENDED )
                        }else{
                            let sk = DataMgr.getMe().getSkinConfigByName(fileMgr.getMe().m_play_doc.curpifu )

                            if( sk["fuhuoCost"] <= DataMgr.getMe().getzuansiNum() ){
                                ui_MessageBox.ShowOrHide(true,"体力不足，是否花费"+ sk["fuhuoCost"]+ "钻石复活",()=>{
                                    DataMgr.getMe().subZuansiNum(sk["fuhuoCost"])
                                    this.m_fuhuoFUnc()
                                    // this.fuhuo_func(null,ccui.Widget.TOUCH_ENDED)
                                },()=>{
                                    this.exit_func( null, ccui.Widget.TOUCH_ENDED )
                                })
                            }else{
                                ui_MessageBox.ShowOrHide(true,"钻石不足，无法补充体力",()=>{
                                    this.exit_func( null, ccui.Widget.TOUCH_ENDED )
                                },null)
                            }
                        }
                    }
                    //
                    break
            }
        }
        exit_func( sender,type){
            switch (type){
                case ccui.Widget.TOUCH_ENDED:
                    ui_shibai.ShowOrHide(false,null)
                    if( this.m_exitFunc ){
                        this.m_exitFunc()
                    }
                    break
            }
        }
        loop(t) {
            if (this.m_CBaseKeyState) {
                this.m_CBaseKeyState.loop(t)
                if( this.m_buttList.length != 0){
                    for( let k = 0; k < this.m_buttList.length; k++ ){
                        let backImg = ccui.helper.seekWidgetByName(this.m_buttList[k],"Image_1")
                        if( this.m_CBaseKeyState.m_key.node.getName() == this.m_buttList[k].getName() ){
                            backImg.setVisible(true)
                        }else{
                            backImg.setVisible(false)
                        }
                    }

                }
            }
        }
    }
}